package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Bot: ImageVector
    get() {
        if (_bot != null) {
            return _bot!!
        }
        _bot = Builder(name = "Bot", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.1254f, 13.0f)
                horizontalLineTo(10.1254f)
                verticalLineTo(15.0f)
                horizontalLineTo(14.1254f)
                verticalLineTo(13.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(8.1254f, 13.0f)
                curveTo(9.2299f, 13.0f, 10.1254f, 12.1046f, 10.1254f, 11.0f)
                curveTo(10.1254f, 9.8954f, 9.2299f, 9.0f, 8.1254f, 9.0f)
                curveTo(7.0208f, 9.0f, 6.1254f, 9.8954f, 6.1254f, 11.0f)
                curveTo(6.1254f, 12.1046f, 7.0208f, 13.0f, 8.1254f, 13.0f)
                close()
                moveTo(8.1254f, 11.5f)
                curveTo(8.4015f, 11.5f, 8.6254f, 11.2761f, 8.6254f, 11.0f)
                curveTo(8.6254f, 10.7239f, 8.4015f, 10.5f, 8.1254f, 10.5f)
                curveTo(7.8492f, 10.5f, 7.6254f, 10.7239f, 7.6254f, 11.0f)
                curveTo(7.6254f, 11.2761f, 7.8492f, 11.5f, 8.1254f, 11.5f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(18.1254f, 11.0f)
                curveTo(18.1254f, 12.1046f, 17.2299f, 13.0f, 16.1254f, 13.0f)
                curveTo(15.0208f, 13.0f, 14.1254f, 12.1046f, 14.1254f, 11.0f)
                curveTo(14.1254f, 9.8954f, 15.0208f, 9.0f, 16.1254f, 9.0f)
                curveTo(17.2299f, 9.0f, 18.1254f, 9.8954f, 18.1254f, 11.0f)
                close()
                moveTo(16.6254f, 11.0f)
                curveTo(16.6254f, 11.2761f, 16.4015f, 11.5f, 16.1254f, 11.5f)
                curveTo(15.8492f, 11.5f, 15.6254f, 11.2761f, 15.6254f, 11.0f)
                curveTo(15.6254f, 10.7239f, 15.8492f, 10.5f, 16.1254f, 10.5f)
                curveTo(16.4015f, 10.5f, 16.6254f, 10.7239f, 16.6254f, 11.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(2.7488f, 14.6663f)
                curveTo(3.7306f, 16.6421f, 5.7694f, 18.0f, 8.1254f, 18.0f)
                horizontalLineTo(16.1254f)
                curveTo(18.5654f, 18.0f, 20.6652f, 16.5435f, 21.6029f, 14.4525f)
                curveTo(22.3722f, 13.9093f, 22.8746f, 13.0133f, 22.8746f, 12.0f)
                curveTo(22.8746f, 10.9867f, 22.3722f, 10.0907f, 21.6029f, 9.5475f)
                curveTo(20.6652f, 7.4565f, 18.5654f, 6.0f, 16.1254f, 6.0f)
                horizontalLineTo(8.1254f)
                curveTo(5.7694f, 6.0f, 3.7306f, 7.3579f, 2.7488f, 9.3337f)
                curveTo(1.7845f, 9.8326f, 1.1254f, 10.8393f, 1.1254f, 12.0f)
                curveTo(1.1254f, 13.1607f, 1.7845f, 14.1674f, 2.7488f, 14.6663f)
                close()
                moveTo(8.1254f, 8.0f)
                horizontalLineTo(16.1254f)
                curveTo(17.5088f, 8.0f, 18.7282f, 8.7023f, 19.4465f, 9.7699f)
                curveTo(19.7227f, 10.4593f, 19.8746f, 11.2119f, 19.8746f, 12.0f)
                curveTo(19.8746f, 12.7881f, 19.7227f, 13.5407f, 19.4465f, 14.2301f)
                curveTo(18.7282f, 15.2977f, 17.5088f, 16.0f, 16.1254f, 16.0f)
                horizontalLineTo(8.1254f)
                curveTo(5.9162f, 16.0f, 4.1254f, 14.2091f, 4.1254f, 12.0f)
                curveTo(4.1254f, 9.7909f, 5.9162f, 8.0f, 8.1254f, 8.0f)
                close()
            }
        }
        .build()
        return _bot!!
    }

private var _bot: ImageVector? = null
