package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Games: ImageVector
    get() {
        if (_games != null) {
            return _games!!
        }
        _games = Builder(name = "Games", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.4695f, 11.2929f)
                curveTo(15.0789f, 10.9024f, 14.4458f, 10.9024f, 14.0553f, 11.2929f)
                curveTo(13.6647f, 11.6834f, 13.6647f, 12.3166f, 14.0553f, 12.7071f)
                curveTo(14.4458f, 13.0976f, 15.0789f, 13.0976f, 15.4695f, 12.7071f)
                curveTo(15.86f, 12.3166f, 15.86f, 11.6834f, 15.4695f, 11.2929f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.1766f, 9.1716f)
                curveTo(16.5671f, 8.781f, 17.2003f, 8.781f, 17.5908f, 9.1716f)
                curveTo(17.9813f, 9.5621f, 17.9813f, 10.1952f, 17.5908f, 10.5858f)
                curveTo(17.2003f, 10.9763f, 16.5671f, 10.9763f, 16.1766f, 10.5858f)
                curveTo(15.7861f, 10.1952f, 15.7861f, 9.5621f, 16.1766f, 9.1716f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.7121f, 11.2929f)
                curveTo(19.3216f, 10.9024f, 18.6885f, 10.9024f, 18.2979f, 11.2929f)
                curveTo(17.9074f, 11.6834f, 17.9074f, 12.3166f, 18.2979f, 12.7071f)
                curveTo(18.6885f, 13.0976f, 19.3216f, 13.0976f, 19.7121f, 12.7071f)
                curveTo(20.1027f, 12.3166f, 20.1027f, 11.6834f, 19.7121f, 11.2929f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.1766f, 13.4142f)
                curveTo(16.5671f, 13.0237f, 17.2003f, 13.0237f, 17.5908f, 13.4142f)
                curveTo(17.9813f, 13.8048f, 17.9813f, 14.4379f, 17.5908f, 14.8284f)
                curveTo(17.2003f, 15.219f, 16.5671f, 15.219f, 16.1766f, 14.8284f)
                curveTo(15.7861f, 14.4379f, 15.7861f, 13.8048f, 16.1766f, 13.4142f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 13.0f)
                horizontalLineTo(4.0f)
                verticalLineTo(11.0f)
                horizontalLineTo(6.0f)
                verticalLineTo(9.0f)
                horizontalLineTo(8.0f)
                verticalLineTo(11.0f)
                horizontalLineTo(10.0f)
                verticalLineTo(13.0f)
                horizontalLineTo(8.0f)
                verticalLineTo(15.0f)
                horizontalLineTo(6.0f)
                verticalLineTo(13.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(7.0f, 5.0f)
                curveTo(3.134f, 5.0f, 0.0f, 8.134f, 0.0f, 12.0f)
                curveTo(0.0f, 15.866f, 3.134f, 19.0f, 7.0f, 19.0f)
                horizontalLineTo(17.0f)
                curveTo(20.866f, 19.0f, 24.0f, 15.866f, 24.0f, 12.0f)
                curveTo(24.0f, 8.134f, 20.866f, 5.0f, 17.0f, 5.0f)
                horizontalLineTo(7.0f)
                close()
                moveTo(17.0f, 7.0f)
                horizontalLineTo(7.0f)
                curveTo(4.2386f, 7.0f, 2.0f, 9.2386f, 2.0f, 12.0f)
                curveTo(2.0f, 14.7614f, 4.2386f, 17.0f, 7.0f, 17.0f)
                horizontalLineTo(17.0f)
                curveTo(19.7614f, 17.0f, 22.0f, 14.7614f, 22.0f, 12.0f)
                curveTo(22.0f, 9.2386f, 19.7614f, 7.0f, 17.0f, 7.0f)
                close()
            }
        }
        .build()
        return _games!!
    }

private var _games: ImageVector? = null
