package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.HomeScreen: ImageVector
    get() {
        if (_homeScreen != null) {
            return _homeScreen!!
        }
        _homeScreen = Builder(name = "HomeScreen", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 5.0f)
                curveTo(10.0f, 5.5523f, 9.5523f, 6.0f, 9.0f, 6.0f)
                curveTo(8.4477f, 6.0f, 8.0f, 5.5523f, 8.0f, 5.0f)
                curveTo(8.0f, 4.4477f, 8.4477f, 4.0f, 9.0f, 4.0f)
                curveTo(9.5523f, 4.0f, 10.0f, 4.4477f, 10.0f, 5.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 9.0f)
                curveTo(9.5523f, 9.0f, 10.0f, 8.5523f, 10.0f, 8.0f)
                curveTo(10.0f, 7.4477f, 9.5523f, 7.0f, 9.0f, 7.0f)
                curveTo(8.4477f, 7.0f, 8.0f, 7.4477f, 8.0f, 8.0f)
                curveTo(8.0f, 8.5523f, 8.4477f, 9.0f, 9.0f, 9.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 19.0f)
                curveTo(10.0f, 19.5523f, 9.5523f, 20.0f, 9.0f, 20.0f)
                curveTo(8.4477f, 20.0f, 8.0f, 19.5523f, 8.0f, 19.0f)
                curveTo(8.0f, 18.4477f, 8.4477f, 18.0f, 9.0f, 18.0f)
                curveTo(9.5523f, 18.0f, 10.0f, 18.4477f, 10.0f, 19.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 12.0f)
                curveTo(9.5523f, 12.0f, 10.0f, 11.5523f, 10.0f, 11.0f)
                curveTo(10.0f, 10.4477f, 9.5523f, 10.0f, 9.0f, 10.0f)
                curveTo(8.4477f, 10.0f, 8.0f, 10.4477f, 8.0f, 11.0f)
                curveTo(8.0f, 11.5523f, 8.4477f, 12.0f, 9.0f, 12.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.0f, 5.0f)
                curveTo(13.0f, 5.5523f, 12.5523f, 6.0f, 12.0f, 6.0f)
                curveTo(11.4477f, 6.0f, 11.0f, 5.5523f, 11.0f, 5.0f)
                curveTo(11.0f, 4.4477f, 11.4477f, 4.0f, 12.0f, 4.0f)
                curveTo(12.5523f, 4.0f, 13.0f, 4.4477f, 13.0f, 5.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 9.0f)
                curveTo(12.5523f, 9.0f, 13.0f, 8.5523f, 13.0f, 8.0f)
                curveTo(13.0f, 7.4477f, 12.5523f, 7.0f, 12.0f, 7.0f)
                curveTo(11.4477f, 7.0f, 11.0f, 7.4477f, 11.0f, 8.0f)
                curveTo(11.0f, 8.5523f, 11.4477f, 9.0f, 12.0f, 9.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.0f, 19.0f)
                curveTo(13.0f, 19.5523f, 12.5523f, 20.0f, 12.0f, 20.0f)
                curveTo(11.4477f, 20.0f, 11.0f, 19.5523f, 11.0f, 19.0f)
                curveTo(11.0f, 18.4477f, 11.4477f, 18.0f, 12.0f, 18.0f)
                curveTo(12.5523f, 18.0f, 13.0f, 18.4477f, 13.0f, 19.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 6.0f)
                curveTo(15.5523f, 6.0f, 16.0f, 5.5523f, 16.0f, 5.0f)
                curveTo(16.0f, 4.4477f, 15.5523f, 4.0f, 15.0f, 4.0f)
                curveTo(14.4477f, 4.0f, 14.0f, 4.4477f, 14.0f, 5.0f)
                curveTo(14.0f, 5.5523f, 14.4477f, 6.0f, 15.0f, 6.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 8.0f)
                curveTo(16.0f, 8.5523f, 15.5523f, 9.0f, 15.0f, 9.0f)
                curveTo(14.4477f, 9.0f, 14.0f, 8.5523f, 14.0f, 8.0f)
                curveTo(14.0f, 7.4477f, 14.4477f, 7.0f, 15.0f, 7.0f)
                curveTo(15.5523f, 7.0f, 16.0f, 7.4477f, 16.0f, 8.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 20.0f)
                curveTo(15.5523f, 20.0f, 16.0f, 19.5523f, 16.0f, 19.0f)
                curveTo(16.0f, 18.4477f, 15.5523f, 18.0f, 15.0f, 18.0f)
                curveTo(14.4477f, 18.0f, 14.0f, 18.4477f, 14.0f, 19.0f)
                curveTo(14.0f, 19.5523f, 14.4477f, 20.0f, 15.0f, 20.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(8.0f, 1.0f)
                curveTo(6.3432f, 1.0f, 5.0f, 2.3431f, 5.0f, 4.0f)
                verticalLineTo(20.0f)
                curveTo(5.0f, 21.6569f, 6.3432f, 23.0f, 8.0f, 23.0f)
                horizontalLineTo(16.0f)
                curveTo(17.6569f, 23.0f, 19.0f, 21.6569f, 19.0f, 20.0f)
                verticalLineTo(4.0f)
                curveTo(19.0f, 2.3431f, 17.6569f, 1.0f, 16.0f, 1.0f)
                horizontalLineTo(8.0f)
                close()
                moveTo(16.0f, 3.0f)
                horizontalLineTo(8.0f)
                curveTo(7.4477f, 3.0f, 7.0f, 3.4477f, 7.0f, 4.0f)
                verticalLineTo(20.0f)
                curveTo(7.0f, 20.5523f, 7.4477f, 21.0f, 8.0f, 21.0f)
                horizontalLineTo(16.0f)
                curveTo(16.5523f, 21.0f, 17.0f, 20.5523f, 17.0f, 20.0f)
                verticalLineTo(4.0f)
                curveTo(17.0f, 3.4477f, 16.5523f, 3.0f, 16.0f, 3.0f)
                close()
            }
        }
        .build()
        return _homeScreen!!
    }

private var _homeScreen: ImageVector? = null
