package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Twilio: ImageVector
    get() {
        if (_twilio != null) {
            return _twilio!!
        }
        _twilio = Builder(name = "Twilio", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 9.0f)
                curveTo(11.0f, 10.1046f, 10.1046f, 11.0f, 9.0f, 11.0f)
                curveTo(7.8954f, 11.0f, 7.0f, 10.1046f, 7.0f, 9.0f)
                curveTo(7.0f, 7.8954f, 7.8954f, 7.0f, 9.0f, 7.0f)
                curveTo(10.1046f, 7.0f, 11.0f, 7.8954f, 11.0f, 9.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.0f, 9.0f)
                curveTo(17.0f, 10.1046f, 16.1046f, 11.0f, 15.0f, 11.0f)
                curveTo(13.8954f, 11.0f, 13.0f, 10.1046f, 13.0f, 9.0f)
                curveTo(13.0f, 7.8954f, 13.8954f, 7.0f, 15.0f, 7.0f)
                curveTo(16.1046f, 7.0f, 17.0f, 7.8954f, 17.0f, 9.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 17.0f)
                curveTo(16.1046f, 17.0f, 17.0f, 16.1046f, 17.0f, 15.0f)
                curveTo(17.0f, 13.8954f, 16.1046f, 13.0f, 15.0f, 13.0f)
                curveTo(13.8954f, 13.0f, 13.0f, 13.8954f, 13.0f, 15.0f)
                curveTo(13.0f, 16.1046f, 13.8954f, 17.0f, 15.0f, 17.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 15.0f)
                curveTo(11.0f, 16.1046f, 10.1046f, 17.0f, 9.0f, 17.0f)
                curveTo(7.8954f, 17.0f, 7.0f, 16.1046f, 7.0f, 15.0f)
                curveTo(7.0f, 13.8954f, 7.8954f, 13.0f, 9.0f, 13.0f)
                curveTo(10.1046f, 13.0f, 11.0f, 13.8954f, 11.0f, 15.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(24.0f, 12.0f)
                curveTo(24.0f, 18.6274f, 18.6274f, 24.0f, 12.0f, 24.0f)
                curveTo(5.3726f, 24.0f, 0.0f, 18.6274f, 0.0f, 12.0f)
                curveTo(0.0f, 5.3726f, 5.3726f, 0.0f, 12.0f, 0.0f)
                curveTo(18.6274f, 0.0f, 24.0f, 5.3726f, 24.0f, 12.0f)
                close()
                moveTo(21.0f, 12.0f)
                curveTo(21.0f, 16.9706f, 16.9706f, 21.0f, 12.0f, 21.0f)
                curveTo(7.0294f, 21.0f, 3.0f, 16.9706f, 3.0f, 12.0f)
                curveTo(3.0f, 7.0294f, 7.0294f, 3.0f, 12.0f, 3.0f)
                curveTo(16.9706f, 3.0f, 21.0f, 7.0294f, 21.0f, 12.0f)
                close()
            }
        }
        .build()
        return _twilio!!
    }

private var _twilio: ImageVector? = null
