package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.VoicemailR: ImageVector
    get() {
        if (_voicemailR != null) {
            return _voicemailR!!
        }
        _voicemailR = Builder(name = "VoicemailR", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(11.5f, 12.0f)
                curveTo(11.5f, 12.3506f, 11.4398f, 12.6872f, 11.3293f, 13.0f)
                horizontalLineTo(13.6707f)
                curveTo(13.5602f, 12.6872f, 13.5f, 12.3506f, 13.5f, 12.0f)
                curveTo(13.5f, 10.3431f, 14.8431f, 9.0f, 16.5f, 9.0f)
                curveTo(18.1569f, 9.0f, 19.5f, 10.3431f, 19.5f, 12.0f)
                curveTo(19.5f, 13.6569f, 18.1569f, 15.0f, 16.5f, 15.0f)
                horizontalLineTo(8.5f)
                curveTo(6.8432f, 15.0f, 5.5f, 13.6569f, 5.5f, 12.0f)
                curveTo(5.5f, 10.3431f, 6.8432f, 9.0f, 8.5f, 9.0f)
                curveTo(10.1569f, 9.0f, 11.5f, 10.3431f, 11.5f, 12.0f)
                close()
                moveTo(9.5f, 12.0f)
                curveTo(9.5f, 12.5523f, 9.0523f, 13.0f, 8.5f, 13.0f)
                curveTo(7.9477f, 13.0f, 7.5f, 12.5523f, 7.5f, 12.0f)
                curveTo(7.5f, 11.4477f, 7.9477f, 11.0f, 8.5f, 11.0f)
                curveTo(9.0523f, 11.0f, 9.5f, 11.4477f, 9.5f, 12.0f)
                close()
                moveTo(17.5f, 12.0f)
                curveTo(17.5f, 12.5523f, 17.0523f, 13.0f, 16.5f, 13.0f)
                curveTo(15.9477f, 13.0f, 15.5f, 12.5523f, 15.5f, 12.0f)
                curveTo(15.5f, 11.4477f, 15.9477f, 11.0f, 16.5f, 11.0f)
                curveTo(17.0523f, 11.0f, 17.5f, 11.4477f, 17.5f, 12.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(1.5f, 8.0f)
                curveTo(1.5f, 6.3432f, 2.8431f, 5.0f, 4.5f, 5.0f)
                horizontalLineTo(19.5f)
                curveTo(21.1569f, 5.0f, 22.5f, 6.3432f, 22.5f, 8.0f)
                verticalLineTo(16.0f)
                curveTo(22.5f, 17.6569f, 21.1569f, 19.0f, 19.5f, 19.0f)
                horizontalLineTo(4.5f)
                curveTo(2.8431f, 19.0f, 1.5f, 17.6569f, 1.5f, 16.0f)
                verticalLineTo(8.0f)
                close()
                moveTo(4.5f, 7.0f)
                horizontalLineTo(19.5f)
                curveTo(20.0523f, 7.0f, 20.5f, 7.4477f, 20.5f, 8.0f)
                verticalLineTo(16.0f)
                curveTo(20.5f, 16.5523f, 20.0523f, 17.0f, 19.5f, 17.0f)
                horizontalLineTo(4.5f)
                curveTo(3.9477f, 17.0f, 3.5f, 16.5523f, 3.5f, 16.0f)
                verticalLineTo(8.0f)
                curveTo(3.5f, 7.4477f, 3.9477f, 7.0f, 4.5f, 7.0f)
                close()
            }
        }
        .build()
        return _voicemailR!!
    }

private var _voicemailR: ImageVector? = null
