package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayFog: ImageVector
    get() {
        if (_dayFog != null) {
            return _dayFog!!
        }
        _dayFog = Builder(name = "DayFog", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.32f, 21.06f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.59f)
                curveToRelative(0.17f, 0.16f, 0.38f, 0.24f, 0.63f, 0.24f)
                horizontalLineToRelative(18.71f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.61f, -0.25f)
                horizontalLineTo(1.2f)
                curveToRelative(-0.25f, 0.0f, -0.46f, 0.08f, -0.63f, 0.25f)
                reflectiveCurveTo(0.32f, 20.82f, 0.32f, 21.06f)
                close()
                moveTo(2.94f, 17.92f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.58f)
                curveToRelative(0.17f, 0.18f, 0.37f, 0.27f, 0.6f, 0.27f)
                horizontalLineToRelative(18.72f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.37f, 0.24f, -0.6f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.23f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.24f, -0.59f, -0.24f)
                horizontalLineTo(3.8f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                curveTo(3.03f, 17.5f, 2.94f, 17.69f, 2.94f, 17.92f)
                close()
                moveTo(3.07f, 15.52f)
                curveToRelative(0.0f, 0.09f, 0.05f, 0.13f, 0.16f, 0.13f)
                horizontalLineToRelative(1.43f)
                curveToRelative(0.07f, 0.0f, 0.14f, -0.05f, 0.21f, -0.16f)
                curveToRelative(0.24f, -0.52f, 0.59f, -0.94f, 1.06f, -1.27f)
                curveToRelative(0.47f, -0.33f, 0.99f, -0.52f, 1.56f, -0.56f)
                lineToRelative(0.54f, -0.07f)
                curveToRelative(0.11f, 0.0f, 0.17f, -0.06f, 0.17f, -0.18f)
                lineToRelative(0.07f, -0.51f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.98f, 1.37f, -2.71f)
                curveTo(10.45f, 9.47f, 11.4f, 9.1f, 12.5f, 9.1f)
                curveToRelative(1.08f, 0.0f, 2.03f, 0.36f, 2.84f, 1.08f)
                curveToRelative(0.81f, 0.72f, 1.27f, 1.61f, 1.38f, 2.68f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.19f, 0.17f)
                horizontalLineToRelative(1.61f)
                curveToRelative(0.64f, 0.0f, 1.23f, 0.17f, 1.76f, 0.52f)
                curveToRelative(0.53f, 0.34f, 0.92f, 0.8f, 1.18f, 1.37f)
                curveToRelative(0.07f, 0.11f, 0.13f, 0.16f, 0.2f, 0.16f)
                horizontalLineToRelative(1.44f)
                curveToRelative(0.13f, 0.0f, 0.18f, -0.07f, 0.13f, -0.23f)
                lineToRelative(-0.2f, -0.55f)
                curveToRelative(0.76f, -0.94f, 1.13f, -2.04f, 1.13f, -3.31f)
                curveToRelative(0.0f, -0.71f, -0.14f, -1.38f, -0.41f, -2.03f)
                reflectiveCurveToRelative(-0.64f, -1.2f, -1.11f, -1.67f)
                curveToRelative(-0.46f, -0.47f, -1.02f, -0.84f, -1.67f, -1.12f)
                reflectiveCurveTo(19.72f, 6.35f, 19.0f, 6.35f)
                curveToRelative(-1.54f, 0.0f, -2.82f, 0.56f, -3.82f, 1.68f)
                curveTo(14.33f, 7.61f, 13.44f, 7.4f, 12.5f, 7.4f)
                curveToRelative(-1.4f, 0.0f, -2.65f, 0.44f, -3.74f, 1.32f)
                reflectiveCurveToRelative(-1.79f, 2.0f, -2.1f, 3.37f)
                curveToRelative(-1.78f, 0.47f, -2.98f, 1.58f, -3.58f, 3.35f)
                curveTo(3.07f, 15.45f, 3.07f, 15.48f, 3.07f, 15.52f)
                close()
                moveTo(4.69f, 24.13f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.27f, 0.6f)
                curveToRelative(0.16f, 0.17f, 0.35f, 0.26f, 0.59f, 0.26f)
                horizontalLineToRelative(18.74f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.6f, -0.25f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.37f, 0.25f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.25f, -0.58f)
                curveToRelative(-0.17f, -0.15f, -0.37f, -0.23f, -0.6f, -0.23f)
                horizontalLineTo(5.55f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.61f, 0.23f)
                curveTo(4.77f, 23.71f, 4.69f, 23.9f, 4.69f, 24.13f)
                close()
                moveTo(11.26f, 4.66f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.43f, 0.23f, 0.59f)
                lineToRelative(0.65f, 0.64f)
                curveToRelative(0.17f, 0.18f, 0.36f, 0.27f, 0.58f, 0.27f)
                curveToRelative(0.22f, 0.0f, 0.42f, -0.08f, 0.6f, -0.25f)
                curveToRelative(0.17f, -0.17f, 0.26f, -0.37f, 0.26f, -0.61f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.45f, -0.25f, -0.63f)
                lineToRelative(-0.64f, -0.61f)
                curveToRelative(-0.16f, -0.17f, -0.36f, -0.26f, -0.6f, -0.26f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.25f)
                curveTo(11.34f, 4.21f, 11.26f, 4.42f, 11.26f, 4.66f)
                close()
                moveTo(16.58f, 9.04f)
                curveToRelative(0.67f, -0.68f, 1.48f, -1.01f, 2.43f, -1.01f)
                curveToRelative(0.98f, 0.0f, 1.82f, 0.35f, 2.51f, 1.04f)
                curveToRelative(0.69f, 0.69f, 1.04f, 1.53f, 1.04f, 2.5f)
                curveToRelative(0.0f, 0.65f, -0.16f, 1.25f, -0.49f, 1.8f)
                curveToRelative(-0.95f, -0.95f, -2.11f, -1.42f, -3.47f, -1.42f)
                horizontalLineToRelative(-0.34f)
                curveTo(17.97f, 10.77f, 17.41f, 9.8f, 16.58f, 9.04f)
                close()
                moveTo(18.18f, 3.81f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.24f, 0.59f)
                curveToRelative(0.16f, 0.16f, 0.35f, 0.24f, 0.59f, 0.24f)
                curveToRelative(0.25f, 0.0f, 0.46f, -0.08f, 0.63f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                verticalLineTo(1.76f)
                curveToRelative(0.0f, -0.23f, -0.09f, -0.43f, -0.26f, -0.6f)
                curveTo(19.45f, 0.99f, 19.24f, 0.91f, 19.0f, 0.91f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.59f, 0.25f)
                curveToRelative(-0.16f, 0.17f, -0.24f, 0.37f, -0.24f, 0.6f)
                verticalLineTo(3.81f)
                close()
                moveTo(23.67f, 6.08f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.43f, 0.24f, 0.6f)
                curveToRelative(0.37f, 0.36f, 0.78f, 0.36f, 1.23f, 0.0f)
                lineToRelative(1.43f, -1.43f)
                curveToRelative(0.16f, -0.18f, 0.24f, -0.39f, 0.24f, -0.64f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.24f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.59f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                lineToRelative(-1.46f, 1.47f)
                curveTo(23.75f, 5.67f, 23.67f, 5.87f, 23.67f, 6.08f)
                close()
                moveTo(24.48f, 17.88f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.26f, 0.6f)
                lineToRelative(0.64f, 0.65f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.21f, 0.0f, 0.41f, -0.08f, 0.61f, -0.24f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.39f, 0.24f, -0.64f)
                curveToRelative(0.0f, -0.22f, -0.08f, -0.41f, -0.24f, -0.56f)
                lineToRelative(-0.65f, -0.66f)
                curveToRelative(-0.18f, -0.16f, -0.38f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.25f)
                curveTo(24.56f, 17.44f, 24.48f, 17.64f, 24.48f, 17.88f)
                close()
                moveTo(25.96f, 11.57f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.26f, 0.6f)
                curveToRelative(0.15f, 0.17f, 0.35f, 0.25f, 0.59f, 0.25f)
                horizontalLineToRelative(2.05f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.37f, 0.24f, -0.6f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.6f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.24f, -0.59f, -0.24f)
                horizontalLineToRelative(-2.05f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.25f)
                curveTo(26.04f, 11.14f, 25.96f, 11.34f, 25.96f, 11.57f)
                close()
            }
        }
        .build()
        return _dayFog!!
    }

private var _dayFog: ImageVector? = null
