package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DaySleet: ImageVector
    get() {
        if (_daySleet != null) {
            return _daySleet!!
        }
        _daySleet = Builder(name = "DaySleet", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.49f, 16.92f)
                lineTo(1.49f, 16.92f)
                curveToRelative(0.0f, -1.17f, 0.36f, -2.19f, 1.08f, -3.09f)
                reflectiveCurveToRelative(1.64f, -1.48f, 2.74f, -1.74f)
                curveToRelative(0.31f, -1.37f, 1.01f, -2.49f, 2.1f, -3.38f)
                curveToRelative(1.1f, -0.88f, 2.35f, -1.32f, 3.77f, -1.32f)
                curveToRelative(0.99f, 0.0f, 1.9f, 0.22f, 2.72f, 0.66f)
                curveToRelative(0.5f, -0.53f, 1.09f, -0.95f, 1.76f, -1.25f)
                curveToRelative(0.67f, -0.3f, 1.37f, -0.45f, 2.09f, -0.45f)
                curveToRelative(0.95f, 0.0f, 1.83f, 0.24f, 2.64f, 0.71f)
                curveToRelative(0.81f, 0.47f, 1.45f, 1.11f, 1.92f, 1.92f)
                curveToRelative(0.47f, 0.81f, 0.71f, 1.69f, 0.71f, 2.64f)
                curveToRelative(0.0f, 1.23f, -0.38f, 2.33f, -1.14f, 3.29f)
                curveToRelative(0.29f, 0.61f, 0.43f, 1.28f, 0.43f, 2.02f)
                curveToRelative(0.0f, 0.88f, -0.21f, 1.7f, -0.64f, 2.45f)
                curveToRelative(-0.42f, 0.75f, -1.0f, 1.36f, -1.74f, 1.81f)
                curveToRelative(-0.73f, 0.46f, -1.54f, 0.7f, -2.42f, 0.72f)
                curveToRelative(-0.13f, 0.0f, -0.2f, -0.06f, -0.2f, -0.18f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.12f, 0.07f, -0.18f, 0.2f, -0.18f)
                curveToRelative(0.86f, -0.04f, 1.58f, -0.39f, 2.18f, -1.03f)
                curveToRelative(0.6f, -0.64f, 0.9f, -1.4f, 0.9f, -2.26f)
                curveToRelative(0.0f, -0.89f, -0.32f, -1.65f, -0.97f, -2.29f)
                reflectiveCurveToRelative(-1.41f, -0.96f, -2.31f, -0.96f)
                horizontalLineToRelative(-1.61f)
                curveToRelative(-0.12f, 0.0f, -0.18f, -0.06f, -0.18f, -0.17f)
                lineToRelative(-0.08f, -0.59f)
                curveToRelative(-0.11f, -1.08f, -0.58f, -1.99f, -1.4f, -2.72f)
                curveToRelative(-0.82f, -0.73f, -1.78f, -1.1f, -2.86f, -1.1f)
                curveToRelative(-1.1f, 0.0f, -2.05f, 0.37f, -2.86f, 1.1f)
                curveToRelative(-0.81f, 0.73f, -1.27f, 1.64f, -1.37f, 2.72f)
                lineTo(6.88f, 13.5f)
                curveToRelative(-0.03f, 0.09f, -0.11f, 0.13f, -0.22f, 0.13f)
                lineToRelative(-0.51f, 0.04f)
                curveToRelative(-0.84f, 0.1f, -1.55f, 0.45f, -2.11f, 1.06f)
                reflectiveCurveToRelative(-0.84f, 1.34f, -0.84f, 2.18f)
                verticalLineToRelative(0.05f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.01f, 0.98f, 0.38f, 1.78f, 1.11f, 2.43f)
                curveToRelative(0.22f, 0.19f, 0.47f, 0.36f, 0.74f, 0.49f)
                verticalLineToRelative(0.02f)
                curveToRelative(0.41f, 0.19f, 0.82f, 0.29f, 1.21f, 0.31f)
                curveToRelative(0.11f, 0.0f, 0.17f, 0.06f, 0.17f, 0.17f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, -0.06f, 0.17f, -0.17f, 0.17f)
                curveToRelative(-0.52f, -0.03f, -1.01f, -0.13f, -1.48f, -0.3f)
                verticalLineToRelative(0.02f)
                curveToRelative(-0.83f, -0.29f, -1.54f, -0.77f, -2.11f, -1.43f)
                reflectiveCurveToRelative(-0.95f, -1.44f, -1.11f, -2.31f)
                verticalLineToRelative(-0.04f)
                curveToRelative(-0.01f, -0.01f, -0.01f, -0.02f, -0.01f, -0.03f)
                curveTo(1.51f, 17.54f, 1.49f, 17.25f, 1.49f, 16.92f)
                close()
                moveTo(6.99f, 24.09f)
                curveToRelative(0.0f, -0.03f, 0.01f, -0.07f, 0.02f, -0.13f)
                curveToRelative(0.01f, -0.05f, 0.02f, -0.09f, 0.02f, -0.12f)
                lineToRelative(0.09f, -0.59f)
                curveToRelative(0.07f, -0.24f, 0.2f, -0.41f, 0.41f, -0.53f)
                curveToRelative(0.2f, -0.12f, 0.43f, -0.14f, 0.68f, -0.08f)
                curveToRelative(0.23f, 0.07f, 0.39f, 0.2f, 0.51f, 0.41f)
                curveToRelative(0.11f, 0.2f, 0.13f, 0.41f, 0.07f, 0.62f)
                lineToRelative(-0.14f, 0.6f)
                curveToRelative(-0.1f, 0.44f, -0.35f, 0.66f, -0.76f, 0.66f)
                curveToRelative(-0.03f, 0.0f, -0.08f, 0.0f, -0.15f, -0.01f)
                reflectiveCurveToRelative(-0.11f, -0.01f, -0.13f, -0.01f)
                curveToRelative(-0.21f, -0.06f, -0.36f, -0.17f, -0.46f, -0.33f)
                curveTo(7.04f, 24.43f, 6.99f, 24.26f, 6.99f, 24.09f)
                close()
                moveTo(7.73f, 21.15f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.43f, 0.23f, -0.59f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.23f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.59f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.42f, -0.23f, 0.58f)
                reflectiveCurveToRelative(-0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.42f, -0.08f, -0.57f, -0.24f)
                curveTo(7.81f, 21.56f, 7.73f, 21.37f, 7.73f, 21.15f)
                close()
                moveTo(9.37f, 27.13f)
                curveToRelative(0.0f, -0.04f, 0.01f, -0.11f, 0.04f, -0.23f)
                lineToRelative(0.13f, -0.58f)
                curveToRelative(0.07f, -0.23f, 0.21f, -0.4f, 0.41f, -0.51f)
                curveToRelative(0.21f, -0.12f, 0.42f, -0.14f, 0.63f, -0.07f)
                curveToRelative(0.23f, 0.04f, 0.41f, 0.17f, 0.53f, 0.37f)
                curveToRelative(0.12f, 0.2f, 0.15f, 0.43f, 0.08f, 0.68f)
                lineToRelative(-0.13f, 0.59f)
                curveToRelative(-0.1f, 0.41f, -0.37f, 0.61f, -0.8f, 0.61f)
                curveToRelative(-0.05f, 0.0f, -0.13f, -0.01f, -0.24f, -0.04f)
                curveToRelative(-0.22f, -0.06f, -0.38f, -0.17f, -0.49f, -0.33f)
                curveTo(9.42f, 27.46f, 9.37f, 27.3f, 9.37f, 27.13f)
                close()
                moveTo(9.9f, 4.62f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.6f)
                curveToRelative(0.17f, -0.16f, 0.38f, -0.24f, 0.63f, -0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.08f, 0.6f, 0.24f)
                lineToRelative(0.63f, 0.66f)
                curveToRelative(0.17f, 0.17f, 0.25f, 0.37f, 0.25f, 0.6f)
                curveToRelative(0.0f, 0.24f, -0.1f, 0.46f, -0.3f, 0.64f)
                curveToRelative(-0.2f, 0.18f, -0.4f, 0.26f, -0.61f, 0.23f)
                curveToRelative(-0.21f, -0.02f, -0.39f, -0.11f, -0.55f, -0.27f)
                lineToRelative(-0.65f, -0.66f)
                curveTo(9.99f, 5.05f, 9.9f, 4.85f, 9.9f, 4.62f)
                close()
                moveTo(10.16f, 24.23f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.23f, -0.58f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.23f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.58f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.43f, -0.23f, 0.59f)
                curveToRelative(-0.16f, 0.16f, -0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.22f, 0.0f, -0.41f, -0.08f, -0.58f, -0.25f)
                curveTo(10.24f, 24.64f, 10.16f, 24.45f, 10.16f, 24.23f)
                close()
                moveTo(10.78f, 21.96f)
                curveToRelative(0.0f, -0.09f, 0.01f, -0.18f, 0.03f, -0.26f)
                lineToRelative(0.23f, -0.9f)
                curveToRelative(0.07f, -0.23f, 0.21f, -0.41f, 0.41f, -0.53f)
                curveToRelative(0.21f, -0.12f, 0.42f, -0.15f, 0.64f, -0.08f)
                curveToRelative(0.24f, 0.07f, 0.41f, 0.2f, 0.53f, 0.4f)
                curveToRelative(0.12f, 0.2f, 0.14f, 0.4f, 0.07f, 0.62f)
                lineToRelative(-0.26f, 0.9f)
                curveToRelative(-0.08f, 0.27f, -0.22f, 0.46f, -0.41f, 0.57f)
                reflectiveCurveToRelative(-0.41f, 0.12f, -0.64f, 0.06f)
                curveToRelative(-0.2f, -0.04f, -0.35f, -0.14f, -0.45f, -0.3f)
                curveTo(10.81f, 22.26f, 10.76f, 22.11f, 10.78f, 21.96f)
                close()
                moveTo(13.54f, 24.1f)
                curveToRelative(0.0f, -0.03f, 0.0f, -0.07f, 0.01f, -0.13f)
                curveToRelative(0.01f, -0.06f, 0.01f, -0.09f, 0.01f, -0.11f)
                lineToRelative(0.09f, -0.59f)
                curveToRelative(0.07f, -0.24f, 0.2f, -0.41f, 0.41f, -0.53f)
                curveToRelative(0.2f, -0.12f, 0.43f, -0.14f, 0.68f, -0.08f)
                curveToRelative(0.23f, 0.07f, 0.4f, 0.21f, 0.51f, 0.41f)
                curveToRelative(0.12f, 0.21f, 0.14f, 0.42f, 0.07f, 0.63f)
                lineToRelative(-0.14f, 0.6f)
                curveToRelative(-0.1f, 0.43f, -0.35f, 0.65f, -0.76f, 0.65f)
                curveToRelative(-0.03f, 0.0f, -0.08f, 0.0f, -0.15f, -0.01f)
                curveToRelative(-0.07f, -0.01f, -0.11f, -0.01f, -0.13f, -0.01f)
                curveToRelative(-0.2f, -0.06f, -0.35f, -0.17f, -0.45f, -0.33f)
                curveTo(13.59f, 24.43f, 13.54f, 24.27f, 13.54f, 24.1f)
                close()
                moveTo(14.28f, 21.16f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.43f, 0.23f, -0.59f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.23f, 0.59f, -0.23f)
                curveToRelative(0.24f, 0.0f, 0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.59f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.43f, -0.23f, 0.58f)
                curveToRelative(-0.16f, 0.16f, -0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.43f, -0.08f, -0.58f, -0.25f)
                curveTo(14.36f, 21.57f, 14.28f, 21.38f, 14.28f, 21.16f)
                close()
                moveTo(15.31f, 9.05f)
                curveToRelative(0.84f, 0.76f, 1.4f, 1.74f, 1.7f, 2.93f)
                horizontalLineToRelative(0.31f)
                curveToRelative(1.38f, 0.0f, 2.55f, 0.48f, 3.52f, 1.45f)
                curveToRelative(0.31f, -0.55f, 0.47f, -1.16f, 0.47f, -1.82f)
                curveToRelative(0.0f, -0.98f, -0.35f, -1.81f, -1.04f, -2.5f)
                curveToRelative(-0.69f, -0.68f, -1.53f, -1.03f, -2.51f, -1.03f)
                curveTo(16.8f, 8.08f, 15.98f, 8.4f, 15.31f, 9.05f)
                close()
                moveTo(16.91f, 3.78f)
                verticalLineTo(1.73f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.61f)
                curveToRelative(0.17f, -0.17f, 0.37f, -0.26f, 0.6f, -0.26f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.08f, 0.6f, 0.25f)
                curveToRelative(0.16f, 0.17f, 0.24f, 0.38f, 0.24f, 0.62f)
                verticalLineToRelative(2.05f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.45f, -0.24f, 0.62f)
                curveTo(18.2f, 4.57f, 18.0f, 4.65f, 17.76f, 4.65f)
                curveToRelative(-0.23f, 0.0f, -0.43f, -0.09f, -0.6f, -0.26f)
                curveTo(16.99f, 4.22f, 16.91f, 4.02f, 16.91f, 3.78f)
                close()
                moveTo(22.49f, 6.07f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.23f, -0.6f)
                lineToRelative(1.44f, -1.45f)
                curveToRelative(0.15f, -0.17f, 0.34f, -0.25f, 0.58f, -0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.08f, 0.6f, 0.25f)
                curveToRelative(0.18f, 0.16f, 0.26f, 0.36f, 0.26f, 0.6f)
                curveToRelative(0.0f, 0.24f, -0.09f, 0.44f, -0.26f, 0.6f)
                lineTo(23.9f, 6.68f)
                curveToRelative(-0.19f, 0.19f, -0.4f, 0.27f, -0.63f, 0.26f)
                curveToRelative(-0.23f, -0.02f, -0.41f, -0.1f, -0.55f, -0.26f)
                curveTo(22.56f, 6.52f, 22.49f, 6.32f, 22.49f, 6.07f)
                close()
                moveTo(23.26f, 17.98f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.61f)
                curveToRelative(0.17f, -0.17f, 0.37f, -0.25f, 0.6f, -0.25f)
                curveToRelative(0.23f, 0.0f, 0.43f, 0.09f, 0.61f, 0.26f)
                lineToRelative(0.62f, 0.63f)
                curveToRelative(0.18f, 0.17f, 0.26f, 0.38f, 0.26f, 0.61f)
                curveToRelative(0.0f, 0.24f, -0.09f, 0.44f, -0.26f, 0.6f)
                curveToRelative(-0.14f, 0.17f, -0.32f, 0.26f, -0.54f, 0.26f)
                lineToRelative(-0.02f, -0.02f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.62f, -0.24f)
                lineToRelative(-0.65f, -0.64f)
                curveTo(23.35f, 18.41f, 23.26f, 18.21f, 23.26f, 17.98f)
                close()
                moveTo(24.73f, 11.61f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.6f)
                curveToRelative(0.17f, -0.16f, 0.37f, -0.24f, 0.61f, -0.24f)
                horizontalLineToRelative(2.06f)
                curveToRelative(0.24f, 0.0f, 0.45f, 0.08f, 0.61f, 0.24f)
                reflectiveCurveToRelative(0.25f, 0.36f, 0.25f, 0.6f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.44f, -0.25f, 0.61f)
                curveToRelative(-0.17f, 0.17f, -0.37f, 0.25f, -0.61f, 0.25f)
                horizontalLineToRelative(-2.06f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.09f, -0.6f, -0.27f)
                curveTo(24.81f, 12.05f, 24.73f, 11.85f, 24.73f, 11.61f)
                close()
            }
        }
        .build()
        return _daySleet!!
    }

private var _daySleet: ImageVector? = null
