package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.NightShowers: ImageVector
    get() {
        if (_nightShowers != null) {
            return _nightShowers!!
        }
        _nightShowers = Builder(name = "NightShowers", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.25f, 16.92f)
                curveToRelative(0.0f, 0.66f, 0.12f, 1.28f, 0.38f, 1.88f)
                curveToRelative(0.25f, 0.6f, 0.59f, 1.11f, 1.02f, 1.55f)
                curveToRelative(0.43f, 0.44f, 0.94f, 0.79f, 1.53f, 1.06f)
                reflectiveCurveToRelative(1.22f, 0.42f, 1.88f, 0.45f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.11f, -0.06f, -0.17f, -0.18f, -0.17f)
                curveToRelative(-0.85f, -0.04f, -1.58f, -0.39f, -2.18f, -1.03f)
                reflectiveCurveToRelative(-0.9f, -1.39f, -0.9f, -2.24f)
                reflectiveCurveToRelative(0.28f, -1.58f, 0.84f, -2.2f)
                reflectiveCurveToRelative(1.26f, -0.96f, 2.1f, -1.03f)
                lineToRelative(0.53f, -0.07f)
                curveToRelative(0.1f, 0.0f, 0.15f, -0.05f, 0.15f, -0.15f)
                lineToRelative(0.08f, -0.53f)
                curveToRelative(0.11f, -1.09f, 0.58f, -2.0f, 1.4f, -2.73f)
                curveToRelative(0.82f, -0.73f, 1.78f, -1.09f, 2.88f, -1.09f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.36f, 2.85f, 1.08f)
                curveToRelative(0.82f, 0.72f, 1.28f, 1.62f, 1.4f, 2.7f)
                lineToRelative(0.07f, 0.57f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.19f, 0.18f, 0.19f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.89f, 0.0f, 1.65f, 0.32f, 2.29f, 0.96f)
                curveToRelative(0.64f, 0.64f, 0.96f, 1.41f, 0.96f, 2.31f)
                curveToRelative(0.0f, 0.85f, -0.3f, 1.6f, -0.89f, 2.24f)
                reflectiveCurveToRelative(-1.32f, 0.98f, -2.17f, 1.03f)
                curveToRelative(-0.13f, 0.0f, -0.19f, 0.06f, -0.19f, 0.17f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.19f, 0.17f)
                curveToRelative(1.34f, -0.06f, 2.47f, -0.57f, 3.39f, -1.52f)
                curveToRelative(0.93f, -0.95f, 1.39f, -2.09f, 1.39f, -3.42f)
                curveToRelative(0.0f, -0.64f, -0.14f, -1.31f, -0.41f, -2.0f)
                curveToRelative(0.76f, -0.99f, 1.13f, -2.09f, 1.13f, -3.29f)
                curveToRelative(0.0f, -0.94f, -0.24f, -1.82f, -0.71f, -2.63f)
                reflectiveCurveToRelative(-1.11f, -1.45f, -1.92f, -1.92f)
                curveToRelative(-0.81f, -0.47f, -1.68f, -0.71f, -2.62f, -0.71f)
                curveToRelative(-1.53f, 0.0f, -2.82f, 0.56f, -3.86f, 1.67f)
                curveToRelative(-0.87f, -0.43f, -1.77f, -0.65f, -2.7f, -0.65f)
                curveToRelative(-1.42f, 0.0f, -2.68f, 0.44f, -3.77f, 1.32f)
                reflectiveCurveToRelative(-1.79f, 2.01f, -2.1f, 3.38f)
                curveToRelative(-1.13f, 0.26f, -2.05f, 0.84f, -2.76f, 1.72f)
                reflectiveCurveTo(4.25f, 15.74f, 4.25f, 16.92f)
                close()
                moveTo(9.64f, 23.67f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.15f, 0.48f)
                curveToRelative(0.1f, 0.15f, 0.26f, 0.27f, 0.48f, 0.34f)
                curveToRelative(0.11f, 0.06f, 0.24f, 0.08f, 0.37f, 0.07f)
                curveToRelative(0.13f, -0.01f, 0.27f, -0.08f, 0.4f, -0.2f)
                curveToRelative(0.13f, -0.12f, 0.23f, -0.28f, 0.28f, -0.48f)
                lineToRelative(0.28f, -1.01f)
                curveToRelative(0.06f, -0.25f, 0.04f, -0.48f, -0.08f, -0.67f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.32f, -0.53f, -0.37f)
                curveToRelative(-0.21f, -0.07f, -0.42f, -0.05f, -0.63f, 0.07f)
                reflectiveCurveToRelative(-0.34f, 0.28f, -0.41f, 0.5f)
                lineToRelative(-0.28f, 1.04f)
                curveTo(9.65f, 23.53f, 9.64f, 23.61f, 9.64f, 23.67f)
                close()
                moveTo(10.95f, 18.9f)
                curveToRelative(0.01f, 0.19f, 0.06f, 0.37f, 0.17f, 0.52f)
                reflectiveCurveToRelative(0.27f, 0.25f, 0.48f, 0.28f)
                curveToRelative(0.18f, 0.03f, 0.27f, 0.05f, 0.3f, 0.05f)
                curveToRelative(0.38f, 0.0f, 0.63f, -0.22f, 0.76f, -0.66f)
                lineToRelative(0.28f, -1.0f)
                curveToRelative(0.06f, -0.23f, 0.04f, -0.45f, -0.08f, -0.66f)
                curveToRelative(-0.12f, -0.21f, -0.29f, -0.35f, -0.53f, -0.42f)
                curveToRelative(-0.22f, -0.06f, -0.44f, -0.04f, -0.64f, 0.08f)
                reflectiveCurveToRelative(-0.33f, 0.29f, -0.4f, 0.52f)
                lineToRelative(-0.3f, 1.05f)
                curveTo(10.97f, 18.78f, 10.95f, 18.86f, 10.95f, 18.9f)
                close()
                moveTo(12.19f, 26.8f)
                curveToRelative(0.0f, 0.18f, 0.05f, 0.34f, 0.15f, 0.5f)
                curveToRelative(0.1f, 0.16f, 0.26f, 0.27f, 0.48f, 0.33f)
                curveToRelative(0.14f, 0.03f, 0.23f, 0.05f, 0.28f, 0.05f)
                curveToRelative(0.09f, 0.0f, 0.21f, -0.03f, 0.38f, -0.1f)
                curveToRelative(0.17f, -0.08f, 0.3f, -0.27f, 0.38f, -0.55f)
                lineToRelative(0.3f, -1.01f)
                curveToRelative(0.06f, -0.25f, 0.03f, -0.48f, -0.08f, -0.68f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.33f, -0.52f, -0.37f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.05f, -0.64f, 0.07f)
                curveToRelative(-0.21f, 0.12f, -0.35f, 0.29f, -0.42f, 0.51f)
                lineToRelative(-0.28f, 1.04f)
                curveTo(12.2f, 26.67f, 12.19f, 26.74f, 12.19f, 26.8f)
                close()
                moveTo(13.52f, 22.0f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.16f, 0.49f)
                curveToRelative(0.11f, 0.16f, 0.27f, 0.27f, 0.49f, 0.33f)
                curveToRelative(0.22f, 0.07f, 0.44f, 0.05f, 0.63f, -0.05f)
                curveToRelative(0.2f, -0.1f, 0.33f, -0.29f, 0.41f, -0.56f)
                lineToRelative(0.28f, -1.01f)
                curveToRelative(0.07f, -0.25f, 0.05f, -0.47f, -0.07f, -0.67f)
                curveToRelative(-0.12f, -0.19f, -0.29f, -0.31f, -0.53f, -0.36f)
                curveToRelative(-0.22f, -0.08f, -0.43f, -0.05f, -0.64f, 0.06f)
                reflectiveCurveToRelative(-0.34f, 0.29f, -0.41f, 0.51f)
                lineToRelative(-0.28f, 1.04f)
                curveTo(13.54f, 21.88f, 13.52f, 21.95f, 13.52f, 22.0f)
                close()
                moveTo(16.37f, 23.75f)
                curveToRelative(-0.01f, 0.16f, 0.03f, 0.31f, 0.14f, 0.46f)
                reflectiveCurveToRelative(0.26f, 0.26f, 0.46f, 0.33f)
                lineToRelative(0.25f, 0.03f)
                curveToRelative(0.11f, 0.01f, 0.24f, -0.02f, 0.38f, -0.07f)
                curveToRelative(0.21f, -0.08f, 0.35f, -0.26f, 0.42f, -0.54f)
                lineToRelative(0.28f, -1.05f)
                curveToRelative(0.07f, -0.23f, 0.05f, -0.45f, -0.07f, -0.64f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.33f, -0.51f, -0.4f)
                curveToRelative(-0.25f, -0.06f, -0.47f, -0.03f, -0.67f, 0.08f)
                reflectiveCurveToRelative(-0.32f, 0.3f, -0.36f, 0.53f)
                lineToRelative(-0.29f, 1.0f)
                curveTo(16.38f, 23.65f, 16.37f, 23.74f, 16.37f, 23.75f)
                close()
                moveTo(17.72f, 18.95f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.34f, 0.16f, 0.5f)
                curveToRelative(0.11f, 0.16f, 0.27f, 0.26f, 0.48f, 0.3f)
                lineToRelative(0.25f, 0.03f)
                curveToRelative(0.43f, 0.0f, 0.7f, -0.21f, 0.81f, -0.62f)
                lineToRelative(0.28f, -1.03f)
                curveToRelative(0.06f, -0.25f, 0.03f, -0.48f, -0.08f, -0.68f)
                reflectiveCurveToRelative(-0.3f, -0.32f, -0.53f, -0.37f)
                curveToRelative(-0.23f, -0.07f, -0.45f, -0.05f, -0.64f, 0.07f)
                curveToRelative(-0.2f, 0.12f, -0.33f, 0.29f, -0.39f, 0.53f)
                lineToRelative(-0.3f, 1.02f)
                curveTo(17.74f, 18.82f, 17.72f, 18.9f, 17.72f, 18.95f)
                close()
                moveTo(18.06f, 9.05f)
                curveToRelative(0.67f, -0.64f, 1.48f, -0.97f, 2.45f, -0.97f)
                curveToRelative(0.98f, 0.0f, 1.81f, 0.35f, 2.49f, 1.05f)
                curveToRelative(0.69f, 0.7f, 1.03f, 1.53f, 1.03f, 2.51f)
                curveToRelative(0.0f, 0.64f, -0.16f, 1.23f, -0.48f, 1.77f)
                curveToRelative(-0.96f, -0.96f, -2.12f, -1.44f, -3.49f, -1.44f)
                horizontalLineToRelative(-0.32f)
                curveTo(19.5f, 10.87f, 18.94f, 9.9f, 18.06f, 9.05f)
                close()
            }
        }
        .build()
        return _nightShowers!!
    }

private var _nightShowers: ImageVector? = null
