package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.FonticonsFi: ImageVector
    get() {
        if (_fonticonsFi != null) {
            return _fonticonsFi!!
        }
        _fonticonsFi = Builder(name = "FonticonsFi", defaultWidth = 384.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(114.4f, 224.0f)
                horizontalLineToRelative(92.4f)
                lineToRelative(-15.2f, 51.2f)
                horizontalLineToRelative(-76.4f)
                lineTo(115.2f, 433.0f)
                curveToRelative(0.0f, 8.0f, -2.8f, 9.2f, 4.4f, 10.0f)
                lineToRelative(59.6f, 5.6f)
                lineTo(179.2f, 483.0f)
                lineTo(0.0f, 483.0f)
                verticalLineToRelative(-35.2f)
                lineToRelative(29.2f, -2.8f)
                curveToRelative(7.2f, -0.8f, 9.2f, -3.2f, 9.2f, -10.8f)
                lineTo(38.4f, 278.4f)
                curveToRelative(0.0f, -3.2f, -4.0f, -3.2f, -8.0f, -3.2f)
                lineTo(0.0f, 275.2f)
                lineTo(0.0f, 224.0f)
                horizontalLineToRelative(38.4f)
                verticalLineToRelative(-28.8f)
                curveToRelative(0.0f, -68.0f, 36.4f, -96.0f, 106.0f, -96.0f)
                curveToRelative(46.8f, 0.0f, 88.8f, 11.2f, 88.8f, 72.4f)
                lineToRelative(-69.6f, 8.4f)
                curveToRelative(0.4f, -25.6f, -6.0f, -31.6f, -22.4f, -31.6f)
                curveToRelative(-25.2f, 0.0f, -26.0f, 13.6f, -26.0f, 37.6f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 3.2f, -4.8f, 6.0f, -0.8f, 6.0f)
                close()
                moveTo(384.0f, 483.0f)
                lineTo(243.2f, 483.0f)
                verticalLineToRelative(-34.4f)
                lineToRelative(28.0f, -3.6f)
                curveToRelative(7.2f, -0.8f, 10.4f, -2.4f, 10.4f, -10.0f)
                lineTo(281.6f, 287.0f)
                curveToRelative(0.0f, -5.6f, -4.0f, -9.2f, -9.2f, -10.8f)
                lineToRelative(-33.2f, -8.8f)
                lineToRelative(9.2f, -40.4f)
                horizontalLineToRelative(110.0f)
                verticalLineToRelative(208.0f)
                curveToRelative(0.0f, 8.0f, -3.6f, 8.8f, 4.0f, 10.0f)
                lineToRelative(21.6f, 3.6f)
                lineTo(384.0f, 483.0f)
                close()
                moveTo(354.0f, 135.8f)
                lineToRelative(12.4f, 45.6f)
                lineToRelative(-10.0f, 10.0f)
                lineToRelative(-42.8f, -22.8f)
                lineToRelative(-42.8f, 22.8f)
                lineToRelative(-10.0f, -10.0f)
                lineToRelative(12.4f, -45.6f)
                lineToRelative(-30.0f, -36.4f)
                lineToRelative(4.8f, -10.0f)
                horizontalLineToRelative(38.0f)
                lineTo(307.2f, 51.0f)
                lineTo(320.0f, 51.0f)
                lineToRelative(21.2f, 38.4f)
                horizontalLineToRelative(38.0f)
                lineToRelative(4.8f, 13.2f)
                lineToRelative(-30.0f, 33.2f)
                close()
            }
        }
        .build()
        return _fonticonsFi!!
    }

private var _fonticonsFi: ImageVector? = null
