package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Grav: ImageVector
    get() {
        if (_grav != null) {
            return _grav!!
        }
        _grav = Builder(name = "Grav", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(301.1f, 212.0f)
                curveToRelative(4.4f, 4.4f, 4.4f, 11.9f, 0.0f, 16.3f)
                lineToRelative(-9.7f, 9.7f)
                curveToRelative(-4.4f, 4.7f, -11.9f, 4.7f, -16.6f, 0.0f)
                lineToRelative(-10.5f, -10.5f)
                curveToRelative(-4.4f, -4.7f, -4.4f, -11.9f, 0.0f, -16.6f)
                lineToRelative(9.7f, -9.7f)
                curveToRelative(4.4f, -4.4f, 11.9f, -4.4f, 16.6f, 0.0f)
                lineToRelative(10.5f, 10.8f)
                close()
                moveTo(270.9f, 192.3f)
                curveToRelative(3.0f, -3.0f, 3.0f, -7.8f, 0.0f, -10.5f)
                curveToRelative(-2.8f, -3.0f, -7.5f, -3.0f, -10.5f, 0.0f)
                curveToRelative(-2.8f, 2.8f, -2.8f, 7.5f, 0.0f, 10.5f)
                curveToRelative(3.1f, 2.8f, 7.8f, 2.8f, 10.5f, 0.0f)
                close()
                moveTo(244.9f, 197.6f)
                curveToRelative(-3.0f, 2.8f, -3.0f, 7.5f, 0.0f, 10.2f)
                curveToRelative(2.8f, 3.0f, 7.5f, 3.0f, 10.5f, 0.0f)
                curveToRelative(2.8f, -2.8f, 2.8f, -7.5f, 0.0f, -10.2f)
                curveToRelative(-3.0f, -3.0f, -7.7f, -3.0f, -10.5f, 0.0f)
                close()
                moveTo(317.4f, 184.3f)
                curveToRelative(-19.9f, -14.4f, -33.8f, -43.2f, -11.9f, -68.1f)
                curveToRelative(21.6f, -24.9f, 40.7f, -17.2f, 59.8f, 0.8f)
                curveToRelative(11.9f, 11.3f, 29.3f, 24.9f, 17.2f, 48.2f)
                curveToRelative(-12.5f, 23.5f, -45.1f, 33.2f, -65.1f, 19.1f)
                close()
                moveTo(365.1f, 139.8f)
                curveToRelative(-8.9f, -10.0f, -23.3f, 6.9f, -15.5f, 16.1f)
                curveToRelative(7.4f, 9.0f, 32.1f, 2.4f, 15.5f, -16.1f)
                close()
                moveTo(504.0f, 256.0f)
                curveToRelative(0.0f, 137.0f, -111.0f, 248.0f, -248.0f, 248.0f)
                reflectiveCurveTo(8.0f, 393.0f, 8.0f, 256.0f)
                reflectiveCurveTo(119.0f, 8.0f, 256.0f, 8.0f)
                reflectiveCurveToRelative(248.0f, 111.0f, 248.0f, 248.0f)
                close()
                moveTo(437.8f, 298.6f)
                curveToRelative(2.5f, -16.1f, -20.2f, -16.6f, -25.2f, -25.7f)
                curveToRelative(-13.6f, -24.1f, -27.7f, -36.8f, -54.5f, -30.4f)
                curveToRelative(11.6f, -8.0f, 23.5f, -6.1f, 23.5f, -6.1f)
                curveToRelative(0.3f, -6.4f, 0.0f, -13.0f, -9.4f, -24.9f)
                curveToRelative(3.9f, -12.5f, 0.3f, -22.4f, 0.3f, -22.4f)
                curveToRelative(15.5f, -8.6f, 26.8f, -24.4f, 29.1f, -43.2f)
                curveToRelative(3.6f, -31.0f, -18.8f, -59.2f, -49.8f, -62.8f)
                curveToRelative(-22.1f, -2.5f, -43.7f, 7.7f, -54.3f, 25.7f)
                curveToRelative(-23.2f, 40.1f, 1.4f, 70.9f, 22.4f, 81.4f)
                curveToRelative(-14.4f, -1.4f, -34.3f, -11.9f, -40.1f, -34.3f)
                curveToRelative(-6.6f, -25.7f, 2.8f, -49.8f, 8.9f, -61.4f)
                curveToRelative(0.0f, 0.0f, -4.4f, -5.8f, -8.0f, -8.9f)
                curveToRelative(0.0f, 0.0f, -13.8f, 0.0f, -24.6f, 5.3f)
                curveToRelative(11.9f, -15.2f, 25.2f, -14.4f, 25.2f, -14.4f)
                curveToRelative(0.0f, -6.4f, -0.6f, -14.9f, -3.6f, -21.6f)
                curveToRelative(-5.4f, -11.0f, -23.8f, -12.9f, -31.7f, 2.8f)
                curveToRelative(0.1f, -0.2f, 0.3f, -0.4f, 0.4f, -0.5f)
                curveToRelative(-5.0f, 11.9f, -1.1f, 55.9f, 16.9f, 87.2f)
                curveToRelative(-2.5f, 1.4f, -9.1f, 6.1f, -13.0f, 10.0f)
                curveToRelative(-21.6f, 9.7f, -56.2f, 60.3f, -56.2f, 60.3f)
                curveToRelative(-28.2f, 10.8f, -77.2f, 50.9f, -70.6f, 79.7f)
                curveToRelative(0.3f, 3.0f, 1.4f, 5.5f, 3.0f, 7.5f)
                curveToRelative(-2.8f, 2.2f, -5.5f, 5.0f, -8.3f, 8.3f)
                curveToRelative(-11.9f, 13.8f, -5.3f, 35.2f, 17.7f, 24.4f)
                curveToRelative(15.8f, -7.2f, 29.6f, -20.2f, 36.3f, -30.4f)
                curveToRelative(0.0f, 0.0f, -5.5f, -5.0f, -16.3f, -4.4f)
                curveToRelative(27.7f, -6.6f, 34.3f, -9.4f, 46.2f, -9.1f)
                curveToRelative(8.0f, 3.9f, 8.0f, -34.3f, 8.0f, -34.3f)
                curveToRelative(0.0f, -14.7f, -2.2f, -31.0f, -11.1f, -41.5f)
                curveToRelative(12.5f, 12.2f, 29.1f, 32.7f, 28.0f, 60.6f)
                curveToRelative(-0.8f, 18.3f, -15.2f, 23.0f, -15.2f, 23.0f)
                curveToRelative(-9.1f, 16.6f, -43.2f, 65.9f, -30.4f, 106.0f)
                curveToRelative(0.0f, 0.0f, -9.7f, -14.9f, -10.2f, -22.1f)
                curveToRelative(-17.4f, 19.4f, -46.5f, 52.3f, -24.6f, 64.5f)
                curveToRelative(26.6f, 14.7f, 108.8f, -88.6f, 126.2f, -142.3f)
                curveToRelative(34.6f, -20.8f, 55.4f, -47.3f, 63.9f, -65.0f)
                curveToRelative(22.0f, 43.5f, 95.3f, 94.5f, 101.1f, 59.0f)
                close()
            }
        }
        .build()
        return _grav!!
    }

private var _grav: ImageVector? = null
