package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.RaspberryPi: ImageVector
    get() {
        if (_raspberryPi != null) {
            return _raspberryPi!!
        }
        _raspberryPi = Builder(name = "RaspberryPi", defaultWidth = 407.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 407.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(372.0f, 232.5f)
                lineToRelative(-3.7f, -6.5f)
                curveToRelative(0.1f, -46.4f, -21.4f, -65.3f, -46.5f, -79.7f)
                curveToRelative(7.6f, -2.0f, 15.4f, -3.6f, 17.6f, -13.2f)
                curveToRelative(13.1f, -3.3f, 15.8f, -9.4f, 17.1f, -15.8f)
                curveToRelative(3.4f, -2.3f, 14.8f, -8.7f, 13.6f, -19.7f)
                curveToRelative(6.4f, -4.4f, 10.0f, -10.1f, 8.1f, -18.1f)
                curveToRelative(6.9f, -7.5f, 8.7f, -13.7f, 5.8f, -19.4f)
                curveToRelative(8.3f, -10.3f, 4.6f, -15.6f, 1.1f, -20.9f)
                curveToRelative(6.2f, -11.2f, 0.7f, -23.2f, -16.6f, -21.2f)
                curveToRelative(-6.9f, -10.1f, -21.9f, -7.8f, -24.2f, -7.8f)
                curveToRelative(-2.6f, -3.2f, -6.0f, -6.0f, -16.5f, -4.7f)
                curveToRelative(-6.8f, -6.1f, -14.4f, -5.0f, -22.3f, -2.1f)
                curveToRelative(-9.3f, -7.3f, -15.5f, -1.4f, -22.6f, 0.8f)
                curveTo(271.6f, 0.6f, 269.0f, 5.5f, 263.5f, 7.6f)
                curveToRelative(-12.3f, -2.6f, -16.1f, 3.0f, -22.0f, 8.9f)
                lineToRelative(-6.9f, -0.1f)
                curveToRelative(-18.6f, 10.8f, -27.8f, 32.8f, -31.1f, 44.1f)
                curveToRelative(-3.3f, -11.3f, -12.5f, -33.3f, -31.1f, -44.1f)
                lineToRelative(-6.9f, 0.1f)
                curveToRelative(-5.9f, -5.9f, -9.7f, -11.5f, -22.0f, -8.9f)
                curveToRelative(-5.6f, -2.0f, -8.1f, -7.0f, -19.4f, -3.4f)
                curveToRelative(-4.6f, -1.4f, -8.9f, -4.4f, -13.9f, -4.3f)
                curveToRelative(-2.6f, 0.1f, -5.5f, 1.0f, -8.7f, 3.5f)
                curveToRelative(-7.9f, -3.0f, -15.5f, -4.0f, -22.3f, 2.1f)
                curveToRelative(-10.5f, -1.3f, -14.0f, 1.4f, -16.5f, 4.7f)
                curveToRelative(-2.3f, 0.0f, -17.3f, -2.3f, -24.2f, 7.8f)
                curveTo(21.2f, 16.0f, 15.8f, 28.0f, 22.0f, 39.2f)
                curveToRelative(-3.5f, 5.4f, -7.2f, 10.7f, 1.1f, 20.9f)
                curveToRelative(-2.9f, 5.7f, -1.1f, 11.9f, 5.8f, 19.4f)
                curveToRelative(-1.8f, 8.0f, 1.8f, 13.7f, 8.1f, 18.1f)
                curveToRelative(-1.2f, 11.0f, 10.2f, 17.4f, 13.6f, 19.7f)
                curveToRelative(1.3f, 6.4f, 4.0f, 12.4f, 17.1f, 15.8f)
                curveToRelative(2.2f, 9.5f, 10.0f, 11.2f, 17.6f, 13.2f)
                curveToRelative(-25.1f, 14.4f, -46.6f, 33.3f, -46.5f, 79.7f)
                lineToRelative(-3.7f, 6.5f)
                curveToRelative(-28.8f, 17.2f, -54.7f, 72.7f, -14.2f, 117.7f)
                curveToRelative(2.6f, 14.1f, 7.1f, 24.2f, 11.0f, 35.4f)
                curveToRelative(5.9f, 45.2f, 44.5f, 66.3f, 54.6f, 68.8f)
                curveToRelative(14.9f, 11.2f, 30.8f, 21.8f, 52.2f, 29.2f)
                curveTo(159.0f, 504.2f, 181.0f, 512.0f, 203.0f, 512.0f)
                horizontalLineToRelative(1.0f)
                curveToRelative(22.1f, 0.0f, 44.0f, -7.8f, 64.2f, -28.4f)
                curveToRelative(21.5f, -7.4f, 37.3f, -18.0f, 52.2f, -29.2f)
                curveToRelative(10.2f, -2.5f, 48.7f, -23.6f, 54.6f, -68.8f)
                curveToRelative(3.9f, -11.2f, 8.4f, -21.3f, 11.0f, -35.4f)
                curveToRelative(40.6f, -45.1f, 14.7f, -100.5f, -14.0f, -117.7f)
                close()
                moveTo(349.8f, 224.5f)
                curveToRelative(-1.5f, 18.7f, -98.9f, -65.1f, -82.1f, -67.9f)
                curveToRelative(45.7f, -7.5f, 83.6f, 19.2f, 82.1f, 67.9f)
                close()
                moveTo(306.8f, 317.6f)
                curveToRelative(-24.5f, 15.8f, -59.8f, 5.6f, -78.8f, -22.8f)
                reflectiveCurveToRelative(-14.6f, -64.2f, 9.9f, -80.0f)
                curveToRelative(24.5f, -15.8f, 59.8f, -5.6f, 78.8f, 22.8f)
                reflectiveCurveToRelative(14.6f, 64.2f, -9.9f, 80.0f)
                close()
                moveTo(238.9f, 29.3f)
                curveToRelative(0.8f, 4.2f, 1.8f, 6.8f, 2.9f, 7.6f)
                curveToRelative(5.4f, -5.8f, 9.8f, -11.7f, 16.8f, -17.3f)
                curveToRelative(0.0f, 3.3f, -1.7f, 6.8f, 2.5f, 9.4f)
                curveToRelative(3.7f, -5.0f, 8.8f, -9.5f, 15.5f, -13.3f)
                curveToRelative(-3.2f, 5.6f, -0.6f, 7.3f, 1.2f, 9.6f)
                curveToRelative(5.1f, -4.4f, 10.0f, -8.8f, 19.4f, -12.3f)
                curveToRelative(-2.6f, 3.1f, -6.2f, 6.2f, -2.4f, 9.8f)
                curveToRelative(5.3f, -3.3f, 10.6f, -6.6f, 23.1f, -8.9f)
                curveToRelative(-2.8f, 3.1f, -8.7f, 6.3f, -5.1f, 9.4f)
                curveToRelative(6.6f, -2.5f, 14.0f, -4.4f, 22.1f, -5.4f)
                curveToRelative(-3.9f, 3.2f, -7.1f, 6.3f, -3.9f, 8.8f)
                curveToRelative(7.1f, -2.2f, 16.9f, -5.1f, 26.4f, -2.6f)
                lineToRelative(-6.0f, 6.1f)
                curveToRelative(-0.7f, 0.8f, 14.1f, 0.6f, 23.9f, 0.8f)
                curveToRelative(-3.6f, 5.0f, -7.2f, 9.7f, -9.3f, 18.2f)
                curveToRelative(1.0f, 1.0f, 5.8f, 0.4f, 10.4f, 0.0f)
                curveToRelative(-4.7f, 9.9f, -12.8f, 12.3f, -14.7f, 16.6f)
                curveToRelative(2.9f, 2.2f, 6.8f, 1.6f, 11.2f, 0.1f)
                curveToRelative(-3.4f, 6.9f, -10.4f, 11.7f, -16.0f, 17.3f)
                curveToRelative(1.4f, 1.0f, 3.9f, 1.6f, 9.7f, 0.9f)
                curveToRelative(-5.2f, 5.5f, -11.4f, 10.5f, -18.8f, 15.0f)
                curveToRelative(1.3f, 1.5f, 5.8f, 1.5f, 10.0f, 1.6f)
                curveToRelative(-6.7f, 6.5f, -15.3f, 9.9f, -23.4f, 14.2f)
                curveToRelative(4.0f, 2.7f, 6.9f, 2.1f, 10.0f, 2.1f)
                curveToRelative(-5.7f, 4.7f, -15.4f, 7.1f, -24.4f, 10.0f)
                curveToRelative(1.7f, 2.7f, 3.4f, 3.4f, 7.1f, 4.1f)
                curveToRelative(-9.5f, 5.3f, -23.2f, 2.9f, -27.0f, 5.6f)
                curveToRelative(0.9f, 2.7f, 3.6f, 4.4f, 6.7f, 5.8f)
                curveToRelative(-15.4f, 0.9f, -57.3f, -0.6f, -65.4f, -32.3f)
                curveToRelative(15.7f, -17.3f, 44.4f, -37.5f, 93.7f, -62.6f)
                curveToRelative(-38.4f, 12.8f, -73.0f, 30.0f, -102.0f, 53.5f)
                curveToRelative(-34.3f, -15.9f, -10.8f, -55.9f, 5.8f, -71.8f)
                close()
                moveTo(204.5f, 143.9f)
                curveToRelative(24.2f, -0.3f, 54.1f, 17.8f, 54.0f, 34.7f)
                curveToRelative(-0.1f, 15.0f, -21.0f, 27.1f, -53.8f, 26.9f)
                curveToRelative(-32.1f, -0.4f, -53.7f, -15.2f, -53.6f, -29.8f)
                curveToRelative(0.0f, -11.9f, 26.2f, -32.5f, 53.4f, -31.8f)
                close()
                moveTo(81.5f, 131.1f)
                curveToRelative(3.7f, -0.7f, 5.4f, -1.5f, 7.1f, -4.1f)
                curveToRelative(-9.0f, -2.8f, -18.7f, -5.3f, -24.4f, -10.0f)
                curveToRelative(3.1f, 0.0f, 6.0f, 0.7f, 10.0f, -2.1f)
                curveToRelative(-8.1f, -4.3f, -16.7f, -7.7f, -23.4f, -14.2f)
                curveToRelative(4.2f, -0.1f, 8.7f, 0.0f, 10.0f, -1.6f)
                curveToRelative(-7.4f, -4.5f, -13.6f, -9.5f, -18.8f, -15.0f)
                curveToRelative(5.8f, 0.7f, 8.3f, 0.1f, 9.7f, -0.9f)
                curveToRelative(-5.6f, -5.6f, -12.7f, -10.4f, -16.0f, -17.3f)
                curveToRelative(4.3f, 1.5f, 8.3f, 2.0f, 11.2f, -0.1f)
                curveToRelative(-1.9f, -4.2f, -10.0f, -6.7f, -14.7f, -16.6f)
                curveToRelative(4.6f, 0.4f, 9.4f, 1.0f, 10.4f, 0.0f)
                curveToRelative(-2.1f, -8.5f, -5.8f, -13.3f, -9.3f, -18.2f)
                curveToRelative(9.8f, -0.1f, 24.6f, 0.0f, 23.9f, -0.8f)
                lineToRelative(-6.0f, -6.1f)
                curveToRelative(9.5f, -2.5f, 19.3f, 0.4f, 26.4f, 2.6f)
                curveToRelative(3.2f, -2.5f, -0.1f, -5.6f, -3.9f, -8.8f)
                curveToRelative(8.1f, 1.1f, 15.4f, 2.9f, 22.1f, 5.4f)
                curveToRelative(3.5f, -3.1f, -2.3f, -6.3f, -5.1f, -9.4f)
                curveToRelative(12.5f, 2.3f, 17.8f, 5.6f, 23.1f, 8.9f)
                curveToRelative(3.8f, -3.6f, 0.2f, -6.7f, -2.4f, -9.8f)
                curveToRelative(9.4f, 3.4f, 14.3f, 7.9f, 19.4f, 12.3f)
                curveToRelative(1.7f, -2.3f, 4.4f, -4.0f, 1.2f, -9.6f)
                curveToRelative(6.7f, 3.8f, 11.8f, 8.3f, 15.5f, 13.3f)
                curveToRelative(4.1f, -2.6f, 2.5f, -6.2f, 2.5f, -9.4f)
                curveToRelative(7.0f, 5.6f, 11.4f, 11.5f, 16.8f, 17.3f)
                curveToRelative(1.1f, -0.8f, 2.0f, -3.4f, 2.9f, -7.6f)
                curveToRelative(16.6f, 15.9f, 40.1f, 55.9f, 6.0f, 71.8f)
                curveToRelative(-29.0f, -23.5f, -63.6f, -40.7f, -102.0f, -53.5f)
                curveToRelative(49.3f, 25.0f, 78.0f, 45.3f, 93.7f, 62.6f)
                curveToRelative(-8.0f, 31.8f, -50.0f, 33.2f, -65.4f, 32.3f)
                curveToRelative(3.1f, -1.4f, 5.8f, -3.2f, 6.7f, -5.8f)
                curveToRelative(-4.0f, -2.8f, -17.6f, -0.4f, -27.2f, -5.6f)
                close()
                moveTo(141.6f, 155.2f)
                curveToRelative(16.8f, 2.8f, -80.6f, 86.5f, -82.1f, 67.9f)
                curveToRelative(-1.5f, -48.7f, 36.5f, -75.5f, 82.1f, -67.9f)
                close()
                moveTo(38.2f, 342.0f)
                curveToRelative(-23.7f, -18.8f, -31.3f, -73.7f, 12.6f, -98.3f)
                curveToRelative(26.5f, -7.0f, 9.0f, 107.8f, -12.6f, 98.3f)
                close()
                moveTo(129.2f, 440.2f)
                curveToRelative(-13.3f, 7.9f, -45.8f, 4.7f, -68.8f, -27.9f)
                curveToRelative(-15.5f, -27.4f, -13.5f, -55.2f, -2.6f, -63.4f)
                curveToRelative(16.3f, -9.8f, 41.5f, 3.4f, 60.9f, 25.6f)
                curveToRelative(16.9f, 20.0f, 24.6f, 55.3f, 10.5f, 65.7f)
                close()
                moveTo(102.8f, 320.5f)
                curveToRelative(-24.5f, -15.8f, -28.9f, -51.6f, -9.9f, -80.0f)
                reflectiveCurveToRelative(54.3f, -38.6f, 78.8f, -22.8f)
                reflectiveCurveToRelative(28.9f, 51.6f, 9.9f, 80.0f)
                curveToRelative(-19.1f, 28.4f, -54.4f, 38.6f, -78.8f, 22.8f)
                close()
                moveTo(205.0f, 496.0f)
                curveToRelative(-29.4f, 1.2f, -58.2f, -23.7f, -57.8f, -32.3f)
                curveToRelative(-0.4f, -12.7f, 35.8f, -22.6f, 59.3f, -22.0f)
                curveToRelative(23.7f, -1.0f, 55.6f, 7.5f, 55.7f, 18.9f)
                curveToRelative(0.5f, 11.0f, -28.8f, 35.9f, -57.2f, 35.4f)
                close()
                moveTo(263.9f, 371.1f)
                curveToRelative(0.2f, 29.7f, -26.2f, 53.8f, -58.8f, 54.0f)
                curveToRelative(-32.6f, 0.2f, -59.2f, -23.8f, -59.4f, -53.4f)
                verticalLineToRelative(-0.6f)
                curveToRelative(-0.2f, -29.7f, 26.2f, -53.8f, 58.8f, -54.0f)
                curveToRelative(32.6f, -0.2f, 59.2f, 23.8f, 59.4f, 53.4f)
                verticalLineToRelative(0.6f)
                close()
                moveTo(346.1f, 413.8f)
                curveToRelative(-25.3f, 34.6f, -59.6f, 35.9f, -72.3f, 26.3f)
                curveToRelative(-13.3f, -12.4f, -3.2f, -50.9f, 15.1f, -72.0f)
                curveToRelative(20.9f, -23.3f, 43.3f, -38.5f, 58.9f, -26.6f)
                curveToRelative(10.5f, 10.3f, 16.7f, 49.1f, -1.7f, 72.3f)
                close()
                moveTo(369.0f, 340.6f)
                curveToRelative(-21.5f, 9.4f, -39.0f, -105.3f, -12.6f, -98.3f)
                curveToRelative(43.9f, 24.7f, 36.3f, 79.6f, 12.6f, 98.3f)
                close()
            }
        }
        .build()
        return _raspberryPi!!
    }

private var _raspberryPi: ImageVector? = null
