package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.WhatsappSquare: ImageVector
    get() {
        if (_whatsappSquare != null) {
            return _whatsappSquare!!
        }
        _whatsappSquare = Builder(name = "WhatsappSquare", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(224.0f, 122.8f)
                curveToRelative(-72.7f, 0.0f, -131.8f, 59.1f, -131.9f, 131.8f)
                curveToRelative(0.0f, 24.9f, 7.0f, 49.2f, 20.2f, 70.1f)
                lineToRelative(3.1f, 5.0f)
                lineToRelative(-13.3f, 48.6f)
                lineToRelative(49.9f, -13.1f)
                lineToRelative(4.8f, 2.9f)
                curveToRelative(20.2f, 12.0f, 43.4f, 18.4f, 67.1f, 18.4f)
                horizontalLineToRelative(0.1f)
                curveToRelative(72.6f, 0.0f, 133.3f, -59.1f, 133.3f, -131.8f)
                curveToRelative(0.0f, -35.2f, -15.2f, -68.3f, -40.1f, -93.2f)
                curveToRelative(-25.0f, -25.0f, -58.0f, -38.7f, -93.2f, -38.7f)
                close()
                moveTo(301.5f, 311.2f)
                curveToRelative(-3.3f, 9.3f, -19.1f, 17.7f, -26.7f, 18.8f)
                curveToRelative(-12.6f, 1.9f, -22.4f, 0.9f, -47.5f, -9.9f)
                curveToRelative(-39.7f, -17.2f, -65.7f, -57.2f, -67.7f, -59.8f)
                curveToRelative(-2.0f, -2.6f, -16.2f, -21.5f, -16.2f, -41.0f)
                reflectiveCurveToRelative(10.2f, -29.1f, 13.9f, -33.1f)
                curveToRelative(3.6f, -4.0f, 7.9f, -5.0f, 10.6f, -5.0f)
                curveToRelative(2.6f, 0.0f, 5.3f, 0.0f, 7.6f, 0.1f)
                curveToRelative(2.4f, 0.1f, 5.7f, -0.9f, 8.9f, 6.8f)
                curveToRelative(3.3f, 7.9f, 11.2f, 27.4f, 12.2f, 29.4f)
                reflectiveCurveToRelative(1.7f, 4.3f, 0.3f, 6.9f)
                curveToRelative(-7.6f, 15.2f, -15.7f, 14.6f, -11.6f, 21.6f)
                curveToRelative(15.3f, 26.3f, 30.6f, 35.4f, 53.9f, 47.1f)
                curveToRelative(4.0f, 2.0f, 6.3f, 1.7f, 8.6f, -1.0f)
                curveToRelative(2.3f, -2.6f, 9.9f, -11.6f, 12.5f, -15.5f)
                curveToRelative(2.6f, -4.0f, 5.3f, -3.3f, 8.9f, -2.0f)
                curveToRelative(3.6f, 1.3f, 23.1f, 10.9f, 27.1f, 12.9f)
                reflectiveCurveToRelative(6.6f, 3.0f, 7.6f, 4.6f)
                curveToRelative(0.9f, 1.9f, 0.9f, 9.9f, -2.4f, 19.1f)
                close()
                moveTo(400.0f, 32.0f)
                lineTo(48.0f, 32.0f)
                curveTo(21.5f, 32.0f, 0.0f, 53.5f, 0.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(352.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                lineTo(448.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, -21.5f, -48.0f, -48.0f, -48.0f)
                close()
                moveTo(223.9f, 413.2f)
                curveToRelative(-26.6f, 0.0f, -52.7f, -6.7f, -75.8f, -19.3f)
                lineTo(64.0f, 416.0f)
                lineToRelative(22.5f, -82.2f)
                curveToRelative(-13.9f, -24.0f, -21.2f, -51.3f, -21.2f, -79.3f)
                curveTo(65.4f, 167.1f, 136.5f, 96.0f, 223.9f, 96.0f)
                curveToRelative(42.4f, 0.0f, 82.2f, 16.5f, 112.2f, 46.5f)
                curveToRelative(29.9f, 30.0f, 47.9f, 69.8f, 47.9f, 112.2f)
                curveToRelative(0.0f, 87.4f, -72.7f, 158.5f, -160.1f, 158.5f)
                close()
            }
        }
        .build()
        return _whatsappSquare!!
    }

private var _whatsappSquare: ImageVector? = null
