package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Wodu: ImageVector
    get() {
        if (_wodu != null) {
            return _wodu!!
        }
        _wodu = Builder(name = "Wodu", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(178.414f, 339.706f)
                lineTo(141.1f, 339.706f)
                lineTo(112.166f, 223.475f)
                horizontalLineToRelative(-0.478f)
                lineTo(83.228f, 339.706f)
                lineTo(45.2f, 339.706f)
                lineTo(0.0f, 168.946f)
                lineTo(37.548f, 168.946f)
                lineTo(64.574f, 285.177f)
                horizontalLineToRelative(0.478f)
                lineTo(94.707f, 168.946f)
                horizontalLineToRelative(35.157f)
                lineToRelative(29.178f, 117.667f)
                horizontalLineToRelative(0.479f)
                lineTo(187.5f, 168.946f)
                horizontalLineToRelative(36.831f)
                close()
                moveTo(271.4f, 212.713f)
                curveToRelative(38.984f, 0.0f, 64.1f, 25.828f, 64.1f, 65.291f)
                curveToRelative(0.0f, 39.222f, -25.111f, 65.05f, -64.1f, 65.05f)
                curveToRelative(-38.743f, 0.0f, -63.855f, -25.828f, -63.855f, -65.05f)
                curveTo(207.547f, 238.541f, 232.659f, 212.713f, 271.4f, 212.713f)
                close()
                moveTo(271.4f, 317.466f)
                curveToRelative(23.2f, 0.0f, 30.133f, -19.852f, 30.133f, -39.462f)
                curveToRelative(0.0f, -19.852f, -6.934f, -39.7f, -30.133f, -39.7f)
                curveToRelative(-27.7f, 0.0f, -29.894f, 19.85f, -29.894f, 39.7f)
                curveTo(241.508f, 297.614f, 248.443f, 317.466f, 271.4f, 317.466f)
                close()
                moveTo(435.084f, 323.922f)
                horizontalLineToRelative(-0.478f)
                curveToRelative(-7.893f, 13.392f, -21.765f, 19.132f, -37.548f, 19.132f)
                curveToRelative(-37.31f, 0.0f, -55.485f, -32.045f, -55.485f, -66.246f)
                curveToRelative(0.0f, -33.243f, 18.415f, -64.095f, 54.767f, -64.095f)
                curveToRelative(14.589f, 0.0f, 28.938f, 6.218f, 36.831f, 18.416f)
                horizontalLineToRelative(0.24f)
                lineTo(433.411f, 168.946f)
                horizontalLineToRelative(33.96f)
                verticalLineToRelative(170.76f)
                lineTo(435.084f, 339.706f)
                close()
                moveTo(405.428f, 238.3f)
                curveToRelative(-22.24f, 0.0f, -29.894f, 19.134f, -29.894f, 39.463f)
                curveToRelative(0.0f, 19.371f, 8.848f, 39.7f, 29.894f, 39.7f)
                curveToRelative(22.482f, 0.0f, 29.178f, -19.613f, 29.178f, -39.94f)
                curveTo(434.606f, 257.436f, 427.432f, 238.3f, 405.428f, 238.3f)
                close()
                moveTo(592.96f, 339.706f)
                lineTo(560.673f, 339.706f)
                lineTo(560.673f, 322.487f)
                horizontalLineToRelative(-0.718f)
                curveToRelative(-8.609f, 13.87f, -23.436f, 20.567f, -37.786f, 20.567f)
                curveToRelative(-36.113f, 0.0f, -45.2f, -20.328f, -45.2f, -50.941f)
                lineTo(476.969f, 216.061f)
                horizontalLineToRelative(33.959f)
                lineTo(510.928f, 285.9f)
                curveToRelative(0.0f, 20.329f, 5.979f, 30.372f, 21.765f, 30.372f)
                curveToRelative(18.415f, 0.0f, 26.306f, -10.283f, 26.306f, -35.393f)
                lineTo(558.999f, 216.061f)
                lineTo(592.96f, 216.061f)
                close()
                moveTo(602.453f, 302.876f)
                lineTo(640.0f, 302.876f)
                verticalLineToRelative(36.83f)
                lineTo(602.453f, 339.706f)
                close()
            }
        }
        .build()
        return _wodu!!
    }

private var _wodu: ImageVector? = null
