package compose.icons.fontawesomeicons.regular

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.RegularGroup

public val RegularGroup.HandRock: ImageVector
    get() {
        if (_handRock != null) {
            return _handRock!!
        }
        _handRock = Builder(name = "HandRock", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(408.864f, 79.052f)
                curveToRelative(-22.401f, -33.898f, -66.108f, -42.273f, -98.813f, -23.588f)
                curveToRelative(-29.474f, -31.469f, -79.145f, -31.093f, -108.334f, -0.022f)
                curveToRelative(-47.16f, -27.02f, -108.71f, 5.055f, -110.671f, 60.806f)
                curveTo(44.846f, 105.407f, 0.0f, 140.001f, 0.0f, 187.429f)
                verticalLineToRelative(56.953f)
                curveToRelative(0.0f, 32.741f, 14.28f, 63.954f, 39.18f, 85.634f)
                lineToRelative(97.71f, 85.081f)
                curveToRelative(4.252f, 3.702f, 3.11f, 5.573f, 3.11f, 32.903f)
                curveToRelative(0.0f, 17.673f, 14.327f, 32.0f, 32.0f, 32.0f)
                horizontalLineToRelative(252.0f)
                curveToRelative(17.673f, 0.0f, 32.0f, -14.327f, 32.0f, -32.0f)
                curveToRelative(0.0f, -23.513f, -1.015f, -30.745f, 3.982f, -42.37f)
                lineToRelative(42.835f, -99.656f)
                curveToRelative(6.094f, -14.177f, 9.183f, -29.172f, 9.183f, -44.568f)
                verticalLineTo(146.963f)
                curveToRelative(0.0f, -52.839f, -54.314f, -88.662f, -103.136f, -67.911f)
                close()
                moveTo(464.0f, 261.406f)
                arcToRelative(64.505f, 64.505f, 0.0f, false, true, -5.282f, 25.613f)
                lineToRelative(-42.835f, 99.655f)
                curveToRelative(-5.23f, 12.171f, -7.883f, 25.04f, -7.883f, 38.25f)
                verticalLineTo(432.0f)
                horizontalLineTo(188.0f)
                verticalLineToRelative(-10.286f)
                curveToRelative(0.0f, -16.37f, -7.14f, -31.977f, -19.59f, -42.817f)
                lineToRelative(-97.71f, -85.08f)
                curveTo(56.274f, 281.255f, 48.0f, 263.236f, 48.0f, 244.381f)
                verticalLineToRelative(-56.953f)
                curveToRelative(0.0f, -33.208f, 52.0f, -33.537f, 52.0f, 0.677f)
                verticalLineToRelative(41.228f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 5.493f, 12.067f)
                lineToRelative(7.0f, 6.095f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 139.0f, 235.429f)
                verticalLineTo(118.857f)
                curveToRelative(0.0f, -33.097f, 52.0f, -33.725f, 52.0f, 0.677f)
                verticalLineToRelative(26.751f)
                curveToRelative(0.0f, 8.836f, 7.164f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(7.0f)
                curveToRelative(8.836f, 0.0f, 16.0f, -7.164f, 16.0f, -16.0f)
                verticalLineToRelative(-41.143f)
                curveToRelative(0.0f, -33.134f, 52.0f, -33.675f, 52.0f, 0.677f)
                verticalLineToRelative(40.466f)
                curveToRelative(0.0f, 8.836f, 7.163f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(7.0f)
                curveToRelative(8.837f, 0.0f, 16.0f, -7.164f, 16.0f, -16.0f)
                verticalLineToRelative(-27.429f)
                curveToRelative(0.0f, -33.03f, 52.0f, -33.78f, 52.0f, 0.677f)
                verticalLineToRelative(26.751f)
                curveToRelative(0.0f, 8.836f, 7.163f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(7.0f)
                curveToRelative(8.837f, 0.0f, 16.0f, -7.164f, 16.0f, -16.0f)
                curveToRelative(0.0f, -33.146f, 52.0f, -33.613f, 52.0f, 0.677f)
                verticalLineToRelative(114.445f)
                close()
            }
        }
        .build()
        return _handRock!!
    }

private var _handRock: ImageVector? = null
