package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Allergies: ImageVector
    get() {
        if (_allergies != null) {
            return _allergies!!
        }
        _allergies = Builder(name = "Allergies", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(416.0f, 112.0f)
                curveToRelative(-17.6f, 0.0f, -32.0f, 14.4f, -32.0f, 32.0f)
                verticalLineToRelative(72.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                lineTo(352.0f, 64.0f)
                curveToRelative(0.0f, -17.6f, -14.4f, -32.0f, -32.0f, -32.0f)
                reflectiveCurveToRelative(-32.0f, 14.4f, -32.0f, 32.0f)
                verticalLineToRelative(152.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                lineTo(256.0f, 32.0f)
                curveToRelative(0.0f, -17.6f, -14.4f, -32.0f, -32.0f, -32.0f)
                reflectiveCurveToRelative(-32.0f, 14.4f, -32.0f, 32.0f)
                verticalLineToRelative(184.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                lineTo(160.0f, 64.0f)
                curveToRelative(0.0f, -17.6f, -14.4f, -32.0f, -32.0f, -32.0f)
                reflectiveCurveTo(96.0f, 46.4f, 96.0f, 64.0f)
                verticalLineToRelative(241.0f)
                lineToRelative(-23.6f, -32.5f)
                curveToRelative(-13.0f, -17.9f, -38.0f, -21.8f, -55.9f, -8.8f)
                reflectiveCurveToRelative(-21.8f, 38.0f, -8.8f, 55.9f)
                lineToRelative(125.6f, 172.7f)
                curveToRelative(9.0f, 12.4f, 23.5f, 19.8f, 38.8f, 19.8f)
                horizontalLineToRelative(197.6f)
                curveToRelative(22.3f, 0.0f, 41.6f, -15.3f, 46.7f, -37.0f)
                lineToRelative(26.5f, -112.7f)
                curveToRelative(3.2f, -13.7f, 4.9f, -28.3f, 5.1f, -42.3f)
                lineTo(448.0f, 144.0f)
                curveToRelative(0.0f, -17.6f, -14.4f, -32.0f, -32.0f, -32.0f)
                close()
                moveTo(176.0f, 416.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(176.0f, 320.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(240.0f, 448.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(240.0f, 352.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(304.0f, 384.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(336.0f, 448.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(368.0f, 320.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _allergies!!
    }

private var _allergies: ImageVector? = null
