package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.BirthdayCake: ImageVector
    get() {
        if (_birthdayCake != null) {
            return _birthdayCake!!
        }
        _birthdayCake = Builder(name = "BirthdayCake", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(448.0f, 384.0f)
                curveToRelative(-28.02f, 0.0f, -31.26f, -32.0f, -74.5f, -32.0f)
                curveToRelative(-43.43f, 0.0f, -46.825f, 32.0f, -74.75f, 32.0f)
                curveToRelative(-27.695f, 0.0f, -31.454f, -32.0f, -74.75f, -32.0f)
                curveToRelative(-42.842f, 0.0f, -47.218f, 32.0f, -74.5f, 32.0f)
                curveToRelative(-28.148f, 0.0f, -31.202f, -32.0f, -74.75f, -32.0f)
                curveToRelative(-43.547f, 0.0f, -46.653f, 32.0f, -74.75f, 32.0f)
                verticalLineToRelative(-80.0f)
                curveToRelative(0.0f, -26.5f, 21.5f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(16.0f)
                lineTo(64.0f, 112.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(64.0f)
                lineTo(192.0f, 112.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(64.0f)
                lineTo(320.0f, 112.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, 21.5f, 48.0f, 48.0f)
                verticalLineToRelative(80.0f)
                close()
                moveTo(448.0f, 512.0f)
                lineTo(0.0f, 512.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(43.356f, 0.0f, 46.767f, -32.0f, 74.75f, -32.0f)
                curveToRelative(27.951f, 0.0f, 31.253f, 32.0f, 74.75f, 32.0f)
                curveToRelative(42.843f, 0.0f, 47.217f, -32.0f, 74.5f, -32.0f)
                curveToRelative(28.148f, 0.0f, 31.201f, 32.0f, 74.75f, 32.0f)
                curveToRelative(43.357f, 0.0f, 46.767f, -32.0f, 74.75f, -32.0f)
                curveToRelative(27.488f, 0.0f, 31.252f, 32.0f, 74.5f, 32.0f)
                verticalLineToRelative(96.0f)
                close()
                moveTo(96.0f, 96.0f)
                curveToRelative(-17.75f, 0.0f, -32.0f, -14.25f, -32.0f, -32.0f)
                curveToRelative(0.0f, -31.0f, 32.0f, -23.0f, 32.0f, -64.0f)
                curveToRelative(12.0f, 0.0f, 32.0f, 29.5f, 32.0f, 56.0f)
                reflectiveCurveToRelative(-14.25f, 40.0f, -32.0f, 40.0f)
                close()
                moveTo(224.0f, 96.0f)
                curveToRelative(-17.75f, 0.0f, -32.0f, -14.25f, -32.0f, -32.0f)
                curveToRelative(0.0f, -31.0f, 32.0f, -23.0f, 32.0f, -64.0f)
                curveToRelative(12.0f, 0.0f, 32.0f, 29.5f, 32.0f, 56.0f)
                reflectiveCurveToRelative(-14.25f, 40.0f, -32.0f, 40.0f)
                close()
                moveTo(352.0f, 96.0f)
                curveToRelative(-17.75f, 0.0f, -32.0f, -14.25f, -32.0f, -32.0f)
                curveToRelative(0.0f, -31.0f, 32.0f, -23.0f, 32.0f, -64.0f)
                curveToRelative(12.0f, 0.0f, 32.0f, 29.5f, 32.0f, 56.0f)
                reflectiveCurveToRelative(-14.25f, 40.0f, -32.0f, 40.0f)
                close()
            }
        }
        .build()
        return _birthdayCake!!
    }

private var _birthdayCake: ImageVector? = null
