package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.CloudMoonRain: ImageVector
    get() {
        if (_cloudMoonRain != null) {
            return _cloudMoonRain!!
        }
        _cloudMoonRain = Builder(name = "CloudMoonRain", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(350.5f, 225.5f)
                curveToRelative(-6.9f, -37.2f, -39.3f, -65.5f, -78.5f, -65.5f)
                curveToRelative(-12.3f, 0.0f, -23.9f, 3.0f, -34.3f, 8.0f)
                curveToRelative(-17.4f, -24.1f, -45.6f, -40.0f, -77.7f, -40.0f)
                curveToRelative(-53.0f, 0.0f, -96.0f, 43.0f, -96.0f, 96.0f)
                curveToRelative(0.0f, 0.5f, 0.2f, 1.1f, 0.2f, 1.6f)
                curveTo(27.6f, 232.9f, 0.0f, 265.2f, 0.0f, 304.0f)
                curveToRelative(0.0f, 44.2f, 35.8f, 80.0f, 80.0f, 80.0f)
                horizontalLineToRelative(256.0f)
                curveToRelative(44.2f, 0.0f, 80.0f, -35.8f, 80.0f, -80.0f)
                curveToRelative(0.0f, -39.2f, -28.2f, -71.7f, -65.5f, -78.5f)
                close()
                moveTo(567.9f, 223.8f)
                curveToRelative(-70.4f, 13.3f, -135.0f, -40.3f, -135.0f, -110.8f)
                curveToRelative(0.0f, -40.6f, 21.9f, -78.0f, 57.5f, -98.1f)
                curveToRelative(5.5f, -3.1f, 4.1f, -11.4f, -2.1f, -12.5f)
                curveTo(479.6f, 0.8f, 470.7f, 0.0f, 461.8f, 0.0f)
                curveToRelative(-77.9f, 0.0f, -141.1f, 61.2f, -144.4f, 137.9f)
                curveToRelative(26.7f, 11.9f, 48.2f, 33.8f, 58.9f, 61.7f)
                curveToRelative(37.1f, 14.3f, 64.0f, 47.4f, 70.2f, 86.8f)
                curveToRelative(5.1f, 0.5f, 10.0f, 1.5f, 15.2f, 1.5f)
                curveToRelative(44.7f, 0.0f, 85.6f, -20.2f, 112.6f, -53.3f)
                curveToRelative(4.2f, -4.8f, -0.2f, -12.0f, -6.4f, -10.8f)
                close()
                moveTo(364.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
                moveTo(268.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
                moveTo(172.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
                moveTo(76.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
            }
        }
        .build()
        return _cloudMoonRain!!
    }

private var _cloudMoonRain: ImageVector? = null
