package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Diagnoses: ImageVector
    get() {
        if (_diagnoses != null) {
            return _diagnoses!!
        }
        _diagnoses = Builder(name = "Diagnoses", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(496.0f, 256.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                reflectiveCurveToRelative(-7.2f, -16.0f, -16.0f, -16.0f)
                reflectiveCurveToRelative(-16.0f, 7.2f, -16.0f, 16.0f)
                reflectiveCurveToRelative(7.2f, 16.0f, 16.0f, 16.0f)
                close()
                moveTo(320.0f, 176.0f)
                curveToRelative(48.5f, 0.0f, 88.0f, -39.5f, 88.0f, -88.0f)
                reflectiveCurveTo(368.5f, 0.0f, 320.0f, 0.0f)
                reflectiveCurveToRelative(-88.0f, 39.5f, -88.0f, 88.0f)
                reflectiveCurveToRelative(39.5f, 88.0f, 88.0f, 88.0f)
                close()
                moveTo(59.8f, 364.0f)
                curveToRelative(10.2f, 15.3f, 29.3f, 17.8f, 42.9f, 9.8f)
                curveToRelative(16.2f, -9.6f, 56.2f, -31.7f, 105.3f, -48.6f)
                lineTo(208.0f, 416.0f)
                horizontalLineToRelative(224.0f)
                verticalLineToRelative(-90.7f)
                curveToRelative(49.1f, 16.8f, 89.1f, 39.0f, 105.3f, 48.6f)
                curveToRelative(13.6f, 8.0f, 32.7f, 5.3f, 42.9f, -9.8f)
                lineToRelative(17.8f, -26.7f)
                curveToRelative(8.8f, -13.2f, 7.6f, -34.6f, -10.0f, -45.1f)
                curveToRelative(-11.9f, -7.1f, -29.7f, -17.0f, -51.1f, -27.4f)
                curveToRelative(-28.1f, 46.1f, -99.4f, 17.8f, -87.7f, -35.1f)
                curveTo(409.3f, 217.2f, 365.1f, 208.0f, 320.0f, 208.0f)
                curveToRelative(-57.0f, 0.0f, -112.9f, 14.5f, -160.0f, 32.2f)
                curveToRelative(-0.2f, 40.2f, -47.6f, 63.3f, -79.2f, 36.0f)
                curveToRelative(-11.2f, 6.0f, -21.3f, 11.6f, -28.7f, 16.0f)
                curveToRelative(-17.6f, 10.5f, -18.8f, 31.8f, -10.0f, 45.1f)
                lineTo(59.8f, 364.0f)
                close()
                moveTo(368.0f, 344.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, 10.7f, 24.0f, 24.0f)
                reflectiveCurveToRelative(-10.7f, 24.0f, -24.0f, 24.0f)
                reflectiveCurveToRelative(-24.0f, -10.7f, -24.0f, -24.0f)
                reflectiveCurveToRelative(10.7f, -24.0f, 24.0f, -24.0f)
                close()
                moveTo(272.0f, 248.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, 10.7f, 24.0f, 24.0f)
                reflectiveCurveToRelative(-10.7f, 24.0f, -24.0f, 24.0f)
                reflectiveCurveToRelative(-24.0f, -10.7f, -24.0f, -24.0f)
                reflectiveCurveToRelative(10.7f, -24.0f, 24.0f, -24.0f)
                close()
                moveTo(112.0f, 256.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                reflectiveCurveToRelative(-7.2f, -16.0f, -16.0f, -16.0f)
                reflectiveCurveToRelative(-16.0f, 7.2f, -16.0f, 16.0f)
                reflectiveCurveToRelative(7.2f, 16.0f, 16.0f, 16.0f)
                close()
                moveTo(624.0f, 448.0f)
                lineTo(16.0f, 448.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(608.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.8f, -7.2f, -16.0f, -16.0f, -16.0f)
                close()
            }
        }
        .build()
        return _diagnoses!!
    }

private var _diagnoses: ImageVector? = null
