package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Gifts: ImageVector
    get() {
        if (_gifts != null) {
            return _gifts!!
        }
        _gifts = Builder(name = "Gifts", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(240.6f, 194.1f)
                curveToRelative(1.9f, -30.8f, 17.3f, -61.2f, 44.0f, -79.8f)
                curveTo(279.4f, 103.5f, 268.7f, 96.0f, 256.0f, 96.0f)
                horizontalLineToRelative(-29.4f)
                lineToRelative(30.7f, -22.0f)
                curveToRelative(7.2f, -5.1f, 8.9f, -15.1f, 3.7f, -22.3f)
                lineToRelative(-9.3f, -13.0f)
                curveToRelative(-5.1f, -7.2f, -15.1f, -8.9f, -22.3f, -3.7f)
                lineToRelative(-32.0f, 22.9f)
                lineToRelative(11.5f, -30.6f)
                curveToRelative(3.1f, -8.3f, -1.1f, -17.5f, -9.4f, -20.6f)
                lineToRelative(-15.0f, -5.6f)
                curveToRelative(-8.3f, -3.1f, -17.5f, 1.1f, -20.6f, 9.4f)
                lineToRelative(-19.9f, 53.0f)
                lineToRelative(-19.9f, -53.1f)
                curveTo(121.0f, 2.1f, 111.8f, -2.1f, 103.5f, 1.0f)
                lineToRelative(-15.0f, 5.6f)
                curveTo(80.2f, 9.7f, 76.0f, 19.0f, 79.2f, 27.2f)
                lineToRelative(11.5f, 30.6f)
                lineTo(58.6f, 35.0f)
                curveToRelative(-7.2f, -5.1f, -17.2f, -3.5f, -22.3f, 3.7f)
                lineToRelative(-9.3f, 13.0f)
                curveToRelative(-5.1f, 7.2f, -3.5f, 17.2f, 3.7f, 22.3f)
                lineToRelative(30.7f, 22.0f)
                lineTo(32.0f, 96.0f)
                curveToRelative(-17.7f, 0.0f, -32.0f, 14.3f, -32.0f, 32.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 32.0f, 32.0f)
                horizontalLineToRelative(168.9f)
                curveToRelative(-5.5f, -9.5f, -8.9f, -20.3f, -8.9f, -32.0f)
                lineTo(192.0f, 256.0f)
                curveToRelative(0.0f, -29.9f, 20.8f, -55.0f, 48.6f, -61.9f)
                close()
                moveTo(224.0f, 480.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 32.0f, 32.0f)
                horizontalLineToRelative(160.0f)
                lineTo(416.0f, 384.0f)
                lineTo(224.0f, 384.0f)
                verticalLineToRelative(96.0f)
                close()
                moveTo(448.0f, 512.0f)
                horizontalLineToRelative(160.0f)
                curveToRelative(17.7f, 0.0f, 32.0f, -14.3f, 32.0f, -32.0f)
                verticalLineToRelative(-96.0f)
                lineTo(448.0f, 384.0f)
                verticalLineToRelative(128.0f)
                close()
                moveTo(608.0f, 224.0f)
                horizontalLineToRelative(-20.4f)
                curveToRelative(2.6f, -7.6f, 4.4f, -15.5f, 4.4f, -23.8f)
                curveToRelative(0.0f, -35.5f, -27.0f, -72.2f, -72.1f, -72.2f)
                curveToRelative(-48.1f, 0.0f, -75.9f, 47.7f, -87.9f, 75.3f)
                curveToRelative(-12.1f, -27.6f, -39.9f, -75.3f, -87.9f, -75.3f)
                curveToRelative(-45.1f, 0.0f, -72.1f, 36.7f, -72.1f, 72.2f)
                curveToRelative(0.0f, 8.3f, 1.7f, 16.2f, 4.4f, 23.8f)
                lineTo(256.0f, 224.0f)
                curveToRelative(-17.7f, 0.0f, -32.0f, 14.3f, -32.0f, 32.0f)
                verticalLineToRelative(96.0f)
                horizontalLineToRelative(192.0f)
                lineTo(416.0f, 224.0f)
                horizontalLineToRelative(15.3f)
                lineToRelative(0.7f, -0.2f)
                lineToRelative(0.7f, 0.2f)
                lineTo(448.0f, 224.0f)
                verticalLineToRelative(128.0f)
                horizontalLineToRelative(192.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(0.0f, -17.7f, -14.3f, -32.0f, -32.0f, -32.0f)
                close()
                moveTo(336.0f, 224.0f)
                curveToRelative(-2.7f, -1.4f, -5.1f, -3.0f, -7.2f, -4.8f)
                curveToRelative(-7.3f, -6.4f, -8.8f, -13.8f, -8.8f, -19.0f)
                curveToRelative(0.0f, -9.7f, 6.4f, -24.2f, 24.1f, -24.2f)
                curveToRelative(18.7f, 0.0f, 35.6f, 27.4f, 44.5f, 48.0f)
                lineTo(336.0f, 224.0f)
                close()
                moveTo(535.2f, 219.2f)
                curveToRelative(-2.1f, 1.8f, -4.5f, 3.4f, -7.2f, 4.8f)
                horizontalLineToRelative(-52.6f)
                curveToRelative(8.8f, -20.3f, 25.8f, -48.0f, 44.5f, -48.0f)
                curveToRelative(17.7f, 0.0f, 24.1f, 14.5f, 24.1f, 24.2f)
                curveToRelative(0.0f, 5.2f, -1.5f, 12.6f, -8.8f, 19.0f)
                close()
            }
        }
        .build()
        return _gifts!!
    }

private var _gifts: ImageVector? = null
