package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.GlobeAmericas: ImageVector
    get() {
        if (_globeAmericas != null) {
            return _globeAmericas!!
        }
        _globeAmericas = Builder(name = "GlobeAmericas", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 8.0f)
                curveTo(111.03f, 8.0f, 0.0f, 119.03f, 0.0f, 256.0f)
                reflectiveCurveToRelative(111.03f, 248.0f, 248.0f, 248.0f)
                reflectiveCurveToRelative(248.0f, -111.03f, 248.0f, -248.0f)
                reflectiveCurveTo(384.97f, 8.0f, 248.0f, 8.0f)
                close()
                moveTo(330.29f, 365.6f)
                curveToRelative(-3.9f, 3.88f, -7.99f, 7.95f, -11.31f, 11.28f)
                curveToRelative(-2.99f, 3.0f, -5.1f, 6.7f, -6.17f, 10.71f)
                curveToRelative(-1.51f, 5.66f, -2.73f, 11.38f, -4.77f, 16.87f)
                lineToRelative(-17.39f, 46.85f)
                curveToRelative(-13.76f, 3.0f, -28.0f, 4.69f, -42.65f, 4.69f)
                verticalLineToRelative(-27.38f)
                curveToRelative(1.69f, -12.62f, -7.64f, -36.26f, -22.63f, -51.25f)
                curveToRelative(-6.0f, -6.0f, -9.37f, -14.14f, -9.37f, -22.63f)
                verticalLineToRelative(-32.01f)
                curveToRelative(0.0f, -11.64f, -6.27f, -22.34f, -16.46f, -27.97f)
                curveToRelative(-14.37f, -7.95f, -34.81f, -19.06f, -48.81f, -26.11f)
                curveToRelative(-11.48f, -5.78f, -22.1f, -13.14f, -31.65f, -21.75f)
                lineToRelative(-0.8f, -0.72f)
                arcToRelative(114.792f, 114.792f, 0.0f, false, true, -18.06f, -20.74f)
                curveToRelative(-9.38f, -13.77f, -24.66f, -36.42f, -34.59f, -51.14f)
                curveToRelative(20.47f, -45.5f, 57.36f, -82.04f, 103.2f, -101.89f)
                lineToRelative(24.01f, 12.01f)
                curveTo(203.48f, 89.74f, 216.0f, 82.01f, 216.0f, 70.11f)
                verticalLineToRelative(-11.3f)
                curveToRelative(7.99f, -1.29f, 16.12f, -2.11f, 24.39f, -2.42f)
                lineToRelative(28.3f, 28.3f)
                curveToRelative(6.25f, 6.25f, 6.25f, 16.38f, 0.0f, 22.63f)
                lineTo(264.0f, 112.0f)
                lineToRelative(-10.34f, 10.34f)
                curveToRelative(-3.12f, 3.12f, -3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(4.69f, 4.69f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-8.0f, 8.0f)
                arcToRelative(8.008f, 8.008f, 0.0f, false, true, -5.66f, 2.34f)
                horizontalLineToRelative(-8.99f)
                curveToRelative(-2.08f, 0.0f, -4.08f, 0.81f, -5.58f, 2.27f)
                lineToRelative(-9.92f, 9.65f)
                arcToRelative(8.008f, 8.008f, 0.0f, false, false, -1.58f, 9.31f)
                lineToRelative(15.59f, 31.19f)
                curveToRelative(2.66f, 5.32f, -1.21f, 11.58f, -7.15f, 11.58f)
                horizontalLineToRelative(-5.64f)
                curveToRelative(-1.93f, 0.0f, -3.79f, -0.7f, -5.24f, -1.96f)
                lineToRelative(-9.28f, -8.06f)
                arcToRelative(16.017f, 16.017f, 0.0f, false, false, -15.55f, -3.1f)
                lineToRelative(-31.17f, 10.39f)
                arcToRelative(11.95f, 11.95f, 0.0f, false, false, -8.17f, 11.34f)
                curveToRelative(0.0f, 4.53f, 2.56f, 8.66f, 6.61f, 10.69f)
                lineToRelative(11.08f, 5.54f)
                curveToRelative(9.41f, 4.71f, 19.79f, 7.16f, 30.31f, 7.16f)
                reflectiveCurveToRelative(22.59f, 27.29f, 32.0f, 32.0f)
                horizontalLineToRelative(66.75f)
                curveToRelative(8.49f, 0.0f, 16.62f, 3.37f, 22.63f, 9.37f)
                lineToRelative(13.69f, 13.69f)
                arcToRelative(30.503f, 30.503f, 0.0f, false, true, 8.93f, 21.57f)
                arcToRelative(46.536f, 46.536f, 0.0f, false, true, -13.72f, 32.98f)
                close()
                moveTo(417.0f, 274.25f)
                curveToRelative(-5.79f, -1.45f, -10.84f, -5.0f, -14.15f, -9.97f)
                lineToRelative(-17.98f, -26.97f)
                arcToRelative(23.97f, 23.97f, 0.0f, false, true, 0.0f, -26.62f)
                lineToRelative(19.59f, -29.38f)
                curveToRelative(2.32f, -3.47f, 5.5f, -6.29f, 9.24f, -8.15f)
                lineToRelative(12.98f, -6.49f)
                curveTo(440.2f, 193.59f, 448.0f, 223.87f, 448.0f, 256.0f)
                curveToRelative(0.0f, 8.67f, -0.74f, 17.16f, -1.82f, 25.54f)
                lineTo(417.0f, 274.25f)
                close()
            }
        }
        .build()
        return _globeAmericas!!
    }

private var _globeAmericas: ImageVector? = null
