package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.MarsDouble: ImageVector
    get() {
        if (_marsDouble != null) {
            return _marsDouble!!
        }
        _marsDouble = Builder(name = "MarsDouble", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(340.0f, 0.0f)
                horizontalLineToRelative(-79.0f)
                curveToRelative(-10.7f, 0.0f, -16.0f, 12.9f, -8.5f, 20.5f)
                lineToRelative(16.9f, 16.9f)
                lineToRelative(-48.7f, 48.7f)
                curveTo(198.5f, 72.1f, 172.2f, 64.0f, 144.0f, 64.0f)
                curveTo(64.5f, 64.0f, 0.0f, 128.5f, 0.0f, 208.0f)
                reflectiveCurveToRelative(64.5f, 144.0f, 144.0f, 144.0f)
                reflectiveCurveToRelative(144.0f, -64.5f, 144.0f, -144.0f)
                curveToRelative(0.0f, -28.2f, -8.1f, -54.5f, -22.1f, -76.7f)
                lineToRelative(48.7f, -48.7f)
                lineToRelative(16.9f, 16.9f)
                curveToRelative(2.4f, 2.4f, 5.5f, 3.5f, 8.4f, 3.5f)
                curveToRelative(6.2f, 0.0f, 12.1f, -4.8f, 12.1f, -12.0f)
                lineTo(352.0f, 12.0f)
                curveToRelative(0.0f, -6.6f, -5.4f, -12.0f, -12.0f, -12.0f)
                close()
                moveTo(144.0f, 288.0f)
                curveToRelative(-44.1f, 0.0f, -80.0f, -35.9f, -80.0f, -80.0f)
                reflectiveCurveToRelative(35.9f, -80.0f, 80.0f, -80.0f)
                reflectiveCurveToRelative(80.0f, 35.9f, 80.0f, 80.0f)
                reflectiveCurveToRelative(-35.9f, 80.0f, -80.0f, 80.0f)
                close()
                moveTo(500.0f, 159.9f)
                horizontalLineToRelative(-79.0f)
                curveToRelative(-10.7f, 0.0f, -16.0f, 12.9f, -8.5f, 20.5f)
                lineToRelative(16.9f, 16.9f)
                lineToRelative(-48.7f, 48.7f)
                curveToRelative(-18.2f, -11.4f, -39.0f, -18.9f, -61.5f, -21.3f)
                curveToRelative(-2.1f, 21.8f, -8.2f, 43.3f, -18.4f, 63.3f)
                curveToRelative(1.1f, 0.0f, 2.2f, -0.1f, 3.2f, -0.1f)
                curveToRelative(44.1f, 0.0f, 80.0f, 35.9f, 80.0f, 80.0f)
                reflectiveCurveToRelative(-35.9f, 80.0f, -80.0f, 80.0f)
                reflectiveCurveToRelative(-80.0f, -35.9f, -80.0f, -80.0f)
                curveToRelative(0.0f, -1.1f, 0.0f, -2.2f, 0.1f, -3.2f)
                curveToRelative(-20.0f, 10.2f, -41.5f, 16.4f, -63.3f, 18.4f)
                curveTo(168.4f, 455.6f, 229.6f, 512.0f, 304.0f, 512.0f)
                curveToRelative(79.5f, 0.0f, 144.0f, -64.5f, 144.0f, -144.0f)
                curveToRelative(0.0f, -28.2f, -8.1f, -54.5f, -22.1f, -76.7f)
                lineToRelative(48.7f, -48.7f)
                lineToRelative(16.9f, 16.9f)
                curveToRelative(2.4f, 2.4f, 5.4f, 3.5f, 8.4f, 3.5f)
                curveToRelative(6.2f, 0.0f, 12.1f, -4.8f, 12.1f, -12.0f)
                verticalLineToRelative(-79.0f)
                curveToRelative(0.0f, -6.7f, -5.4f, -12.1f, -12.0f, -12.1f)
                close()
            }
        }
        .build()
        return _marsDouble!!
    }

private var _marsDouble: ImageVector? = null
