package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Menorah: ImageVector
    get() {
        if (_menorah != null) {
            return _menorah!!
        }
        _menorah = Builder(name = "Menorah", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(144.0f, 128.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(64.0f)
                lineTo(160.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(240.0f, 128.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(64.0f)
                lineTo(256.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(432.0f, 128.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(64.0f)
                lineTo(448.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(528.0f, 128.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(144.0f)
                horizontalLineToRelative(64.0f)
                lineTo(544.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(608.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(608.0f, 0.0f, 608.0f, 0.0f)
                reflectiveCurveToRelative(-32.0f, 46.33f, -32.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(512.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(512.0f, 0.0f, 512.0f, 0.0f)
                reflectiveCurveToRelative(-32.0f, 46.33f, -32.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(416.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(416.0f, 0.0f, 416.0f, 0.0f)
                reflectiveCurveToRelative(-32.0f, 46.33f, -32.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(320.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(320.0f, 0.0f, 320.0f, 0.0f)
                reflectiveCurveToRelative(-32.0f, 46.33f, -32.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(224.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(224.0f, 0.0f, 224.0f, 0.0f)
                reflectiveCurveToRelative(-32.0f, 46.33f, -32.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(128.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(128.0f, 0.0f, 128.0f, 0.0f)
                reflectiveCurveTo(96.0f, 46.33f, 96.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(32.0f, 96.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                reflectiveCurveTo(32.0f, 0.0f, 32.0f, 0.0f)
                reflectiveCurveTo(0.0f, 46.33f, 0.0f, 64.0f)
                reflectiveCurveToRelative(14.33f, 32.0f, 32.0f, 32.0f)
                close()
                moveTo(576.0f, 288.0f)
                curveToRelative(0.0f, 17.67f, -14.33f, 32.0f, -32.0f, 32.0f)
                lineTo(352.0f, 320.0f)
                lineTo(352.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(176.0f)
                lineTo(96.0f, 320.0f)
                curveToRelative(-17.67f, 0.0f, -32.0f, -14.33f, -32.0f, -32.0f)
                lineTo(64.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                lineTo(16.0f, 128.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(144.0f)
                curveToRelative(0.0f, 53.02f, 42.98f, 96.0f, 96.0f, 96.0f)
                horizontalLineToRelative(192.0f)
                verticalLineToRelative(64.0f)
                lineTo(112.0f, 448.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(416.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                lineTo(352.0f, 448.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(192.0f)
                curveToRelative(53.02f, 0.0f, 96.0f, -42.98f, 96.0f, -96.0f)
                lineTo(640.0f, 144.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(144.0f)
                close()
            }
        }
        .build()
        return _menorah!!
    }

private var _menorah: ImageVector? = null
