package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.PooStorm: ImageVector
    get() {
        if (_pooStorm != null) {
            return _pooStorm!!
        }
        _pooStorm = Builder(name = "PooStorm", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(308.0f, 336.0f)
                horizontalLineToRelative(-57.7f)
                lineToRelative(17.3f, -64.9f)
                curveToRelative(2.0f, -7.6f, -3.7f, -15.1f, -11.6f, -15.1f)
                horizontalLineToRelative(-68.0f)
                curveToRelative(-6.0f, 0.0f, -11.1f, 4.5f, -11.9f, 10.4f)
                lineToRelative(-16.0f, 120.0f)
                curveToRelative(-1.0f, 7.2f, 4.6f, 13.6f, 11.9f, 13.6f)
                horizontalLineToRelative(59.3f)
                lineToRelative(-23.0f, 97.2f)
                curveToRelative(-1.8f, 7.6f, 4.0f, 14.8f, 11.7f, 14.8f)
                curveToRelative(4.2f, 0.0f, 8.2f, -2.2f, 10.4f, -6.0f)
                lineToRelative(88.0f, -152.0f)
                curveToRelative(4.6f, -8.0f, -1.2f, -18.0f, -10.4f, -18.0f)
                close()
                moveTo(374.4f, 224.7f)
                curveToRelative(5.9f, -9.6f, 9.6f, -20.6f, 9.6f, -32.7f)
                curveToRelative(0.0f, -35.3f, -28.7f, -64.0f, -64.0f, -64.0f)
                horizontalLineToRelative(-5.9f)
                curveToRelative(3.6f, -10.1f, 5.9f, -20.7f, 5.9f, -32.0f)
                curveToRelative(0.0f, -53.0f, -43.0f, -96.0f, -96.0f, -96.0f)
                curveToRelative(-5.2f, 0.0f, -10.2f, 0.7f, -15.1f, 1.5f)
                curveTo(218.3f, 14.6f, 224.0f, 30.6f, 224.0f, 48.0f)
                curveToRelative(0.0f, 44.2f, -35.8f, 80.0f, -80.0f, 80.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-35.3f, 0.0f, -64.0f, 28.7f, -64.0f, 64.0f)
                curveToRelative(0.0f, 12.1f, 3.7f, 23.1f, 9.6f, 32.7f)
                curveTo(32.6f, 228.0f, 0.0f, 262.2f, 0.0f, 304.0f)
                curveToRelative(0.0f, 44.0f, 36.0f, 80.0f, 80.0f, 80.0f)
                horizontalLineToRelative(48.3f)
                curveToRelative(0.1f, -0.6f, 0.0f, -1.2f, 0.0f, -1.8f)
                lineToRelative(16.0f, -120.0f)
                curveToRelative(3.0f, -21.8f, 21.7f, -38.2f, 43.7f, -38.2f)
                horizontalLineToRelative(68.0f)
                curveToRelative(13.8f, 0.0f, 26.5f, 6.3f, 34.9f, 17.2f)
                reflectiveCurveToRelative(11.2f, 24.8f, 7.6f, 38.1f)
                lineToRelative(-6.6f, 24.7f)
                horizontalLineToRelative(16.0f)
                curveToRelative(15.7f, 0.0f, 30.3f, 8.4f, 38.1f, 22.0f)
                curveToRelative(7.8f, 13.6f, 7.8f, 30.5f, 0.0f, 44.0f)
                lineToRelative(-8.1f, 14.0f)
                horizontalLineToRelative(30.0f)
                curveToRelative(44.0f, 0.0f, 80.0f, -36.0f, 80.0f, -80.0f)
                curveToRelative(0.1f, -41.8f, -32.5f, -76.0f, -73.5f, -79.3f)
                close()
            }
        }
        .build()
        return _pooStorm!!
    }

private var _pooStorm: ImageVector? = null
