package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Republican: ImageVector
    get() {
        if (_republican != null) {
            return _republican!!
        }
        _republican = Builder(name = "Republican", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(544.0f, 192.0f)
                curveToRelative(0.0f, -88.4f, -71.6f, -160.0f, -160.0f, -160.0f)
                lineTo(160.0f, 32.0f)
                curveTo(71.6f, 32.0f, 0.0f, 103.6f, 0.0f, 192.0f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(544.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(176.3f, 170.4f)
                lineToRelative(-19.8f, 19.3f)
                lineToRelative(4.7f, 27.3f)
                curveToRelative(0.8f, 4.9f, -4.3f, 8.6f, -8.7f, 6.3f)
                lineTo(128.0f, 210.4f)
                lineToRelative(-24.5f, 12.9f)
                curveToRelative(-4.3f, 2.3f, -9.5f, -1.4f, -8.7f, -6.3f)
                lineToRelative(4.7f, -27.3f)
                lineToRelative(-19.8f, -19.3f)
                curveToRelative(-3.6f, -3.5f, -1.6f, -9.5f, 3.3f, -10.2f)
                lineToRelative(27.4f, -4.0f)
                lineToRelative(12.2f, -24.8f)
                curveToRelative(2.2f, -4.5f, 8.6f, -4.4f, 10.7f, 0.0f)
                lineToRelative(12.2f, 24.8f)
                lineToRelative(27.4f, 4.0f)
                curveToRelative(5.0f, 0.7f, 6.9f, 6.7f, 3.4f, 10.2f)
                close()
                moveTo(320.3f, 170.4f)
                lineToRelative(-19.8f, 19.3f)
                lineToRelative(4.7f, 27.3f)
                curveToRelative(0.8f, 4.9f, -4.3f, 8.6f, -8.7f, 6.3f)
                lineTo(272.0f, 210.4f)
                lineToRelative(-24.5f, 12.9f)
                curveToRelative(-4.3f, 2.3f, -9.5f, -1.4f, -8.7f, -6.3f)
                lineToRelative(4.7f, -27.3f)
                lineToRelative(-19.8f, -19.3f)
                curveToRelative(-3.6f, -3.5f, -1.6f, -9.5f, 3.3f, -10.2f)
                lineToRelative(27.4f, -4.0f)
                lineToRelative(12.2f, -24.8f)
                curveToRelative(2.2f, -4.5f, 8.6f, -4.4f, 10.7f, 0.0f)
                lineToRelative(12.2f, 24.8f)
                lineToRelative(27.4f, 4.0f)
                curveToRelative(5.0f, 0.7f, 6.9f, 6.7f, 3.4f, 10.2f)
                close()
                moveTo(464.3f, 170.4f)
                lineToRelative(-19.8f, 19.3f)
                lineToRelative(4.7f, 27.3f)
                curveToRelative(0.8f, 4.9f, -4.3f, 8.6f, -8.7f, 6.3f)
                lineTo(416.0f, 210.4f)
                lineToRelative(-24.5f, 12.9f)
                curveToRelative(-4.3f, 2.3f, -9.5f, -1.4f, -8.7f, -6.3f)
                lineToRelative(4.7f, -27.3f)
                lineToRelative(-19.8f, -19.3f)
                curveToRelative(-3.6f, -3.5f, -1.6f, -9.5f, 3.3f, -10.2f)
                lineToRelative(27.4f, -4.0f)
                lineToRelative(12.2f, -24.8f)
                curveToRelative(2.2f, -4.5f, 8.6f, -4.4f, 10.7f, 0.0f)
                lineToRelative(12.2f, 24.8f)
                lineToRelative(27.4f, 4.0f)
                curveToRelative(5.0f, 0.7f, 6.9f, 6.7f, 3.4f, 10.2f)
                close()
                moveTo(624.0f, 320.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                verticalLineToRelative(64.0f)
                curveToRelative(0.0f, 8.8f, -7.2f, 16.0f, -16.0f, 16.0f)
                reflectiveCurveToRelative(-16.0f, -7.2f, -16.0f, -16.0f)
                lineTo(544.0f, 288.0f)
                lineTo(0.0f, 288.0f)
                verticalLineToRelative(176.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(96.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                verticalLineToRelative(-80.0f)
                horizontalLineToRelative(192.0f)
                verticalLineToRelative(80.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(96.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                lineTo(448.0f, 352.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(43.3f)
                curveToRelative(0.0f, 41.8f, 30.0f, 80.1f, 71.6f, 84.3f)
                curveToRelative(47.8f, 4.9f, 88.4f, -32.7f, 88.4f, -79.6f)
                verticalLineToRelative(-64.0f)
                curveToRelative(0.0f, -8.8f, -7.2f, -16.0f, -16.0f, -16.0f)
                close()
            }
        }
        .build()
        return _republican!!
    }

private var _republican: ImageVector? = null
