package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Snowflake: ImageVector
    get() {
        if (_snowflake != null) {
            return _snowflake!!
        }
        _snowflake = Builder(name = "Snowflake", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(440.3f, 345.2f)
                lineToRelative(-33.8f, -19.5f)
                lineToRelative(26.0f, -7.0f)
                curveToRelative(8.2f, -2.2f, 13.1f, -10.7f, 10.9f, -18.9f)
                lineToRelative(-4.0f, -14.9f)
                curveToRelative(-2.2f, -8.2f, -10.7f, -13.1f, -18.9f, -10.9f)
                lineToRelative(-70.8f, 19.0f)
                lineToRelative(-63.9f, -37.0f)
                lineToRelative(63.8f, -36.9f)
                lineToRelative(70.8f, 19.0f)
                curveToRelative(8.2f, 2.2f, 16.7f, -2.7f, 18.9f, -10.9f)
                lineToRelative(4.0f, -14.9f)
                curveToRelative(2.2f, -8.2f, -2.7f, -16.7f, -10.9f, -18.9f)
                lineToRelative(-26.0f, -7.0f)
                lineToRelative(33.8f, -19.5f)
                curveToRelative(7.4f, -4.3f, 9.9f, -13.7f, 5.7f, -21.1f)
                lineTo(430.4f, 119.0f)
                curveToRelative(-4.3f, -7.4f, -13.7f, -9.9f, -21.1f, -5.7f)
                lineToRelative(-33.8f, 19.5f)
                lineToRelative(7.0f, -26.0f)
                curveToRelative(2.2f, -8.2f, -2.7f, -16.7f, -10.9f, -18.9f)
                lineToRelative(-14.9f, -4.0f)
                curveToRelative(-8.2f, -2.2f, -16.7f, 2.7f, -18.9f, 10.9f)
                lineToRelative(-19.0f, 70.8f)
                lineToRelative(-62.8f, 36.2f)
                verticalLineToRelative(-77.5f)
                lineToRelative(53.7f, -53.7f)
                curveToRelative(6.2f, -6.2f, 6.2f, -16.4f, 0.0f, -22.6f)
                lineToRelative(-11.3f, -11.3f)
                curveToRelative(-6.2f, -6.2f, -16.4f, -6.2f, -22.6f, 0.0f)
                lineTo(256.0f, 56.4f)
                verticalLineTo(16.0f)
                curveToRelative(0.0f, -8.8f, -7.2f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                verticalLineToRelative(40.4f)
                lineToRelative(-19.7f, -19.7f)
                curveToRelative(-6.2f, -6.2f, -16.4f, -6.2f, -22.6f, 0.0f)
                lineTo(138.3f, 48.0f)
                curveToRelative(-6.3f, 6.2f, -6.3f, 16.4f, 0.0f, 22.6f)
                lineToRelative(53.7f, 53.7f)
                verticalLineToRelative(77.5f)
                lineToRelative(-62.8f, -36.2f)
                lineToRelative(-19.0f, -70.8f)
                curveToRelative(-2.2f, -8.2f, -10.7f, -13.1f, -18.9f, -10.9f)
                lineToRelative(-14.9f, 4.0f)
                curveToRelative(-8.2f, 2.2f, -13.1f, 10.7f, -10.9f, 18.9f)
                lineToRelative(7.0f, 26.0f)
                lineToRelative(-33.8f, -19.5f)
                curveToRelative(-7.4f, -4.3f, -16.8f, -1.7f, -21.1f, 5.7f)
                lineTo(2.1f, 145.7f)
                curveToRelative(-4.3f, 7.4f, -1.7f, 16.8f, 5.7f, 21.1f)
                lineToRelative(33.8f, 19.5f)
                lineToRelative(-26.0f, 7.0f)
                curveToRelative(-8.3f, 2.2f, -13.2f, 10.7f, -11.0f, 19.0f)
                lineToRelative(4.0f, 14.9f)
                curveToRelative(2.2f, 8.2f, 10.7f, 13.1f, 18.9f, 10.9f)
                lineToRelative(70.8f, -19.0f)
                lineToRelative(63.8f, 36.9f)
                lineToRelative(-63.8f, 36.9f)
                lineToRelative(-70.8f, -19.0f)
                curveToRelative(-8.2f, -2.2f, -16.7f, 2.7f, -18.9f, 10.9f)
                lineToRelative(-4.0f, 14.9f)
                curveToRelative(-2.2f, 8.2f, 2.7f, 16.7f, 10.9f, 18.9f)
                lineToRelative(26.0f, 7.0f)
                lineToRelative(-33.8f, 19.6f)
                curveToRelative(-7.4f, 4.3f, -9.9f, 13.7f, -5.7f, 21.1f)
                lineToRelative(15.5f, 26.8f)
                curveToRelative(4.3f, 7.4f, 13.7f, 9.9f, 21.1f, 5.7f)
                lineToRelative(33.8f, -19.5f)
                lineToRelative(-7.0f, 26.0f)
                curveToRelative(-2.2f, 8.2f, 2.7f, 16.7f, 10.9f, 18.9f)
                lineToRelative(14.9f, 4.0f)
                curveToRelative(8.2f, 2.2f, 16.7f, -2.7f, 18.9f, -10.9f)
                lineToRelative(19.0f, -70.8f)
                lineToRelative(62.8f, -36.2f)
                verticalLineToRelative(77.5f)
                lineToRelative(-53.7f, 53.7f)
                curveToRelative(-6.3f, 6.2f, -6.3f, 16.4f, 0.0f, 22.6f)
                lineToRelative(11.3f, 11.3f)
                curveToRelative(6.2f, 6.2f, 16.4f, 6.2f, 22.6f, 0.0f)
                lineToRelative(19.7f, -19.7f)
                verticalLineTo(496.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                verticalLineToRelative(-40.4f)
                lineToRelative(19.7f, 19.7f)
                curveToRelative(6.2f, 6.2f, 16.4f, 6.2f, 22.6f, 0.0f)
                lineToRelative(11.3f, -11.3f)
                curveToRelative(6.2f, -6.2f, 6.2f, -16.4f, 0.0f, -22.6f)
                lineTo(256.0f, 387.7f)
                verticalLineToRelative(-77.5f)
                lineToRelative(62.8f, 36.2f)
                lineToRelative(19.0f, 70.8f)
                curveToRelative(2.2f, 8.2f, 10.7f, 13.1f, 18.9f, 10.9f)
                lineToRelative(14.9f, -4.0f)
                curveToRelative(8.2f, -2.2f, 13.1f, -10.7f, 10.9f, -18.9f)
                lineToRelative(-7.0f, -26.0f)
                lineToRelative(33.8f, 19.5f)
                curveToRelative(7.4f, 4.3f, 16.8f, 1.7f, 21.1f, -5.7f)
                lineToRelative(15.5f, -26.8f)
                curveToRelative(4.3f, -7.3f, 1.8f, -16.8f, -5.6f, -21.0f)
                close()
            }
        }
        .build()
        return _snowflake!!
    }

private var _snowflake: ImageVector? = null
