package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Spider: ImageVector
    get() {
        if (_spider != null) {
            return _spider!!
        }
        _spider = Builder(name = "Spider", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(151.17f, 167.35f)
                lineTo(177.1f, 176.0f)
                horizontalLineToRelative(4.67f)
                lineToRelative(5.22f, -26.12f)
                curveToRelative(0.72f, -3.58f, 1.8f, -7.58f, 3.21f, -11.79f)
                lineToRelative(-20.29f, -40.58f)
                lineToRelative(23.8f, -71.39f)
                curveToRelative(2.79f, -8.38f, -1.73f, -17.44f, -10.12f, -20.24f)
                lineTo(168.42f, 0.82f)
                curveToRelative(-8.38f, -2.8f, -17.45f, 1.73f, -20.24f, 10.12f)
                lineToRelative(-25.89f, 77.68f)
                arcToRelative(32.04f, 32.04f, 0.0f, false, false, 1.73f, 24.43f)
                lineToRelative(27.15f, 54.3f)
                close()
                moveTo(573.31f, 349.38f)
                lineToRelative(-52.75f, -79.12f)
                arcToRelative(32.002f, 32.002f, 0.0f, false, false, -26.62f, -14.25f)
                lineTo(416.0f, 256.01f)
                lineToRelative(68.99f, -24.36f)
                arcToRelative(32.03f, 32.03f, 0.0f, false, false, 16.51f, -12.61f)
                lineToRelative(53.6f, -80.41f)
                curveToRelative(4.9f, -7.35f, 2.91f, -17.29f, -4.44f, -22.19f)
                lineToRelative(-13.31f, -8.88f)
                curveToRelative(-7.35f, -4.9f, -17.29f, -2.91f, -22.19f, 4.44f)
                lineToRelative(-50.56f, 75.83f)
                lineTo(404.1f, 208.0f)
                lineTo(368.0f, 208.0f)
                lineToRelative(-10.37f, -51.85f)
                curveTo(355.44f, 145.18f, 340.26f, 96.0f, 288.0f, 96.0f)
                curveToRelative(-52.26f, 0.0f, -67.44f, 49.18f, -69.63f, 60.15f)
                lineTo(208.0f, 208.0f)
                horizontalLineToRelative(-36.1f)
                lineToRelative(-60.49f, -20.17f)
                lineTo(60.84f, 112.0f)
                curveToRelative(-4.9f, -7.35f, -14.83f, -9.34f, -22.19f, -4.44f)
                lineToRelative(-13.31f, 8.88f)
                curveToRelative(-7.35f, 4.9f, -9.34f, 14.83f, -4.44f, 22.19f)
                lineToRelative(53.6f, 80.41f)
                arcToRelative(32.03f, 32.03f, 0.0f, false, false, 16.51f, 12.61f)
                lineTo(160.0f, 256.0f)
                lineTo(82.06f, 256.0f)
                arcToRelative(32.02f, 32.02f, 0.0f, false, false, -26.63f, 14.25f)
                lineTo(2.69f, 349.38f)
                curveToRelative(-4.9f, 7.35f, -2.92f, 17.29f, 4.44f, 22.19f)
                lineToRelative(13.31f, 8.88f)
                curveToRelative(7.35f, 4.9f, 17.29f, 2.91f, 22.19f, -4.44f)
                lineToRelative(48.0f, -72.0f)
                horizontalLineToRelative(47.06f)
                lineToRelative(-60.83f, 97.33f)
                arcTo(31.988f, 31.988f, 0.0f, false, false, 72.0f, 418.3f)
                lineTo(72.0f, 496.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-73.11f)
                lineToRelative(74.08f, -118.53f)
                curveToRelative(-1.01f, 14.05f, -2.08f, 28.11f, -2.08f, 42.21f)
                curveTo(192.0f, 399.64f, 232.76f, 448.0f, 288.0f, 448.0f)
                reflectiveCurveToRelative(96.0f, -48.36f, 96.0f, -101.43f)
                curveToRelative(0.0f, -14.1f, -1.08f, -28.16f, -2.08f, -42.21f)
                lineTo(456.0f, 422.89f)
                lineTo(456.0f, 496.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-77.71f)
                curveToRelative(0.0f, -6.0f, -1.69f, -11.88f, -4.86f, -16.96f)
                lineTo(438.31f, 304.0f)
                horizontalLineToRelative(47.06f)
                lineToRelative(48.0f, 72.0f)
                curveToRelative(4.9f, 7.35f, 14.84f, 9.34f, 22.19f, 4.44f)
                lineToRelative(13.31f, -8.88f)
                curveToRelative(7.36f, -4.9f, 9.34f, -14.83f, 4.44f, -22.18f)
                close()
                moveTo(406.09f, 97.51f)
                lineToRelative(-20.29f, 40.58f)
                curveToRelative(1.41f, 4.21f, 2.49f, 8.21f, 3.21f, 11.79f)
                lineToRelative(5.22f, 26.12f)
                horizontalLineToRelative(4.67f)
                lineToRelative(25.93f, -8.65f)
                lineToRelative(27.15f, -54.3f)
                arcToRelative(31.995f, 31.995f, 0.0f, false, false, 1.73f, -24.43f)
                lineToRelative(-25.89f, -77.68f)
                curveTo(425.03f, 2.56f, 415.96f, -1.98f, 407.58f, 0.82f)
                lineToRelative(-15.17f, 5.06f)
                curveToRelative(-8.38f, 2.8f, -12.91f, 11.86f, -10.12f, 20.24f)
                lineToRelative(23.8f, 71.39f)
                close()
            }
        }
        .build()
        return _spider!!
    }

private var _spider: ImageVector? = null
