package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.TeethOpen: ImageVector
    get() {
        if (_teethOpen != null) {
            return _teethOpen!!
        }
        _teethOpen = Builder(name = "TeethOpen", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(544.0f, 0.0f)
                lineTo(96.0f, 0.0f)
                curveTo(42.98f, 0.0f, 0.0f, 42.98f, 0.0f, 96.0f)
                verticalLineToRelative(64.0f)
                curveToRelative(0.0f, 35.35f, 28.66f, 64.0f, 64.0f, 64.0f)
                horizontalLineToRelative(512.0f)
                curveToRelative(35.34f, 0.0f, 64.0f, -28.65f, 64.0f, -64.0f)
                lineTo(640.0f, 96.0f)
                curveToRelative(0.0f, -53.02f, -42.98f, -96.0f, -96.0f, -96.0f)
                close()
                moveTo(160.0f, 176.0f)
                curveToRelative(0.0f, 8.84f, -7.16f, 16.0f, -16.0f, 16.0f)
                lineTo(80.0f, 192.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, -7.16f, -16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -26.51f, 21.49f, -48.0f, 48.0f, -48.0f)
                reflectiveCurveToRelative(48.0f, 21.49f, 48.0f, 48.0f)
                verticalLineToRelative(32.0f)
                close()
                moveTo(304.0f, 176.0f)
                curveToRelative(0.0f, 8.84f, -7.16f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-80.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, -7.16f, -16.0f, -16.0f)
                verticalLineToRelative(-56.0f)
                curveToRelative(0.0f, -30.93f, 25.07f, -56.0f, 56.0f, -56.0f)
                reflectiveCurveToRelative(56.0f, 25.07f, 56.0f, 56.0f)
                verticalLineToRelative(56.0f)
                close()
                moveTo(448.0f, 176.0f)
                curveToRelative(0.0f, 8.84f, -7.16f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-80.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, -7.16f, -16.0f, -16.0f)
                verticalLineToRelative(-56.0f)
                curveToRelative(0.0f, -30.93f, 25.07f, -56.0f, 56.0f, -56.0f)
                reflectiveCurveToRelative(56.0f, 25.07f, 56.0f, 56.0f)
                verticalLineToRelative(56.0f)
                close()
                moveTo(576.0f, 176.0f)
                curveToRelative(0.0f, 8.84f, -7.16f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-64.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, -7.16f, -16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -26.51f, 21.49f, -48.0f, 48.0f, -48.0f)
                reflectiveCurveToRelative(48.0f, 21.49f, 48.0f, 48.0f)
                verticalLineToRelative(32.0f)
                close()
                moveTo(576.0f, 320.0f)
                lineTo(64.0f, 320.0f)
                curveToRelative(-35.34f, 0.0f, -64.0f, 28.65f, -64.0f, 64.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 53.02f, 42.98f, 96.0f, 96.0f, 96.0f)
                horizontalLineToRelative(448.0f)
                curveToRelative(53.02f, 0.0f, 96.0f, -42.98f, 96.0f, -96.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -35.35f, -28.66f, -64.0f, -64.0f, -64.0f)
                close()
                moveTo(160.0f, 400.0f)
                curveToRelative(0.0f, 26.51f, -21.49f, 48.0f, -48.0f, 48.0f)
                reflectiveCurveToRelative(-48.0f, -21.49f, -48.0f, -48.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, 7.16f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(64.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, 7.16f, 16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                close()
                moveTo(304.0f, 392.0f)
                curveToRelative(0.0f, 30.93f, -25.07f, 56.0f, -56.0f, 56.0f)
                reflectiveCurveToRelative(-56.0f, -25.07f, -56.0f, -56.0f)
                verticalLineToRelative(-24.0f)
                curveToRelative(0.0f, -8.84f, 7.16f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(80.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, 7.16f, 16.0f, 16.0f)
                verticalLineToRelative(24.0f)
                close()
                moveTo(448.0f, 392.0f)
                curveToRelative(0.0f, 30.93f, -25.07f, 56.0f, -56.0f, 56.0f)
                reflectiveCurveToRelative(-56.0f, -25.07f, -56.0f, -56.0f)
                verticalLineToRelative(-24.0f)
                curveToRelative(0.0f, -8.84f, 7.16f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(80.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, 7.16f, 16.0f, 16.0f)
                verticalLineToRelative(24.0f)
                close()
                moveTo(576.0f, 400.0f)
                curveToRelative(0.0f, 26.51f, -21.49f, 48.0f, -48.0f, 48.0f)
                reflectiveCurveToRelative(-48.0f, -21.49f, -48.0f, -48.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, 7.16f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(64.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, 7.16f, 16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                close()
            }
        }
        .build()
        return _teethOpen!!
    }

private var _teethOpen: ImageVector? = null
