package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.TruckMoving: ImageVector
    get() {
        if (_truckMoving != null) {
            return _truckMoving!!
        }
        _truckMoving = Builder(name = "TruckMoving", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(621.3f, 237.3f)
                lineToRelative(-58.5f, -58.5f)
                curveToRelative(-12.0f, -12.0f, -28.3f, -18.7f, -45.3f, -18.7f)
                lineTo(480.0f, 160.1f)
                lineTo(480.0f, 64.0f)
                curveToRelative(0.0f, -17.7f, -14.3f, -32.0f, -32.0f, -32.0f)
                lineTo(32.0f, 32.0f)
                curveTo(14.3f, 32.0f, 0.0f, 46.3f, 0.0f, 64.0f)
                verticalLineToRelative(336.0f)
                curveToRelative(0.0f, 44.2f, 35.8f, 80.0f, 80.0f, 80.0f)
                curveToRelative(26.3f, 0.0f, 49.4f, -12.9f, 64.0f, -32.4f)
                curveToRelative(14.6f, 19.6f, 37.7f, 32.4f, 64.0f, 32.4f)
                curveToRelative(44.2f, 0.0f, 80.0f, -35.8f, 80.0f, -80.0f)
                curveToRelative(0.0f, -5.5f, -0.6f, -10.8f, -1.6f, -16.0f)
                horizontalLineToRelative(163.2f)
                curveToRelative(-1.1f, 5.2f, -1.6f, 10.5f, -1.6f, 16.0f)
                curveToRelative(0.0f, 44.2f, 35.8f, 80.0f, 80.0f, 80.0f)
                reflectiveCurveToRelative(80.0f, -35.8f, 80.0f, -80.0f)
                curveToRelative(0.0f, -5.5f, -0.6f, -10.8f, -1.6f, -16.0f)
                lineTo(624.0f, 384.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                verticalLineToRelative(-85.5f)
                curveToRelative(0.0f, -17.0f, -6.7f, -33.2f, -18.7f, -45.2f)
                close()
                moveTo(80.0f, 432.0f)
                curveToRelative(-17.6f, 0.0f, -32.0f, -14.4f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.4f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.4f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.4f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(208.0f, 432.0f)
                curveToRelative(-17.6f, 0.0f, -32.0f, -14.4f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.4f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.4f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.4f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(480.0f, 208.0f)
                horizontalLineToRelative(37.5f)
                curveToRelative(4.3f, 0.0f, 8.3f, 1.7f, 11.3f, 4.7f)
                lineToRelative(43.3f, 43.3f)
                lineTo(480.0f, 256.0f)
                verticalLineToRelative(-48.0f)
                close()
                moveTo(528.0f, 432.0f)
                curveToRelative(-17.6f, 0.0f, -32.0f, -14.4f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.4f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.4f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.4f, 32.0f, -32.0f, 32.0f)
                close()
            }
        }
        .build()
        return _truckMoving!!
    }

private var _truckMoving: ImageVector? = null
