package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Alipay: ImageVector
    get() {
        if (_alipay != null) {
            return _alipay!!
        }
        _alipay = Builder(name = "Alipay", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 5.0f)
                verticalLineToRelative(22.0f)
                horizontalLineToRelative(22.0f)
                verticalLineTo(5.0f)
                horizontalLineTo(5.0f)
                close()
                moveTo(7.0f, 7.0f)
                horizontalLineToRelative(18.0f)
                verticalLineToRelative(18.0f)
                horizontalLineTo(7.0f)
                verticalLineTo(7.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 9.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(5.0f)
                horizontalLineToRelative(-2.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 11.0f)
                horizontalLineToRelative(11.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(-11.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.498f, 14.0f)
                lineToRelative(-8.498f, 0.0f)
                lineToRelative(0.0f, -1.0f)
                lineToRelative(9.0f, 0.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.228f, 17.21f)
                curveToRelative(-0.133f, -0.096f, -0.314f, -0.21f, -0.307f, -0.216f)
                lineToRelative(-0.027f, -0.05f)
                curveToRelative(-0.017f, -0.036f, -0.032f, -0.075f, -0.042f, -0.12f)
                curveToRelative(-0.02f, -0.092f, -0.047f, -0.179f, -0.077f, -0.258f)
                curveToRelative(-0.071f, -0.142f, -0.211f, -0.165f, -0.321f, -0.236f)
                curveToRelative(-0.232f, -0.122f, -0.467f, -0.235f, -0.705f, -0.342f)
                curveToRelative(-0.473f, -0.219f, -0.964f, -0.393f, -1.466f, -0.527f)
                curveToRelative(-1.002f, -0.275f, -2.035f, -0.432f, -3.069f, -0.46f)
                curveToRelative(-0.259f, -0.007f, -0.518f, 0.004f, -0.776f, 0.006f)
                curveToRelative(-0.284f, 0.014f, -0.576f, 0.039f, -0.855f, 0.12f)
                curveToRelative(-0.562f, 0.145f, -1.081f, 0.444f, -1.486f, 0.851f)
                curveToRelative(-0.847f, 0.798f, -1.195f, 1.992f, -1.049f, 3.132f)
                curveToRelative(0.125f, 1.176f, 1.035f, 2.254f, 2.172f, 2.641f)
                curveToRelative(0.55f, 0.209f, 1.196f, 0.288f, 1.711f, 0.231f)
                curveToRelative(0.271f, -0.006f, 0.541f, -0.025f, 0.811f, -0.077f)
                curveToRelative(0.271f, -0.038f, 0.54f, -0.083f, 0.803f, -0.165f)
                curveToRelative(1.063f, -0.271f, 2.061f, -0.808f, 2.869f, -1.532f)
                curveToRelative(0.404f, -0.362f, 0.773f, -0.756f, 1.103f, -1.179f)
                curveToRelative(0.156f, -0.218f, 0.326f, -0.427f, 0.451f, -0.667f)
                curveToRelative(0.059f, -0.122f, 0.129f, -0.237f, 0.161f, -0.375f)
                curveToRelative(0.017f, -0.069f, 0.043f, -0.132f, 0.052f, -0.204f)
                lineToRelative(0.014f, -0.111f)
                curveToRelative(0.006f, -0.027f, -0.003f, -0.018f, 0.014f, -0.074f)
                curveTo(18.255f, 17.478f, 18.261f, 17.321f, 18.228f, 17.21f)
                close()
                moveTo(15.237f, 18.845f)
                curveToRelative(-0.6f, 0.591f, -1.308f, 1.074f, -2.115f, 1.4f)
                curveToRelative(-0.2f, 0.088f, -0.412f, 0.141f, -0.626f, 0.191f)
                curveToRelative(-0.212f, 0.064f, -0.431f, 0.099f, -0.653f, 0.123f)
                curveToRelative(-0.464f, 0.086f, -0.834f, 0.076f, -1.233f, -0.019f)
                curveToRelative(-0.775f, -0.172f, -1.457f, -0.785f, -1.574f, -1.605f)
                curveToRelative(-0.155f, -0.814f, 0.21f, -1.702f, 0.839f, -2.144f)
                curveToRelative(0.307f, -0.232f, 0.659f, -0.362f, 1.011f, -0.425f)
                curveToRelative(0.178f, -0.035f, 0.355f, -0.03f, 0.541f, -0.025f)
                lineToRelative(0.683f, 0.047f)
                curveToRelative(0.911f, 0.085f, 1.799f, 0.323f, 2.675f, 0.59f)
                curveToRelative(0.435f, 0.144f, 0.866f, 0.305f, 1.293f, 0.473f)
                curveToRelative(0.091f, 0.037f, 0.179f, 0.08f, 0.269f, 0.12f)
                curveToRelative(-0.082f, 0.115f, -0.163f, 0.23f, -0.251f, 0.342f)
                curveTo(15.836f, 18.25f, 15.533f, 18.544f, 15.237f, 18.845f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.116f, 16.486f)
                lineToRelative(8.544f, 3.036f)
                lineToRelative(-1.416f, 2.656f)
                lineToRelative(-7.769f, -4.224f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.0f, 13.0f)
                curveToRelative(-0.161f, 1.665f, -0.649f, 3.286f, -1.585f, 4.675f)
                lineToRelative(-1.54f, -0.864f)
                curveToRelative(0.735f, -1.034f, 1.184f, -2.413f, 1.327f, -3.811f)
                horizontalLineTo(20.0f)
                close()
            }
        }
        .build()
        return _alipay!!
    }

private var _alipay: ImageVector? = null
