package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.AppStoreIos: ImageVector
    get() {
        if (_appStoreIos != null) {
            return _appStoreIos!!
        }
        _appStoreIos = Builder(name = "AppStoreIos", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 5.0f)
                lineTo(5.0f, 27.0f)
                lineTo(27.0f, 27.0f)
                lineTo(27.0f, 5.0f)
                lineTo(5.0f, 5.0f)
                close()
                moveTo(7.0f, 7.0f)
                lineTo(25.0f, 7.0f)
                lineTo(25.0f, 25.0f)
                lineTo(7.0f, 25.0f)
                lineTo(7.0f, 7.0f)
                close()
                moveTo(15.9922f, 9.0098f)
                curveTo(15.9102f, 8.9898f, 15.8396f, 9.0f, 15.7676f, 9.041f)
                curveTo(15.6136f, 9.123f, 15.5296f, 9.3089f, 15.6016f, 9.4629f)
                curveTo(16.0856f, 10.5949f, 17.7831f, 14.4961f, 19.2031f, 17.1211f)
                lineTo(20.5215f, 16.4102f)
                curveTo(19.1745f, 13.7952f, 16.8367f, 10.1635f, 16.1777f, 9.1445f)
                curveTo(16.1367f, 9.0725f, 16.0642f, 9.0308f, 15.9922f, 9.0098f)
                close()
                moveTo(15.248f, 11.2637f)
                curveTo(14.898f, 11.2227f, 14.558f, 11.3665f, 14.373f, 11.6855f)
                lineTo(15.8867f, 12.5801f)
                curveTo(16.1237f, 12.1591f, 15.9784f, 11.6044f, 15.5664f, 11.3574f)
                curveTo(15.4634f, 11.3064f, 15.351f, 11.2847f, 15.248f, 11.2637f)
                close()
                moveTo(14.248f, 11.9023f)
                lineTo(13.4355f, 13.293f)
                lineTo(14.9805f, 14.1563f)
                lineTo(15.7617f, 12.8086f)
                lineTo(14.248f, 11.9023f)
                close()
                moveTo(13.3438f, 13.4453f)
                lineTo(10.1328f, 19.0449f)
                lineTo(11.6465f, 19.9199f)
                lineTo(14.8574f, 14.3516f)
                lineTo(13.3438f, 13.4453f)
                close()
                moveTo(9.0f, 15.0f)
                lineTo(9.0f, 17.0f)
                lineTo(10.9297f, 17.0f)
                lineTo(12.0996f, 15.0f)
                lineTo(9.0f, 15.0f)
                close()
                moveTo(14.8398f, 15.0f)
                lineTo(13.6895f, 17.0f)
                lineTo(18.7695f, 17.0f)
                curveTo(18.4895f, 16.45f, 18.0595f, 15.59f, 17.7695f, 15.0f)
                lineTo(14.8398f, 15.0f)
                close()
                moveTo(20.1309f, 15.0f)
                curveTo(20.3809f, 15.46f, 20.7105f, 16.0891f, 20.8105f, 16.2891f)
                curveTo(20.8305f, 16.3091f, 20.8902f, 16.4307f, 20.9102f, 16.4707f)
                lineTo(21.1309f, 17.0f)
                lineTo(23.0f, 17.0f)
                lineTo(23.0f, 15.0f)
                lineTo(20.1309f, 15.0f)
                close()
                moveTo(20.625f, 16.6055f)
                lineTo(19.3086f, 17.3164f)
                lineTo(20.2969f, 18.8594f)
                lineTo(21.3242f, 18.2734f)
                lineTo(20.625f, 16.6055f)
                close()
                moveTo(21.4277f, 18.5313f)
                lineTo(20.4609f, 19.0469f)
                lineTo(21.4883f, 21.4961f)
                curveTo(21.6733f, 21.9281f, 22.1681f, 22.1342f, 22.5801f, 21.9082f)
                curveTo(22.9921f, 21.6912f, 23.1261f, 21.1449f, 22.8691f, 20.7539f)
                lineTo(21.4277f, 18.5313f)
                close()
                moveTo(9.998f, 19.2402f)
                lineTo(9.4531f, 21.8457f)
                lineTo(9.5879f, 21.9063f)
                lineTo(11.543f, 20.1367f)
                lineTo(9.998f, 19.2402f)
                close()
            }
        }
        .build()
        return _appStoreIos!!
    }

private var _appStoreIos: ImageVector? = null
