package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.AssistiveListeningSystemsSolid: ImageVector
    get() {
        if (_assistiveListeningSystemsSolid != null) {
            return _assistiveListeningSystemsSolid!!
        }
        _assistiveListeningSystemsSolid = Builder(name = "AssistiveListeningSystemsSolid",
                defaultWidth = 32.0.dp, defaultHeight = 32.0.dp, viewportWidth = 32.0f,
                viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(24.75f, 1.375f)
                lineTo(23.6563f, 3.0313f)
                curveTo(25.2188f, 4.043f, 26.5156f, 5.4336f, 27.4375f, 7.0938f)
                lineTo(29.1875f, 6.125f)
                curveTo(28.1094f, 4.1836f, 26.5859f, 2.5625f, 24.75f, 1.375f)
                close()
                moveTo(23.0625f, 3.875f)
                lineTo(21.9375f, 5.5313f)
                curveTo(23.1406f, 6.3633f, 24.1289f, 7.3398f, 24.8438f, 8.5938f)
                lineTo(26.5625f, 7.5938f)
                curveTo(25.6797f, 6.0469f, 24.457f, 4.8398f, 23.0625f, 3.875f)
                close()
                moveTo(17.0f, 5.0f)
                curveTo(12.5703f, 5.0f, 9.0f, 8.5703f, 9.0f, 13.0f)
                lineTo(11.0f, 13.0f)
                curveTo(11.0f, 9.6289f, 13.6289f, 7.0f, 17.0f, 7.0f)
                curveTo(20.3711f, 7.0f, 23.0f, 9.6289f, 23.0f, 13.0f)
                curveTo(23.0f, 15.2461f, 22.3477f, 16.4727f, 21.625f, 17.6875f)
                curveTo(20.9023f, 18.9023f, 20.0f, 20.168f, 20.0f, 22.0f)
                curveTo(20.0f, 23.6563f, 18.6563f, 25.0f, 17.0f, 25.0f)
                lineTo(17.0f, 27.0f)
                curveTo(19.7461f, 27.0f, 22.0f, 24.7461f, 22.0f, 22.0f)
                curveTo(22.0f, 20.832f, 22.5977f, 20.0273f, 23.375f, 18.7188f)
                curveTo(24.1523f, 17.4102f, 25.0f, 15.6523f, 25.0f, 13.0f)
                curveTo(25.0f, 8.5703f, 21.4297f, 5.0f, 17.0f, 5.0f)
                close()
                moveTo(17.0f, 8.0f)
                curveTo(14.2539f, 8.0f, 12.0f, 10.2539f, 12.0f, 13.0f)
                lineTo(14.0f, 13.0f)
                curveTo(14.0f, 11.3438f, 15.3438f, 10.0f, 17.0f, 10.0f)
                curveTo(18.6563f, 10.0f, 20.0f, 11.3438f, 20.0f, 13.0f)
                lineTo(22.0f, 13.0f)
                curveTo(22.0f, 10.2539f, 19.7461f, 8.0f, 17.0f, 8.0f)
                close()
                moveTo(17.0f, 13.0f)
                curveTo(16.4492f, 13.0f, 16.0f, 13.4492f, 16.0f, 14.0f)
                curveTo(16.0f, 14.5508f, 16.4492f, 15.0f, 17.0f, 15.0f)
                curveTo(17.5508f, 15.0f, 18.0f, 14.5508f, 18.0f, 14.0f)
                curveTo(18.0f, 13.4492f, 17.5508f, 13.0f, 17.0f, 13.0f)
                close()
                moveTo(14.0f, 16.0f)
                curveTo(13.4492f, 16.0f, 13.0f, 16.4492f, 13.0f, 17.0f)
                curveTo(13.0f, 17.5508f, 13.4492f, 18.0f, 14.0f, 18.0f)
                curveTo(14.5508f, 18.0f, 15.0f, 17.5508f, 15.0f, 17.0f)
                curveTo(15.0f, 16.4492f, 14.5508f, 16.0f, 14.0f, 16.0f)
                close()
                moveTo(10.2188f, 17.9375f)
                lineTo(9.0313f, 19.1563f)
                lineTo(11.8438f, 21.9688f)
                lineTo(13.0625f, 20.7813f)
                close()
                moveTo(8.0f, 22.0f)
                curveTo(7.4492f, 22.0f, 7.0f, 22.4492f, 7.0f, 23.0f)
                curveTo(7.0f, 23.5508f, 7.4492f, 24.0f, 8.0f, 24.0f)
                curveTo(8.5508f, 24.0f, 9.0f, 23.5508f, 9.0f, 23.0f)
                curveTo(9.0f, 22.4492f, 8.5508f, 22.0f, 8.0f, 22.0f)
                close()
                moveTo(5.0f, 25.0f)
                curveTo(4.4492f, 25.0f, 4.0f, 25.4492f, 4.0f, 26.0f)
                curveTo(4.0f, 26.5508f, 4.4492f, 27.0f, 5.0f, 27.0f)
                curveTo(5.5508f, 27.0f, 6.0f, 26.5508f, 6.0f, 26.0f)
                curveTo(6.0f, 25.4492f, 5.5508f, 25.0f, 5.0f, 25.0f)
                close()
            }
        }
        .build()
        return _assistiveListeningSystemsSolid!!
    }

private var _assistiveListeningSystemsSolid: ImageVector? = null
