package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Avianex: ImageVector
    get() {
        if (_avianex != null) {
            return _avianex!!
        }
        _avianex = Builder(name = "Avianex", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.6133f, 4.002f)
                curveTo(8.2953f, 4.002f, 6.1476f, 5.7959f, 5.7246f, 8.0879f)
                lineTo(3.0723f, 22.5508f)
                curveTo(2.8553f, 23.7238f, 3.124f, 24.8375f, 3.832f, 25.6875f)
                curveTo(4.536f, 26.5335f, 5.5758f, 27.0f, 6.7598f, 27.0f)
                lineTo(21.3848f, 27.0f)
                curveTo(23.7028f, 27.0f, 25.8485f, 25.2051f, 26.2715f, 22.9121f)
                lineTo(28.9297f, 8.4512f)
                curveTo(29.1427f, 7.2742f, 28.8692f, 6.1586f, 28.1602f, 5.3086f)
                curveTo(27.4562f, 4.4656f, 26.4173f, 4.002f, 25.2363f, 4.002f)
                lineTo(10.6133f, 4.002f)
                close()
                moveTo(10.6133f, 6.0f)
                lineTo(25.2363f, 6.0f)
                curveTo(25.8143f, 6.0f, 26.308f, 6.2098f, 26.627f, 6.5918f)
                curveTo(26.95f, 6.9778f, 27.0698f, 7.5108f, 26.9648f, 8.0918f)
                lineTo(24.3066f, 22.5508f)
                curveTo(24.0616f, 23.8788f, 22.7228f, 25.0f, 21.3848f, 25.0f)
                lineTo(6.7598f, 25.0f)
                curveTo(6.1808f, 25.0f, 5.6871f, 24.7892f, 5.3711f, 24.4082f)
                curveTo(5.0501f, 24.0232f, 4.9321f, 23.4921f, 5.0391f, 22.9121f)
                lineTo(7.6914f, 8.4492f)
                curveTo(7.9374f, 7.1212f, 9.2743f, 6.0f, 10.6133f, 6.0f)
                close()
                moveTo(11.416f, 7.9746f)
                lineTo(10.9961f, 8.1992f)
                lineTo(10.1094f, 9.5625f)
                lineTo(13.3535f, 14.2695f)
                lineTo(14.3203f, 15.666f)
                curveTo(13.7543f, 16.246f, 13.2124f, 16.8175f, 12.7734f, 17.3125f)
                lineTo(10.0371f, 15.8457f)
                lineTo(9.2969f, 16.5703f)
                lineTo(11.7695f, 18.8398f)
                lineTo(13.6836f, 21.7168f)
                lineTo(14.5273f, 21.1172f)
                lineTo(13.4863f, 18.0898f)
                curveTo(14.0763f, 17.7318f, 14.7601f, 17.2845f, 15.4531f, 16.8125f)
                lineTo(20.8965f, 22.0f)
                lineTo(22.4043f, 21.3633f)
                lineTo(22.7012f, 20.9922f)
                lineTo(18.2266f, 15.3594f)
                lineTo(18.0137f, 15.0156f)
                curveTo(18.9477f, 14.3466f, 19.5947f, 13.8696f, 19.6797f, 13.8086f)
                curveTo(20.0527f, 13.4976f, 19.9777f, 12.827f, 19.5527f, 12.332f)
                curveTo(19.1187f, 11.822f, 18.4665f, 11.6539f, 18.1035f, 11.9609f)
                curveTo(18.1035f, 11.9609f, 17.4248f, 12.6013f, 16.5098f, 13.4883f)
                lineTo(16.2793f, 13.2754f)
                lineTo(11.416f, 7.9746f)
                close()
            }
        }
        .build()
        return _avianex!!
    }

private var _avianex: ImageVector? = null
