package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CarCrashSolid: ImageVector
    get() {
        if (_carCrashSolid != null) {
            return _carCrashSolid!!
        }
        _carCrashSolid = Builder(name = "CarCrashSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.5f, 6.0f)
                curveTo(8.1797f, 6.0f, 7.0039f, 6.8594f, 6.625f, 8.125f)
                lineTo(5.25f, 12.7188f)
                lineTo(3.3125f, 12.0625f)
                lineTo(2.6875f, 13.9375f)
                lineTo(4.6563f, 14.5938f)
                lineTo(4.0313f, 16.7188f)
                curveTo(4.0078f, 16.8086f, 3.9961f, 16.9063f, 4.0f, 17.0f)
                lineTo(4.0f, 23.0f)
                curveTo(4.0f, 23.0313f, 4.0f, 23.0625f, 4.0f, 23.0938f)
                lineTo(4.0f, 25.0f)
                curveTo(4.0f, 25.5508f, 4.4492f, 26.0f, 5.0f, 26.0f)
                lineTo(8.0f, 26.0f)
                lineTo(8.6563f, 24.0f)
                lineTo(13.9063f, 24.0f)
                lineTo(23.8438f, 25.5313f)
                lineTo(24.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(27.0117f, 26.0f, 27.0195f, 26.0f, 27.0313f, 26.0f)
                curveTo(27.2734f, 26.0f, 27.5078f, 25.9102f, 27.6875f, 25.75f)
                curveTo(27.6992f, 25.7383f, 27.707f, 25.7305f, 27.7188f, 25.7188f)
                curveTo(27.7305f, 25.707f, 27.7422f, 25.6992f, 27.75f, 25.6875f)
                curveTo(27.9023f, 25.5156f, 27.9922f, 25.293f, 28.0f, 25.0625f)
                curveTo(28.0f, 25.043f, 28.0f, 25.0195f, 28.0f, 25.0f)
                lineTo(28.0f, 24.9688f)
                curveTo(28.0039f, 24.9258f, 28.0039f, 24.8867f, 28.0f, 24.8438f)
                lineTo(27.1563f, 19.0f)
                lineTo(29.0f, 19.0f)
                lineTo(29.0f, 17.0f)
                lineTo(26.625f, 17.0f)
                lineTo(24.5f, 12.6563f)
                lineTo(25.375f, 9.7188f)
                curveTo(25.5f, 9.3164f, 25.3633f, 8.8828f, 25.0313f, 8.625f)
                lineTo(23.0938f, 7.1875f)
                curveTo(22.9453f, 7.082f, 22.7734f, 7.0156f, 22.5938f, 7.0f)
                lineTo(9.5625f, 6.0f)
                curveTo(9.543f, 6.0f, 9.5195f, 6.0f, 9.5f, 6.0f)
                close()
                moveTo(9.5f, 8.0f)
                lineTo(22.125f, 8.9688f)
                lineTo(23.25f, 9.8125f)
                lineTo(22.4688f, 12.4375f)
                curveTo(22.3906f, 12.6875f, 22.4141f, 12.957f, 22.5313f, 13.1875f)
                lineTo(24.0313f, 16.25f)
                lineTo(17.9063f, 14.125f)
                lineTo(17.7813f, 14.0625f)
                lineTo(17.6563f, 14.0625f)
                lineTo(7.2188f, 13.0938f)
                lineTo(8.5313f, 8.7188f)
                curveTo(8.6602f, 8.2891f, 9.0547f, 8.0f, 9.5f, 8.0f)
                close()
                moveTo(6.625f, 15.0625f)
                lineTo(17.4063f, 16.0625f)
                lineTo(17.4688f, 16.0625f)
                lineTo(25.0938f, 18.75f)
                lineTo(25.8125f, 23.7813f)
                lineTo(14.2188f, 22.0f)
                curveTo(14.168f, 21.9961f, 14.1133f, 21.9961f, 14.0625f, 22.0f)
                lineTo(12.9063f, 22.0f)
                lineTo(13.3438f, 21.0f)
                lineTo(17.6563f, 21.625f)
                lineTo(20.25f, 22.0f)
                lineTo(19.0f, 20.0f)
                lineTo(12.0f, 19.0f)
                lineTo(10.75f, 22.0f)
                lineTo(6.0f, 22.0f)
                lineTo(6.0f, 17.1875f)
                close()
                moveTo(8.5f, 16.0f)
                curveTo(7.6719f, 16.0f, 7.0f, 16.6719f, 7.0f, 17.5f)
                curveTo(7.0f, 18.3281f, 7.6719f, 19.0f, 8.5f, 19.0f)
                curveTo(9.3281f, 19.0f, 10.0f, 18.3281f, 10.0f, 17.5f)
                curveTo(10.0f, 16.6719f, 9.3281f, 16.0f, 8.5f, 16.0f)
                close()
                moveTo(20.875f, 18.75f)
                curveTo(20.5391f, 19.6914f, 21.0273f, 20.7266f, 21.9688f, 21.0625f)
                curveTo(22.9102f, 21.3984f, 23.9453f, 20.9102f, 24.2813f, 19.9688f)
                close()
            }
        }
        .build()
        return _carCrashSolid!!
    }

private var _carCrashSolid: ImageVector? = null
