package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ChessBishopSolid: ImageVector
    get() {
        if (_chessBishopSolid != null) {
            return _chessBishopSolid!!
        }
        _chessBishopSolid = Builder(name = "ChessBishopSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(14.9063f, 3.0f, 14.0f, 3.9063f, 14.0f, 5.0f)
                curveTo(14.0f, 5.4414f, 14.1563f, 5.8555f, 14.4063f, 6.1875f)
                curveTo(14.0508f, 6.5625f, 13.6445f, 7.0117f, 13.2188f, 7.5313f)
                curveTo(12.1719f, 8.8125f, 11.0f, 10.293f, 11.0f, 12.0f)
                curveTo(11.0f, 13.1367f, 11.4141f, 14.1602f, 12.0625f, 15.0f)
                lineTo(12.0f, 15.0f)
                curveTo(11.9688f, 15.0f, 11.9375f, 15.0f, 11.9063f, 15.0f)
                curveTo(11.3555f, 15.0273f, 10.9258f, 15.4961f, 10.9531f, 16.0469f)
                curveTo(10.9805f, 16.5977f, 11.4492f, 17.0273f, 12.0f, 17.0f)
                lineTo(12.5f, 17.0f)
                lineTo(11.0938f, 20.5625f)
                lineTo(10.375f, 22.0f)
                lineTo(9.0f, 22.0f)
                curveTo(8.9688f, 22.0f, 8.9375f, 22.0f, 8.9063f, 22.0f)
                curveTo(8.3555f, 22.0273f, 7.9258f, 22.4961f, 7.9531f, 23.0469f)
                curveTo(7.9805f, 23.5977f, 8.4492f, 24.0273f, 9.0f, 24.0f)
                lineTo(7.1875f, 26.4063f)
                lineTo(7.0f, 26.6563f)
                lineTo(7.0f, 29.0f)
                lineTo(25.0f, 29.0f)
                lineTo(25.0f, 26.6563f)
                lineTo(24.8125f, 26.4063f)
                lineTo(23.0f, 24.0f)
                curveTo(23.3594f, 24.0039f, 23.6953f, 23.8164f, 23.8789f, 23.5039f)
                curveTo(24.0586f, 23.1914f, 24.0586f, 22.8086f, 23.8789f, 22.4961f)
                curveTo(23.6953f, 22.1836f, 23.3594f, 21.9961f, 23.0f, 22.0f)
                lineTo(21.625f, 22.0f)
                lineTo(20.9063f, 20.5625f)
                lineTo(19.5f, 17.0f)
                lineTo(20.0f, 17.0f)
                curveTo(20.3594f, 17.0039f, 20.6953f, 16.8164f, 20.8789f, 16.5039f)
                curveTo(21.0586f, 16.1914f, 21.0586f, 15.8086f, 20.8789f, 15.4961f)
                curveTo(20.6953f, 15.1836f, 20.3594f, 14.9961f, 20.0f, 15.0f)
                curveTo(20.6289f, 14.1602f, 21.0f, 13.1211f, 21.0f, 12.0f)
                curveTo(21.0f, 10.293f, 19.8281f, 8.8125f, 18.7813f, 7.5313f)
                curveTo(18.3555f, 7.0117f, 17.9492f, 6.5625f, 17.5938f, 6.1875f)
                curveTo(17.8438f, 5.8555f, 18.0f, 5.4414f, 18.0f, 5.0f)
                curveTo(18.0f, 3.9063f, 17.0938f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 7.4688f)
                curveTo(16.3633f, 7.8359f, 16.6094f, 8.0664f, 17.2188f, 8.8125f)
                curveTo(18.1719f, 9.9805f, 19.0f, 11.5f, 19.0f, 12.0f)
                curveTo(19.0f, 13.6797f, 17.6992f, 15.0f, 16.0313f, 15.0f)
                curveTo(14.3633f, 15.0f, 13.0f, 13.6602f, 13.0f, 12.0f)
                curveTo(13.0f, 11.5f, 13.8281f, 9.9805f, 14.7813f, 8.8125f)
                curveTo(15.3906f, 8.0664f, 15.6367f, 7.8359f, 16.0f, 7.4688f)
                close()
                moveTo(14.6875f, 17.0f)
                lineTo(17.3125f, 17.0f)
                lineTo(19.0625f, 21.375f)
                lineTo(19.0938f, 21.4063f)
                lineTo(19.0938f, 21.4375f)
                lineTo(19.375f, 22.0f)
                lineTo(12.625f, 22.0f)
                lineTo(12.9063f, 21.4375f)
                lineTo(12.9063f, 21.4063f)
                lineTo(12.9375f, 21.375f)
                close()
                moveTo(11.5f, 24.0f)
                lineTo(20.5f, 24.0f)
                lineTo(22.75f, 27.0f)
                lineTo(9.25f, 27.0f)
                close()
            }
        }
        .build()
        return _chessBishopSolid!!
    }

private var _chessBishopSolid: ImageVector? = null
