package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CloudMoonRainSolid: ImageVector
    get() {
        if (_cloudMoonRainSolid != null) {
            return _cloudMoonRainSolid!!
        }
        _cloudMoonRainSolid = Builder(name = "CloudMoonRainSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.4063f, 5.9375f)
                lineTo(8.75f, 5.9688f)
                curveTo(5.008f, 6.1048f, 2.0f, 9.1947f, 2.0f, 12.9688f)
                curveTo(2.0f, 15.1987f, 3.0555f, 17.1838f, 4.6875f, 18.4688f)
                curveTo(4.2545f, 19.2108f, 4.0f, 20.082f, 4.0f, 21.0f)
                curveTo(4.0f, 23.758f, 6.242f, 26.0f, 9.0f, 26.0f)
                lineTo(10.1602f, 26.0f)
                curveTo(10.3402f, 25.37f, 10.6593f, 24.68f, 11.0293f, 24.0f)
                lineTo(9.0f, 24.0f)
                curveTo(7.348f, 24.0f, 6.0f, 22.652f, 6.0f, 21.0f)
                curveTo(6.0f, 19.348f, 7.348f, 18.0f, 9.0f, 18.0f)
                lineTo(10.0f, 18.0f)
                lineTo(10.0f, 17.0f)
                curveTo(10.0f, 15.898f, 10.8953f, 15.004f, 11.9063f, 15.0f)
                lineTo(12.9063f, 15.0625f)
                lineTo(13.0938f, 14.2188f)
                curveTo(13.4688f, 12.3588f, 15.102f, 11.0f, 17.0f, 11.0f)
                curveTo(18.605f, 11.0f, 20.0555f, 11.9605f, 20.6875f, 13.4375f)
                lineTo(20.9688f, 14.127f)
                lineTo(21.873f, 14.0313f)
                curveTo(21.917f, 14.0223f, 21.953f, 14.0f, 22.0f, 14.0f)
                curveTo(23.652f, 14.0f, 24.996f, 15.3515f, 25.0f, 16.9375f)
                lineTo(24.9688f, 17.9063f)
                lineTo(25.75f, 18.0957f)
                curveTo(27.082f, 18.4347f, 28.0f, 19.637f, 28.0f, 21.0f)
                curveTo(28.0f, 22.652f, 26.652f, 24.0f, 25.0f, 24.0f)
                lineTo(24.0f, 24.0f)
                curveTo(24.0f, 24.73f, 23.7795f, 25.41f, 23.4395f, 26.0f)
                lineTo(25.0f, 26.0f)
                curveTo(27.758f, 26.0f, 30.0f, 23.758f, 30.0f, 21.0f)
                curveTo(30.0f, 18.98f, 28.7887f, 17.1803f, 26.9688f, 16.4063f)
                curveTo(26.6877f, 13.9882f, 24.6555f, 12.097f, 22.1875f, 12.0f)
                curveTo(21.1245f, 10.152f, 19.164f, 9.0f, 17.0f, 9.0f)
                curveTo(14.684f, 9.0f, 12.617f, 10.3398f, 11.625f, 12.3438f)
                curveTo(10.297f, 11.7968f, 9.3438f, 10.5077f, 9.3438f, 8.9688f)
                curveTo(9.3438f, 8.4097f, 9.4605f, 7.8872f, 9.6875f, 7.4063f)
                lineTo(10.4063f, 5.9375f)
                close()
                moveTo(7.5f, 8.3125f)
                curveTo(7.473f, 8.5425f, 7.3438f, 8.7297f, 7.3438f, 8.9688f)
                curveTo(7.3438f, 10.9218f, 8.3317f, 12.6322f, 9.8438f, 13.6563f)
                curveTo(8.9958f, 14.2102f, 8.3317f, 15.0778f, 8.0938f, 16.0938f)
                curveTo(7.3238f, 16.2337f, 6.6333f, 16.555f, 6.0313f, 17.0f)
                curveTo(4.8053f, 16.086f, 4.0f, 14.6208f, 4.0f, 12.9688f)
                curveTo(4.0f, 10.7308f, 5.484f, 8.9565f, 7.5f, 8.3125f)
                close()
                moveTo(20.0f, 20.0f)
                curveTo(20.0f, 20.0f, 18.0f, 22.895f, 18.0f, 24.0f)
                curveTo(18.0f, 25.105f, 18.895f, 26.0f, 20.0f, 26.0f)
                curveTo(20.137f, 26.0f, 20.2773f, 25.9958f, 20.4063f, 25.9688f)
                curveTo(21.3162f, 25.7808f, 22.0f, 24.969f, 22.0f, 24.0f)
                curveTo(22.0f, 22.895f, 20.0f, 20.0f, 20.0f, 20.0f)
                close()
                moveTo(14.0f, 23.0f)
                curveTo(14.0f, 23.0f, 13.715f, 23.453f, 13.375f, 24.0f)
                curveTo(13.25f, 24.199f, 13.133f, 24.3627f, 13.0f, 24.5938f)
                curveTo(12.82f, 24.9067f, 12.656f, 25.2103f, 12.5f, 25.5313f)
                curveTo(12.422f, 25.6912f, 12.3442f, 25.849f, 12.2813f, 26.002f)
                curveTo(12.1173f, 26.388f, 12.0f, 26.746f, 12.0f, 27.0f)
                curveTo(12.0f, 28.105f, 12.895f, 29.0f, 14.0f, 29.0f)
                curveTo(15.105f, 29.0f, 16.0f, 28.105f, 16.0f, 27.0f)
                curveTo(16.0f, 26.746f, 15.8827f, 26.387f, 15.7188f, 26.0f)
                curveTo(15.7028f, 25.969f, 15.7025f, 25.9412f, 15.6875f, 25.9063f)
                curveTo(15.6325f, 25.7852f, 15.564f, 25.6563f, 15.502f, 25.5313f)
                curveTo(15.229f, 24.9762f, 14.916f, 24.465f, 14.627f, 24.0f)
                curveTo(14.286f, 23.453f, 14.0f, 23.0f, 14.0f, 23.0f)
                close()
            }
        }
        .build()
        return _cloudMoonRainSolid!!
    }

private var _cloudMoonRainSolid: ImageVector? = null
