package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CogsSolid: ImageVector
    get() {
        if (_cogsSolid != null) {
            return _cogsSolid!!
        }
        _cogsSolid = Builder(name = "CogsSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 4.0f)
                lineTo(15.0f, 5.125f)
                curveTo(14.3398f, 5.2539f, 13.6992f, 5.4805f, 13.1563f, 5.8438f)
                lineTo(12.375f, 5.0625f)
                lineTo(10.9375f, 6.4688f)
                lineTo(11.75f, 7.2813f)
                curveTo(11.4102f, 7.7969f, 11.1602f, 8.3789f, 11.0313f, 9.0f)
                lineTo(10.0f, 9.0f)
                lineTo(10.0f, 11.0f)
                lineTo(11.0313f, 11.0f)
                curveTo(11.1602f, 11.6211f, 11.4102f, 12.2031f, 11.75f, 12.7188f)
                lineTo(10.9375f, 13.5313f)
                lineTo(12.375f, 14.9375f)
                lineTo(13.1563f, 14.1563f)
                curveTo(13.6992f, 14.5195f, 14.3398f, 14.7461f, 15.0f, 14.875f)
                lineTo(15.0f, 16.0f)
                lineTo(17.0f, 16.0f)
                lineTo(17.0f, 14.875f)
                curveTo(17.6094f, 14.7422f, 18.1836f, 14.5234f, 18.6875f, 14.1875f)
                lineTo(19.4375f, 14.9375f)
                lineTo(20.8438f, 13.5313f)
                lineTo(20.0938f, 12.7813f)
                curveTo(20.4531f, 12.25f, 20.7109f, 11.6484f, 20.8438f, 11.0f)
                lineTo(22.0f, 11.0f)
                lineTo(22.0f, 9.0f)
                lineTo(20.8438f, 9.0f)
                curveTo(20.7109f, 8.3516f, 20.4531f, 7.75f, 20.0938f, 7.2188f)
                lineTo(20.8438f, 6.4688f)
                lineTo(19.4375f, 5.0625f)
                lineTo(18.6875f, 5.8125f)
                curveTo(18.1836f, 5.4766f, 17.6094f, 5.2578f, 17.0f, 5.125f)
                lineTo(17.0f, 4.0f)
                close()
                moveTo(15.9375f, 7.0f)
                curveTo(17.6055f, 7.0f, 18.9375f, 8.332f, 18.9375f, 10.0f)
                curveTo(18.9375f, 11.668f, 17.6055f, 13.0f, 15.9375f, 13.0f)
                curveTo(14.2695f, 13.0f, 12.9375f, 11.668f, 12.9375f, 10.0f)
                curveTo(12.9375f, 8.332f, 14.2695f, 7.0f, 15.9375f, 7.0f)
                close()
                moveTo(8.0f, 16.0f)
                lineTo(8.0f, 17.0938f)
                curveTo(7.3281f, 17.2227f, 6.7031f, 17.4727f, 6.1563f, 17.8438f)
                lineTo(5.375f, 17.0625f)
                lineTo(3.9375f, 18.4688f)
                lineTo(4.75f, 19.2813f)
                curveTo(4.4102f, 19.8008f, 4.1602f, 20.375f, 4.0313f, 21.0f)
                lineTo(3.0f, 21.0f)
                lineTo(3.0f, 23.0f)
                lineTo(4.0313f, 23.0f)
                curveTo(4.1602f, 23.625f, 4.4102f, 24.1992f, 4.75f, 24.7188f)
                lineTo(3.9375f, 25.5313f)
                lineTo(5.375f, 26.9375f)
                lineTo(6.1563f, 26.1563f)
                curveTo(6.7031f, 26.5273f, 7.3281f, 26.7773f, 8.0f, 26.9063f)
                lineTo(8.0f, 28.0f)
                lineTo(10.0f, 28.0f)
                lineTo(10.0f, 26.875f)
                curveTo(10.6094f, 26.7422f, 11.1836f, 26.5234f, 11.6875f, 26.1875f)
                lineTo(12.4375f, 26.9375f)
                lineTo(13.8438f, 25.5313f)
                lineTo(13.0938f, 24.7813f)
                curveTo(13.4492f, 24.2578f, 13.707f, 23.668f, 13.8438f, 23.0313f)
                lineTo(15.0313f, 23.0f)
                lineTo(14.9688f, 21.0f)
                lineTo(13.8438f, 21.0313f)
                curveTo(13.7109f, 20.3711f, 13.4609f, 19.7578f, 13.0938f, 19.2188f)
                lineTo(13.8438f, 18.4688f)
                lineTo(12.4375f, 17.0625f)
                lineTo(11.6875f, 17.8125f)
                curveTo(11.1836f, 17.4766f, 10.6094f, 17.2578f, 10.0f, 17.125f)
                lineTo(10.0f, 16.0f)
                close()
                moveTo(22.0f, 16.0f)
                lineTo(22.0f, 17.125f)
                curveTo(21.3398f, 17.2539f, 20.6992f, 17.4805f, 20.1563f, 17.8438f)
                lineTo(19.375f, 17.0625f)
                lineTo(17.9375f, 18.4688f)
                lineTo(18.75f, 19.2813f)
                curveTo(18.4102f, 19.7969f, 18.1602f, 20.3789f, 18.0313f, 21.0f)
                lineTo(17.0f, 21.0f)
                lineTo(17.0f, 23.0f)
                lineTo(18.0313f, 23.0f)
                curveTo(18.1602f, 23.6211f, 18.4102f, 24.2031f, 18.75f, 24.7188f)
                lineTo(17.9375f, 25.5313f)
                lineTo(19.375f, 26.9375f)
                lineTo(20.1563f, 26.1563f)
                curveTo(20.6992f, 26.5195f, 21.3398f, 26.7461f, 22.0f, 26.875f)
                lineTo(22.0f, 28.0f)
                lineTo(24.0f, 28.0f)
                lineTo(24.0f, 26.875f)
                curveTo(24.6055f, 26.7422f, 25.1523f, 26.4883f, 25.6563f, 26.1563f)
                lineTo(26.4375f, 26.9375f)
                lineTo(27.8438f, 25.5313f)
                lineTo(27.0938f, 24.7813f)
                curveTo(27.4531f, 24.2578f, 27.707f, 23.6719f, 27.8438f, 23.0313f)
                lineTo(29.0313f, 23.0f)
                lineTo(28.9688f, 21.0f)
                lineTo(27.8438f, 21.0313f)
                curveTo(27.7148f, 20.3789f, 27.4219f, 19.7852f, 27.0625f, 19.25f)
                lineTo(27.8438f, 18.4688f)
                lineTo(26.4375f, 17.0625f)
                lineTo(25.6563f, 17.8438f)
                curveTo(25.1602f, 17.5195f, 24.5938f, 17.2891f, 24.0f, 17.1563f)
                lineTo(24.0f, 16.0f)
                close()
                moveTo(8.9375f, 19.0f)
                curveTo(10.6055f, 19.0f, 11.9375f, 20.332f, 11.9375f, 22.0f)
                curveTo(11.9375f, 23.668f, 10.6055f, 25.0f, 8.9375f, 25.0f)
                curveTo(7.2695f, 25.0f, 5.9375f, 23.668f, 5.9375f, 22.0f)
                curveTo(5.9375f, 20.332f, 7.2695f, 19.0f, 8.9375f, 19.0f)
                close()
                moveTo(22.9375f, 19.0f)
                curveTo(24.6055f, 19.0f, 25.9375f, 20.332f, 25.9375f, 22.0f)
                curveTo(25.9375f, 23.668f, 24.6055f, 25.0f, 22.9375f, 25.0f)
                curveTo(21.2695f, 25.0f, 19.9375f, 23.668f, 19.9375f, 22.0f)
                curveTo(19.9375f, 20.332f, 21.2695f, 19.0f, 22.9375f, 19.0f)
                close()
            }
        }
        .build()
        return _cogsSolid!!
    }

private var _cogsSolid: ImageVector? = null
