package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CommentSolid: ImageVector
    get() {
        if (_commentSolid != null) {
            return _commentSolid!!
        }
        _commentSolid = Builder(name = "CommentSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.0f, 6.0f)
                lineTo(3.0f, 26.0f)
                lineTo(12.5859f, 26.0f)
                lineTo(16.0f, 29.4141f)
                lineTo(19.4141f, 26.0f)
                lineTo(29.0f, 26.0f)
                lineTo(29.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                lineTo(27.0f, 24.0f)
                lineTo(18.5859f, 24.0f)
                lineTo(16.0f, 26.5859f)
                lineTo(13.4141f, 24.0f)
                lineTo(5.0f, 24.0f)
                close()
                moveTo(9.0f, 11.0f)
                lineTo(9.0f, 13.0f)
                lineTo(23.0f, 13.0f)
                lineTo(23.0f, 11.0f)
                close()
                moveTo(9.0f, 15.0f)
                lineTo(9.0f, 17.0f)
                lineTo(23.0f, 17.0f)
                lineTo(23.0f, 15.0f)
                close()
                moveTo(9.0f, 19.0f)
                lineTo(9.0f, 21.0f)
                lineTo(19.0f, 21.0f)
                lineTo(19.0f, 19.0f)
                close()
            }
        }
        .build()
        return _commentSolid!!
    }

private var _commentSolid: ImageVector? = null
