package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CookieBiteSolid: ImageVector
    get() {
        if (_cookieBiteSolid != null) {
            return _cookieBiteSolid!!
        }
        _cookieBiteSolid = Builder(name = "CookieBiteSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(9.3711f, 4.0f, 4.0f, 9.3711f, 4.0f, 16.0f)
                curveTo(4.0f, 22.6289f, 9.3711f, 28.0f, 16.0f, 28.0f)
                curveTo(22.6289f, 28.0f, 28.0f, 22.6289f, 28.0f, 16.0f)
                curveTo(28.0f, 15.5156f, 27.9648f, 15.0391f, 27.9063f, 14.5664f)
                curveTo(27.5078f, 14.8398f, 27.0234f, 15.0f, 26.5f, 15.0f)
                curveTo(25.4219f, 15.0f, 24.5117f, 14.3125f, 24.1602f, 13.3594f)
                curveTo(23.5352f, 13.7578f, 22.7969f, 14.0f, 22.0f, 14.0f)
                curveTo(19.7891f, 14.0f, 18.0f, 12.2109f, 18.0f, 10.0f)
                curveTo(18.0f, 9.2656f, 18.2109f, 8.5859f, 18.5586f, 7.9922f)
                curveTo(18.5391f, 7.9961f, 18.5195f, 8.0f, 18.5f, 8.0f)
                curveTo(17.1172f, 8.0f, 16.0f, 6.8828f, 16.0f, 5.5f)
                curveTo(16.0f, 4.9414f, 16.1875f, 4.4336f, 16.4961f, 4.0195f)
                curveTo(16.332f, 4.0117f, 16.168f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(23.5f, 4.0f)
                curveTo(22.6719f, 4.0f, 22.0f, 4.6719f, 22.0f, 5.5f)
                curveTo(22.0f, 6.3281f, 22.6719f, 7.0f, 23.5f, 7.0f)
                curveTo(24.3281f, 7.0f, 25.0f, 6.3281f, 25.0f, 5.5f)
                curveTo(25.0f, 4.6719f, 24.3281f, 4.0f, 23.5f, 4.0f)
                close()
                moveTo(14.0508f, 6.1875f)
                curveTo(14.25f, 7.4766f, 15.0f, 8.5859f, 16.0469f, 9.2734f)
                curveTo(16.0156f, 9.5117f, 16.0f, 9.7578f, 16.0f, 10.0f)
                curveTo(16.0f, 13.3086f, 18.6914f, 16.0f, 22.0f, 16.0f)
                curveTo(22.4961f, 16.0f, 22.9922f, 15.9375f, 23.4688f, 15.8125f)
                curveTo(24.1523f, 16.4375f, 25.0156f, 16.8516f, 25.9531f, 16.9688f)
                curveTo(25.4648f, 22.0313f, 21.1875f, 26.0f, 16.0f, 26.0f)
                curveTo(10.4844f, 26.0f, 6.0f, 21.5156f, 6.0f, 16.0f)
                curveTo(6.0f, 11.1523f, 9.4688f, 7.0977f, 14.0508f, 6.1875f)
                close()
                moveTo(22.0f, 9.0f)
                curveTo(21.4492f, 9.0f, 21.0f, 9.4492f, 21.0f, 10.0f)
                curveTo(21.0f, 10.5508f, 21.4492f, 11.0f, 22.0f, 11.0f)
                curveTo(22.5508f, 11.0f, 23.0f, 10.5508f, 23.0f, 10.0f)
                curveTo(23.0f, 9.4492f, 22.5508f, 9.0f, 22.0f, 9.0f)
                close()
                moveTo(14.0f, 10.0f)
                curveTo(13.4492f, 10.0f, 13.0f, 10.4492f, 13.0f, 11.0f)
                curveTo(13.0f, 11.5508f, 13.4492f, 12.0f, 14.0f, 12.0f)
                curveTo(14.5508f, 12.0f, 15.0f, 11.5508f, 15.0f, 11.0f)
                curveTo(15.0f, 10.4492f, 14.5508f, 10.0f, 14.0f, 10.0f)
                close()
                moveTo(27.0f, 10.0f)
                curveTo(26.4492f, 10.0f, 26.0f, 10.4492f, 26.0f, 11.0f)
                curveTo(26.0f, 11.5508f, 26.4492f, 12.0f, 27.0f, 12.0f)
                curveTo(27.5508f, 12.0f, 28.0f, 11.5508f, 28.0f, 11.0f)
                curveTo(28.0f, 10.4492f, 27.5508f, 10.0f, 27.0f, 10.0f)
                close()
                moveTo(11.0f, 13.0f)
                curveTo(9.8945f, 13.0f, 9.0f, 13.8945f, 9.0f, 15.0f)
                curveTo(9.0f, 16.1055f, 9.8945f, 17.0f, 11.0f, 17.0f)
                curveTo(12.1055f, 17.0f, 13.0f, 16.1055f, 13.0f, 15.0f)
                curveTo(13.0f, 13.8945f, 12.1055f, 13.0f, 11.0f, 13.0f)
                close()
                moveTo(16.0f, 15.0f)
                curveTo(15.4492f, 15.0f, 15.0f, 15.4492f, 15.0f, 16.0f)
                curveTo(15.0f, 16.5508f, 15.4492f, 17.0f, 16.0f, 17.0f)
                curveTo(16.5508f, 17.0f, 17.0f, 16.5508f, 17.0f, 16.0f)
                curveTo(17.0f, 15.4492f, 16.5508f, 15.0f, 16.0f, 15.0f)
                close()
                moveTo(12.5f, 19.0f)
                curveTo(11.6719f, 19.0f, 11.0f, 19.6719f, 11.0f, 20.5f)
                curveTo(11.0f, 21.3281f, 11.6719f, 22.0f, 12.5f, 22.0f)
                curveTo(13.3281f, 22.0f, 14.0f, 21.3281f, 14.0f, 20.5f)
                curveTo(14.0f, 19.6719f, 13.3281f, 19.0f, 12.5f, 19.0f)
                close()
                moveTo(19.5f, 20.0f)
                curveTo(18.6719f, 20.0f, 18.0f, 20.6719f, 18.0f, 21.5f)
                curveTo(18.0f, 22.3281f, 18.6719f, 23.0f, 19.5f, 23.0f)
                curveTo(20.3281f, 23.0f, 21.0f, 22.3281f, 21.0f, 21.5f)
                curveTo(21.0f, 20.6719f, 20.3281f, 20.0f, 19.5f, 20.0f)
                close()
            }
        }
        .build()
        return _cookieBiteSolid!!
    }

private var _cookieBiteSolid: ImageVector? = null
