package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CrutchSolid: ImageVector
    get() {
        if (_crutchSolid != null) {
            return _crutchSolid!!
        }
        _crutchSolid = Builder(name = "CrutchSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.4688f, 4.0f)
                curveTo(19.3125f, 3.9883f, 19.1523f, 4.0078f, 19.0f, 4.0313f)
                curveTo(18.3867f, 4.1328f, 17.832f, 4.5234f, 17.5313f, 5.125f)
                lineTo(17.0313f, 6.0625f)
                lineTo(17.0313f, 6.0938f)
                curveTo(16.7734f, 6.6289f, 16.7969f, 7.25f, 17.0313f, 7.7813f)
                lineTo(15.9688f, 8.8438f)
                curveTo(14.5586f, 10.2539f, 13.5781f, 12.0039f, 13.0938f, 13.9375f)
                lineTo(12.375f, 16.7813f)
                lineTo(11.125f, 18.0f)
                lineTo(11.8438f, 18.7188f)
                lineTo(7.3125f, 23.2813f)
                lineTo(6.4375f, 23.4063f)
                lineTo(5.0f, 24.8438f)
                lineTo(7.1563f, 27.0f)
                lineTo(8.5938f, 25.5625f)
                lineTo(8.7188f, 24.6875f)
                lineTo(13.2813f, 20.1563f)
                lineTo(14.0f, 20.875f)
                lineTo(15.2188f, 19.625f)
                lineTo(18.0625f, 18.9063f)
                curveTo(19.9961f, 18.4219f, 21.7461f, 17.4414f, 23.1563f, 16.0313f)
                lineTo(24.2188f, 14.9688f)
                curveTo(24.75f, 15.1914f, 25.3672f, 15.1992f, 25.9063f, 14.9375f)
                lineTo(25.9375f, 14.9375f)
                lineTo(26.875f, 14.4688f)
                curveTo(28.082f, 13.8672f, 28.3594f, 12.2031f, 27.4063f, 11.25f)
                lineTo(27.375f, 11.1875f)
                lineTo(20.9375f, 4.7813f)
                lineTo(20.75f, 4.5938f)
                curveTo(20.3906f, 4.2344f, 19.9336f, 4.0313f, 19.4688f, 4.0f)
                close()
                moveTo(19.3125f, 6.0f)
                curveTo(19.3164f, 6.0039f, 19.3359f, 5.9922f, 19.3438f, 6.0f)
                lineTo(26.0f, 12.6563f)
                curveTo(26.0078f, 12.6641f, 25.9961f, 12.6836f, 26.0f, 12.6875f)
                lineTo(25.0313f, 13.1563f)
                curveTo(25.0234f, 13.1602f, 25.0078f, 13.1641f, 25.0f, 13.1563f)
                lineTo(18.8438f, 7.0f)
                curveTo(18.8359f, 6.9922f, 18.8398f, 6.9805f, 18.8438f, 6.9688f)
                close()
                moveTo(18.3125f, 9.3125f)
                lineTo(22.6875f, 13.6875f)
                lineTo(21.75f, 14.5938f)
                curveTo(21.5703f, 14.7734f, 21.3789f, 14.9297f, 21.1875f, 15.0938f)
                lineTo(16.9063f, 10.8125f)
                curveTo(17.0703f, 10.6211f, 17.2266f, 10.4297f, 17.4063f, 10.25f)
                close()
                moveTo(15.7813f, 12.5313f)
                lineTo(19.4688f, 16.2188f)
                curveTo(18.8594f, 16.5313f, 18.2305f, 16.8008f, 17.5625f, 16.9688f)
                lineTo(16.0938f, 17.3438f)
                lineTo(16.7188f, 16.7188f)
                lineTo(15.2813f, 15.2813f)
                lineTo(14.6563f, 15.9063f)
                lineTo(15.0313f, 14.4375f)
                curveTo(15.1992f, 13.7695f, 15.4688f, 13.1406f, 15.7813f, 12.5313f)
                close()
            }
        }
        .build()
        return _crutchSolid!!
    }

private var _crutchSolid: ImageVector? = null
