package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.DiceD6Solid: ImageVector
    get() {
        if (_diceD6Solid != null) {
            return _diceD6Solid!!
        }
        _diceD6Solid = Builder(name = "DiceD6Solid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 2.9375f)
                lineTo(4.6563f, 7.0625f)
                lineTo(4.0f, 7.3125f)
                lineTo(4.0f, 22.5938f)
                lineTo(4.5313f, 22.875f)
                lineTo(15.5313f, 28.875f)
                lineTo(16.0f, 29.125f)
                lineTo(16.4688f, 28.875f)
                lineTo(27.4688f, 22.875f)
                lineTo(28.0f, 22.5938f)
                lineTo(28.0f, 7.3125f)
                lineTo(27.3438f, 7.0625f)
                close()
                moveTo(16.0f, 5.0625f)
                lineTo(24.375f, 8.0938f)
                lineTo(16.0f, 11.9063f)
                lineTo(7.625f, 8.0938f)
                close()
                moveTo(16.0f, 7.0f)
                curveTo(14.8945f, 7.0f, 14.0f, 7.4492f, 14.0f, 8.0f)
                curveTo(14.0f, 8.5508f, 14.8945f, 9.0f, 16.0f, 9.0f)
                curveTo(17.1055f, 9.0f, 18.0f, 8.5508f, 18.0f, 8.0f)
                curveTo(18.0f, 7.4492f, 17.1055f, 7.0f, 16.0f, 7.0f)
                close()
                moveTo(6.0f, 9.5313f)
                lineTo(15.0f, 13.625f)
                lineTo(15.0f, 26.3125f)
                lineTo(6.0f, 21.4063f)
                close()
                moveTo(26.0f, 9.5313f)
                lineTo(26.0f, 21.4063f)
                lineTo(17.0f, 26.3125f)
                lineTo(17.0f, 13.625f)
                close()
                moveTo(12.6563f, 14.0f)
                curveTo(12.2852f, 14.0f, 12.0f, 14.3555f, 12.0f, 14.875f)
                curveTo(12.0f, 15.543f, 12.3555f, 16.2344f, 12.875f, 16.5313f)
                curveTo(13.0234f, 16.6055f, 13.1953f, 16.5938f, 13.3438f, 16.5938f)
                curveTo(13.5664f, 16.5938f, 13.6953f, 16.5234f, 13.8438f, 16.375f)
                curveTo(13.918f, 16.2266f, 14.0f, 16.0156f, 14.0f, 15.7188f)
                curveTo(14.0f, 15.0508f, 13.5508f, 14.3594f, 13.0313f, 14.0625f)
                curveTo(12.8828f, 13.9883f, 12.8047f, 14.0f, 12.6563f, 14.0f)
                close()
                moveTo(20.0313f, 15.0f)
                curveTo(19.957f, 15.0117f, 19.8672f, 15.0508f, 19.7813f, 15.0938f)
                curveTo(19.1719f, 15.3555f, 18.6563f, 16.2188f, 18.6563f, 17.0f)
                curveTo(18.6563f, 17.2617f, 18.6367f, 17.5117f, 18.8125f, 17.6875f)
                curveTo(18.9883f, 17.8633f, 19.1758f, 17.9688f, 19.4375f, 17.9688f)
                curveTo(19.6133f, 17.9688f, 19.793f, 17.9609f, 19.9688f, 17.875f)
                curveTo(20.5781f, 17.5273f, 21.0f, 16.7266f, 21.0f, 16.0313f)
                curveTo(21.0f, 15.4219f, 20.7422f, 15.0f, 20.2188f, 15.0f)
                curveTo(20.1758f, 15.0f, 20.1055f, 14.9883f, 20.0313f, 15.0f)
                close()
                moveTo(10.125f, 16.2813f)
                curveTo(9.7539f, 16.2813f, 9.4688f, 16.6367f, 9.4688f, 17.1563f)
                curveTo(9.4688f, 17.8242f, 9.8242f, 18.4844f, 10.3438f, 18.7813f)
                curveTo(10.4922f, 18.8555f, 10.6328f, 18.875f, 10.7813f, 18.875f)
                curveTo(11.0039f, 18.875f, 11.1641f, 18.8047f, 11.3125f, 18.6563f)
                curveTo(11.3867f, 18.5078f, 11.4688f, 18.2656f, 11.4688f, 17.9688f)
                curveTo(11.4688f, 17.3008f, 11.0195f, 16.6406f, 10.5f, 16.3438f)
                curveTo(10.3516f, 16.2695f, 10.2734f, 16.2813f, 10.125f, 16.2813f)
                close()
                moveTo(23.5313f, 17.4375f)
                curveTo(23.457f, 17.4492f, 23.3672f, 17.457f, 23.2813f, 17.5f)
                curveTo(22.6719f, 17.7617f, 22.1563f, 18.6563f, 22.1563f, 19.4375f)
                curveTo(22.1563f, 19.6992f, 22.168f, 19.9492f, 22.3438f, 20.125f)
                curveTo(22.5195f, 20.3008f, 22.6758f, 20.375f, 22.9375f, 20.375f)
                curveTo(23.1133f, 20.375f, 23.293f, 20.3984f, 23.4688f, 20.3125f)
                curveTo(24.0781f, 19.9648f, 24.5f, 19.1641f, 24.5f, 18.4688f)
                curveTo(24.5f, 17.8594f, 24.2422f, 17.4375f, 23.7188f, 17.4375f)
                curveTo(23.6758f, 17.4375f, 23.6055f, 17.4258f, 23.5313f, 17.4375f)
                close()
                moveTo(7.6563f, 18.4063f)
                curveTo(7.2852f, 18.4063f, 7.0f, 18.7617f, 7.0f, 19.2813f)
                curveTo(7.0f, 19.9492f, 7.3555f, 20.6406f, 7.875f, 20.9375f)
                curveTo(8.0234f, 21.0117f, 8.1953f, 21.0f, 8.3438f, 21.0f)
                curveTo(8.5664f, 21.0f, 8.6953f, 20.9297f, 8.8438f, 20.7813f)
                curveTo(8.918f, 20.6328f, 9.0f, 20.4219f, 9.0f, 20.125f)
                curveTo(9.0f, 19.457f, 8.5508f, 18.7656f, 8.0313f, 18.4688f)
                curveTo(7.8828f, 18.3945f, 7.8047f, 18.4063f, 7.6563f, 18.4063f)
                close()
            }
        }
        .build()
        return _diceD6Solid!!
    }

private var _diceD6Solid: ImageVector? = null
