package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.DrumSteelpanSolid: ImageVector
    get() {
        if (_drumSteelpanSolid != null) {
            return _drumSteelpanSolid!!
        }
        _drumSteelpanSolid = Builder(name = "DrumSteelpanSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 6.0f)
                curveTo(8.82f, 6.0f, 3.0f, 8.462f, 3.0f, 11.5f)
                lineTo(3.0f, 20.5f)
                curveTo(3.0f, 23.538f, 8.82f, 26.0f, 16.0f, 26.0f)
                curveTo(23.18f, 26.0f, 29.0f, 23.538f, 29.0f, 20.5f)
                lineTo(29.0f, 11.5f)
                curveTo(29.0f, 8.462f, 23.18f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(16.8931f, 8.0f, 17.7342f, 8.0395f, 18.5234f, 8.1094f)
                curveTo(18.6877f, 8.1239f, 18.8403f, 8.1449f, 19.0f, 8.1621f)
                lineTo(19.0f, 8.5996f)
                curveTo(19.0f, 9.9196f, 17.65f, 11.0f, 16.0f, 11.0f)
                curveTo(14.35f, 11.0f, 13.0f, 9.9196f, 13.0f, 8.5996f)
                lineTo(13.0f, 8.1621f)
                curveTo(13.927f, 8.0624f, 14.9209f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(12.8965f, 8.1738f)
                curveTo(12.5618f, 8.209f, 12.2409f, 8.2529f, 11.9258f, 8.3008f)
                curveTo(12.0625f, 8.2799f, 12.1915f, 8.2552f, 12.332f, 8.2363f)
                curveTo(12.5136f, 8.2119f, 12.7085f, 8.1948f, 12.8965f, 8.1738f)
                close()
                moveTo(19.1035f, 8.1738f)
                curveTo(19.2915f, 8.1948f, 19.4864f, 8.2119f, 19.668f, 8.2363f)
                curveTo(19.8085f, 8.2552f, 19.9375f, 8.2799f, 20.0742f, 8.3008f)
                curveTo(19.7591f, 8.2529f, 19.4382f, 8.209f, 19.1035f, 8.1738f)
                close()
                moveTo(11.5234f, 8.3633f)
                curveTo(11.3477f, 8.3935f, 11.181f, 8.4293f, 11.0117f, 8.4629f)
                curveTo(11.1023f, 8.4452f, 11.1751f, 8.4211f, 11.2676f, 8.4043f)
                curveTo(11.3497f, 8.3893f, 11.4398f, 8.3775f, 11.5234f, 8.3633f)
                close()
                moveTo(20.4766f, 8.3633f)
                curveTo(20.5602f, 8.3775f, 20.6503f, 8.3893f, 20.7324f, 8.4043f)
                curveTo(20.8249f, 8.4211f, 20.8977f, 8.4452f, 20.9883f, 8.4629f)
                curveTo(20.819f, 8.4293f, 20.6523f, 8.3935f, 20.4766f, 8.3633f)
                close()
                moveTo(10.5195f, 8.5762f)
                lineTo(11.5605f, 10.3809f)
                curveTo(12.0005f, 11.1209f, 12.1106f, 11.9901f, 11.8906f, 12.8301f)
                curveTo(11.7024f, 13.4937f, 11.3153f, 14.0673f, 10.793f, 14.4863f)
                curveTo(7.0214f, 13.7066f, 5.0f, 12.2301f, 5.0f, 11.5f)
                curveTo(5.0f, 11.4365f, 5.0149f, 11.367f, 5.0449f, 11.293f)
                curveTo(5.351f, 10.5375f, 7.2507f, 9.2993f, 10.5195f, 8.5762f)
                close()
                moveTo(21.4805f, 8.5762f)
                curveTo(25.0696f, 9.3701f, 27.0f, 10.7883f, 27.0f, 11.5f)
                curveTo(27.0f, 12.2302f, 24.9779f, 13.7067f, 21.2051f, 14.4863f)
                curveTo(20.6834f, 14.0676f, 20.2974f, 13.5031f, 20.1094f, 12.8301f)
                curveTo(19.8894f, 11.9901f, 19.9997f, 11.1209f, 20.4297f, 10.3809f)
                lineTo(21.4805f, 8.5762f)
                close()
                moveTo(16.0f, 13.0f)
                curveTo(17.31f, 13.0f, 18.3993f, 13.7794f, 18.7793f, 14.8594f)
                curveTo(19.157f, 14.825f, 19.5164f, 14.7815f, 19.8691f, 14.7324f)
                curveTo(18.7109f, 14.8985f, 17.4241f, 15.0f, 16.0f, 15.0f)
                curveTo(14.5759f, 15.0f, 13.2891f, 14.8985f, 12.1309f, 14.7324f)
                curveTo(12.4836f, 14.7815f, 12.843f, 14.825f, 13.2207f, 14.8594f)
                curveTo(13.6007f, 13.7794f, 14.69f, 13.0f, 16.0f, 13.0f)
                close()
                moveTo(5.0f, 14.4219f)
                curveTo(7.3005f, 15.9689f, 11.3606f, 17.0f, 16.0f, 17.0f)
                curveTo(20.6394f, 17.0f, 24.6995f, 15.9689f, 27.0f, 14.4219f)
                lineTo(27.0f, 20.5f)
                curveTo(27.0f, 21.516f, 23.145f, 24.0f, 16.0f, 24.0f)
                curveTo(8.855f, 24.0f, 5.0f, 21.516f, 5.0f, 20.5f)
                lineTo(5.0f, 14.4219f)
                close()
                moveTo(11.1133f, 14.5605f)
                curveTo(11.2788f, 14.5926f, 11.4478f, 14.6221f, 11.6191f, 14.6504f)
                curveTo(11.4462f, 14.6217f, 11.2797f, 14.5922f, 11.1133f, 14.5605f)
                close()
                moveTo(20.8867f, 14.5605f)
                curveTo(20.7203f, 14.5922f, 20.5538f, 14.6217f, 20.3809f, 14.6504f)
                curveTo(20.5522f, 14.6221f, 20.7212f, 14.5926f, 20.8867f, 14.5605f)
                close()
            }
        }
        .build()
        return _drumSteelpanSolid!!
    }

private var _drumSteelpanSolid: ImageVector? = null
