package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Fedex: ImageVector
    get() {
        if (_fedex != null) {
            return _fedex!!
        }
        _fedex = Builder(name = "Fedex", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 11.0f)
                lineTo(16.0f, 14.9492f)
                lineTo(15.9199f, 14.9492f)
                curveTo(15.4399f, 14.3742f, 14.8454f, 14.1758f, 14.1504f, 14.1758f)
                curveTo(12.7304f, 14.1758f, 11.6602f, 15.1904f, 11.2852f, 16.5234f)
                curveTo(10.3852f, 13.4164f, 6.4145f, 13.51f, 5.1895f, 15.791f)
                lineTo(5.1895f, 14.5254f)
                lineTo(2.4492f, 14.5254f)
                lineTo(2.4492f, 13.1543f)
                lineTo(5.4492f, 13.1543f)
                lineTo(5.4492f, 11.0059f)
                lineTo(0.0f, 11.0059f)
                lineTo(0.0f, 20.6484f)
                lineTo(2.4492f, 20.6484f)
                lineTo(2.4492f, 16.5957f)
                lineTo(4.8945f, 16.5957f)
                curveTo(4.8195f, 16.8937f, 4.7793f, 17.2138f, 4.7793f, 17.5488f)
                curveTo(4.7793f, 21.3718f, 9.9091f, 22.3271f, 11.2891f, 18.7871f)
                lineTo(9.1895f, 18.7871f)
                curveTo(8.4545f, 19.8801f, 6.9004f, 19.2524f, 6.9004f, 18.0234f)
                lineTo(11.1758f, 18.0234f)
                curveTo(11.3608f, 19.6184f, 12.5447f, 21.0f, 14.1797f, 21.0f)
                curveTo(14.8847f, 21.0f, 15.5308f, 20.6393f, 15.9258f, 20.0273f)
                lineTo(15.9492f, 20.0273f)
                lineTo(15.9492f, 20.6484f)
                lineTo(26.5605f, 20.6484f)
                lineTo(27.6641f, 19.3418f)
                lineTo(28.7793f, 20.6484f)
                lineTo(32.0f, 20.6484f)
                lineTo(29.3008f, 17.4844f)
                lineTo(31.9648f, 14.3516f)
                lineTo(28.8457f, 14.3516f)
                lineTo(27.7598f, 15.6504f)
                lineTo(26.6348f, 14.3535f)
                lineTo(20.6992f, 14.3535f)
                lineTo(20.6992f, 13.5156f)
                lineTo(23.5059f, 13.5156f)
                lineTo(23.5059f, 11.0f)
                lineTo(16.0f, 11.0f)
                close()
                moveTo(18.3047f, 11.4668f)
                lineTo(23.0547f, 11.4668f)
                lineTo(23.0547f, 13.0449f)
                lineTo(20.25f, 13.0449f)
                lineTo(20.25f, 14.8184f)
                lineTo(23.0254f, 14.8184f)
                lineTo(23.0254f, 16.2871f)
                lineTo(20.2207f, 16.2871f)
                lineTo(20.2207f, 18.627f)
                lineTo(23.0254f, 18.627f)
                lineTo(23.0254f, 20.1738f)
                lineTo(18.3047f, 20.1738f)
                lineTo(18.3047f, 11.4668f)
                close()
                moveTo(23.5352f, 14.5156f)
                lineTo(26.0703f, 17.4961f)
                lineTo(23.5352f, 20.4766f)
                lineTo(23.5352f, 18.0918f)
                lineTo(20.7305f, 18.0918f)
                lineTo(20.7305f, 16.8164f)
                lineTo(23.5352f, 16.8164f)
                lineTo(23.5352f, 14.5156f)
                close()
                moveTo(24.4492f, 14.8184f)
                lineTo(26.4355f, 14.8184f)
                lineTo(27.7656f, 16.3496f)
                lineTo(29.0449f, 14.8184f)
                lineTo(30.9707f, 14.8184f)
                lineTo(28.6992f, 17.4844f)
                lineTo(31.0f, 20.1738f)
                lineTo(28.9746f, 20.1738f)
                lineTo(27.6602f, 18.6309f)
                lineTo(26.3555f, 20.1738f)
                lineTo(24.4492f, 20.1738f)
                lineTo(26.7305f, 17.4961f)
                lineTo(24.4492f, 14.8184f)
                close()
                moveTo(8.1523f, 15.5996f)
                curveTo(8.6655f, 15.6042f, 9.1691f, 15.9477f, 9.2891f, 16.6172f)
                lineTo(6.9648f, 16.6172f)
                curveTo(7.1173f, 15.9292f, 7.6392f, 15.595f, 8.1523f, 15.5996f)
                close()
                moveTo(14.6348f, 15.8906f)
                curveTo(16.2648f, 15.8906f, 16.3598f, 19.1758f, 14.6348f, 19.1758f)
                curveTo(12.9048f, 19.1758f, 12.9348f, 15.8906f, 14.6348f, 15.8906f)
                close()
            }
        }
        .build()
        return _fedex!!
    }

private var _fedex: ImageVector? = null
