package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FileInvoiceDollarSolid: ImageVector
    get() {
        if (_fileInvoiceDollarSolid != null) {
            return _fileInvoiceDollarSolid!!
        }
        _fileInvoiceDollarSolid = Builder(name = "FileInvoiceDollarSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 3.0f)
                lineTo(6.0f, 29.0f)
                lineTo(22.0f, 29.0f)
                lineTo(22.0f, 27.0f)
                lineTo(8.0f, 27.0f)
                lineTo(8.0f, 5.0f)
                lineTo(18.0f, 5.0f)
                lineTo(18.0f, 11.0f)
                lineTo(24.0f, 11.0f)
                lineTo(24.0f, 13.0f)
                lineTo(26.0f, 13.0f)
                lineTo(26.0f, 9.5996f)
                lineTo(25.6992f, 9.3008f)
                lineTo(19.6992f, 3.3008f)
                lineTo(19.4004f, 3.0f)
                lineTo(6.0f, 3.0f)
                close()
                moveTo(20.0f, 6.4004f)
                lineTo(22.5996f, 9.0f)
                lineTo(20.0f, 9.0f)
                lineTo(20.0f, 6.4004f)
                close()
                moveTo(10.0f, 13.0f)
                lineTo(10.0f, 15.0f)
                lineTo(22.0f, 15.0f)
                lineTo(22.0f, 13.0f)
                lineTo(10.0f, 13.0f)
                close()
                moveTo(27.0f, 15.0f)
                lineTo(27.0f, 17.0f)
                curveTo(25.3f, 17.3f, 24.0f, 18.7f, 24.0f, 20.5f)
                curveTo(24.0f, 22.5f, 25.5f, 24.0f, 27.5f, 24.0f)
                lineTo(28.5f, 24.0f)
                curveTo(29.3f, 24.0f, 30.0f, 24.7f, 30.0f, 25.5f)
                curveTo(30.0f, 26.3f, 29.3f, 27.0f, 28.5f, 27.0f)
                lineTo(25.0f, 27.0f)
                lineTo(25.0f, 29.0f)
                lineTo(27.0f, 29.0f)
                lineTo(27.0f, 31.0f)
                lineTo(29.0f, 31.0f)
                lineTo(29.0f, 29.0f)
                curveTo(30.7f, 28.7f, 32.0f, 27.3f, 32.0f, 25.5f)
                curveTo(32.0f, 23.5f, 30.5f, 22.0f, 28.5f, 22.0f)
                lineTo(27.5f, 22.0f)
                curveTo(26.7f, 22.0f, 26.0f, 21.3f, 26.0f, 20.5f)
                curveTo(26.0f, 19.7f, 26.7f, 19.0f, 27.5f, 19.0f)
                lineTo(31.0f, 19.0f)
                lineTo(31.0f, 17.0f)
                lineTo(29.0f, 17.0f)
                lineTo(29.0f, 15.0f)
                lineTo(27.0f, 15.0f)
                close()
                moveTo(10.0f, 18.0f)
                lineTo(10.0f, 20.0f)
                lineTo(17.0f, 20.0f)
                lineTo(17.0f, 18.0f)
                lineTo(10.0f, 18.0f)
                close()
                moveTo(19.0f, 18.0f)
                lineTo(19.0f, 20.0f)
                lineTo(22.0f, 20.0f)
                lineTo(22.0f, 18.0f)
                lineTo(19.0f, 18.0f)
                close()
                moveTo(10.0f, 22.0f)
                lineTo(10.0f, 24.0f)
                lineTo(17.0f, 24.0f)
                lineTo(17.0f, 22.0f)
                lineTo(10.0f, 22.0f)
                close()
                moveTo(19.0f, 22.0f)
                lineTo(19.0f, 24.0f)
                lineTo(22.0f, 24.0f)
                lineTo(22.0f, 22.0f)
                lineTo(19.0f, 22.0f)
                close()
            }
        }
        .build()
        return _fileInvoiceDollarSolid!!
    }

private var _fileInvoiceDollarSolid: ImageVector? = null
