package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FingerprintSolid: ImageVector
    get() {
        if (_fingerprintSolid != null) {
            return _fingerprintSolid!!
        }
        _fingerprintSolid = Builder(name = "FingerprintSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(15.7383f, 4.0f, 15.5039f, 4.0156f, 15.25f, 4.0313f)
                curveTo(13.8438f, 4.1094f, 12.4688f, 4.3984f, 11.1875f, 4.9063f)
                lineTo(11.9375f, 6.7813f)
                curveTo(13.0156f, 6.3516f, 14.1523f, 6.0977f, 15.3438f, 6.0313f)
                curveTo(15.5508f, 6.0195f, 15.7734f, 6.0f, 16.0f, 6.0f)
                curveTo(17.8828f, 6.0f, 19.6641f, 6.4766f, 21.2188f, 7.3125f)
                lineTo(22.1563f, 5.5625f)
                curveTo(20.3203f, 4.5742f, 18.2188f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(9.5f, 5.7188f)
                curveTo(8.3242f, 6.3984f, 7.2422f, 7.2734f, 6.3125f, 8.3125f)
                curveTo(5.8984f, 8.7734f, 5.5352f, 9.293f, 5.1875f, 9.8125f)
                curveTo(4.8047f, 10.3828f, 4.4727f, 10.9805f, 4.1875f, 11.5938f)
                lineTo(6.0f, 12.4063f)
                curveTo(6.2383f, 11.8906f, 6.5195f, 11.3945f, 6.8438f, 10.9063f)
                curveTo(7.1367f, 10.4648f, 7.4648f, 10.043f, 7.8125f, 9.6563f)
                curveTo(8.6055f, 8.7695f, 9.5117f, 8.043f, 10.5f, 7.4688f)
                close()
                moveTo(23.9688f, 6.7188f)
                lineTo(22.75f, 8.3125f)
                curveTo(25.1914f, 10.207f, 26.7891f, 13.0938f, 26.9688f, 16.4063f)
                curveTo(26.9727f, 16.4688f, 27.0156f, 17.0156f, 26.9688f, 17.9375f)
                lineTo(28.9688f, 18.0625f)
                curveTo(29.0195f, 17.0586f, 28.9766f, 16.3984f, 28.9688f, 16.2813f)
                curveTo(28.7578f, 12.3789f, 26.8516f, 8.9531f, 23.9688f, 6.7188f)
                close()
                moveTo(16.0f, 7.0f)
                lineTo(16.0f, 9.0f)
                curveTo(20.25f, 9.0f, 23.7695f, 12.3125f, 24.0f, 16.5625f)
                curveTo(24.0078f, 16.6758f, 24.1289f, 19.6289f, 23.0f, 23.1875f)
                lineTo(24.9063f, 23.7813f)
                curveTo(26.1445f, 19.8789f, 26.0156f, 16.75f, 26.0f, 16.4688f)
                curveTo(25.7148f, 11.1758f, 21.293f, 7.0f, 16.0f, 7.0f)
                close()
                moveTo(14.1563f, 7.1563f)
                curveTo(12.0039f, 7.5508f, 10.0508f, 8.6523f, 8.5625f, 10.3125f)
                curveTo(8.2422f, 10.668f, 7.9258f, 11.0664f, 7.6563f, 11.4688f)
                lineTo(7.6875f, 11.4688f)
                lineTo(7.6875f, 11.5f)
                curveTo(6.5195f, 13.2617f, 5.9023f, 15.3008f, 6.0f, 17.4063f)
                curveTo(6.0f, 17.4258f, 6.0f, 17.4492f, 6.0f, 17.4688f)
                lineTo(6.0f, 17.9688f)
                lineTo(8.0f, 18.0313f)
                lineTo(8.0f, 17.375f)
                curveTo(7.9102f, 15.6602f, 8.3828f, 14.0f, 9.3438f, 12.5625f)
                curveTo(9.5547f, 12.2422f, 9.7773f, 11.9375f, 10.0313f, 11.6563f)
                curveTo(11.2305f, 10.3164f, 12.8125f, 9.4414f, 14.5313f, 9.125f)
                close()
                moveTo(15.5938f, 10.0f)
                curveTo(14.0039f, 10.0859f, 12.5234f, 10.7227f, 11.3438f, 11.7813f)
                lineTo(12.6563f, 13.2813f)
                curveTo(13.5039f, 12.5195f, 14.582f, 12.0625f, 15.7188f, 12.0f)
                curveTo(15.8242f, 11.9922f, 15.9023f, 12.0f, 16.0f, 12.0f)
                curveTo(16.582f, 12.0f, 17.1406f, 12.0977f, 17.6563f, 12.2813f)
                lineTo(18.3438f, 10.4063f)
                curveTo(17.6172f, 10.1484f, 16.8086f, 10.0f, 16.0f, 10.0f)
                curveTo(15.8555f, 10.0f, 15.7305f, 9.9922f, 15.5938f, 10.0f)
                close()
                moveTo(19.875f, 11.1563f)
                lineTo(18.7813f, 12.8438f)
                curveTo(20.0508f, 13.6914f, 20.9102f, 15.0781f, 21.0f, 16.7188f)
                lineTo(23.0f, 16.625f)
                curveTo(22.875f, 14.3438f, 21.6523f, 12.3398f, 19.875f, 11.1563f)
                close()
                moveTo(15.7813f, 13.0f)
                curveTo(14.7266f, 13.0586f, 13.7383f, 13.5547f, 13.0313f, 14.3438f)
                curveTo(12.3242f, 15.1328f, 11.9414f, 16.1602f, 12.0f, 17.2188f)
                curveTo(12.0f, 17.2148f, 12.0508f, 18.3438f, 11.5938f, 19.6563f)
                curveTo(11.1367f, 20.9688f, 10.2227f, 22.4492f, 8.25f, 23.4063f)
                curveTo(8.25f, 23.4063f, 7.957f, 23.5391f, 7.625f, 23.6875f)
                curveTo(7.293f, 23.8359f, 6.875f, 24.0078f, 6.7813f, 24.0313f)
                lineTo(7.2188f, 25.9688f)
                curveTo(7.6641f, 25.8672f, 8.0938f, 25.668f, 8.4688f, 25.5f)
                curveTo(8.8438f, 25.332f, 9.125f, 25.1875f, 9.125f, 25.1875f)
                curveTo(11.625f, 23.9766f, 12.8867f, 21.9805f, 13.4688f, 20.3125f)
                curveTo(14.0508f, 18.6445f, 14.0078f, 17.3164f, 14.0f, 17.125f)
                lineTo(14.0f, 17.0938f)
                curveTo(13.9688f, 16.5547f, 14.1367f, 16.0586f, 14.5f, 15.6563f)
                curveTo(14.8633f, 15.25f, 15.3477f, 15.0273f, 15.875f, 15.0f)
                curveTo(15.9258f, 14.9961f, 15.9648f, 15.0f, 16.0f, 15.0f)
                lineTo(16.0f, 13.0f)
                curveTo(15.918f, 13.0f, 15.8516f, 12.9961f, 15.7813f, 13.0f)
                close()
                moveTo(10.1563f, 13.125f)
                curveTo(9.3281f, 14.3633f, 8.9258f, 15.8398f, 9.0f, 17.3438f)
                curveTo(9.0f, 17.3555f, 9.0f, 17.3633f, 9.0f, 17.375f)
                curveTo(9.0039f, 17.457f, 9.0898f, 19.6406f, 6.9375f, 20.6875f)
                curveTo(6.8906f, 20.707f, 6.1445f, 21.0f, 5.0f, 21.0f)
                lineTo(5.0f, 23.0f)
                curveTo(6.5664f, 23.0f, 7.75f, 22.5313f, 7.75f, 22.5313f)
                lineTo(7.7813f, 22.5313f)
                lineTo(7.8125f, 22.5f)
                curveTo(11.0352f, 20.9375f, 11.0039f, 17.4609f, 11.0f, 17.2813f)
                lineTo(11.0f, 17.25f)
                curveTo(10.9414f, 16.1602f, 11.25f, 15.1406f, 11.8438f, 14.25f)
                close()
                moveTo(17.9063f, 13.4688f)
                lineTo(16.9375f, 15.25f)
                curveTo(17.5313f, 15.5703f, 17.9609f, 16.1523f, 18.0f, 16.875f)
                curveTo(18.0078f, 17.0391f, 18.2852f, 23.2617f, 13.375f, 27.2188f)
                lineTo(14.625f, 28.7813f)
                curveTo(20.3438f, 24.1758f, 20.0273f, 17.25f, 20.0f, 16.7813f)
                curveTo(19.9258f, 15.3516f, 19.0977f, 14.1094f, 17.9063f, 13.4688f)
                close()
                moveTo(16.0f, 16.0f)
                curveTo(15.4492f, 16.0f, 15.0f, 16.4492f, 15.0f, 17.0f)
                curveTo(15.0f, 17.0234f, 15.0f, 17.043f, 15.0f, 17.0625f)
                curveTo(15.0f, 17.0625f, 15.1172f, 19.1211f, 14.0938f, 21.4375f)
                lineTo(15.9063f, 22.25f)
                curveTo(17.0898f, 19.5742f, 17.0078f, 17.1719f, 17.0f, 17.0f)
                curveTo(17.0f, 16.9766f, 17.0f, 16.957f, 17.0f, 16.9375f)
                curveTo(16.9648f, 16.4141f, 16.5313f, 16.0f, 16.0f, 16.0f)
                close()
                moveTo(20.9688f, 17.9375f)
                curveTo(20.8438f, 19.9688f, 20.2031f, 24.1328f, 17.25f, 27.625f)
                lineTo(18.75f, 28.9063f)
                curveTo(22.1133f, 24.9336f, 22.8281f, 20.3477f, 22.9688f, 18.0625f)
                close()
                moveTo(13.5625f, 22.5f)
                curveTo(12.7617f, 23.8477f, 11.5234f, 25.1445f, 9.5625f, 26.0938f)
                lineTo(10.4375f, 27.9063f)
                curveTo(12.7578f, 26.7813f, 14.3086f, 25.1367f, 15.2813f, 23.5f)
                close()
            }
        }
        .build()
        return _fingerprintSolid!!
    }

private var _fingerprintSolid: ImageVector? = null
