package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FortAwesomeAlt: ImageVector
    get() {
        if (_fortAwesomeAlt != null) {
            return _fortAwesomeAlt!!
        }
        _fortAwesomeAlt = Builder(name = "FortAwesomeAlt", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.5f, 3.0f)
                curveTo(8.607f, 3.0f, 3.0f, 8.607f, 3.0f, 15.5f)
                curveTo(3.0f, 22.393f, 8.607f, 28.0f, 15.5f, 28.0f)
                curveTo(22.393f, 28.0f, 28.0f, 22.393f, 28.0f, 15.5f)
                curveTo(28.0f, 8.607f, 22.393f, 3.0f, 15.5f, 3.0f)
                close()
                moveTo(15.5f, 5.0f)
                curveTo(21.29f, 5.0f, 26.0f, 9.71f, 26.0f, 15.5f)
                curveTo(26.0f, 21.29f, 21.29f, 26.0f, 15.5f, 26.0f)
                curveTo(9.71f, 26.0f, 5.0f, 21.29f, 5.0f, 15.5f)
                curveTo(5.0f, 9.71f, 9.71f, 5.0f, 15.5f, 5.0f)
                close()
                moveTo(15.0f, 8.0f)
                lineTo(15.0f, 12.0f)
                lineTo(15.0f, 13.0f)
                lineTo(14.0f, 13.0f)
                lineTo(14.0f, 12.0f)
                lineTo(13.0f, 12.0f)
                lineTo(13.0f, 13.0f)
                lineTo(12.0f, 13.0f)
                lineTo(12.0f, 12.0f)
                lineTo(11.0f, 12.0f)
                lineTo(11.0f, 18.0f)
                lineTo(9.0f, 18.0f)
                lineTo(9.0f, 17.0f)
                lineTo(8.0f, 17.0f)
                lineTo(8.0f, 18.0f)
                lineTo(8.0f, 19.4902f)
                curveTo(9.206f, 21.7462f, 11.4f, 23.3934f, 14.0f, 23.8594f)
                lineTo(14.0f, 20.5f)
                curveTo(14.0f, 19.675f, 14.675f, 19.0f, 15.5f, 19.0f)
                curveTo(16.325f, 19.0f, 17.0f, 19.675f, 17.0f, 20.5f)
                lineTo(17.0f, 23.8594f)
                curveTo(19.6f, 23.3944f, 21.794f, 21.7472f, 23.0f, 19.4902f)
                lineTo(23.0f, 18.0f)
                lineTo(23.0f, 17.0f)
                lineTo(22.0f, 17.0f)
                lineTo(22.0f, 18.0f)
                lineTo(20.0f, 18.0f)
                lineTo(20.0f, 12.0f)
                lineTo(19.0f, 12.0f)
                lineTo(19.0f, 13.0f)
                lineTo(18.0f, 13.0f)
                lineTo(18.0f, 12.0f)
                lineTo(17.0f, 12.0f)
                lineTo(17.0f, 13.0f)
                lineTo(16.0f, 13.0f)
                lineTo(16.0f, 12.0f)
                lineTo(16.0f, 10.0f)
                curveTo(16.0f, 10.0f, 16.3904f, 9.7695f, 16.9004f, 9.7695f)
                curveTo(17.4004f, 9.7695f, 17.6798f, 10.0f, 18.0898f, 10.0f)
                curveTo(18.6398f, 10.0f, 19.0f, 9.7695f, 19.0f, 9.7695f)
                lineTo(19.0f, 8.0f)
                curveTo(19.0f, 8.0f, 18.6398f, 8.2305f, 18.0898f, 8.2305f)
                curveTo(17.6798f, 8.2305f, 17.4004f, 8.0f, 16.9004f, 8.0f)
                curveTo(16.3904f, 8.0f, 16.0f, 8.2305f, 16.0f, 8.2305f)
                lineTo(16.0f, 8.0f)
                lineTo(15.0f, 8.0f)
                close()
                moveTo(13.0f, 15.0f)
                lineTo(14.0f, 15.0f)
                lineTo(14.0f, 17.0f)
                lineTo(13.0f, 17.0f)
                lineTo(13.0f, 15.0f)
                close()
                moveTo(17.0f, 15.0f)
                lineTo(18.0f, 15.0f)
                lineTo(18.0f, 17.0f)
                lineTo(17.0f, 17.0f)
                lineTo(17.0f, 15.0f)
                close()
            }
        }
        .build()
        return _fortAwesomeAlt!!
    }

private var _fortAwesomeAlt: ImageVector? = null
