package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FunnelDollarSolid: ImageVector
    get() {
        if (_funnelDollarSolid != null) {
            return _funnelDollarSolid!!
        }
        _funnelDollarSolid = Builder(name = "FunnelDollarSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 4.0f)
                lineTo(5.0f, 6.3438f)
                lineTo(5.2188f, 6.625f)
                lineTo(13.0f, 16.3438f)
                lineTo(13.0f, 28.0313f)
                lineTo(14.5938f, 26.7813f)
                lineTo(16.1563f, 25.5938f)
                curveTo(16.9053f, 29.2337f, 20.145f, 32.0f, 24.0f, 32.0f)
                curveTo(28.406f, 32.0f, 32.0f, 28.406f, 32.0f, 24.0f)
                curveTo(32.0f, 19.594f, 28.406f, 16.0f, 24.0f, 16.0f)
                curveTo(22.113f, 16.0f, 20.371f, 16.6803f, 19.0f, 17.7813f)
                lineTo(19.0f, 16.3438f)
                lineTo(26.7813f, 6.623f)
                lineTo(27.0f, 6.3438f)
                lineTo(27.0f, 4.0f)
                lineTo(5.0f, 4.0f)
                close()
                moveTo(7.2813f, 6.0f)
                lineTo(24.7188f, 6.0f)
                lineTo(17.5313f, 15.0f)
                lineTo(14.4688f, 15.0f)
                lineTo(7.2813f, 6.0f)
                close()
                moveTo(15.0f, 17.0f)
                lineTo(17.0f, 17.0f)
                lineTo(17.0f, 20.125f)
                curveTo(16.488f, 21.047f, 16.1453f, 22.0895f, 16.0313f, 23.1875f)
                lineTo(15.0f, 24.0f)
                lineTo(15.0f, 17.0f)
                close()
                moveTo(24.0f, 18.0f)
                curveTo(27.324f, 18.0f, 30.0f, 20.676f, 30.0f, 24.0f)
                curveTo(30.0f, 27.324f, 27.324f, 30.0f, 24.0f, 30.0f)
                curveTo(20.676f, 30.0f, 18.0f, 27.324f, 18.0f, 24.0f)
                curveTo(18.0f, 20.676f, 20.676f, 18.0f, 24.0f, 18.0f)
                close()
                moveTo(23.0f, 19.0f)
                lineTo(23.0f, 20.0625f)
                curveTo(21.875f, 20.2505f, 21.0f, 21.205f, 21.0f, 22.377f)
                curveTo(21.0f, 23.131f, 21.4177f, 23.8202f, 22.0938f, 24.1563f)
                lineTo(25.0f, 25.625f)
                curveTo(25.0f, 25.848f, 24.848f, 26.0f, 24.625f, 26.0f)
                lineTo(23.375f, 26.0f)
                curveTo(23.152f, 26.0f, 23.0f, 25.848f, 23.0f, 25.625f)
                lineTo(23.0f, 25.0f)
                lineTo(21.0f, 25.0f)
                lineTo(21.0f, 25.625f)
                curveTo(21.0f, 26.797f, 21.875f, 27.7495f, 23.0f, 27.9375f)
                lineTo(23.0f, 29.0f)
                lineTo(25.0f, 29.0f)
                lineTo(25.0f, 27.9375f)
                curveTo(26.125f, 27.7495f, 27.0f, 26.795f, 27.0f, 25.623f)
                curveTo(27.0f, 24.869f, 26.5823f, 24.1838f, 25.9063f, 23.8438f)
                lineTo(23.0f, 22.375f)
                curveTo(23.0f, 22.152f, 23.152f, 22.0f, 23.375f, 22.0f)
                lineTo(24.625f, 22.0f)
                curveTo(24.848f, 22.0f, 25.0f, 22.152f, 25.0f, 22.375f)
                lineTo(25.0f, 23.0f)
                lineTo(27.0f, 23.0f)
                lineTo(27.0f, 22.375f)
                curveTo(27.0f, 21.203f, 26.125f, 20.2505f, 25.0f, 20.0625f)
                lineTo(25.0f, 19.0f)
                lineTo(23.0f, 19.0f)
                close()
            }
        }
        .build()
        return _funnelDollarSolid!!
    }

private var _funnelDollarSolid: ImageVector? = null
