package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GlassCheersSolid: ImageVector
    get() {
        if (_glassCheersSolid != null) {
            return _glassCheersSolid!!
        }
        _glassCheersSolid = Builder(name = "GlassCheersSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(24.8438f, 4.0625f)
                lineTo(23.875f, 4.3438f)
                lineTo(16.1875f, 6.5313f)
                lineTo(15.25f, 6.8125f)
                lineTo(15.4375f, 7.5f)
                lineTo(8.2188f, 5.4063f)
                lineTo(7.25f, 5.125f)
                lineTo(6.9688f, 6.0938f)
                lineTo(4.1563f, 15.6563f)
                curveTo(3.8164f, 16.8398f, 3.6094f, 18.2539f, 4.0f, 19.625f)
                curveTo(4.3164f, 20.7344f, 5.1094f, 21.8008f, 6.3438f, 22.4375f)
                lineTo(5.4375f, 25.7188f)
                lineTo(2.5625f, 24.875f)
                lineTo(2.0f, 26.8125f)
                lineTo(9.6875f, 29.0313f)
                lineTo(10.25f, 27.0938f)
                lineTo(7.375f, 26.25f)
                lineTo(8.2813f, 23.0f)
                curveTo(9.6641f, 23.1133f, 10.8906f, 22.6133f, 11.75f, 21.8438f)
                curveTo(12.8125f, 20.8906f, 13.4102f, 19.6211f, 13.75f, 18.4375f)
                lineTo(16.2188f, 10.1875f)
                lineTo(18.25f, 17.4063f)
                lineTo(18.25f, 17.4375f)
                curveTo(18.5898f, 18.6211f, 19.1875f, 19.8906f, 20.25f, 20.8438f)
                curveTo(21.1172f, 21.6211f, 22.3281f, 22.0898f, 23.7188f, 21.9688f)
                lineTo(24.625f, 25.25f)
                lineTo(21.75f, 26.0938f)
                lineTo(22.3125f, 28.0313f)
                lineTo(30.0f, 25.8125f)
                lineTo(29.4375f, 23.875f)
                lineTo(26.5625f, 24.7188f)
                lineTo(25.625f, 21.4375f)
                curveTo(26.8594f, 20.8008f, 27.6523f, 19.7344f, 27.9688f, 18.625f)
                curveTo(28.3594f, 17.2539f, 28.1836f, 15.8398f, 27.8438f, 14.6563f)
                lineTo(25.125f, 5.0313f)
                close()
                moveTo(23.5f, 6.5313f)
                lineTo(24.75f, 11.0f)
                lineTo(18.5f, 11.0f)
                lineTo(17.7188f, 8.1875f)
                close()
                moveTo(8.625f, 7.625f)
                lineTo(14.375f, 9.25f)
                lineTo(13.5625f, 12.0f)
                lineTo(7.3125f, 12.0f)
                close()
                moveTo(19.0625f, 13.0f)
                lineTo(25.3125f, 13.0f)
                lineTo(25.9375f, 15.2188f)
                curveTo(26.207f, 16.1484f, 26.3008f, 17.2539f, 26.0625f, 18.0938f)
                curveTo(25.8242f, 18.9336f, 25.3711f, 19.5234f, 24.1563f, 19.875f)
                curveTo(22.9414f, 20.2266f, 22.2422f, 19.957f, 21.5938f, 19.375f)
                curveTo(20.9453f, 18.793f, 20.4258f, 17.8047f, 20.1563f, 16.875f)
                close()
                moveTo(6.7188f, 14.0f)
                lineTo(12.9688f, 14.0f)
                lineTo(11.8438f, 17.875f)
                lineTo(11.8125f, 17.875f)
                curveTo(11.543f, 18.8047f, 11.0547f, 19.793f, 10.4063f, 20.375f)
                curveTo(9.7578f, 20.957f, 9.0586f, 21.2266f, 7.8438f, 20.875f)
                curveTo(6.6289f, 20.5234f, 6.1758f, 19.9336f, 5.9375f, 19.0938f)
                curveTo(5.6992f, 18.2539f, 5.793f, 17.1484f, 6.0625f, 16.2188f)
                close()
            }
        }
        .build()
        return _glassCheersSolid!!
    }

private var _glassCheersSolid: ImageVector? = null
