package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GolfBallSolid: ImageVector
    get() {
        if (_golfBallSolid != null) {
            return _golfBallSolid!!
        }
        _golfBallSolid = Builder(name = "GolfBallSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(10.4883f, 3.0f, 6.0f, 7.4883f, 6.0f, 13.0f)
                curveTo(6.0f, 16.6836f, 8.0234f, 19.8906f, 11.0f, 21.625f)
                lineTo(11.0f, 22.0f)
                lineTo(10.9688f, 23.0f)
                curveTo(10.9688f, 23.0f, 11.0f, 23.0f, 11.0f, 23.0f)
                curveTo(11.0469f, 23.0f, 11.9883f, 23.0273f, 12.9688f, 23.625f)
                curveTo(13.8359f, 24.1523f, 14.7461f, 25.0352f, 14.9688f, 27.0f)
                lineTo(7.0f, 27.0f)
                lineTo(7.0f, 29.0f)
                lineTo(25.0f, 29.0f)
                lineTo(25.0f, 27.0f)
                lineTo(17.0313f, 27.0f)
                curveTo(17.2539f, 25.0352f, 18.1641f, 24.1523f, 19.0313f, 23.625f)
                curveTo(20.0117f, 23.0273f, 20.9531f, 23.0f, 21.0f, 23.0f)
                curveTo(21.0f, 23.0f, 21.0313f, 23.0f, 21.0313f, 23.0f)
                lineTo(21.0f, 22.0f)
                lineTo(21.0f, 21.625f)
                curveTo(23.9766f, 19.8906f, 26.0f, 16.6836f, 26.0f, 13.0f)
                curveTo(26.0f, 7.4883f, 21.5117f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(20.4297f, 5.0f, 24.0f, 8.5703f, 24.0f, 13.0f)
                curveTo(24.0f, 17.4297f, 20.4297f, 21.0f, 16.0f, 21.0f)
                curveTo(11.5703f, 21.0f, 8.0f, 17.4297f, 8.0f, 13.0f)
                curveTo(8.0f, 8.5703f, 11.5703f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(19.0f, 11.0f)
                curveTo(18.4492f, 11.0f, 18.0f, 11.4492f, 18.0f, 12.0f)
                curveTo(18.0f, 12.5508f, 18.4492f, 13.0f, 19.0f, 13.0f)
                curveTo(19.5508f, 13.0f, 20.0f, 12.5508f, 20.0f, 12.0f)
                curveTo(20.0f, 11.4492f, 19.5508f, 11.0f, 19.0f, 11.0f)
                close()
                moveTo(17.0f, 13.0f)
                curveTo(16.4492f, 13.0f, 16.0f, 13.4492f, 16.0f, 14.0f)
                curveTo(16.0f, 14.5508f, 16.4492f, 15.0f, 17.0f, 15.0f)
                curveTo(17.5508f, 15.0f, 18.0f, 14.5508f, 18.0f, 14.0f)
                curveTo(18.0f, 13.4492f, 17.5508f, 13.0f, 17.0f, 13.0f)
                close()
                moveTo(20.0f, 14.0f)
                curveTo(19.4492f, 14.0f, 19.0f, 14.4492f, 19.0f, 15.0f)
                curveTo(19.0f, 15.5508f, 19.4492f, 16.0f, 20.0f, 16.0f)
                curveTo(20.5508f, 16.0f, 21.0f, 15.5508f, 21.0f, 15.0f)
                curveTo(21.0f, 14.4492f, 20.5508f, 14.0f, 20.0f, 14.0f)
                close()
                moveTo(15.0f, 15.0f)
                curveTo(14.4492f, 15.0f, 14.0f, 15.4492f, 14.0f, 16.0f)
                curveTo(14.0f, 16.5508f, 14.4492f, 17.0f, 15.0f, 17.0f)
                curveTo(15.5508f, 17.0f, 16.0f, 16.5508f, 16.0f, 16.0f)
                curveTo(16.0f, 15.4492f, 15.5508f, 15.0f, 15.0f, 15.0f)
                close()
                moveTo(18.0f, 16.0f)
                curveTo(17.4492f, 16.0f, 17.0f, 16.4492f, 17.0f, 17.0f)
                curveTo(17.0f, 17.5508f, 17.4492f, 18.0f, 18.0f, 18.0f)
                curveTo(18.5508f, 18.0f, 19.0f, 17.5508f, 19.0f, 17.0f)
                curveTo(19.0f, 16.4492f, 18.5508f, 16.0f, 18.0f, 16.0f)
                close()
                moveTo(15.2813f, 23.0f)
                lineTo(16.7188f, 23.0f)
                curveTo(16.457f, 23.2969f, 16.2188f, 23.6211f, 16.0f, 24.0f)
                curveTo(15.7813f, 23.6211f, 15.543f, 23.2969f, 15.2813f, 23.0f)
                close()
            }
        }
        .build()
        return _golfBallSolid!!
    }

private var _golfBallSolid: ImageVector? = null
