package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GrinSquintTears: ImageVector
    get() {
        if (_grinSquintTears != null) {
            return _grinSquintTears!!
        }
        _grinSquintTears = Builder(name = "GrinSquintTears", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 19.88f, 4.7179f, 23.3582f, 7.4219f, 25.7422f)
                curveTo(7.6139f, 25.2522f, 7.9036f, 24.6236f, 8.3086f, 23.8516f)
                curveTo(6.2696f, 21.8536f, 5.0f, 19.073f, 5.0f, 16.0f)
                curveTo(5.0f, 9.935f, 9.935f, 5.0f, 16.0f, 5.0f)
                curveTo(19.073f, 5.0f, 21.8536f, 6.2696f, 23.8516f, 8.3086f)
                curveTo(24.6246f, 7.9036f, 25.2522f, 7.6129f, 25.7422f, 7.4219f)
                curveTo(23.3582f, 4.7179f, 19.88f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(27.5f, 9.0f)
                curveTo(26.672f, 9.0f, 24.0f, 10.5f, 24.0f, 10.5f)
                curveTo(24.0f, 10.5f, 26.672f, 12.0f, 27.5f, 12.0f)
                curveTo(28.328f, 12.0f, 29.0f, 11.328f, 29.0f, 10.5f)
                curveTo(29.0f, 9.672f, 28.328f, 9.0f, 27.5f, 9.0f)
                close()
                moveTo(19.293f, 9.293f)
                lineTo(15.293f, 13.293f)
                lineTo(16.707f, 14.707f)
                lineTo(20.707f, 10.707f)
                lineTo(19.293f, 9.293f)
                close()
                moveTo(23.5703f, 13.4297f)
                lineTo(13.4297f, 23.5703f)
                curveTo(14.2397f, 23.8503f, 15.1f, 24.0f, 16.0f, 24.0f)
                curveTo(20.42f, 24.0f, 24.0f, 20.42f, 24.0f, 16.0f)
                curveTo(24.0f, 15.1f, 23.8503f, 14.2397f, 23.5703f, 13.4297f)
                close()
                moveTo(28.791f, 13.7461f)
                curveTo(28.391f, 13.9061f, 27.957f, 14.0f, 27.5f, 14.0f)
                curveTo(27.379f, 14.0f, 27.1649f, 13.9971f, 26.7969f, 13.9141f)
                curveTo(26.9269f, 14.5901f, 27.0f, 15.286f, 27.0f, 16.0f)
                curveTo(27.0f, 22.065f, 22.065f, 27.0f, 16.0f, 27.0f)
                curveTo(15.286f, 27.0f, 14.5901f, 26.9269f, 13.9141f, 26.7969f)
                curveTo(13.9971f, 27.1649f, 14.0f, 27.379f, 14.0f, 27.5f)
                curveTo(14.0f, 27.957f, 13.9061f, 28.391f, 13.7461f, 28.791f)
                curveTo(14.4801f, 28.92f, 15.23f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 15.23f, 28.92f, 14.4801f, 28.791f, 13.7461f)
                close()
                moveTo(13.293f, 15.293f)
                lineTo(9.293f, 19.293f)
                lineTo(10.707f, 20.707f)
                lineTo(14.707f, 16.707f)
                lineTo(13.293f, 15.293f)
                close()
                moveTo(10.5f, 24.0f)
                curveTo(10.5f, 24.0f, 9.0f, 26.672f, 9.0f, 27.5f)
                curveTo(9.0f, 28.328f, 9.672f, 29.0f, 10.5f, 29.0f)
                curveTo(11.328f, 29.0f, 12.0f, 28.328f, 12.0f, 27.5f)
                curveTo(12.0f, 26.672f, 10.5f, 24.0f, 10.5f, 24.0f)
                close()
            }
        }
        .build()
        return _grinSquintTears!!
    }

private var _grinSquintTears: ImageVector? = null
