package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HamburgerSolid: ImageVector
    get() {
        if (_hamburgerSolid != null) {
            return _hamburgerSolid!!
        }
        _hamburgerSolid = Builder(name = "HamburgerSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 5.0f)
                curveTo(7.6992f, 5.0f, 5.0f, 7.6992f, 5.0f, 11.0f)
                lineTo(5.0f, 11.25f)
                lineTo(3.875f, 12.75f)
                curveTo(4.2305f, 13.0156f, 4.6016f, 13.1914f, 5.0f, 13.3125f)
                lineTo(5.0f, 15.7813f)
                curveTo(4.3906f, 16.332f, 4.0f, 17.1211f, 4.0f, 18.0f)
                curveTo(4.0f, 18.8789f, 4.3906f, 19.668f, 5.0f, 20.2188f)
                lineTo(5.0f, 23.0f)
                curveTo(5.0f, 24.0938f, 5.9063f, 25.0f, 7.0f, 25.0f)
                lineTo(25.0f, 25.0f)
                curveTo(26.0938f, 25.0f, 27.0f, 24.0938f, 27.0f, 23.0f)
                lineTo(27.0f, 20.2188f)
                curveTo(27.6094f, 19.668f, 28.0f, 18.8789f, 28.0f, 18.0f)
                curveTo(28.0f, 17.1211f, 27.6094f, 16.332f, 27.0f, 15.7813f)
                lineTo(27.0f, 13.3125f)
                curveTo(27.3984f, 13.1914f, 27.7695f, 13.0156f, 28.125f, 12.75f)
                lineTo(27.0f, 11.2188f)
                lineTo(27.0f, 11.0f)
                curveTo(27.0f, 7.6992f, 24.3008f, 5.0f, 21.0f, 5.0f)
                close()
                moveTo(11.0f, 7.0f)
                lineTo(12.0f, 7.0f)
                curveTo(12.0f, 7.5508f, 12.4492f, 8.0f, 13.0f, 8.0f)
                curveTo(13.5508f, 8.0f, 14.0f, 7.5508f, 14.0f, 7.0f)
                lineTo(21.0f, 7.0f)
                curveTo(23.2188f, 7.0f, 25.0f, 8.7813f, 25.0f, 11.0f)
                lineTo(25.0f, 11.5f)
                curveTo(24.7422f, 11.4297f, 24.5039f, 11.293f, 24.2813f, 11.125f)
                lineTo(23.75f, 10.75f)
                lineTo(23.1563f, 11.0938f)
                lineTo(22.4063f, 11.5313f)
                curveTo(21.707f, 11.9492f, 20.8555f, 11.9492f, 20.1563f, 11.5313f)
                lineTo(19.4063f, 11.0938f)
                lineTo(18.9375f, 10.8125f)
                lineTo(18.4375f, 11.0313f)
                lineTo(17.0f, 11.7813f)
                curveTo(16.3789f, 12.0898f, 15.6523f, 12.0898f, 15.0313f, 11.7813f)
                lineTo(13.5625f, 11.0313f)
                lineTo(13.0625f, 10.8125f)
                lineTo(12.5938f, 11.0938f)
                lineTo(11.8438f, 11.5313f)
                curveTo(11.1445f, 11.9492f, 10.293f, 11.9492f, 9.5938f, 11.5313f)
                lineTo(8.8438f, 11.0938f)
                lineTo(8.25f, 10.75f)
                lineTo(7.7188f, 11.125f)
                curveTo(7.4961f, 11.293f, 7.2539f, 11.4297f, 7.0f, 11.5f)
                lineTo(7.0f, 11.0f)
                curveTo(7.0f, 8.7813f, 8.7813f, 7.0f, 11.0f, 7.0f)
                close()
                moveTo(11.0f, 8.0f)
                curveTo(10.4492f, 8.0f, 10.0f, 8.4492f, 10.0f, 9.0f)
                curveTo(10.0f, 9.5508f, 10.4492f, 10.0f, 11.0f, 10.0f)
                curveTo(11.5508f, 10.0f, 12.0f, 9.5508f, 12.0f, 9.0f)
                curveTo(12.0f, 8.4492f, 11.5508f, 8.0f, 11.0f, 8.0f)
                close()
                moveTo(15.0f, 8.0f)
                curveTo(14.4492f, 8.0f, 14.0f, 8.4492f, 14.0f, 9.0f)
                curveTo(14.0f, 9.5508f, 14.4492f, 10.0f, 15.0f, 10.0f)
                curveTo(15.5508f, 10.0f, 16.0f, 9.5508f, 16.0f, 9.0f)
                curveTo(16.0f, 8.4492f, 15.5508f, 8.0f, 15.0f, 8.0f)
                close()
                moveTo(8.1563f, 13.0f)
                lineTo(8.5625f, 13.25f)
                curveTo(9.8906f, 14.0469f, 11.5469f, 14.0469f, 12.875f, 13.25f)
                lineTo(13.1563f, 13.0625f)
                lineTo(14.125f, 13.5625f)
                curveTo(15.3047f, 14.1523f, 16.6953f, 14.1523f, 17.875f, 13.5625f)
                lineTo(18.8438f, 13.0625f)
                lineTo(19.125f, 13.25f)
                curveTo(20.4531f, 14.0469f, 22.1094f, 14.0469f, 23.4375f, 13.25f)
                lineTo(23.8438f, 13.0f)
                curveTo(24.2188f, 13.1797f, 24.6016f, 13.293f, 25.0f, 13.375f)
                lineTo(25.0f, 15.0f)
                lineTo(7.0f, 15.0f)
                lineTo(7.0f, 13.375f)
                curveTo(7.3984f, 13.293f, 7.7813f, 13.1797f, 8.1563f, 13.0f)
                close()
                moveTo(7.0f, 17.0f)
                lineTo(25.0f, 17.0f)
                curveTo(25.5664f, 17.0f, 26.0f, 17.4336f, 26.0f, 18.0f)
                curveTo(26.0f, 18.5664f, 25.5664f, 19.0f, 25.0f, 19.0f)
                lineTo(7.0f, 19.0f)
                curveTo(6.4336f, 19.0f, 6.0f, 18.5664f, 6.0f, 18.0f)
                curveTo(6.0f, 17.4336f, 6.4336f, 17.0f, 7.0f, 17.0f)
                close()
                moveTo(7.0f, 21.0f)
                lineTo(25.0f, 21.0f)
                lineTo(25.0f, 23.0f)
                lineTo(7.0f, 23.0f)
                close()
            }
        }
        .build()
        return _hamburgerSolid!!
    }

private var _hamburgerSolid: ImageVector? = null
