package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HandHoldingHeartSolid: ImageVector
    get() {
        if (_handHoldingHeartSolid != null) {
            return _handHoldingHeartSolid!!
        }
        _handHoldingHeartSolid = Builder(name = "HandHoldingHeartSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.5f, 3.0f)
                curveTo(12.567f, 3.0f, 11.0f, 4.567f, 11.0f, 6.5f)
                curveTo(11.0f, 10.0f, 17.0f, 13.0f, 17.0f, 13.0f)
                curveTo(17.0f, 13.0f, 23.0f, 10.0f, 23.0f, 6.5f)
                curveTo(23.0f, 4.567f, 21.433f, 3.0f, 19.5f, 3.0f)
                curveTo(18.519f, 3.0f, 17.635f, 3.4066f, 17.0f, 4.0566f)
                curveTo(16.365f, 3.4066f, 15.481f, 3.0f, 14.5f, 3.0f)
                close()
                moveTo(14.5f, 5.0f)
                curveTo(14.904f, 5.0f, 15.2843f, 5.1601f, 15.5703f, 5.4531f)
                lineTo(16.1035f, 6.0f)
                lineTo(17.8965f, 6.0f)
                lineTo(18.4297f, 5.4531f)
                curveTo(18.7157f, 5.1601f, 19.096f, 5.0f, 19.5f, 5.0f)
                curveTo(20.327f, 5.0f, 21.0f, 5.673f, 21.0f, 6.5f)
                curveTo(21.0f, 7.761f, 18.894f, 9.5758f, 17.0f, 10.7148f)
                curveTo(15.105f, 9.5748f, 13.0f, 7.761f, 13.0f, 6.5f)
                curveTo(13.0f, 5.673f, 13.673f, 5.0f, 14.5f, 5.0f)
                close()
                moveTo(19.2188f, 13.9785f)
                lineTo(17.582f, 15.127f)
                lineTo(20.1914f, 18.8496f)
                lineTo(16.5898f, 21.3438f)
                lineTo(14.0469f, 20.0273f)
                curveTo(15.2219f, 19.4357f, 16.7406f, 18.671f, 16.7461f, 18.668f)
                lineTo(16.7578f, 18.6602f)
                lineTo(16.7676f, 18.6543f)
                curveTo(17.73f, 18.0879f, 18.2231f, 16.9198f, 17.9023f, 15.8086f)
                lineTo(17.9023f, 15.8066f)
                curveTo(17.5227f, 14.4927f, 16.1232f, 13.721f, 14.8086f, 14.0996f)
                lineTo(14.8066f, 14.0996f)
                lineTo(7.6953f, 16.082f)
                lineTo(2.9883f, 19.3164f)
                lineTo(4.8828f, 27.0371f)
                lineTo(9.9277f, 25.2148f)
                lineTo(17.0742f, 28.9141f)
                lineTo(28.9434f, 20.6973f)
                lineTo(27.8066f, 19.0527f)
                lineTo(16.9258f, 26.5859f)
                lineTo(10.0723f, 23.0352f)
                lineTo(6.2949f, 24.4004f)
                lineTo(5.2617f, 20.1836f)
                lineTo(8.5547f, 17.918f)
                lineTo(15.3574f, 16.0215f)
                lineTo(15.3613f, 16.0215f)
                curveTo(15.6382f, 15.9415f, 15.9003f, 16.0859f, 15.9805f, 16.3633f)
                curveTo(16.0472f, 16.5944f, 15.9429f, 16.8154f, 15.7559f, 16.9277f)
                curveTo(15.7232f, 16.9446f, 13.0727f, 18.279f, 11.3984f, 19.1211f)
                lineTo(9.6484f, 20.0f)
                lineTo(16.7402f, 23.6738f)
                lineTo(22.9844f, 19.3496f)
                lineTo(19.2188f, 13.9785f)
                close()
            }
        }
        .build()
        return _handHoldingHeartSolid!!
    }

private var _handHoldingHeartSolid: ImageVector? = null
