package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HandSpock: ImageVector
    get() {
        if (_handSpock != null) {
            return _handSpock!!
        }
        _handSpock = Builder(name = "HandSpock", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.4063f, 2.0f)
                curveTo(12.2109f, 2.0039f, 12.0117f, 2.0156f, 11.8125f, 2.0625f)
                curveTo(10.4727f, 2.3672f, 9.5313f, 3.5586f, 9.4688f, 4.875f)
                curveTo(9.1016f, 4.8164f, 8.7227f, 4.8203f, 8.3438f, 4.9063f)
                curveTo(6.7383f, 5.2695f, 5.6992f, 6.8945f, 6.0625f, 8.5f)
                lineTo(8.0f, 16.9063f)
                lineTo(8.0f, 17.75f)
                lineTo(7.125f, 16.875f)
                curveTo(5.9609f, 15.7109f, 4.0391f, 15.7109f, 2.875f, 16.875f)
                curveTo(1.7109f, 18.0391f, 1.7109f, 19.9609f, 2.875f, 21.125f)
                lineTo(9.6563f, 27.9063f)
                curveTo(10.832f, 29.0781f, 12.457f, 30.0f, 14.375f, 30.0f)
                lineTo(19.0f, 30.0f)
                curveTo(22.8555f, 30.0f, 26.0f, 26.8555f, 26.0f, 23.0f)
                lineTo(26.0f, 16.0f)
                lineTo(26.9375f, 11.2813f)
                curveTo(27.2539f, 9.668f, 26.1758f, 8.0664f, 24.5625f, 7.75f)
                curveTo(24.2227f, 7.6836f, 23.8867f, 7.6719f, 23.5625f, 7.7188f)
                lineTo(23.7813f, 6.5938f)
                curveTo(24.0977f, 4.9805f, 23.0195f, 3.3789f, 21.4063f, 3.0625f)
                curveTo(19.793f, 2.7461f, 18.2227f, 3.8242f, 17.9063f, 5.4375f)
                lineTo(16.9063f, 10.1875f)
                lineTo(15.375f, 4.3438f)
                curveTo(15.3711f, 4.3359f, 15.3789f, 4.3203f, 15.375f, 4.3125f)
                lineTo(15.3438f, 4.3125f)
                curveTo(15.0078f, 2.9336f, 13.7734f, 1.9766f, 12.4063f, 2.0f)
                close()
                moveTo(12.25f, 4.0313f)
                curveTo(12.8008f, 3.9063f, 13.3125f, 4.2305f, 13.4375f, 4.7813f)
                lineTo(13.4375f, 4.8125f)
                lineTo(15.9375f, 14.4063f)
                lineTo(16.125f, 15.1563f)
                lineTo(17.9063f, 15.1563f)
                lineTo(18.0938f, 14.3438f)
                lineTo(19.8438f, 5.8438f)
                lineTo(19.8438f, 5.8125f)
                curveTo(19.9531f, 5.2578f, 20.4766f, 4.9219f, 21.0313f, 5.0313f)
                curveTo(21.5859f, 5.1406f, 21.9219f, 5.6641f, 21.8125f, 6.2188f)
                lineTo(20.0f, 15.3438f)
                lineTo(21.9688f, 15.7188f)
                lineTo(23.0f, 10.5313f)
                lineTo(23.0313f, 10.5313f)
                curveTo(23.1406f, 9.9766f, 23.6328f, 9.6094f, 24.1875f, 9.7188f)
                curveTo(24.7422f, 9.8281f, 25.0781f, 10.3516f, 24.9688f, 10.9063f)
                lineTo(24.0313f, 15.8125f)
                lineTo(24.0f, 15.9063f)
                lineTo(24.0f, 23.0f)
                curveTo(24.0f, 25.7734f, 21.7734f, 28.0f, 19.0f, 28.0f)
                lineTo(14.375f, 28.0f)
                curveTo(13.1016f, 28.0f, 12.0078f, 27.3789f, 11.0938f, 26.4688f)
                lineTo(4.2813f, 19.7188f)
                curveTo(3.8828f, 19.3203f, 3.8828f, 18.6797f, 4.2813f, 18.2813f)
                curveTo(4.6797f, 17.8828f, 5.3203f, 17.8828f, 5.7188f, 18.2813f)
                lineTo(8.2813f, 20.875f)
                lineTo(10.0f, 22.5938f)
                lineTo(10.0f, 16.7813f)
                lineTo(9.9688f, 16.6875f)
                lineTo(8.0313f, 8.0625f)
                curveTo(7.9063f, 7.5117f, 8.2305f, 6.9688f, 8.7813f, 6.8438f)
                curveTo(9.332f, 6.7188f, 9.8438f, 7.0742f, 9.9688f, 7.625f)
                lineTo(11.75f, 15.5625f)
                lineTo(13.7188f, 15.125f)
                lineTo(11.9375f, 7.1563f)
                curveTo(11.9336f, 7.1445f, 11.9414f, 7.1367f, 11.9375f, 7.125f)
                lineTo(11.5f, 5.2188f)
                curveTo(11.375f, 4.668f, 11.6992f, 4.1563f, 12.25f, 4.0313f)
                close()
            }
        }
        .build()
        return _handSpock!!
    }

private var _handSpock: ImageVector? = null
