package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HandsHelpingSolid: ImageVector
    get() {
        if (_handsHelpingSolid != null) {
            return _handsHelpingSolid!!
        }
        _handsHelpingSolid = Builder(name = "HandsHelpingSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.0f, 3.0313f)
                lineTo(20.3438f, 3.75f)
                curveTo(18.875f, 5.3672f, 17.6641f, 6.0898f, 16.6563f, 6.5625f)
                curveTo(15.6484f, 7.0352f, 14.8008f, 7.1758f, 13.9688f, 7.8125f)
                curveTo(13.082f, 8.4922f, 11.793f, 9.7969f, 11.25f, 12.125f)
                curveTo(10.0859f, 12.3789f, 9.2344f, 12.8242f, 8.5625f, 13.4063f)
                curveTo(7.8984f, 13.9805f, 7.3984f, 14.6328f, 6.7813f, 15.3438f)
                curveTo(6.7773f, 15.3516f, 6.7852f, 15.3672f, 6.7813f, 15.375f)
                curveTo(5.8984f, 16.3906f, 5.125f, 17.4844f, 3.625f, 18.0625f)
                lineTo(3.0f, 18.3125f)
                lineTo(3.0f, 29.0f)
                lineTo(22.0625f, 29.0f)
                curveTo(23.1563f, 28.9414f, 23.9141f, 28.1836f, 24.375f, 27.4375f)
                curveTo(24.8359f, 26.6914f, 25.0898f, 25.8828f, 25.2188f, 25.2188f)
                curveTo(25.5508f, 23.5273f, 26.1563f, 18.6563f, 26.1563f, 18.6563f)
                lineTo(26.1875f, 18.5625f)
                lineTo(26.1875f, 18.4688f)
                curveTo(26.1563f, 17.793f, 25.8789f, 17.2188f, 25.5313f, 16.6875f)
                lineTo(26.6563f, 13.3438f)
                lineTo(28.4375f, 10.6563f)
                lineTo(28.9375f, 9.9375f)
                lineTo(28.2813f, 9.3438f)
                lineTo(21.7188f, 3.6563f)
                close()
                moveTo(21.0625f, 5.7813f)
                lineTo(26.2813f, 10.3125f)
                lineTo(24.9063f, 12.3438f)
                lineTo(24.8125f, 12.4375f)
                lineTo(24.7813f, 12.5938f)
                lineTo(23.875f, 15.2813f)
                curveTo(23.4023f, 15.0859f, 22.9141f, 14.9492f, 22.375f, 14.9688f)
                lineTo(22.3125f, 14.9688f)
                lineTo(16.0f, 15.0f)
                lineTo(15.0f, 15.0f)
                lineTo(15.0f, 18.875f)
                curveTo(14.8594f, 19.9648f, 14.2539f, 20.3867f, 13.5f, 20.6875f)
                curveTo(13.25f, 20.7891f, 13.2188f, 20.7344f, 13.0f, 20.7813f)
                lineTo(13.0f, 14.9688f)
                curveTo(12.8359f, 11.2617f, 14.1563f, 10.1953f, 15.1875f, 9.4063f)
                curveTo(15.4727f, 9.1875f, 16.3086f, 8.9336f, 17.5f, 8.375f)
                curveTo(18.4961f, 7.9063f, 19.7344f, 7.0664f, 21.0625f, 5.7813f)
                close()
                moveTo(11.0625f, 14.375f)
                curveTo(11.0586f, 14.6016f, 10.9883f, 14.7617f, 11.0f, 15.0f)
                curveTo(11.0f, 15.0117f, 11.0f, 15.0195f, 11.0f, 15.0313f)
                lineTo(11.0f, 23.0f)
                lineTo(12.0f, 23.0f)
                curveTo(12.0f, 23.0f, 13.0703f, 22.9883f, 14.2188f, 22.5313f)
                curveTo(15.3672f, 22.0742f, 16.7539f, 21.0039f, 17.0f, 19.125f)
                lineTo(17.0f, 17.0f)
                lineTo(22.375f, 16.9688f)
                lineTo(22.4063f, 16.9688f)
                curveTo(23.3281f, 16.918f, 24.0938f, 17.6172f, 24.1563f, 18.5313f)
                curveTo(24.1523f, 18.5469f, 24.1055f, 18.918f, 24.0938f, 19.0f)
                lineTo(20.0f, 19.0f)
                lineTo(20.0f, 21.0f)
                lineTo(23.8438f, 21.0f)
                curveTo(23.7383f, 21.7734f, 23.6406f, 22.2578f, 23.5313f, 23.0f)
                lineTo(20.0f, 23.0f)
                lineTo(20.0f, 25.0f)
                lineTo(23.2188f, 25.0f)
                curveTo(23.1133f, 25.4453f, 22.9023f, 25.9766f, 22.6563f, 26.375f)
                curveTo(22.3828f, 26.8203f, 22.1484f, 26.9883f, 21.9375f, 27.0f)
                lineTo(5.0f, 27.0f)
                lineTo(5.0f, 19.5313f)
                curveTo(6.6211f, 18.6719f, 7.6289f, 17.4336f, 8.2813f, 16.6875f)
                curveTo(8.957f, 15.9141f, 9.4219f, 15.3281f, 9.875f, 14.9375f)
                curveTo(10.1719f, 14.6836f, 10.6367f, 14.5391f, 11.0625f, 14.375f)
                close()
            }
        }
        .build()
        return _handsHelpingSolid!!
    }

private var _handsHelpingSolid: ImageVector? = null
