package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HanukiahSolid: ImageVector
    get() {
        if (_hanukiahSolid != null) {
            return _hanukiahSolid!!
        }
        _hanukiahSolid = Builder(name = "HanukiahSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(16.0f, 4.0f, 15.0f, 6.0156f, 15.0f, 7.0f)
                curveTo(15.0f, 7.5508f, 15.4492f, 8.0f, 16.0f, 8.0f)
                curveTo(16.5508f, 8.0f, 17.0f, 7.5508f, 17.0f, 7.0f)
                curveTo(17.0f, 6.0625f, 16.0f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(13.0f, 5.0f)
                curveTo(13.0f, 5.0f, 12.0f, 7.0625f, 12.0f, 8.0f)
                curveTo(12.0f, 8.5508f, 12.4492f, 9.0f, 13.0f, 9.0f)
                curveTo(13.5508f, 9.0f, 14.0f, 8.5508f, 14.0f, 8.0f)
                curveTo(14.0f, 7.0156f, 13.0f, 5.0f, 13.0f, 5.0f)
                close()
                moveTo(19.0f, 5.0f)
                curveTo(19.0f, 5.0f, 18.0f, 7.0156f, 18.0f, 8.0f)
                curveTo(18.0f, 8.5508f, 18.4492f, 9.0f, 19.0f, 9.0f)
                curveTo(19.5508f, 9.0f, 20.0f, 8.5508f, 20.0f, 8.0f)
                curveTo(20.0f, 7.0625f, 19.0f, 5.0f, 19.0f, 5.0f)
                close()
                moveTo(10.0f, 6.0f)
                curveTo(10.0f, 6.0f, 9.0f, 8.0625f, 9.0f, 9.0f)
                curveTo(9.0f, 9.5508f, 9.4492f, 10.0f, 10.0f, 10.0f)
                curveTo(10.5508f, 10.0f, 11.0f, 9.5508f, 11.0f, 9.0f)
                curveTo(11.0f, 8.0156f, 10.0f, 6.0f, 10.0f, 6.0f)
                close()
                moveTo(22.0f, 6.0f)
                curveTo(22.0f, 6.0f, 21.0f, 8.0156f, 21.0f, 9.0f)
                curveTo(21.0f, 9.5508f, 21.4492f, 10.0f, 22.0f, 10.0f)
                curveTo(22.5508f, 10.0f, 23.0f, 9.5508f, 23.0f, 9.0f)
                curveTo(23.0f, 8.0625f, 22.0f, 6.0f, 22.0f, 6.0f)
                close()
                moveTo(7.0f, 7.0f)
                curveTo(7.0f, 7.0f, 6.0f, 9.0625f, 6.0f, 10.0f)
                curveTo(6.0f, 10.5508f, 6.4492f, 11.0f, 7.0f, 11.0f)
                curveTo(7.5508f, 11.0f, 8.0f, 10.5508f, 8.0f, 10.0f)
                curveTo(8.0f, 9.0156f, 7.0f, 7.0f, 7.0f, 7.0f)
                close()
                moveTo(25.0f, 7.0f)
                curveTo(25.0f, 7.0f, 24.0f, 9.0156f, 24.0f, 10.0f)
                curveTo(24.0f, 10.5508f, 24.4492f, 11.0f, 25.0f, 11.0f)
                curveTo(25.5508f, 11.0f, 26.0f, 10.5508f, 26.0f, 10.0f)
                curveTo(26.0f, 9.0625f, 25.0f, 7.0f, 25.0f, 7.0f)
                close()
                moveTo(4.0f, 8.0f)
                curveTo(4.0f, 8.0f, 3.0f, 10.0625f, 3.0f, 11.0f)
                curveTo(3.0f, 11.5508f, 3.4492f, 12.0f, 4.0f, 12.0f)
                curveTo(4.5508f, 12.0f, 5.0f, 11.5508f, 5.0f, 11.0f)
                curveTo(5.0f, 10.0156f, 4.0f, 8.0f, 4.0f, 8.0f)
                close()
                moveTo(28.0f, 8.0f)
                curveTo(28.0f, 8.0f, 27.0f, 10.0156f, 27.0f, 11.0f)
                curveTo(27.0f, 11.5508f, 27.4492f, 12.0f, 28.0f, 12.0f)
                curveTo(28.5508f, 12.0f, 29.0f, 11.5508f, 29.0f, 11.0f)
                curveTo(29.0f, 10.0625f, 28.0f, 8.0f, 28.0f, 8.0f)
                close()
                moveTo(15.0f, 9.0f)
                lineTo(15.0f, 18.0f)
                lineTo(14.9688f, 18.0f)
                curveTo(14.4141f, 18.0f, 14.0f, 17.5859f, 14.0f, 17.0313f)
                lineTo(14.0f, 10.0f)
                lineTo(12.0f, 10.0f)
                lineTo(12.0f, 17.0313f)
                curveTo(12.0f, 17.3711f, 12.0508f, 17.6953f, 12.1563f, 18.0f)
                lineTo(11.9688f, 18.0f)
                curveTo(11.418f, 18.0f, 11.0f, 17.582f, 11.0f, 17.0313f)
                lineTo(11.0f, 11.0f)
                lineTo(9.0f, 11.0f)
                lineTo(9.0f, 17.0313f)
                curveTo(9.0f, 17.3711f, 9.082f, 17.6953f, 9.1875f, 18.0f)
                lineTo(9.0625f, 18.0f)
                curveTo(8.4688f, 18.0f, 8.0f, 17.5313f, 8.0f, 16.9375f)
                lineTo(8.0f, 12.0f)
                lineTo(6.0f, 12.0f)
                lineTo(6.0f, 16.9375f)
                curveTo(6.0f, 17.3125f, 6.0938f, 17.668f, 6.2188f, 18.0f)
                lineTo(6.0313f, 18.0f)
                curveTo(5.4531f, 18.0f, 5.0f, 17.5469f, 5.0f, 16.9688f)
                lineTo(5.0f, 13.0f)
                lineTo(3.0f, 13.0f)
                lineTo(3.0f, 16.9688f)
                curveTo(3.0f, 18.6289f, 4.3711f, 20.0f, 6.0313f, 20.0f)
                lineTo(15.0f, 20.0f)
                lineTo(15.0f, 26.0f)
                lineTo(10.0f, 26.0f)
                lineTo(10.0f, 28.0f)
                lineTo(22.0f, 28.0f)
                lineTo(22.0f, 26.0f)
                lineTo(17.0f, 26.0f)
                lineTo(17.0f, 20.0f)
                lineTo(25.9688f, 20.0f)
                curveTo(27.6289f, 20.0f, 29.0f, 18.6289f, 29.0f, 16.9688f)
                lineTo(29.0f, 13.0f)
                lineTo(27.0f, 13.0f)
                lineTo(27.0f, 16.9688f)
                curveTo(27.0f, 17.5469f, 26.5469f, 18.0f, 25.9688f, 18.0f)
                lineTo(25.7813f, 18.0f)
                curveTo(25.9063f, 17.668f, 26.0f, 17.3125f, 26.0f, 16.9375f)
                lineTo(26.0f, 12.0f)
                lineTo(24.0f, 12.0f)
                lineTo(24.0f, 16.9375f)
                curveTo(24.0f, 17.5313f, 23.5313f, 18.0f, 22.9375f, 18.0f)
                lineTo(22.8125f, 18.0f)
                curveTo(22.918f, 17.6953f, 23.0f, 17.3711f, 23.0f, 17.0313f)
                lineTo(23.0f, 11.0f)
                lineTo(21.0f, 11.0f)
                lineTo(21.0f, 17.0313f)
                curveTo(21.0f, 17.582f, 20.582f, 18.0f, 20.0313f, 18.0f)
                lineTo(19.8438f, 18.0f)
                curveTo(19.9492f, 17.6953f, 20.0f, 17.3711f, 20.0f, 17.0313f)
                lineTo(20.0f, 10.0f)
                lineTo(18.0f, 10.0f)
                lineTo(18.0f, 17.0313f)
                curveTo(18.0f, 17.5859f, 17.5859f, 18.0f, 17.0313f, 18.0f)
                lineTo(17.0f, 18.0f)
                lineTo(17.0f, 9.0f)
                close()
            }
        }
        .build()
        return _hanukiahSolid!!
    }

private var _hanukiahSolid: ImageVector? = null
