package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Meetup: ImageVector
    get() {
        if (_meetup != null) {
            return _meetup!!
        }
        _meetup = Builder(name = "Meetup", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.5f, 1.0f)
                arcTo(0.5f, 0.5f, 0.0f, false, false, 9.5f, 2.0f)
                arcTo(0.5f, 0.5f, 0.0f, false, false, 9.5f, 1.0f)
                close()
                moveTo(18.5f, 2.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 18.5f, 5.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 18.5f, 2.0f)
                close()
                moveTo(14.0f, 5.0f)
                curveTo(11.383f, 5.0f, 9.1637f, 6.6786f, 8.3438f, 9.0156f)
                curveTo(5.9328f, 9.0996f, 4.0f, 11.068f, 4.0f, 13.5f)
                curveTo(4.0f, 14.207f, 4.1778f, 14.8679f, 4.4688f, 15.4629f)
                curveTo(3.5617f, 16.3679f, 3.0f, 17.618f, 3.0f, 19.0f)
                curveTo(3.0f, 21.422f, 4.7228f, 23.4414f, 7.0098f, 23.9004f)
                curveTo(7.0088f, 23.9344f, 7.0f, 23.966f, 7.0f, 24.0f)
                curveTo(7.0f, 26.761f, 9.239f, 29.0f, 12.0f, 29.0f)
                curveTo(13.213f, 29.0f, 14.3098f, 28.551f, 15.1758f, 27.832f)
                curveTo(15.8998f, 28.554f, 16.898f, 29.0f, 18.0f, 29.0f)
                curveTo(19.868f, 29.0f, 21.4243f, 27.7134f, 21.8633f, 25.9824f)
                curveTo(24.7303f, 25.7934f, 27.0f, 23.415f, 27.0f, 20.5f)
                curveTo(27.0f, 19.348f, 26.6451f, 18.2795f, 26.0391f, 17.3965f)
                curveTo(26.6311f, 16.7695f, 27.0f, 15.93f, 27.0f, 15.0f)
                curveTo(27.0f, 13.599f, 26.1714f, 12.3998f, 24.9824f, 11.8398f)
                curveTo(24.9894f, 11.7268f, 25.0f, 11.615f, 25.0f, 11.5f)
                curveTo(25.0f, 8.462f, 22.538f, 6.0f, 19.5f, 6.0f)
                curveTo(18.877f, 6.0f, 18.2807f, 6.1078f, 17.7227f, 6.2988f)
                curveTo(16.6997f, 5.4878f, 15.407f, 5.0f, 14.0f, 5.0f)
                close()
                moveTo(7.0f, 6.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 7.0f, 8.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 7.0f, 6.0f)
                close()
                moveTo(27.0f, 9.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 27.0f, 11.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 27.0f, 9.0f)
                close()
                moveTo(17.0059f, 9.9922f)
                curveTo(17.1521f, 9.9791f, 17.3147f, 9.9866f, 17.5039f, 10.0176f)
                curveTo(18.0149f, 10.0916f, 18.3112f, 10.4415f, 18.6992f, 10.8105f)
                curveTo(19.0132f, 11.1305f, 19.2409f, 10.9331f, 19.4199f, 10.8281f)
                curveTo(19.6969f, 10.6681f, 19.9133f, 10.5279f, 20.7383f, 10.5469f)
                curveTo(21.6003f, 10.5649f, 22.5859f, 10.8794f, 22.7949f, 12.3574f)
                curveTo(23.0229f, 14.0144f, 20.1401f, 18.2692f, 20.3301f, 20.2402f)
                curveTo(20.4651f, 21.6262f, 22.7944f, 20.6392f, 22.9844f, 21.9082f)
                curveTo(23.2324f, 23.5572f, 20.0858f, 22.9428f, 19.3828f, 22.5918f)
                curveTo(18.2558f, 22.0248f, 17.5666f, 20.7426f, 17.8496f, 19.4746f)
                curveTo(18.0836f, 18.5266f, 20.1581f, 14.6532f, 20.2441f, 14.0742f)
                curveTo(20.3181f, 13.4582f, 19.9996f, 13.4023f, 19.8086f, 13.4023f)
                curveTo(19.5436f, 13.3843f, 19.3529f, 13.5085f, 19.0879f, 13.8965f)
                curveTo(18.8599f, 14.2475f, 16.2719f, 19.5122f, 16.0449f, 19.9492f)
                curveTo(15.3239f, 21.3412f, 13.458f, 21.1131f, 13.668f, 19.7031f)
                curveTo(13.723f, 19.2841f, 15.3793f, 15.5169f, 15.4473f, 14.9199f)
                curveTo(15.5023f, 14.5689f, 15.4301f, 14.1793f, 15.0781f, 13.9883f)
                curveTo(14.7271f, 13.8093f, 14.3027f, 14.0937f, 14.1797f, 14.3027f)
                curveTo(14.0007f, 14.6047f, 11.6786f, 20.7823f, 11.4316f, 21.2383f)
                curveTo(10.9946f, 22.0263f, 10.5502f, 22.2735f, 9.8672f, 22.3105f)
                curveTo(8.2662f, 22.4025f, 7.0667f, 21.0462f, 7.5957f, 19.4082f)
                curveTo(7.8237f, 18.6692f, 9.3681f, 13.1141f, 10.1621f, 11.7031f)
                curveTo(10.6921f, 10.7551f, 12.1523f, 10.0357f, 13.1563f, 10.4727f)
                curveTo(13.6862f, 10.7007f, 14.4258f, 11.0688f, 14.6348f, 11.1738f)
                curveTo(15.1278f, 11.4078f, 15.6552f, 10.7913f, 15.8652f, 10.6133f)
                curveTo(16.2762f, 10.2578f, 16.5672f, 10.0316f, 17.0059f, 9.9922f)
                close()
                moveTo(30.5f, 13.0f)
                arcTo(0.5f, 0.5f, 0.0f, false, false, 30.5f, 14.0f)
                arcTo(0.5f, 0.5f, 0.0f, false, false, 30.5f, 13.0f)
                close()
                moveTo(1.5f, 14.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 1.5f, 17.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 1.5f, 14.0f)
                close()
                moveTo(29.0f, 16.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 29.0f, 18.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 29.0f, 16.0f)
                close()
                moveTo(5.5f, 25.0f)
                arcTo(0.5f, 0.5f, 0.0f, false, false, 5.5f, 26.0f)
                arcTo(0.5f, 0.5f, 0.0f, false, false, 5.5f, 25.0f)
                close()
                moveTo(23.5f, 27.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 23.5f, 30.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 23.5f, 27.0f)
                close()
                moveTo(15.0f, 29.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 15.0f, 31.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 15.0f, 29.0f)
                close()
            }
        }
        .build()
        return _meetup!!
    }

private var _meetup: ImageVector? = null
