package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MenorahSolid: ImageVector
    get() {
        if (_menorahSolid != null) {
            return _menorahSolid!!
        }
        _menorahSolid = Builder(name = "MenorahSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.0f, 5.0f)
                curveTo(4.0f, 5.0f, 3.0f, 7.0156f, 3.0f, 8.0f)
                curveTo(3.0f, 8.5508f, 3.4492f, 9.0f, 4.0f, 9.0f)
                curveTo(4.5508f, 9.0f, 5.0f, 8.5508f, 5.0f, 8.0f)
                curveTo(5.0f, 7.0625f, 4.0f, 5.0f, 4.0f, 5.0f)
                close()
                moveTo(8.0f, 5.0f)
                curveTo(8.0f, 5.0f, 7.0f, 7.0156f, 7.0f, 8.0f)
                curveTo(7.0f, 8.5508f, 7.4492f, 9.0f, 8.0f, 9.0f)
                curveTo(8.5508f, 9.0f, 9.0f, 8.5508f, 9.0f, 8.0f)
                curveTo(9.0f, 7.0625f, 8.0f, 5.0f, 8.0f, 5.0f)
                close()
                moveTo(12.0f, 5.0f)
                curveTo(12.0f, 5.0f, 11.0f, 7.0156f, 11.0f, 8.0f)
                curveTo(11.0f, 8.5508f, 11.4492f, 9.0f, 12.0f, 9.0f)
                curveTo(12.5508f, 9.0f, 13.0f, 8.5508f, 13.0f, 8.0f)
                curveTo(13.0f, 7.0625f, 12.0f, 5.0f, 12.0f, 5.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(16.0f, 5.0f, 15.0f, 7.0156f, 15.0f, 8.0f)
                curveTo(15.0f, 8.5508f, 15.4492f, 9.0f, 16.0f, 9.0f)
                curveTo(16.5508f, 9.0f, 17.0f, 8.5508f, 17.0f, 8.0f)
                curveTo(17.0f, 7.0625f, 16.0f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(20.0f, 5.0f)
                curveTo(20.0f, 5.0f, 19.0f, 7.0156f, 19.0f, 8.0f)
                curveTo(19.0f, 8.5508f, 19.4492f, 9.0f, 20.0f, 9.0f)
                curveTo(20.5508f, 9.0f, 21.0f, 8.5508f, 21.0f, 8.0f)
                curveTo(21.0f, 7.0625f, 20.0f, 5.0f, 20.0f, 5.0f)
                close()
                moveTo(24.0f, 5.0f)
                curveTo(24.0f, 5.0f, 23.0f, 7.0156f, 23.0f, 8.0f)
                curveTo(23.0f, 8.5508f, 23.4492f, 9.0f, 24.0f, 9.0f)
                curveTo(24.5508f, 9.0f, 25.0f, 8.5508f, 25.0f, 8.0f)
                curveTo(25.0f, 7.0625f, 24.0f, 5.0f, 24.0f, 5.0f)
                close()
                moveTo(28.0f, 5.0f)
                curveTo(28.0f, 5.0f, 27.0f, 7.0156f, 27.0f, 8.0f)
                curveTo(27.0f, 8.5508f, 27.4492f, 9.0f, 28.0f, 9.0f)
                curveTo(28.5508f, 9.0f, 29.0f, 8.5508f, 29.0f, 8.0f)
                curveTo(29.0f, 7.0625f, 28.0f, 5.0f, 28.0f, 5.0f)
                close()
                moveTo(3.0f, 10.0f)
                curveTo(3.0f, 16.8047f, 8.3203f, 22.4141f, 15.0f, 22.9375f)
                lineTo(15.0f, 25.0f)
                lineTo(10.0f, 25.0f)
                lineTo(10.0f, 27.0f)
                lineTo(22.0f, 27.0f)
                lineTo(22.0f, 25.0f)
                lineTo(17.0f, 25.0f)
                lineTo(17.0f, 22.9375f)
                curveTo(23.6797f, 22.4141f, 29.0f, 16.8047f, 29.0f, 10.0f)
                lineTo(27.0f, 10.0f)
                curveTo(27.0f, 15.7188f, 22.5898f, 20.4297f, 17.0f, 20.9375f)
                lineTo(17.0f, 18.9375f)
                curveTo(21.4766f, 18.4297f, 25.0f, 14.6055f, 25.0f, 10.0f)
                lineTo(23.0f, 10.0f)
                curveTo(23.0f, 13.5156f, 20.3828f, 16.418f, 17.0f, 16.9063f)
                lineTo(17.0f, 14.9063f)
                curveTo(19.2695f, 14.4375f, 21.0f, 12.4023f, 21.0f, 10.0f)
                lineTo(19.0f, 10.0f)
                curveTo(19.0f, 11.3008f, 18.1563f, 12.3945f, 17.0f, 12.8125f)
                lineTo(17.0f, 10.0f)
                lineTo(15.0f, 10.0f)
                lineTo(15.0f, 12.8125f)
                curveTo(13.8438f, 12.3945f, 13.0f, 11.3008f, 13.0f, 10.0f)
                lineTo(11.0f, 10.0f)
                curveTo(11.0f, 12.4023f, 12.7305f, 14.4375f, 15.0f, 14.9063f)
                lineTo(15.0f, 16.9063f)
                curveTo(11.6172f, 16.418f, 9.0f, 13.5156f, 9.0f, 10.0f)
                lineTo(7.0f, 10.0f)
                curveTo(7.0f, 14.6055f, 10.5234f, 18.4297f, 15.0f, 18.9375f)
                lineTo(15.0f, 20.9375f)
                curveTo(9.4102f, 20.4297f, 5.0f, 15.7188f, 5.0f, 10.0f)
                close()
            }
        }
        .build()
        return _menorahSolid!!
    }

private var _menorahSolid: ImageVector? = null
