package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MicrochipSolid: ImageVector
    get() {
        if (_microchipSolid != null) {
            return _microchipSolid!!
        }
        _microchipSolid = Builder(name = "MicrochipSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.0f, 6.0f)
                lineTo(7.0f, 8.0f)
                lineTo(3.0f, 8.0f)
                lineTo(3.0f, 26.0f)
                lineTo(7.0f, 26.0f)
                lineTo(7.0f, 28.0f)
                lineTo(9.0f, 28.0f)
                lineTo(9.0f, 26.0f)
                lineTo(11.0f, 26.0f)
                lineTo(11.0f, 28.0f)
                lineTo(13.0f, 28.0f)
                lineTo(13.0f, 26.0f)
                lineTo(15.0f, 26.0f)
                lineTo(15.0f, 28.0f)
                lineTo(17.0f, 28.0f)
                lineTo(17.0f, 26.0f)
                lineTo(19.0f, 26.0f)
                lineTo(19.0f, 28.0f)
                lineTo(21.0f, 28.0f)
                lineTo(21.0f, 26.0f)
                lineTo(23.0f, 26.0f)
                lineTo(23.0f, 28.0f)
                lineTo(25.0f, 28.0f)
                lineTo(25.0f, 26.0f)
                lineTo(29.0f, 26.0f)
                lineTo(29.0f, 8.0f)
                lineTo(25.0f, 8.0f)
                lineTo(25.0f, 6.0f)
                lineTo(23.0f, 6.0f)
                lineTo(23.0f, 8.0f)
                lineTo(21.0f, 8.0f)
                lineTo(21.0f, 6.0f)
                lineTo(19.0f, 6.0f)
                lineTo(19.0f, 8.0f)
                lineTo(17.0f, 8.0f)
                lineTo(17.0f, 6.0f)
                lineTo(15.0f, 6.0f)
                lineTo(15.0f, 8.0f)
                lineTo(13.0f, 8.0f)
                lineTo(13.0f, 6.0f)
                lineTo(11.0f, 6.0f)
                lineTo(11.0f, 8.0f)
                lineTo(9.0f, 8.0f)
                lineTo(9.0f, 6.0f)
                close()
                moveTo(5.0f, 10.0f)
                lineTo(27.0f, 10.0f)
                lineTo(27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                close()
                moveTo(8.0f, 12.0f)
                curveTo(7.4492f, 12.0f, 7.0f, 12.4492f, 7.0f, 13.0f)
                curveTo(7.0f, 13.5508f, 7.4492f, 14.0f, 8.0f, 14.0f)
                curveTo(8.5508f, 14.0f, 9.0f, 13.5508f, 9.0f, 13.0f)
                curveTo(9.0f, 12.4492f, 8.5508f, 12.0f, 8.0f, 12.0f)
                close()
                moveTo(12.0f, 12.0f)
                curveTo(11.4492f, 12.0f, 11.0f, 12.4492f, 11.0f, 13.0f)
                curveTo(11.0f, 13.5508f, 11.4492f, 14.0f, 12.0f, 14.0f)
                curveTo(12.5508f, 14.0f, 13.0f, 13.5508f, 13.0f, 13.0f)
                curveTo(13.0f, 12.4492f, 12.5508f, 12.0f, 12.0f, 12.0f)
                close()
                moveTo(16.0f, 12.0f)
                curveTo(15.4492f, 12.0f, 15.0f, 12.4492f, 15.0f, 13.0f)
                curveTo(15.0f, 13.5508f, 15.4492f, 14.0f, 16.0f, 14.0f)
                curveTo(16.5508f, 14.0f, 17.0f, 13.5508f, 17.0f, 13.0f)
                curveTo(17.0f, 12.4492f, 16.5508f, 12.0f, 16.0f, 12.0f)
                close()
                moveTo(20.0f, 12.0f)
                curveTo(19.4492f, 12.0f, 19.0f, 12.4492f, 19.0f, 13.0f)
                curveTo(19.0f, 13.5508f, 19.4492f, 14.0f, 20.0f, 14.0f)
                curveTo(20.5508f, 14.0f, 21.0f, 13.5508f, 21.0f, 13.0f)
                curveTo(21.0f, 12.4492f, 20.5508f, 12.0f, 20.0f, 12.0f)
                close()
                moveTo(24.0f, 12.0f)
                curveTo(23.4492f, 12.0f, 23.0f, 12.4492f, 23.0f, 13.0f)
                curveTo(23.0f, 13.5508f, 23.4492f, 14.0f, 24.0f, 14.0f)
                curveTo(24.5508f, 14.0f, 25.0f, 13.5508f, 25.0f, 13.0f)
                curveTo(25.0f, 12.4492f, 24.5508f, 12.0f, 24.0f, 12.0f)
                close()
                moveTo(8.0f, 16.0f)
                curveTo(7.4492f, 16.0f, 7.0f, 16.4492f, 7.0f, 17.0f)
                curveTo(7.0f, 17.5508f, 7.4492f, 18.0f, 8.0f, 18.0f)
                curveTo(8.5508f, 18.0f, 9.0f, 17.5508f, 9.0f, 17.0f)
                curveTo(9.0f, 16.4492f, 8.5508f, 16.0f, 8.0f, 16.0f)
                close()
                moveTo(24.0f, 16.0f)
                curveTo(23.4492f, 16.0f, 23.0f, 16.4492f, 23.0f, 17.0f)
                curveTo(23.0f, 17.5508f, 23.4492f, 18.0f, 24.0f, 18.0f)
                curveTo(24.5508f, 18.0f, 25.0f, 17.5508f, 25.0f, 17.0f)
                curveTo(25.0f, 16.4492f, 24.5508f, 16.0f, 24.0f, 16.0f)
                close()
                moveTo(8.0f, 20.0f)
                curveTo(7.4492f, 20.0f, 7.0f, 20.4492f, 7.0f, 21.0f)
                curveTo(7.0f, 21.5508f, 7.4492f, 22.0f, 8.0f, 22.0f)
                curveTo(8.5508f, 22.0f, 9.0f, 21.5508f, 9.0f, 21.0f)
                curveTo(9.0f, 20.4492f, 8.5508f, 20.0f, 8.0f, 20.0f)
                close()
                moveTo(12.0f, 20.0f)
                curveTo(11.4492f, 20.0f, 11.0f, 20.4492f, 11.0f, 21.0f)
                curveTo(11.0f, 21.5508f, 11.4492f, 22.0f, 12.0f, 22.0f)
                curveTo(12.5508f, 22.0f, 13.0f, 21.5508f, 13.0f, 21.0f)
                curveTo(13.0f, 20.4492f, 12.5508f, 20.0f, 12.0f, 20.0f)
                close()
                moveTo(16.0f, 20.0f)
                curveTo(15.4492f, 20.0f, 15.0f, 20.4492f, 15.0f, 21.0f)
                curveTo(15.0f, 21.5508f, 15.4492f, 22.0f, 16.0f, 22.0f)
                curveTo(16.5508f, 22.0f, 17.0f, 21.5508f, 17.0f, 21.0f)
                curveTo(17.0f, 20.4492f, 16.5508f, 20.0f, 16.0f, 20.0f)
                close()
                moveTo(20.0f, 20.0f)
                curveTo(19.4492f, 20.0f, 19.0f, 20.4492f, 19.0f, 21.0f)
                curveTo(19.0f, 21.5508f, 19.4492f, 22.0f, 20.0f, 22.0f)
                curveTo(20.5508f, 22.0f, 21.0f, 21.5508f, 21.0f, 21.0f)
                curveTo(21.0f, 20.4492f, 20.5508f, 20.0f, 20.0f, 20.0f)
                close()
                moveTo(24.0f, 20.0f)
                curveTo(23.4492f, 20.0f, 23.0f, 20.4492f, 23.0f, 21.0f)
                curveTo(23.0f, 21.5508f, 23.4492f, 22.0f, 24.0f, 22.0f)
                curveTo(24.5508f, 22.0f, 25.0f, 21.5508f, 25.0f, 21.0f)
                curveTo(25.0f, 20.4492f, 24.5508f, 20.0f, 24.0f, 20.0f)
                close()
            }
        }
        .build()
        return _microchipSolid!!
    }

private var _microchipSolid: ImageVector? = null
