package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PodcastSolid: ImageVector
    get() {
        if (_podcastSolid != null) {
            return _podcastSolid!!
        }
        _podcastSolid = Builder(name = "PodcastSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.5f, 3.0f)
                curveTo(10.159f, 3.0f, 5.0f, 8.159f, 5.0f, 14.5f)
                curveTo(5.0f, 19.149f, 7.7788f, 23.1538f, 11.7578f, 24.9648f)
                curveTo(11.6448f, 24.1208f, 11.5555f, 23.2832f, 11.5195f, 22.5742f)
                curveTo(8.8125f, 20.8982f, 7.0f, 17.911f, 7.0f, 14.5f)
                curveTo(7.0f, 9.262f, 11.262f, 5.0f, 16.5f, 5.0f)
                curveTo(21.738f, 5.0f, 26.0f, 9.262f, 26.0f, 14.5f)
                curveTo(26.0f, 17.911f, 24.1875f, 20.8982f, 21.4805f, 22.5742f)
                curveTo(21.4445f, 23.2822f, 21.3552f, 24.1208f, 21.2422f, 24.9648f)
                curveTo(25.2212f, 23.1538f, 28.0f, 19.149f, 28.0f, 14.5f)
                curveTo(28.0f, 8.159f, 22.841f, 3.0f, 16.5f, 3.0f)
                close()
                moveTo(16.5f, 7.0f)
                curveTo(12.364f, 7.0f, 9.0f, 10.364f, 9.0f, 14.5f)
                curveTo(9.0f, 16.854f, 10.0929f, 18.956f, 11.7949f, 20.332f)
                curveTo(12.0209f, 19.721f, 12.4025f, 19.1546f, 12.9375f, 18.6816f)
                curveTo(11.7545f, 17.6716f, 11.0f, 16.173f, 11.0f, 14.5f)
                curveTo(11.0f, 11.468f, 13.468f, 9.0f, 16.5f, 9.0f)
                curveTo(19.532f, 9.0f, 22.0f, 11.468f, 22.0f, 14.5f)
                curveTo(22.0f, 16.173f, 21.2455f, 17.6716f, 20.0625f, 18.6816f)
                curveTo(20.5975f, 19.1536f, 20.9801f, 19.72f, 21.2051f, 20.332f)
                curveTo(22.9071f, 18.956f, 24.0f, 16.854f, 24.0f, 14.5f)
                curveTo(24.0f, 10.364f, 20.636f, 7.0f, 16.5f, 7.0f)
                close()
                moveTo(16.5f, 11.0f)
                curveTo(14.57f, 11.0f, 13.0f, 12.57f, 13.0f, 14.5f)
                curveTo(13.0f, 16.43f, 14.57f, 18.0f, 16.5f, 18.0f)
                curveTo(18.43f, 18.0f, 20.0f, 16.43f, 20.0f, 14.5f)
                curveTo(20.0f, 12.57f, 18.43f, 11.0f, 16.5f, 11.0f)
                close()
                moveTo(16.5f, 13.0f)
                curveTo(17.327f, 13.0f, 18.0f, 13.673f, 18.0f, 14.5f)
                curveTo(18.0f, 15.327f, 17.327f, 16.0f, 16.5f, 16.0f)
                curveTo(15.673f, 16.0f, 15.0f, 15.327f, 15.0f, 14.5f)
                curveTo(15.0f, 13.673f, 15.673f, 13.0f, 16.5f, 13.0f)
                close()
                moveTo(16.5f, 19.0f)
                curveTo(13.341f, 19.0f, 13.0f, 21.0758f, 13.0f, 21.9688f)
                curveTo(13.0f, 23.6127f, 13.5371f, 26.9198f, 13.8301f, 28.1738f)
                curveTo(13.9591f, 28.7238f, 14.478f, 30.0f, 16.5f, 30.0f)
                curveTo(18.522f, 30.0f, 19.0409f, 28.7238f, 19.1699f, 28.1738f)
                curveTo(19.4629f, 26.9208f, 20.0f, 23.6127f, 20.0f, 21.9688f)
                curveTo(20.0f, 21.0758f, 19.659f, 19.0f, 16.5f, 19.0f)
                close()
                moveTo(16.5f, 21.0f)
                curveTo(18.0f, 21.0f, 18.0f, 21.5597f, 18.0f, 21.9688f)
                curveTo(18.0f, 23.3037f, 17.5297f, 26.3998f, 17.2227f, 27.7168f)
                curveTo(17.1977f, 27.8218f, 17.156f, 28.0f, 16.5f, 28.0f)
                curveTo(15.844f, 28.0f, 15.8023f, 27.8228f, 15.7773f, 27.7188f)
                curveTo(15.4713f, 26.4048f, 15.0f, 23.3048f, 15.0f, 21.9688f)
                curveTo(15.0f, 21.5597f, 15.0f, 21.0f, 16.5f, 21.0f)
                close()
            }
        }
        .build()
        return _podcastSolid!!
    }

private var _podcastSolid: ImageVector? = null
