package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Safari: ImageVector
    get() {
        if (_safari != null) {
            return _safari!!
        }
        _safari = Builder(name = "Safari", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(9.3828f, 4.0f, 4.0f, 9.3828f, 4.0f, 16.0f)
                curveTo(4.0f, 22.6172f, 9.3828f, 28.0f, 16.0f, 28.0f)
                curveTo(22.6172f, 28.0f, 28.0f, 22.6172f, 28.0f, 16.0f)
                curveTo(28.0f, 9.3828f, 22.6172f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(21.5352f, 6.0f, 26.0f, 10.4648f, 26.0f, 16.0f)
                curveTo(26.0f, 21.5352f, 21.5352f, 26.0f, 16.0f, 26.0f)
                curveTo(10.4648f, 26.0f, 6.0f, 21.5352f, 6.0f, 16.0f)
                curveTo(6.0f, 10.4648f, 10.4648f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(16.5313f, 7.0313f)
                lineTo(16.4375f, 9.0313f)
                lineTo(16.6563f, 9.0313f)
                lineTo(16.8438f, 9.0625f)
                lineTo(17.125f, 7.0625f)
                lineTo(16.9688f, 7.0625f)
                lineTo(16.9063f, 7.0313f)
                close()
                moveTo(14.8125f, 7.0938f)
                lineTo(14.3438f, 7.1563f)
                lineTo(14.625f, 9.125f)
                lineTo(15.125f, 9.0625f)
                close()
                moveTo(18.7813f, 7.4375f)
                lineTo(18.0938f, 9.3125f)
                lineTo(18.5625f, 9.5f)
                lineTo(19.25f, 7.625f)
                close()
                moveTo(12.6875f, 7.625f)
                lineTo(12.5313f, 7.6875f)
                lineTo(12.5f, 7.7188f)
                lineTo(12.4375f, 7.7188f)
                lineTo(12.1563f, 7.875f)
                lineTo(13.0f, 9.6875f)
                lineTo(13.2188f, 9.5625f)
                lineTo(13.3125f, 9.5313f)
                lineTo(13.375f, 9.5f)
                close()
                moveTo(20.7813f, 8.375f)
                lineTo(19.75f, 10.0938f)
                lineTo(19.9375f, 10.1875f)
                lineTo(19.9688f, 10.2188f)
                lineTo(20.0938f, 10.3125f)
                lineTo(21.2813f, 8.7188f)
                lineTo(21.0625f, 8.5625f)
                lineTo(21.0f, 8.5f)
                close()
                moveTo(10.6875f, 8.75f)
                lineTo(10.3125f, 9.0313f)
                lineTo(10.25f, 9.0938f)
                lineTo(10.2188f, 9.0938f)
                lineTo(11.0938f, 10.0625f)
                lineTo(11.5f, 10.625f)
                lineTo(11.5625f, 10.5938f)
                lineTo(11.5938f, 10.5625f)
                lineTo(11.875f, 10.3438f)
                close()
                moveTo(22.2813f, 9.5938f)
                lineTo(14.9375f, 14.9063f)
                lineTo(9.7813f, 22.25f)
                lineTo(10.8125f, 21.5313f)
                lineTo(9.875f, 22.5625f)
                lineTo(10.25f, 22.9063f)
                lineTo(11.5938f, 21.4375f)
                lineTo(11.3125f, 21.1875f)
                lineTo(17.1563f, 17.125f)
                lineTo(21.125f, 11.2813f)
                lineTo(21.4063f, 11.5625f)
                lineTo(22.875f, 10.2188f)
                lineTo(22.5625f, 9.8438f)
                lineTo(21.4063f, 10.875f)
                close()
                moveTo(9.0313f, 10.3125f)
                lineTo(8.7188f, 10.7188f)
                lineTo(10.3125f, 11.9063f)
                lineTo(10.625f, 11.5f)
                close()
                moveTo(23.8438f, 11.5938f)
                lineTo(22.4688f, 12.4688f)
                lineTo(22.125f, 12.625f)
                lineTo(22.1563f, 12.6563f)
                lineTo(22.1875f, 12.7188f)
                lineTo(22.3125f, 13.0f)
                lineTo(24.125f, 12.125f)
                lineTo(23.9375f, 11.75f)
                lineTo(23.9063f, 11.7188f)
                close()
                moveTo(7.875f, 12.1875f)
                lineTo(7.7188f, 12.4375f)
                lineTo(7.7188f, 12.5f)
                lineTo(7.6875f, 12.5313f)
                lineTo(7.625f, 12.7188f)
                lineTo(9.5f, 13.4063f)
                lineTo(9.5625f, 13.2188f)
                lineTo(9.6563f, 13.0313f)
                close()
                moveTo(24.6875f, 13.75f)
                lineTo(22.75f, 14.2188f)
                lineTo(22.8438f, 14.5313f)
                lineTo(22.875f, 14.625f)
                lineTo(24.8438f, 14.3125f)
                lineTo(24.8125f, 14.25f)
                lineTo(24.8125f, 14.125f)
                close()
                moveTo(7.1563f, 14.375f)
                lineTo(7.0938f, 14.875f)
                lineTo(9.0625f, 15.1563f)
                lineTo(9.125f, 14.6563f)
                close()
                moveTo(25.0f, 15.9063f)
                lineTo(23.75f, 16.0f)
                lineTo(23.0f, 15.9375f)
                lineTo(23.0f, 16.0625f)
                lineTo(22.9688f, 16.4375f)
                lineTo(24.9688f, 16.5625f)
                lineTo(25.0f, 16.0625f)
                lineTo(24.0f, 16.0f)
                lineTo(25.0f, 15.9375f)
                close()
                moveTo(9.0313f, 16.4688f)
                lineTo(7.0313f, 16.5625f)
                lineTo(7.0313f, 16.9063f)
                lineTo(7.0625f, 16.9688f)
                lineTo(7.0938f, 17.1563f)
                lineTo(9.0625f, 16.875f)
                lineTo(9.0313f, 16.7813f)
                close()
                moveTo(22.7813f, 17.75f)
                lineTo(22.6563f, 18.125f)
                lineTo(24.5313f, 18.8125f)
                lineTo(24.5938f, 18.7188f)
                lineTo(24.5938f, 18.625f)
                lineTo(24.7188f, 18.25f)
                close()
                moveTo(9.3438f, 18.125f)
                lineTo(7.4688f, 18.8125f)
                lineTo(7.625f, 19.3125f)
                lineTo(9.5f, 18.625f)
                close()
                moveTo(22.1563f, 19.3438f)
                lineTo(21.9063f, 19.75f)
                lineTo(23.5938f, 20.8125f)
                lineTo(23.875f, 20.375f)
                close()
                moveTo(10.125f, 19.7813f)
                lineTo(8.4063f, 20.8125f)
                lineTo(8.5f, 21.0f)
                lineTo(8.5625f, 21.0625f)
                lineTo(8.75f, 21.3125f)
                lineTo(10.3438f, 20.0938f)
                lineTo(10.2188f, 19.9688f)
                lineTo(10.1875f, 19.9063f)
                lineTo(10.1563f, 19.875f)
                close()
                moveTo(21.0938f, 20.7813f)
                lineTo(20.9063f, 20.9688f)
                lineTo(20.8125f, 21.0938f)
                lineTo(22.1563f, 22.5625f)
                lineTo(22.3438f, 22.4063f)
                lineTo(22.4063f, 22.3438f)
                lineTo(22.5625f, 22.1563f)
                close()
                moveTo(19.7813f, 21.9063f)
                lineTo(19.3438f, 22.1563f)
                lineTo(20.375f, 23.875f)
                lineTo(20.8125f, 23.5938f)
                close()
                moveTo(12.625f, 22.125f)
                lineTo(12.3438f, 22.7188f)
                lineTo(11.625f, 23.875f)
                lineTo(11.6563f, 23.875f)
                lineTo(11.7188f, 23.9063f)
                lineTo(11.75f, 23.9375f)
                lineTo(12.1563f, 24.125f)
                lineTo(13.0313f, 22.3438f)
                lineTo(12.7188f, 22.1875f)
                lineTo(12.6875f, 22.1563f)
                close()
                moveTo(18.125f, 22.6563f)
                lineTo(17.75f, 22.7813f)
                lineTo(18.25f, 24.7188f)
                lineTo(18.625f, 24.5938f)
                lineTo(18.7188f, 24.5938f)
                lineTo(18.8125f, 24.5313f)
                close()
                moveTo(14.2813f, 22.7813f)
                lineTo(13.7813f, 24.7188f)
                lineTo(14.125f, 24.8125f)
                lineTo(14.25f, 24.8125f)
                lineTo(14.3438f, 24.8438f)
                lineTo(14.6563f, 22.875f)
                lineTo(14.625f, 22.875f)
                lineTo(14.5313f, 22.8438f)
                close()
                moveTo(16.4688f, 22.9688f)
                lineTo(15.9688f, 23.0f)
                lineTo(16.0625f, 25.0f)
                lineTo(16.5625f, 24.9688f)
                close()
            }
        }
        .build()
        return _safari!!
    }

private var _safari: ImageVector? = null
