package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SkatingSolid: ImageVector
    get() {
        if (_skatingSolid != null) {
            return _skatingSolid!!
        }
        _skatingSolid = Builder(name = "SkatingSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.5f, 4.0f)
                curveTo(20.5781f, 4.0f, 19.0f, 5.5781f, 19.0f, 7.5f)
                curveTo(19.0f, 9.4219f, 20.5781f, 11.0f, 22.5f, 11.0f)
                curveTo(24.4219f, 11.0f, 26.0f, 9.4219f, 26.0f, 7.5f)
                curveTo(26.0f, 5.5781f, 24.4219f, 4.0f, 22.5f, 4.0f)
                close()
                moveTo(22.5f, 6.0f)
                curveTo(23.3555f, 6.0f, 24.0f, 6.6445f, 24.0f, 7.5f)
                curveTo(24.0f, 8.3555f, 23.3555f, 9.0f, 22.5f, 9.0f)
                curveTo(21.6445f, 9.0f, 21.0f, 8.3555f, 21.0f, 7.5f)
                curveTo(21.0f, 6.6445f, 21.6445f, 6.0f, 22.5f, 6.0f)
                close()
                moveTo(9.0f, 9.0f)
                lineTo(9.0f, 11.0f)
                lineTo(17.5938f, 11.0f)
                lineTo(14.0f, 14.5938f)
                curveTo(13.2266f, 15.3672f, 13.2266f, 16.6328f, 14.0f, 17.4063f)
                lineTo(16.0f, 19.4063f)
                lineTo(16.0f, 24.0f)
                lineTo(18.0f, 24.0f)
                lineTo(18.0f, 19.4063f)
                curveTo(18.0f, 18.8789f, 17.7813f, 18.375f, 17.4063f, 18.0f)
                lineTo(15.4063f, 16.0f)
                lineTo(19.0f, 12.4063f)
                curveTo(19.6016f, 11.8047f, 19.7227f, 10.9336f, 19.4375f, 10.25f)
                curveTo(19.1523f, 9.5664f, 18.4414f, 9.0f, 17.5938f, 9.0f)
                close()
                moveTo(12.625f, 17.8125f)
                lineTo(9.0f, 21.4375f)
                lineTo(10.4063f, 22.8438f)
                lineTo(14.0313f, 19.2188f)
                close()
                moveTo(7.0f, 21.0f)
                curveTo(6.4492f, 21.0f, 6.0f, 21.4492f, 6.0f, 22.0f)
                curveTo(6.0f, 22.5508f, 6.4492f, 23.0f, 7.0f, 23.0f)
                curveTo(7.2773f, 23.0f, 7.5391f, 22.8984f, 7.7188f, 22.7188f)
                curveTo(7.8984f, 22.5391f, 8.0f, 22.2773f, 8.0f, 22.0f)
                curveTo(8.0f, 21.4492f, 7.5508f, 21.0f, 7.0f, 21.0f)
                close()
                moveTo(7.7188f, 22.7188f)
                curveTo(7.5391f, 22.8984f, 7.4063f, 23.1289f, 7.4063f, 23.4063f)
                curveTo(7.4063f, 23.957f, 7.8555f, 24.4063f, 8.4063f, 24.4063f)
                curveTo(8.6836f, 24.4063f, 8.9453f, 24.3047f, 9.125f, 24.125f)
                curveTo(9.3047f, 23.9453f, 9.4063f, 23.6836f, 9.4063f, 23.4063f)
                curveTo(9.4063f, 22.8555f, 8.957f, 22.4063f, 8.4063f, 22.4063f)
                curveTo(8.1289f, 22.4063f, 7.8984f, 22.5391f, 7.7188f, 22.7188f)
                close()
                moveTo(9.125f, 24.125f)
                curveTo(8.9453f, 24.3047f, 8.8125f, 24.5352f, 8.8125f, 24.8125f)
                curveTo(8.8125f, 25.3633f, 9.2617f, 25.8125f, 9.8125f, 25.8125f)
                curveTo(10.3633f, 25.8125f, 10.8125f, 25.3633f, 10.8125f, 24.8125f)
                curveTo(10.8125f, 24.2617f, 10.3633f, 23.8125f, 9.8125f, 23.8125f)
                curveTo(9.5352f, 23.8125f, 9.3047f, 23.9453f, 9.125f, 24.125f)
                close()
                moveTo(15.0625f, 25.0f)
                curveTo(14.5117f, 25.0f, 14.0625f, 25.4492f, 14.0625f, 26.0f)
                curveTo(14.0625f, 26.5508f, 14.5117f, 27.0f, 15.0625f, 27.0f)
                curveTo(15.6133f, 27.0f, 16.0625f, 26.5508f, 16.0625f, 26.0f)
                curveTo(16.0625f, 25.4492f, 15.6133f, 25.0f, 15.0625f, 25.0f)
                close()
                moveTo(16.0625f, 26.0f)
                curveTo(16.0625f, 26.5508f, 16.5117f, 27.0f, 17.0625f, 27.0f)
                curveTo(17.6133f, 27.0f, 18.0625f, 26.5508f, 18.0625f, 26.0f)
                curveTo(18.0625f, 25.4492f, 17.6133f, 25.0f, 17.0625f, 25.0f)
                curveTo(16.5117f, 25.0f, 16.0625f, 25.4492f, 16.0625f, 26.0f)
                close()
                moveTo(18.0625f, 26.0f)
                curveTo(18.0625f, 26.5508f, 18.5117f, 27.0f, 19.0625f, 27.0f)
                curveTo(19.6133f, 27.0f, 20.0625f, 26.5508f, 20.0625f, 26.0f)
                curveTo(20.0625f, 25.4492f, 19.6133f, 25.0f, 19.0625f, 25.0f)
                curveTo(18.5117f, 25.0f, 18.0625f, 25.4492f, 18.0625f, 26.0f)
                close()
            }
        }
        .build()
        return _skatingSolid!!
    }

private var _skatingSolid: ImageVector? = null
