package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SkiingNordicSolid: ImageVector
    get() {
        if (_skiingNordicSolid != null) {
            return _skiingNordicSolid!!
        }
        _skiingNordicSolid = Builder(name = "SkiingNordicSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.5f, 4.0f)
                curveTo(12.57f, 4.0f, 11.0f, 5.57f, 11.0f, 7.5f)
                curveTo(11.0f, 9.43f, 12.57f, 11.0f, 14.5f, 11.0f)
                curveTo(16.43f, 11.0f, 18.0f, 9.43f, 18.0f, 7.5f)
                curveTo(18.0f, 5.57f, 16.43f, 4.0f, 14.5f, 4.0f)
                close()
                moveTo(14.5f, 6.0f)
                curveTo(15.327f, 6.0f, 16.0f, 6.673f, 16.0f, 7.5f)
                curveTo(16.0f, 8.327f, 15.327f, 9.0f, 14.5f, 9.0f)
                curveTo(13.673f, 9.0f, 13.0f, 8.327f, 13.0f, 7.5f)
                curveTo(13.0f, 6.673f, 13.673f, 6.0f, 14.5f, 6.0f)
                close()
                moveTo(13.6855f, 11.9922f)
                curveTo(13.2814f, 11.9527f, 12.8695f, 12.0373f, 12.5117f, 12.2383f)
                curveTo(12.0347f, 12.5063f, 11.6836f, 12.9658f, 11.5586f, 13.4668f)
                lineTo(10.0605f, 18.7402f)
                curveTo(9.8645f, 19.5232f, 10.1555f, 20.3419f, 10.8145f, 20.8359f)
                lineTo(14.0195f, 23.1777f)
                lineTo(14.7813f, 27.0f)
                lineTo(9.9551f, 27.0f)
                lineTo(10.9844f, 25.5879f)
                curveTo(11.0554f, 25.4569f, 11.1161f, 25.3215f, 11.1641f, 25.1875f)
                lineTo(11.9922f, 22.9219f)
                lineTo(10.3066f, 21.7031f)
                lineTo(9.2832f, 24.5078f)
                curveTo(9.2662f, 24.5528f, 9.2466f, 24.5967f, 9.2246f, 24.6367f)
                lineTo(7.502f, 27.0f)
                lineTo(3.0f, 27.0f)
                lineTo(3.0f, 29.0f)
                lineTo(24.4863f, 29.0f)
                curveTo(26.5123f, 29.0f, 28.3024f, 27.7091f, 28.9414f, 25.7891f)
                lineTo(29.0f, 25.6172f)
                lineTo(27.1035f, 24.9844f)
                lineTo(27.0469f, 25.1563f)
                curveTo(26.6779f, 26.2582f, 25.6493f, 27.0f, 24.4863f, 27.0f)
                lineTo(21.0f, 27.0f)
                lineTo(21.0f, 16.0f)
                lineTo(16.7559f, 16.0f)
                lineTo(15.9707f, 13.6641f)
                curveTo(15.8017f, 12.9921f, 15.285f, 12.4472f, 14.623f, 12.2402f)
                lineTo(14.0859f, 12.0742f)
                curveTo(13.9557f, 12.0332f, 13.8203f, 12.0053f, 13.6855f, 11.9922f)
                close()
                moveTo(13.4902f, 13.9844f)
                lineTo(14.0566f, 14.2383f)
                lineTo(14.8418f, 16.4688f)
                curveTo(15.0638f, 17.3608f, 15.8612f, 17.9824f, 16.7813f, 17.9824f)
                lineTo(19.0f, 17.9824f)
                lineTo(19.0f, 27.0f)
                lineTo(16.8203f, 27.0f)
                lineTo(15.9863f, 22.8184f)
                curveTo(15.9023f, 22.3074f, 15.6272f, 21.8562f, 15.1992f, 21.5352f)
                lineTo(11.9922f, 19.2559f)
                lineTo(13.4902f, 13.9844f)
                close()
            }
        }
        .build()
        return _skiingNordicSolid!!
    }

private var _skiingNordicSolid: ImageVector? = null
