package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SwimmingPoolSolid: ImageVector
    get() {
        if (_swimmingPoolSolid != null) {
            return _swimmingPoolSolid!!
        }
        _swimmingPoolSolid = Builder(name = "SwimmingPoolSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 4.0f)
                curveTo(10.3477f, 4.0f, 9.0f, 5.3477f, 9.0f, 7.0f)
                lineTo(9.0f, 19.625f)
                lineTo(10.0f, 18.9063f)
                lineTo(11.0f, 19.625f)
                lineTo(11.0f, 7.0f)
                curveTo(11.0f, 6.4492f, 11.4492f, 6.0f, 12.0f, 6.0f)
                lineTo(13.0f, 6.0f)
                lineTo(13.0f, 4.0f)
                close()
                moveTo(24.0f, 4.0f)
                curveTo(22.3477f, 4.0f, 21.0f, 5.3477f, 21.0f, 7.0f)
                lineTo(21.0f, 8.0f)
                lineTo(12.0f, 8.0f)
                lineTo(12.0f, 10.0f)
                lineTo(21.0f, 10.0f)
                lineTo(21.0f, 12.0f)
                lineTo(12.0f, 12.0f)
                lineTo(12.0f, 14.0f)
                lineTo(21.0f, 14.0f)
                lineTo(21.0f, 16.0f)
                lineTo(12.0f, 16.0f)
                lineTo(12.0f, 18.0f)
                lineTo(21.0f, 18.0f)
                lineTo(21.0f, 19.625f)
                lineTo(22.0f, 18.9063f)
                lineTo(23.0f, 19.625f)
                lineTo(23.0f, 7.0f)
                curveTo(23.0f, 6.4492f, 23.4492f, 6.0f, 24.0f, 6.0f)
                lineTo(25.0f, 6.0f)
                lineTo(25.0f, 4.0f)
                close()
                moveTo(10.0f, 20.7188f)
                lineTo(9.375f, 21.2188f)
                curveTo(9.375f, 21.2188f, 8.3711f, 22.0f, 7.0313f, 22.0f)
                curveTo(5.6914f, 22.0f, 4.625f, 21.2188f, 4.625f, 21.2188f)
                lineTo(3.375f, 22.7813f)
                curveTo(3.375f, 22.7813f, 4.918f, 24.0f, 7.0313f, 24.0f)
                curveTo(8.4922f, 24.0f, 9.4219f, 23.5156f, 10.0f, 23.1563f)
                curveTo(10.582f, 23.5117f, 11.5586f, 24.0f, 13.0313f, 24.0f)
                curveTo(14.4922f, 24.0f, 15.4219f, 23.5156f, 16.0f, 23.1563f)
                curveTo(16.582f, 23.5117f, 17.5586f, 24.0f, 19.0313f, 24.0f)
                curveTo(20.4922f, 24.0f, 21.4219f, 23.5156f, 22.0f, 23.1563f)
                curveTo(22.582f, 23.5117f, 23.5586f, 24.0f, 25.0313f, 24.0f)
                curveTo(27.1445f, 24.0f, 28.625f, 22.7813f, 28.625f, 22.7813f)
                lineTo(27.375f, 21.2188f)
                curveTo(27.375f, 21.2188f, 26.3711f, 22.0f, 25.0313f, 22.0f)
                curveTo(23.6914f, 22.0f, 22.625f, 21.2188f, 22.625f, 21.2188f)
                lineTo(22.0f, 20.7188f)
                lineTo(21.375f, 21.2188f)
                curveTo(21.375f, 21.2188f, 20.3711f, 22.0f, 19.0313f, 22.0f)
                curveTo(17.6914f, 22.0f, 16.625f, 21.2188f, 16.625f, 21.2188f)
                lineTo(16.0f, 20.7188f)
                lineTo(15.375f, 21.2188f)
                curveTo(15.375f, 21.2188f, 14.3711f, 22.0f, 13.0313f, 22.0f)
                curveTo(11.6914f, 22.0f, 10.625f, 21.2188f, 10.625f, 21.2188f)
                close()
                moveTo(10.0f, 24.7188f)
                lineTo(9.375f, 25.2188f)
                curveTo(9.375f, 25.2188f, 8.3711f, 26.0f, 7.0313f, 26.0f)
                curveTo(5.6914f, 26.0f, 4.625f, 25.2188f, 4.625f, 25.2188f)
                lineTo(3.375f, 26.7813f)
                curveTo(3.375f, 26.7813f, 4.918f, 28.0f, 7.0313f, 28.0f)
                curveTo(8.4922f, 28.0f, 9.4219f, 27.5156f, 10.0f, 27.1563f)
                curveTo(10.582f, 27.5117f, 11.5586f, 28.0f, 13.0313f, 28.0f)
                curveTo(14.4922f, 28.0f, 15.4219f, 27.5156f, 16.0f, 27.1563f)
                curveTo(16.582f, 27.5117f, 17.5586f, 28.0f, 19.0313f, 28.0f)
                curveTo(20.4922f, 28.0f, 21.4219f, 27.5156f, 22.0f, 27.1563f)
                curveTo(22.582f, 27.5117f, 23.5586f, 28.0f, 25.0313f, 28.0f)
                curveTo(27.1445f, 28.0f, 28.625f, 26.7813f, 28.625f, 26.7813f)
                lineTo(27.375f, 25.2188f)
                curveTo(27.375f, 25.2188f, 26.3711f, 26.0f, 25.0313f, 26.0f)
                curveTo(23.6914f, 26.0f, 22.625f, 25.2188f, 22.625f, 25.2188f)
                lineTo(22.0f, 24.7188f)
                lineTo(21.375f, 25.2188f)
                curveTo(21.375f, 25.2188f, 20.3711f, 26.0f, 19.0313f, 26.0f)
                curveTo(17.6914f, 26.0f, 16.625f, 25.2188f, 16.625f, 25.2188f)
                lineTo(16.0f, 24.7188f)
                lineTo(15.375f, 25.2188f)
                curveTo(15.375f, 25.2188f, 14.3711f, 26.0f, 13.0313f, 26.0f)
                curveTo(11.6914f, 26.0f, 10.625f, 25.2188f, 10.625f, 25.2188f)
                close()
            }
        }
        .build()
        return _swimmingPoolSolid!!
    }

private var _swimmingPoolSolid: ImageVector? = null
