package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TachometerAltSolid: ImageVector
    get() {
        if (_tachometerAltSolid != null) {
            return _tachometerAltSolid!!
        }
        _tachometerAltSolid = Builder(name = "TachometerAltSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 6.0f)
                curveTo(9.3828f, 6.0f, 4.0f, 11.3828f, 4.0f, 18.0f)
                curveTo(4.0f, 20.8945f, 5.0352f, 23.5508f, 6.75f, 25.625f)
                lineTo(7.0313f, 26.0f)
                lineTo(24.9688f, 26.0f)
                lineTo(25.25f, 25.625f)
                curveTo(26.9648f, 23.5508f, 28.0f, 20.8945f, 28.0f, 18.0f)
                curveTo(28.0f, 11.3828f, 22.6172f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(21.5352f, 8.0f, 26.0f, 12.4648f, 26.0f, 18.0f)
                curveTo(26.0f, 20.2656f, 25.207f, 22.3242f, 23.9375f, 24.0f)
                lineTo(8.0625f, 24.0f)
                curveTo(6.793f, 22.3242f, 6.0f, 20.2656f, 6.0f, 18.0f)
                curveTo(6.0f, 12.4648f, 10.4648f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(16.0f, 9.0f)
                curveTo(15.4492f, 9.0f, 15.0f, 9.4492f, 15.0f, 10.0f)
                curveTo(15.0f, 10.5508f, 15.4492f, 11.0f, 16.0f, 11.0f)
                curveTo(16.5508f, 11.0f, 17.0f, 10.5508f, 17.0f, 10.0f)
                curveTo(17.0f, 9.4492f, 16.5508f, 9.0f, 16.0f, 9.0f)
                close()
                moveTo(12.0f, 10.0625f)
                curveTo(11.4492f, 10.0625f, 11.0f, 10.5117f, 11.0f, 11.0625f)
                curveTo(11.0f, 11.6133f, 11.4492f, 12.0625f, 12.0f, 12.0625f)
                curveTo(12.5508f, 12.0625f, 13.0f, 11.6133f, 13.0f, 11.0625f)
                curveTo(13.0f, 10.5117f, 12.5508f, 10.0625f, 12.0f, 10.0625f)
                close()
                moveTo(20.0f, 10.0625f)
                curveTo(19.4492f, 10.0625f, 19.0f, 10.5117f, 19.0f, 11.0625f)
                curveTo(19.0f, 11.6133f, 19.4492f, 12.0625f, 20.0f, 12.0625f)
                curveTo(20.5508f, 12.0625f, 21.0f, 11.6133f, 21.0f, 11.0625f)
                curveTo(21.0f, 10.5117f, 20.5508f, 10.0625f, 20.0f, 10.0625f)
                close()
                moveTo(9.0625f, 13.0f)
                curveTo(8.5117f, 13.0f, 8.0625f, 13.4492f, 8.0625f, 14.0f)
                curveTo(8.0625f, 14.5508f, 8.5117f, 15.0f, 9.0625f, 15.0f)
                curveTo(9.6133f, 15.0f, 10.0625f, 14.5508f, 10.0625f, 14.0f)
                curveTo(10.0625f, 13.4492f, 9.6133f, 13.0f, 9.0625f, 13.0f)
                close()
                moveTo(22.6563f, 13.0313f)
                lineTo(17.0f, 16.2813f)
                curveTo(16.707f, 16.1094f, 16.3633f, 16.0f, 16.0f, 16.0f)
                curveTo(14.8945f, 16.0f, 14.0f, 16.8945f, 14.0f, 18.0f)
                curveTo(14.0f, 19.1055f, 14.8945f, 20.0f, 16.0f, 20.0f)
                curveTo(17.0938f, 20.0f, 17.9844f, 19.1211f, 18.0f, 18.0313f)
                curveTo(18.0f, 18.0195f, 18.0f, 18.0117f, 18.0f, 18.0f)
                lineTo(23.6563f, 14.7813f)
                close()
                moveTo(8.0f, 17.0f)
                curveTo(7.4492f, 17.0f, 7.0f, 17.4492f, 7.0f, 18.0f)
                curveTo(7.0f, 18.5508f, 7.4492f, 19.0f, 8.0f, 19.0f)
                curveTo(8.5508f, 19.0f, 9.0f, 18.5508f, 9.0f, 18.0f)
                curveTo(9.0f, 17.4492f, 8.5508f, 17.0f, 8.0f, 17.0f)
                close()
                moveTo(24.0f, 17.0f)
                curveTo(23.4492f, 17.0f, 23.0f, 17.4492f, 23.0f, 18.0f)
                curveTo(23.0f, 18.5508f, 23.4492f, 19.0f, 24.0f, 19.0f)
                curveTo(24.5508f, 19.0f, 25.0f, 18.5508f, 25.0f, 18.0f)
                curveTo(25.0f, 17.4492f, 24.5508f, 17.0f, 24.0f, 17.0f)
                close()
                moveTo(9.0625f, 21.0f)
                curveTo(8.5117f, 21.0f, 8.0625f, 21.4492f, 8.0625f, 22.0f)
                curveTo(8.0625f, 22.5508f, 8.5117f, 23.0f, 9.0625f, 23.0f)
                curveTo(9.6133f, 23.0f, 10.0625f, 22.5508f, 10.0625f, 22.0f)
                curveTo(10.0625f, 21.4492f, 9.6133f, 21.0f, 9.0625f, 21.0f)
                close()
                moveTo(22.9375f, 21.0f)
                curveTo(22.3867f, 21.0f, 21.9375f, 21.4492f, 21.9375f, 22.0f)
                curveTo(21.9375f, 22.5508f, 22.3867f, 23.0f, 22.9375f, 23.0f)
                curveTo(23.4883f, 23.0f, 23.9375f, 22.5508f, 23.9375f, 22.0f)
                curveTo(23.9375f, 21.4492f, 23.4883f, 21.0f, 22.9375f, 21.0f)
                close()
            }
        }
        .build()
        return _tachometerAltSolid!!
    }

private var _tachometerAltSolid: ImageVector? = null
