package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ToolsSolid: ImageVector
    get() {
        if (_toolsSolid != null) {
            return _toolsSolid!!
        }
        _toolsSolid = Builder(name = "ToolsSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.25f, 2.75f)
                lineTo(4.6875f, 3.2813f)
                lineTo(3.2813f, 4.6875f)
                lineTo(2.75f, 5.25f)
                lineTo(3.1563f, 5.9063f)
                lineTo(5.25f, 9.4063f)
                lineTo(5.5313f, 9.9063f)
                lineTo(8.4688f, 9.9063f)
                lineTo(12.4688f, 13.875f)
                curveTo(8.8945f, 17.4648f, 4.3477f, 22.0273f, 4.1875f, 22.1875f)
                curveTo(2.6211f, 23.7539f, 2.6172f, 26.3203f, 4.2188f, 27.8125f)
                curveTo(5.7813f, 29.3555f, 8.3281f, 29.3945f, 9.8125f, 27.8125f)
                curveTo(9.8242f, 27.8008f, 9.832f, 27.793f, 9.8438f, 27.7813f)
                lineTo(16.0f, 21.5938f)
                lineTo(22.1875f, 27.8125f)
                lineTo(22.2813f, 27.875f)
                curveTo(23.8516f, 29.3555f, 26.3477f, 29.375f, 27.8125f, 27.8125f)
                lineTo(27.8125f, 27.7813f)
                lineTo(27.8438f, 27.7813f)
                curveTo(29.375f, 26.2148f, 29.3906f, 23.668f, 27.8125f, 22.1875f)
                lineTo(27.7813f, 22.1563f)
                lineTo(22.5625f, 16.9688f)
                curveTo(26.0742f, 16.6406f, 28.8242f, 13.6758f, 28.875f, 10.0938f)
                lineTo(28.9063f, 10.0938f)
                curveTo(28.9102f, 10.0742f, 28.9063f, 10.0508f, 28.9063f, 10.0313f)
                curveTo(28.9063f, 10.0195f, 28.9063f, 10.0117f, 28.9063f, 10.0f)
                curveTo(29.0039f, 8.8438f, 28.7539f, 7.7383f, 28.1563f, 6.7813f)
                lineTo(27.4688f, 5.7188f)
                lineTo(22.8125f, 10.375f)
                lineTo(21.4063f, 8.9063f)
                lineTo(26.1563f, 4.1563f)
                lineTo(24.7813f, 3.5938f)
                curveTo(23.9766f, 3.25f, 23.0469f, 3.0f, 22.0f, 3.0f)
                curveTo(18.1563f, 3.0f, 15.0f, 6.1563f, 15.0f, 10.0f)
                curveTo(15.0f, 10.418f, 15.0898f, 10.7813f, 15.1563f, 11.1563f)
                curveTo(14.7188f, 11.5938f, 14.3906f, 11.9531f, 13.875f, 12.4688f)
                lineTo(9.9063f, 8.5f)
                lineTo(9.9063f, 5.5313f)
                lineTo(9.4063f, 5.25f)
                lineTo(5.9063f, 3.1563f)
                close()
                moveTo(22.0f, 5.0f)
                curveTo(22.1406f, 5.0f, 22.2383f, 5.082f, 22.375f, 5.0938f)
                lineTo(18.5938f, 8.875f)
                lineTo(19.2813f, 9.5938f)
                lineTo(22.0938f, 12.5f)
                lineTo(22.7813f, 13.2188f)
                lineTo(26.75f, 9.25f)
                curveTo(26.7695f, 9.4805f, 26.9336f, 9.6484f, 26.9063f, 9.9063f)
                lineTo(26.9063f, 10.0f)
                curveTo(26.9063f, 12.7539f, 24.6602f, 15.0f, 21.9063f, 15.0f)
                curveTo(21.5391f, 15.0f, 21.0938f, 14.9141f, 20.5938f, 14.8125f)
                lineTo(20.0625f, 14.7188f)
                lineTo(19.6875f, 15.0938f)
                lineTo(8.4063f, 26.4063f)
                lineTo(8.375f, 26.4063f)
                lineTo(8.375f, 26.4375f)
                curveTo(7.6641f, 27.2148f, 6.4219f, 27.2344f, 5.5938f, 26.4063f)
                lineTo(5.5938f, 26.375f)
                lineTo(5.5625f, 26.375f)
                curveTo(4.7852f, 25.6641f, 4.7656f, 24.4219f, 5.5938f, 23.5938f)
                curveTo(5.9727f, 23.2148f, 13.3125f, 15.8125f, 16.9063f, 12.2188f)
                lineTo(17.3125f, 11.8125f)
                lineTo(17.1563f, 11.25f)
                curveTo(17.0742f, 10.9258f, 17.0f, 10.3672f, 17.0f, 10.0f)
                curveTo(17.0f, 7.2461f, 19.2461f, 5.0f, 22.0f, 5.0f)
                close()
                moveTo(5.5625f, 5.25f)
                lineTo(7.9063f, 6.6875f)
                lineTo(7.9063f, 7.6875f)
                lineTo(7.6875f, 7.9063f)
                lineTo(6.6875f, 7.9063f)
                lineTo(5.25f, 5.5625f)
                close()
                moveTo(20.1875f, 17.4063f)
                lineTo(26.4063f, 23.5938f)
                lineTo(26.4063f, 23.625f)
                lineTo(26.4375f, 23.625f)
                curveTo(27.2148f, 24.3359f, 27.2344f, 25.5781f, 26.4063f, 26.4063f)
                lineTo(26.375f, 26.4063f)
                lineTo(26.375f, 26.4375f)
                curveTo(25.6641f, 27.2148f, 24.4219f, 27.2344f, 23.5938f, 26.4063f)
                lineTo(17.4063f, 20.1875f)
                close()
            }
        }
        .build()
        return _toolsSolid!!
    }

private var _toolsSolid: ImageVector? = null
