package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TtySolid: ImageVector
    get() {
        if (_ttySolid != null) {
            return _ttySolid!!
        }
        _ttySolid = Builder(name = "TtySolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(12.1055f, 4.0f, 8.8086f, 4.7148f, 6.5938f, 5.375f)
                curveTo(4.4727f, 6.0039f, 3.0f, 7.9688f, 3.0f, 10.1875f)
                lineTo(3.0f, 13.0f)
                curveTo(3.0f, 14.0938f, 3.9063f, 15.0f, 5.0f, 15.0f)
                lineTo(9.0f, 15.0f)
                curveTo(10.0938f, 15.0f, 11.0f, 14.0938f, 11.0f, 13.0f)
                lineTo(11.0f, 10.375f)
                curveTo(11.1875f, 10.2891f, 11.2266f, 10.2539f, 11.7813f, 10.0938f)
                curveTo(12.6914f, 9.8281f, 14.082f, 9.5625f, 16.0f, 9.5625f)
                curveTo(17.918f, 9.5625f, 19.3086f, 9.8281f, 20.2188f, 10.0938f)
                curveTo(20.7734f, 10.2539f, 20.8125f, 10.2891f, 21.0f, 10.375f)
                lineTo(21.0f, 13.0f)
                curveTo(21.0f, 14.0938f, 21.9063f, 15.0f, 23.0f, 15.0f)
                lineTo(27.0f, 15.0f)
                curveTo(28.0938f, 15.0f, 29.0f, 14.0938f, 29.0f, 13.0f)
                lineTo(29.0f, 10.1875f)
                curveTo(29.0f, 7.9688f, 27.5273f, 6.0078f, 25.4063f, 5.375f)
                curveTo(23.1914f, 4.7188f, 19.8945f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(19.6484f, 6.0f, 22.7695f, 6.6641f, 24.8438f, 7.2813f)
                curveTo(26.1367f, 7.6641f, 27.0f, 8.8477f, 27.0f, 10.1875f)
                lineTo(27.0f, 13.0f)
                lineTo(23.0f, 13.0f)
                lineTo(23.0f, 9.125f)
                lineTo(22.5f, 8.8438f)
                curveTo(22.5f, 8.8438f, 21.8633f, 8.4727f, 20.7813f, 8.1563f)
                curveTo(19.6992f, 7.8398f, 18.1094f, 7.5625f, 16.0f, 7.5625f)
                curveTo(13.8906f, 7.5625f, 12.3008f, 7.8398f, 11.2188f, 8.1563f)
                curveTo(10.1367f, 8.4727f, 9.5f, 8.8438f, 9.5f, 8.8438f)
                lineTo(9.0f, 9.125f)
                lineTo(9.0f, 13.0f)
                lineTo(5.0f, 13.0f)
                lineTo(5.0f, 10.1875f)
                curveTo(5.0f, 8.8477f, 5.8633f, 7.6641f, 7.1563f, 7.2813f)
                curveTo(9.2305f, 6.6641f, 12.3516f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(10.0f, 17.0f)
                curveTo(8.8945f, 17.0f, 8.0f, 17.8945f, 8.0f, 19.0f)
                curveTo(8.0f, 20.1055f, 8.8945f, 21.0f, 10.0f, 21.0f)
                curveTo(11.1055f, 21.0f, 12.0f, 20.1055f, 12.0f, 19.0f)
                curveTo(12.0f, 17.8945f, 11.1055f, 17.0f, 10.0f, 17.0f)
                close()
                moveTo(16.0f, 17.0f)
                curveTo(14.8945f, 17.0f, 14.0f, 17.8945f, 14.0f, 19.0f)
                curveTo(14.0f, 20.1055f, 14.8945f, 21.0f, 16.0f, 21.0f)
                curveTo(17.1055f, 21.0f, 18.0f, 20.1055f, 18.0f, 19.0f)
                curveTo(18.0f, 17.8945f, 17.1055f, 17.0f, 16.0f, 17.0f)
                close()
                moveTo(22.0f, 17.0f)
                curveTo(20.8945f, 17.0f, 20.0f, 17.8945f, 20.0f, 19.0f)
                curveTo(20.0f, 20.1055f, 20.8945f, 21.0f, 22.0f, 21.0f)
                curveTo(23.1055f, 21.0f, 24.0f, 20.1055f, 24.0f, 19.0f)
                curveTo(24.0f, 17.8945f, 23.1055f, 17.0f, 22.0f, 17.0f)
                close()
                moveTo(10.0f, 23.0f)
                curveTo(8.8945f, 23.0f, 8.0f, 23.8945f, 8.0f, 25.0f)
                curveTo(8.0f, 26.1055f, 8.8945f, 27.0f, 10.0f, 27.0f)
                curveTo(11.1055f, 27.0f, 12.0f, 26.1055f, 12.0f, 25.0f)
                curveTo(12.0f, 23.8945f, 11.1055f, 23.0f, 10.0f, 23.0f)
                close()
                moveTo(16.0f, 23.0f)
                curveTo(14.8945f, 23.0f, 14.0f, 23.8945f, 14.0f, 25.0f)
                curveTo(14.0f, 26.1055f, 14.8945f, 27.0f, 16.0f, 27.0f)
                curveTo(17.1055f, 27.0f, 18.0f, 26.1055f, 18.0f, 25.0f)
                curveTo(18.0f, 23.8945f, 17.1055f, 23.0f, 16.0f, 23.0f)
                close()
                moveTo(22.0f, 23.0f)
                curveTo(20.8945f, 23.0f, 20.0f, 23.8945f, 20.0f, 25.0f)
                curveTo(20.0f, 26.1055f, 20.8945f, 27.0f, 22.0f, 27.0f)
                curveTo(23.1055f, 27.0f, 24.0f, 26.1055f, 24.0f, 25.0f)
                curveTo(24.0f, 23.8945f, 23.1055f, 23.0f, 22.0f, 23.0f)
                close()
            }
        }
        .build()
        return _ttySolid!!
    }

private var _ttySolid: ImageVector? = null
