package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.UserAstronautSolid: ImageVector
    get() {
        if (_userAstronautSolid != null) {
            return _userAstronautSolid!!
        }
        _userAstronautSolid = Builder(name = "UserAstronautSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(11.0f, 4.0f, 7.0f, 8.0f, 7.0f, 13.0f)
                curveTo(6.7f, 13.0f, 6.3992f, 13.2004f, 6.1992f, 13.4004f)
                curveTo(5.9992f, 13.7004f, 5.8996f, 14.0008f, 6.0996f, 14.3008f)
                lineTo(7.0996f, 17.3008f)
                curveTo(7.1996f, 17.7008f, 7.6f, 18.0f, 8.0f, 18.0f)
                lineTo(8.502f, 18.0f)
                curveTo(8.6934f, 18.2879f, 8.9024f, 18.5613f, 9.125f, 18.8242f)
                curveTo(9.4334f, 19.3005f, 9.7986f, 19.7337f, 10.2109f, 20.1191f)
                curveTo(8.194f, 21.8136f, 7.0f, 24.3312f, 7.0f, 27.0f)
                lineTo(9.0f, 27.0f)
                curveTo(9.0f, 24.7303f, 10.0802f, 22.6343f, 11.9238f, 21.293f)
                curveTo(12.8508f, 21.7417f, 13.8906f, 22.0f, 15.0f, 22.0f)
                lineTo(17.0f, 22.0f)
                curveTo(18.0953f, 22.0f, 19.1229f, 21.7486f, 20.041f, 21.3105f)
                curveTo(21.8647f, 22.5977f, 23.0f, 24.7548f, 23.0f, 27.0f)
                lineTo(25.0f, 27.0f)
                curveTo(25.0f, 24.3449f, 23.8149f, 21.8408f, 21.7598f, 20.1465f)
                curveTo(22.1842f, 19.7544f, 22.5593f, 19.3118f, 22.875f, 18.8242f)
                curveTo(23.0976f, 18.5613f, 23.3066f, 18.2879f, 23.498f, 18.0f)
                lineTo(24.0f, 18.0f)
                curveTo(24.4f, 18.0f, 24.8004f, 17.7008f, 24.9004f, 17.3008f)
                lineTo(25.9004f, 14.3008f)
                curveTo(26.1004f, 14.0008f, 26.0008f, 13.7004f, 25.8008f, 13.4004f)
                curveTo(25.6008f, 13.2004f, 25.3f, 13.0f, 25.0f, 13.0f)
                curveTo(25.0f, 8.0f, 21.0f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(19.5173f, 6.0f, 22.3756f, 8.5251f, 22.9043f, 11.8809f)
                curveTo(21.9949f, 10.7371f, 20.6045f, 10.0f, 19.0f, 10.0f)
                lineTo(13.0f, 10.0f)
                curveTo(11.3955f, 10.0f, 10.0051f, 10.7371f, 9.0957f, 11.8809f)
                curveTo(9.6244f, 8.5251f, 12.4827f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(13.0f, 12.0f)
                lineTo(19.0f, 12.0f)
                curveTo(20.7f, 12.0f, 22.0f, 13.3f, 22.0f, 15.0f)
                curveTo(22.0f, 15.7152f, 21.8542f, 16.3897f, 21.5938f, 17.0f)
                lineTo(17.0f, 17.0f)
                curveTo(16.4f, 17.0f, 16.0f, 17.5f, 16.0f, 18.0f)
                curveTo(16.0f, 18.6f, 16.5f, 19.0f, 17.0f, 19.0f)
                lineTo(19.6191f, 19.0f)
                curveTo(18.5655f, 19.6315f, 17.3319f, 20.0f, 16.0f, 20.0f)
                curveTo(13.8994f, 20.0f, 12.0368f, 19.0955f, 10.7598f, 17.6563f)
                curveTo(10.2843f, 16.8891f, 10.0f, 15.9856f, 10.0f, 15.0f)
                curveTo(10.0f, 13.3f, 11.3f, 12.0f, 13.0f, 12.0f)
                close()
            }
        }
        .build()
        return _userAstronautSolid!!
    }

private var _userAstronautSolid: ImageVector? = null
