package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.UserGraduateSolid: ImageVector
    get() {
        if (_userGraduateSolid != null) {
            return _userGraduateSolid!!
        }
        _userGraduateSolid = Builder(name = "UserGraduateSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                lineTo(3.0f, 7.0f)
                lineTo(6.1055f, 7.9531f)
                lineTo(9.0f, 8.8438f)
                lineTo(9.0f, 11.5078f)
                curveTo(8.875f, 11.6602f, 8.7813f, 11.8086f, 8.707f, 11.9648f)
                curveTo(8.5273f, 12.3438f, 8.4141f, 12.7656f, 8.3125f, 13.2656f)
                curveTo(8.1211f, 14.2148f, 8.0195f, 15.4414f, 8.0078f, 16.7852f)
                curveTo(7.3984f, 17.332f, 7.0f, 18.1172f, 7.0f, 19.0f)
                curveTo(7.0f, 20.2773f, 7.9063f, 21.1992f, 9.0352f, 21.6289f)
                curveTo(9.4883f, 22.9336f, 10.2422f, 24.3672f, 11.3281f, 25.582f)
                curveTo(12.5156f, 26.9063f, 14.1016f, 28.0f, 16.0f, 28.0f)
                curveTo(17.8984f, 28.0f, 19.4844f, 26.9063f, 20.6719f, 25.582f)
                curveTo(21.7578f, 24.3672f, 22.5117f, 22.9336f, 22.9648f, 21.6289f)
                curveTo(24.0938f, 21.1992f, 25.0f, 20.2773f, 25.0f, 19.0f)
                curveTo(25.0f, 18.1172f, 24.6055f, 17.3203f, 23.9883f, 16.7695f)
                curveTo(23.9766f, 15.4297f, 23.875f, 14.2109f, 23.6875f, 13.2656f)
                curveTo(23.5859f, 12.7656f, 23.4727f, 12.3438f, 23.293f, 11.9648f)
                curveTo(23.2188f, 11.8086f, 23.125f, 11.6602f, 23.0f, 11.5078f)
                lineTo(23.0f, 8.8438f)
                lineTo(29.0f, 7.0f)
                close()
                moveTo(16.0f, 5.0938f)
                lineTo(22.2031f, 7.0f)
                lineTo(16.0f, 8.9063f)
                lineTo(9.7969f, 7.0f)
                close()
                moveTo(11.0f, 9.4609f)
                lineTo(16.0f, 11.0f)
                lineTo(16.2969f, 10.9102f)
                lineTo(21.0f, 9.4609f)
                lineTo(21.0f, 11.7813f)
                curveTo(20.9883f, 11.7969f, 21.0f, 11.8008f, 20.9531f, 11.832f)
                curveTo(20.7969f, 11.9648f, 20.4727f, 12.1563f, 20.0273f, 12.3359f)
                curveTo(19.1328f, 12.6914f, 17.7461f, 13.0f, 16.0f, 13.0f)
                curveTo(14.2539f, 13.0f, 12.8672f, 12.6914f, 11.9727f, 12.3359f)
                curveTo(11.5273f, 12.1563f, 11.2031f, 11.9648f, 11.0469f, 11.832f)
                curveTo(11.0f, 11.8008f, 11.0117f, 11.7969f, 11.0f, 11.7813f)
                close()
                moveTo(10.2656f, 13.707f)
                curveTo(10.5547f, 13.8828f, 10.8672f, 14.0469f, 11.2344f, 14.1914f)
                curveTo(12.4102f, 14.6602f, 14.0234f, 15.0f, 16.0f, 15.0f)
                curveTo(17.9766f, 15.0f, 19.5898f, 14.6602f, 20.7656f, 14.1914f)
                curveTo(21.1328f, 14.0469f, 21.4453f, 13.8828f, 21.7344f, 13.707f)
                curveTo(21.8906f, 14.5156f, 22.0f, 15.6953f, 22.0f, 17.0f)
                lineTo(22.0f, 17.8477f)
                lineTo(22.5f, 18.1406f)
                curveTo(22.8047f, 18.3125f, 23.0f, 18.6211f, 23.0f, 19.0f)
                curveTo(23.0f, 19.5352f, 22.6016f, 19.9453f, 22.0781f, 19.9883f)
                lineTo(21.4063f, 20.043f)
                lineTo(21.207f, 20.6875f)
                curveTo(20.875f, 21.7695f, 20.1328f, 23.1836f, 19.1758f, 24.25f)
                curveTo(18.2227f, 25.3164f, 17.1094f, 26.0f, 16.0f, 26.0f)
                curveTo(14.8906f, 26.0f, 13.7773f, 25.3164f, 12.8242f, 24.25f)
                curveTo(11.8672f, 23.1836f, 11.125f, 21.7695f, 10.793f, 20.6875f)
                lineTo(10.5938f, 20.043f)
                lineTo(9.9219f, 19.9883f)
                curveTo(9.3984f, 19.9453f, 9.0f, 19.5352f, 9.0f, 19.0f)
                curveTo(9.0f, 18.625f, 9.1992f, 18.3164f, 9.5078f, 18.1406f)
                lineTo(10.0195f, 17.8438f)
                lineTo(10.0f, 17.0f)
                lineTo(10.0f, 16.9883f)
                curveTo(10.0f, 15.6914f, 10.1094f, 14.5156f, 10.2656f, 13.707f)
                close()
                moveTo(8.1719f, 17.0f)
                lineTo(9.0039f, 17.0f)
                lineTo(8.1641f, 17.0195f)
                close()
                moveTo(13.0f, 18.0f)
                curveTo(12.4492f, 18.0f, 12.0f, 18.4492f, 12.0f, 19.0f)
                curveTo(12.0f, 19.5508f, 12.4492f, 20.0f, 13.0f, 20.0f)
                curveTo(13.5508f, 20.0f, 14.0f, 19.5508f, 14.0f, 19.0f)
                curveTo(14.0f, 18.4492f, 13.5508f, 18.0f, 13.0f, 18.0f)
                close()
                moveTo(19.0f, 18.0f)
                curveTo(18.4492f, 18.0f, 18.0f, 18.4492f, 18.0f, 19.0f)
                curveTo(18.0f, 19.5508f, 18.4492f, 20.0f, 19.0f, 20.0f)
                curveTo(19.5508f, 20.0f, 20.0f, 19.5508f, 20.0f, 19.0f)
                curveTo(20.0f, 18.4492f, 19.5508f, 18.0f, 19.0f, 18.0f)
                close()
            }
        }
        .build()
        return _userGraduateSolid!!
    }

private var _userGraduateSolid: ImageVector? = null
