package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Weebly: ImageVector
    get() {
        if (_weebly != null) {
            return _weebly!!
        }
        _weebly = Builder(name = "Weebly", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.5f, 6.0f)
                curveTo(5.9f, 6.0f, 5.4008f, 6.1008f, 4.8008f, 6.3008f)
                curveTo(2.5008f, 7.2008f, 1.4008f, 9.8992f, 2.3008f, 12.1992f)
                lineTo(6.8008f, 23.1992f)
                curveTo(7.5008f, 24.8992f, 9.1004f, 26.0f, 10.9004f, 26.0f)
                lineTo(11.0f, 26.0f)
                curveTo(12.8f, 26.0f, 14.3996f, 25.0004f, 15.0996f, 23.4004f)
                lineTo(16.0f, 21.0f)
                lineTo(16.9004f, 23.4004f)
                curveTo(17.6004f, 25.0004f, 19.2f, 26.0f, 21.0f, 26.0f)
                lineTo(21.0996f, 26.0f)
                curveTo(22.8996f, 26.0f, 24.4992f, 24.8992f, 25.1992f, 23.1992f)
                lineTo(29.6992f, 12.1992f)
                curveTo(30.5992f, 9.8992f, 29.4992f, 7.3008f, 27.1992f, 6.3008f)
                curveTo(26.5992f, 6.1008f, 26.1f, 6.0f, 25.5f, 6.0f)
                curveTo(23.7f, 6.0f, 22.0008f, 7.1008f, 21.3008f, 8.8008f)
                lineTo(20.6992f, 10.5f)
                lineTo(20.0f, 8.5996f)
                curveTo(19.3f, 6.9996f, 17.7f, 6.0f, 16.0f, 6.0f)
                curveTo(15.4f, 6.0f, 14.6996f, 6.1004f, 14.0996f, 6.4004f)
                curveTo(13.0996f, 6.9004f, 12.4004f, 7.5996f, 11.9004f, 8.5996f)
                lineTo(11.8008f, 8.6992f)
                lineTo(11.0996f, 10.5996f)
                lineTo(10.5f, 8.9004f)
                curveTo(10.0f, 7.1004f, 8.3f, 6.0f, 6.5f, 6.0f)
                close()
                moveTo(6.5f, 8.0f)
                curveTo(7.5f, 8.0f, 8.4008f, 8.6f, 8.8008f, 9.5f)
                lineTo(9.3008f, 11.0996f)
                lineTo(11.0996f, 16.5996f)
                lineTo(13.0996f, 11.1992f)
                lineTo(13.6992f, 9.5996f)
                lineTo(13.6992f, 9.5f)
                lineTo(13.6992f, 9.4004f)
                curveTo(13.8992f, 9.0004f, 14.3f, 8.4992f, 15.0f, 8.1992f)
                curveTo(15.3f, 8.0992f, 15.6f, 8.0f, 16.0f, 8.0f)
                curveTo(17.0f, 8.0f, 17.8008f, 8.6004f, 18.3008f, 9.4004f)
                lineTo(19.0f, 11.1992f)
                lineTo(21.0f, 16.5996f)
                lineTo(22.8008f, 11.0996f)
                lineTo(23.3008f, 9.5f)
                curveTo(23.6008f, 8.6f, 24.5f, 8.0f, 25.5f, 8.0f)
                curveTo(25.8f, 8.0f, 26.1004f, 8.0992f, 26.4004f, 8.1992f)
                curveTo(27.0004f, 8.4992f, 27.5008f, 8.9f, 27.8008f, 9.5f)
                curveTo(28.1008f, 10.1f, 28.1008f, 10.8004f, 27.8008f, 11.4004f)
                lineTo(23.3008f, 22.4004f)
                curveTo(22.9008f, 23.4004f, 21.9996f, 24.0f, 21.0996f, 24.0f)
                lineTo(21.0f, 24.0f)
                curveTo(20.0f, 24.0f, 19.1992f, 23.3996f, 18.6992f, 22.5996f)
                lineTo(17.8008f, 20.3008f)
                lineTo(16.0f, 15.4004f)
                lineTo(14.0996f, 20.3008f)
                lineTo(13.1992f, 22.5996f)
                curveTo(12.7992f, 23.3996f, 12.0f, 24.0f, 11.0f, 24.0f)
                curveTo(10.0f, 24.0f, 9.0992f, 23.4004f, 8.6992f, 22.4004f)
                lineTo(4.1992f, 11.4004f)
                curveTo(3.8992f, 10.8004f, 3.9992f, 10.1f, 4.1992f, 9.5f)
                curveTo(4.4992f, 8.9f, 4.8996f, 8.3992f, 5.5996f, 8.1992f)
                curveTo(5.8996f, 8.0992f, 6.2f, 8.0f, 6.5f, 8.0f)
                close()
            }
        }
        .build()
        return _weebly!!
    }

private var _weebly: ImageVector? = null
