package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Weixin: ImageVector
    get() {
        if (_weixin != null) {
            return _weixin!!
        }
        _weixin = Builder(name = "Weixin", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.0f, 5.0f)
                curveTo(8.5781f, 5.0f, 4.0f, 8.7109f, 4.0f, 13.5f)
                curveTo(4.0f, 15.1172f, 4.5938f, 16.6016f, 5.5f, 17.875f)
                lineTo(5.125f, 20.7813f)
                lineTo(4.9063f, 22.5313f)
                lineTo(6.5f, 21.8438f)
                lineTo(9.0f, 20.8125f)
                curveTo(10.25f, 21.4297f, 11.6563f, 21.8203f, 13.1563f, 21.9375f)
                curveTo(13.8867f, 24.8906f, 16.9766f, 27.0f, 20.5f, 27.0f)
                curveTo(21.9531f, 27.0f, 23.2813f, 26.5898f, 24.4375f, 25.9688f)
                lineTo(25.625f, 26.6563f)
                lineTo(27.3438f, 27.5938f)
                lineTo(27.0938f, 25.6563f)
                lineTo(26.875f, 23.8438f)
                curveTo(27.5391f, 22.8906f, 28.0f, 21.8008f, 28.0f, 20.5938f)
                curveTo(28.0f, 18.0352f, 26.293f, 15.8906f, 23.875f, 14.8438f)
                curveTo(23.9609f, 14.4063f, 24.0f, 13.9688f, 24.0f, 13.5f)
                curveTo(24.0f, 8.7109f, 19.4219f, 5.0f, 14.0f, 5.0f)
                close()
                moveTo(14.0f, 7.0f)
                curveTo(18.5195f, 7.0f, 22.0f, 10.0078f, 22.0f, 13.5f)
                curveTo(22.0f, 13.7656f, 21.9805f, 14.0273f, 21.9375f, 14.2813f)
                curveTo(21.4648f, 14.1992f, 20.9961f, 14.1563f, 20.5f, 14.1563f)
                curveTo(16.6992f, 14.1563f, 13.4102f, 16.6172f, 13.0313f, 19.9375f)
                curveTo(11.7109f, 19.8047f, 10.5f, 19.4258f, 9.4688f, 18.8438f)
                lineTo(9.0313f, 18.625f)
                lineTo(8.5938f, 18.8125f)
                lineTo(7.3125f, 19.3438f)
                lineTo(7.5313f, 17.8125f)
                lineTo(7.5625f, 17.375f)
                lineTo(7.3125f, 17.0625f)
                curveTo(6.4727f, 16.0234f, 6.0f, 14.8047f, 6.0f, 13.5f)
                curveTo(6.0f, 10.0078f, 9.4805f, 7.0f, 14.0f, 7.0f)
                close()
                moveTo(10.5625f, 9.1563f)
                curveTo(9.7852f, 9.1563f, 9.1563f, 9.7852f, 9.1563f, 10.5625f)
                curveTo(9.1563f, 11.3398f, 9.7852f, 12.0f, 10.5625f, 12.0f)
                curveTo(11.3398f, 12.0f, 11.9688f, 11.3398f, 11.9688f, 10.5625f)
                curveTo(11.9688f, 9.7852f, 11.3398f, 9.1563f, 10.5625f, 9.1563f)
                close()
                moveTo(17.25f, 9.1563f)
                curveTo(16.4727f, 9.1563f, 15.8125f, 9.7852f, 15.8125f, 10.5625f)
                curveTo(15.8125f, 11.3398f, 16.4727f, 12.0f, 17.25f, 12.0f)
                curveTo(18.0273f, 12.0f, 18.6563f, 11.3398f, 18.6563f, 10.5625f)
                curveTo(18.6563f, 9.7852f, 18.0273f, 9.1563f, 17.25f, 9.1563f)
                close()
                moveTo(20.5f, 16.1563f)
                curveTo(23.6406f, 16.1563f, 26.0f, 18.25f, 26.0f, 20.5938f)
                curveTo(26.0f, 21.4805f, 25.6797f, 22.2852f, 25.0938f, 23.0f)
                lineTo(24.8125f, 23.3438f)
                lineTo(24.875f, 23.75f)
                lineTo(24.9063f, 23.9375f)
                lineTo(24.4375f, 23.6875f)
                lineTo(23.9375f, 24.0313f)
                curveTo(23.0039f, 24.6367f, 21.8125f, 25.0f, 20.5f, 25.0f)
                curveTo(17.3594f, 25.0f, 15.0f, 22.9375f, 15.0f, 20.5938f)
                curveTo(15.0f, 18.25f, 17.3594f, 16.1563f, 20.5f, 16.1563f)
                close()
                moveTo(18.0f, 17.4375f)
                curveTo(17.4102f, 17.4375f, 16.9063f, 17.9102f, 16.9063f, 18.5f)
                curveTo(16.9063f, 19.0898f, 17.4102f, 19.5625f, 18.0f, 19.5625f)
                curveTo(18.5859f, 19.5625f, 19.0625f, 19.0898f, 19.0625f, 18.5f)
                curveTo(19.0625f, 17.9102f, 18.5898f, 17.4375f, 18.0f, 17.4375f)
                close()
                moveTo(23.0313f, 17.4375f)
                curveTo(22.4453f, 17.4375f, 21.9688f, 17.9102f, 21.9688f, 18.5f)
                curveTo(21.9688f, 19.0898f, 22.4414f, 19.5625f, 23.0313f, 19.5625f)
                curveTo(23.6211f, 19.5625f, 24.0938f, 19.0898f, 24.0938f, 18.5f)
                curveTo(24.0938f, 17.9102f, 23.6211f, 17.4375f, 23.0313f, 17.4375f)
                close()
            }
        }
        .build()
        return _weixin!!
    }

private var _weixin: ImageVector? = null
