package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.WikipediaW: ImageVector
    get() {
        if (_wikipediaW != null) {
            return _wikipediaW!!
        }
        _wikipediaW = Builder(name = "WikipediaW", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(30.0f, 9.2148f)
                curveTo(30.0f, 9.3867f, 29.8633f, 9.5234f, 29.6875f, 9.5234f)
                lineTo(28.0078f, 9.5234f)
                lineTo(20.3906f, 25.7383f)
                curveTo(20.3398f, 25.8477f, 20.2305f, 25.918f, 20.1133f, 25.918f)
                curveTo(20.1094f, 25.918f, 20.1094f, 25.918f, 20.1094f, 25.918f)
                curveTo(19.9883f, 25.918f, 19.8828f, 25.8516f, 19.8281f, 25.7461f)
                lineTo(16.2148f, 18.5781f)
                lineTo(12.3125f, 25.7578f)
                curveTo(12.2578f, 25.8594f, 12.1563f, 25.918f, 12.0313f, 25.918f)
                curveTo(11.9141f, 25.9141f, 11.8086f, 25.8477f, 11.7578f, 25.7422f)
                lineTo(4.0547f, 9.5234f)
                lineTo(2.3125f, 9.5234f)
                curveTo(2.1406f, 9.5234f, 2.0f, 9.3867f, 2.0f, 9.2148f)
                lineTo(2.0f, 8.3906f)
                curveTo(2.0f, 8.2188f, 2.1406f, 8.082f, 2.3125f, 8.082f)
                lineTo(8.5234f, 8.082f)
                curveTo(8.6953f, 8.082f, 8.8359f, 8.2188f, 8.8359f, 8.3906f)
                lineTo(8.8359f, 9.2148f)
                curveTo(8.8359f, 9.3867f, 8.6953f, 9.5234f, 8.5234f, 9.5234f)
                lineTo(7.1875f, 9.5234f)
                lineTo(12.5039f, 21.7852f)
                lineTo(15.2695f, 16.6172f)
                lineTo(11.7617f, 9.5273f)
                lineTo(10.918f, 9.5273f)
                curveTo(10.7461f, 9.5273f, 10.6055f, 9.3867f, 10.6055f, 9.2148f)
                lineTo(10.6055f, 8.3945f)
                curveTo(10.6055f, 8.2227f, 10.7461f, 8.082f, 10.918f, 8.082f)
                lineTo(15.5156f, 8.082f)
                curveTo(15.6875f, 8.082f, 15.8242f, 8.2227f, 15.8242f, 8.3945f)
                lineTo(15.8242f, 9.2148f)
                curveTo(15.8242f, 9.3867f, 15.6875f, 9.5234f, 15.5156f, 9.5234f)
                lineTo(14.7031f, 9.5234f)
                lineTo(16.7227f, 13.9375f)
                lineTo(19.125f, 9.5234f)
                lineTo(17.6523f, 9.5234f)
                curveTo(17.4766f, 9.5234f, 17.3398f, 9.3867f, 17.3398f, 9.2148f)
                lineTo(17.3398f, 8.3945f)
                curveTo(17.3398f, 8.2227f, 17.4766f, 8.082f, 17.6523f, 8.082f)
                lineTo(22.1172f, 8.082f)
                curveTo(22.2891f, 8.082f, 22.4258f, 8.2227f, 22.4258f, 8.3945f)
                lineTo(22.4258f, 9.2148f)
                curveTo(22.4258f, 9.3867f, 22.2891f, 9.5234f, 22.1172f, 9.5234f)
                lineTo(21.1367f, 9.5234f)
                lineTo(17.6328f, 15.8945f)
                lineTo(20.4883f, 21.7695f)
                lineTo(26.0f, 9.5234f)
                lineTo(24.2539f, 9.5234f)
                curveTo(24.082f, 9.5234f, 23.9414f, 9.3867f, 23.9414f, 9.2148f)
                lineTo(23.9414f, 8.3945f)
                curveTo(23.9414f, 8.2227f, 24.082f, 8.082f, 24.2539f, 8.082f)
                lineTo(29.6875f, 8.082f)
                curveTo(29.8633f, 8.082f, 30.0f, 8.2227f, 30.0f, 8.3945f)
                close()
            }
        }
        .build()
        return _wikipediaW!!
    }

private var _wikipediaW: ImageVector? = null
