package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.WolfPackBattalion: ImageVector
    get() {
        if (_wolfPackBattalion != null) {
            return _wolfPackBattalion!!
        }
        _wolfPackBattalion = Builder(name = "WolfPackBattalion", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.4004f, 3.0f)
                curveTo(6.5004f, 6.1f, 7.2004f, 8.9996f, 7.4004f, 9.5996f)
                curveTo(8.2004f, 9.2996f, 9.8992f, 7.7004f, 7.6992f, 5.9004f)
                curveTo(8.9992f, 6.3004f, 9.7008f, 7.4004f, 9.8008f, 8.4004f)
                curveTo(10.0008f, 9.8004f, 8.0996f, 11.0f, 7.0996f, 11.0f)
                curveTo(5.4996f, 11.1f, 4.0f, 12.7f, 4.0f, 14.0f)
                lineTo(5.0996f, 13.5f)
                curveTo(4.7996f, 14.4f, 4.4992f, 15.3004f, 4.6992f, 16.4004f)
                lineTo(6.0f, 16.0996f)
                curveTo(5.2f, 17.3996f, 5.4996f, 19.4004f, 5.5996f, 20.4004f)
                lineTo(6.9004f, 19.6992f)
                lineTo(7.3008f, 21.5f)
                lineTo(8.5f, 21.1992f)
                lineTo(9.0f, 22.6992f)
                lineTo(10.3008f, 21.5996f)
                lineTo(9.3008f, 22.0f)
                lineTo(8.9004f, 20.3008f)
                lineTo(8.0f, 20.5996f)
                lineTo(7.6992f, 18.9004f)
                lineTo(6.3008f, 19.3008f)
                curveTo(6.1008f, 18.0008f, 6.4f, 16.7996f, 7.0f, 15.5996f)
                lineTo(5.5f, 15.1992f)
                curveTo(6.0f, 12.9992f, 7.2992f, 12.6f, 8.6992f, 12.5f)
                curveTo(9.1992f, 14.1f, 8.9996f, 15.3996f, 8.5996f, 16.5996f)
                curveTo(12.6996f, 19.4996f, 12.4992f, 22.5992f, 12.6992f, 24.1992f)
                curveTo(12.8992f, 25.6992f, 12.9f, 28.6996f, 14.0f, 29.0996f)
                lineTo(14.0f, 27.5996f)
                lineTo(14.3008f, 27.1992f)
                lineTo(14.5996f, 27.8008f)
                lineTo(15.0996f, 27.0f)
                lineTo(15.6992f, 28.0996f)
                lineTo(16.0996f, 26.9004f)
                lineTo(16.5996f, 27.6992f)
                lineTo(16.9004f, 27.0996f)
                lineTo(17.1992f, 27.5f)
                lineTo(17.1992f, 29.0f)
                curveTo(18.2992f, 28.6f, 18.3f, 25.5996f, 18.5f, 24.0996f)
                curveTo(18.7f, 22.4996f, 18.4996f, 19.4f, 22.5996f, 16.5f)
                curveTo(22.1996f, 15.3f, 22.0f, 14.0004f, 22.5f, 12.4004f)
                curveTo(23.9f, 12.6004f, 25.1992f, 12.8996f, 25.6992f, 15.0996f)
                lineTo(24.1992f, 15.5f)
                curveTo(24.7992f, 16.7f, 25.1004f, 17.8992f, 24.9004f, 19.1992f)
                lineTo(23.5f, 18.8008f)
                lineTo(23.0f, 20.5996f)
                lineTo(22.0996f, 20.1992f)
                lineTo(21.6992f, 21.9004f)
                lineTo(20.6992f, 21.5f)
                lineTo(22.0f, 22.5996f)
                lineTo(22.4004f, 21.1992f)
                lineTo(23.5996f, 21.5f)
                lineTo(24.0f, 19.6992f)
                lineTo(25.3008f, 20.4004f)
                curveTo(25.3008f, 19.4004f, 25.7004f, 17.4996f, 24.9004f, 16.0996f)
                lineTo(26.1992f, 16.4004f)
                curveTo(26.3992f, 15.3004f, 26.1008f, 14.4f, 25.8008f, 13.5f)
                lineTo(27.0f, 14.0f)
                curveTo(27.0f, 12.7f, 25.5004f, 11.1f, 23.9004f, 11.0f)
                curveTo(22.9004f, 10.9f, 20.9992f, 9.7004f, 21.1992f, 8.4004f)
                curveTo(21.2992f, 7.4004f, 22.0008f, 6.2004f, 23.3008f, 5.9004f)
                curveTo(21.1008f, 7.8004f, 22.7996f, 9.2996f, 23.5996f, 9.5996f)
                curveTo(23.7996f, 8.9996f, 24.4996f, 6.1f, 23.5996f, 3.0f)
                curveTo(21.5996f, 4.2f, 19.2f, 6.3f, 19.0f, 10.5f)
                lineTo(16.1992f, 12.3008f)
                lineTo(16.0f, 17.0f)
                lineTo(21.1992f, 14.1992f)
                lineTo(21.5996f, 14.5996f)
                lineTo(20.6992f, 14.8008f)
                lineTo(18.5f, 16.8008f)
                lineTo(17.6992f, 16.5f)
                lineTo(16.3008f, 19.0f)
                lineTo(16.0996f, 25.0f)
                lineTo(17.1992f, 25.8008f)
                lineTo(15.5996f, 26.5996f)
                lineTo(14.0f, 25.8008f)
                lineTo(15.0996f, 25.0f)
                lineTo(14.9004f, 18.9004f)
                lineTo(13.5f, 16.4004f)
                lineTo(12.6992f, 16.6992f)
                lineTo(10.5f, 14.6992f)
                lineTo(9.5996f, 14.5f)
                lineTo(10.0f, 14.0996f)
                lineTo(15.0f, 17.0f)
                lineTo(14.8008f, 12.3008f)
                lineTo(12.0f, 10.5f)
                curveTo(11.8f, 6.3f, 9.5004f, 4.2f, 7.4004f, 3.0f)
                close()
                moveTo(8.1992f, 13.5f)
                curveTo(7.2992f, 13.6f, 6.4004f, 13.9004f, 5.9004f, 14.9004f)
                curveTo(6.6004f, 15.1004f, 7.0996f, 15.1996f, 8.0996f, 15.5996f)
                curveTo(8.0996f, 14.9996f, 8.1992f, 14.2f, 8.1992f, 13.5f)
                close()
                moveTo(22.8008f, 13.5f)
                curveTo(22.8008f, 14.2f, 22.9004f, 14.9996f, 22.9004f, 15.5996f)
                curveTo(23.9004f, 15.1996f, 24.3996f, 15.1004f, 25.0996f, 14.9004f)
                curveTo(24.5996f, 13.9004f, 23.8008f, 13.6f, 22.8008f, 13.5f)
                close()
                moveTo(8.0996f, 15.8008f)
                curveTo(7.0996f, 16.5008f, 6.6996f, 17.4992f, 6.5996f, 18.6992f)
                curveTo(7.1996f, 18.4992f, 7.8f, 18.1992f, 8.5f, 18.1992f)
                curveTo(8.2f, 17.4992f, 8.0996f, 16.7008f, 8.0996f, 15.8008f)
                close()
                moveTo(22.9004f, 15.8008f)
                curveTo(22.9004f, 16.7008f, 22.8f, 17.4992f, 22.5f, 18.1992f)
                curveTo(23.2f, 18.1992f, 23.8004f, 18.4992f, 24.4004f, 18.6992f)
                curveTo(24.3004f, 17.4992f, 23.9004f, 16.5008f, 22.9004f, 15.8008f)
                close()
                moveTo(8.5996f, 18.1992f)
                curveTo(8.3996f, 18.6992f, 8.3008f, 19.2004f, 8.3008f, 19.9004f)
                lineTo(9.5f, 19.5996f)
                curveTo(9.2f, 19.0996f, 8.8996f, 18.6992f, 8.5996f, 18.1992f)
                close()
                moveTo(9.5f, 19.5996f)
                curveTo(9.5f, 20.1996f, 9.4996f, 20.6992f, 9.5996f, 21.1992f)
                curveTo(9.9996f, 21.0992f, 10.3992f, 21.0008f, 10.6992f, 20.8008f)
                curveTo(10.2992f, 20.5008f, 9.9f, 19.9996f, 9.5f, 19.5996f)
                close()
                moveTo(22.4004f, 18.1992f)
                curveTo(22.1004f, 18.6992f, 21.8f, 19.0996f, 21.5f, 19.5996f)
                lineTo(22.6992f, 19.9004f)
                curveTo(22.6992f, 19.2004f, 22.6004f, 18.6992f, 22.4004f, 18.1992f)
                close()
                moveTo(21.5f, 19.5996f)
                curveTo(21.1f, 19.9996f, 20.7008f, 20.5008f, 20.3008f, 20.8008f)
                curveTo(20.6008f, 21.0008f, 21.0004f, 21.0992f, 21.4004f, 21.1992f)
                curveTo(21.5004f, 20.6992f, 21.5f, 20.1996f, 21.5f, 19.5996f)
                close()
                moveTo(10.6992f, 21.0f)
                curveTo(10.7992f, 21.3f, 10.8004f, 21.6996f, 10.9004f, 22.0996f)
                lineTo(11.6992f, 21.5996f)
                curveTo(11.2992f, 21.3996f, 10.9992f, 21.2f, 10.6992f, 21.0f)
                close()
                moveTo(20.3008f, 21.0f)
                curveTo(20.0008f, 21.2f, 19.7008f, 21.3996f, 19.3008f, 21.5996f)
                lineTo(20.0996f, 22.0996f)
                curveTo(20.1996f, 21.6996f, 20.2008f, 21.3f, 20.3008f, 21.0f)
                close()
            }
        }
        .build()
        return _wolfPackBattalion!!
    }

private var _wolfPackBattalion: ImageVector? = null
