package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.FileBinary16: ImageVector
    get() {
        if (_fileBinary16 != null) {
            return _fileBinary16!!
        }
        _fileBinary16 = Builder(name = "FileBinary16", defaultWidth = 16.0.dp, defaultHeight =
                16.0.dp, viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(4.0f, 1.75f)
                curveTo(4.0f, 0.784f, 4.784f, 0.0f, 5.75f, 0.0f)
                horizontalLineToRelative(5.586f)
                curveToRelative(0.464f, 0.0f, 0.909f, 0.184f, 1.237f, 0.513f)
                lineToRelative(2.914f, 2.914f)
                curveToRelative(0.329f, 0.328f, 0.513f, 0.773f, 0.513f, 1.237f)
                verticalLineToRelative(8.586f)
                arcTo(1.75f, 1.75f, 0.0f, false, true, 14.25f, 15.0f)
                horizontalLineToRelative(-9.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, -1.5f)
                horizontalLineToRelative(9.0f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, 0.25f, -0.25f)
                lineTo(14.5f, 6.0f)
                horizontalLineToRelative(-2.75f)
                arcTo(1.75f, 1.75f, 0.0f, false, true, 10.0f, 4.25f)
                lineTo(10.0f, 1.5f)
                lineTo(5.75f, 1.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.25f, 0.25f)
                verticalLineToRelative(2.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -1.5f, 0.0f)
                verticalLineToRelative(-2.0f)
                close()
                moveTo(11.5f, 1.562f)
                lineTo(11.5f, 4.25f)
                curveToRelative(0.0f, 0.138f, 0.112f, 0.25f, 0.25f, 0.25f)
                horizontalLineToRelative(2.688f)
                arcToRelative(0.252f, 0.252f, 0.0f, false, false, -0.011f, -0.013f)
                lineToRelative(-2.914f, -2.914f)
                arcToRelative(0.272f, 0.272f, 0.0f, false, false, -0.013f, -0.011f)
                close()
                moveTo(0.0f, 7.75f)
                curveTo(0.0f, 6.784f, 0.784f, 6.0f, 1.75f, 6.0f)
                horizontalLineToRelative(1.5f)
                curveTo(4.216f, 6.0f, 5.0f, 6.784f, 5.0f, 7.75f)
                verticalLineToRelative(2.5f)
                arcTo(1.75f, 1.75f, 0.0f, false, true, 3.25f, 12.0f)
                horizontalLineToRelative(-1.5f)
                arcTo(1.75f, 1.75f, 0.0f, false, true, 0.0f, 10.25f)
                verticalLineToRelative(-2.5f)
                close()
                moveTo(1.75f, 7.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.25f, 0.25f)
                verticalLineToRelative(2.5f)
                curveToRelative(0.0f, 0.138f, 0.112f, 0.25f, 0.25f, 0.25f)
                horizontalLineToRelative(1.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, 0.25f, -0.25f)
                verticalLineToRelative(-2.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.25f, -0.25f)
                horizontalLineToRelative(-1.5f)
                close()
                moveTo(6.75f, 6.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(0.75f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(-0.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(3.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                lineTo(9.0f, 10.5f)
                lineTo(9.0f, 6.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, false, 8.25f, 6.0f)
                horizontalLineToRelative(-1.5f)
                close()
            }
        }
        .build()
        return _fileBinary16!!
    }

private var _fileBinary16: ImageVector? = null
