package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.FileZip16: ImageVector
    get() {
        if (_fileZip16 != null) {
            return _fileZip16!!
        }
        _fileZip16 = Builder(name = "FileZip16", defaultWidth = 16.0.dp, defaultHeight = 16.0.dp,
                viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(3.5f, 1.75f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, -0.25f)
                horizontalLineToRelative(3.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                horizontalLineToRelative(2.086f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.177f, 0.073f)
                lineToRelative(2.914f, 2.914f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.073f, 0.177f)
                verticalLineToRelative(8.586f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.25f, 0.25f)
                horizontalLineToRelative(-0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(0.5f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 14.0f, 13.25f)
                lineTo(14.0f, 4.664f)
                curveToRelative(0.0f, -0.464f, -0.184f, -0.909f, -0.513f, -1.237f)
                lineTo(10.573f, 0.513f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 9.336f, 0.0f)
                lineTo(3.75f, 0.0f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 2.0f, 1.75f)
                verticalLineToRelative(11.5f)
                curveToRelative(0.0f, 0.649f, 0.353f, 1.214f, 0.874f, 1.515f)
                arcToRelative(0.75f, 0.75f, 0.0f, true, false, 0.752f, -1.298f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.126f, -0.217f)
                lineTo(3.5f, 1.75f)
                close()
                moveTo(8.75f, 3.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                horizontalLineToRelative(-0.5f)
                close()
                moveTo(6.0f, 5.25f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, -0.75f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, 1.5f)
                horizontalLineToRelative(-0.5f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 6.0f, 5.25f)
                close()
                moveTo(8.0f, 6.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 8.75f, 6.0f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, 1.5f)
                horizontalLineToRelative(-0.5f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 8.0f, 6.75f)
                close()
                moveTo(6.75f, 7.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                horizontalLineToRelative(-0.5f)
                close()
                moveTo(8.0f, 9.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 8.75f, 9.0f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, 1.5f)
                horizontalLineToRelative(-0.5f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 8.0f, 9.75f)
                close()
                moveTo(7.25f, 10.5f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -1.75f, 1.75f)
                verticalLineToRelative(3.0f)
                curveToRelative(0.0f, 0.414f, 0.336f, 0.75f, 0.75f, 0.75f)
                horizontalLineToRelative(2.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.75f, -0.75f)
                verticalLineToRelative(-3.0f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -1.75f, -1.75f)
                horizontalLineToRelative(-0.5f)
                close()
                moveTo(7.0f, 12.25f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, -0.25f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, 0.25f)
                verticalLineToRelative(2.25f)
                lineTo(7.0f, 14.5f)
                verticalLineToRelative(-2.25f)
                close()
            }
        }
        .build()
        return _fileZip16!!
    }

private var _fileZip16: ImageVector? = null
