package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Law16: ImageVector
    get() {
        if (_law16 != null) {
            return _law16!!
        }
        _law16 = Builder(name = "Law16", defaultWidth = 16.0.dp, defaultHeight = 16.0.dp,
                viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(8.75f, 0.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -1.5f, 0.0f)
                lineTo(7.25f, 2.0f)
                horizontalLineToRelative(-0.984f)
                curveToRelative(-0.305f, 0.0f, -0.604f, 0.08f, -0.869f, 0.23f)
                lineToRelative(-1.288f, 0.737f)
                arcTo(0.25f, 0.25f, 0.0f, false, true, 3.984f, 3.0f)
                lineTo(1.75f, 3.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(0.428f)
                lineTo(0.066f, 9.192f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.154f, 0.838f)
                lineToRelative(0.53f, -0.53f)
                lineToRelative(-0.53f, 0.53f)
                verticalLineToRelative(0.001f)
                lineToRelative(0.002f, 0.002f)
                lineToRelative(0.002f, 0.002f)
                lineToRelative(0.006f, 0.006f)
                lineToRelative(0.016f, 0.015f)
                lineToRelative(0.045f, 0.04f)
                arcToRelative(3.514f, 3.514f, 0.0f, false, false, 0.686f, 0.45f)
                arcTo(4.492f, 4.492f, 0.0f, false, false, 3.0f, 11.0f)
                curveToRelative(0.88f, 0.0f, 1.556f, -0.22f, 2.023f, -0.454f)
                arcToRelative(3.515f, 3.515f, 0.0f, false, false, 0.686f, -0.45f)
                lineToRelative(0.045f, -0.04f)
                lineToRelative(0.016f, -0.015f)
                lineToRelative(0.006f, -0.006f)
                lineToRelative(0.002f, -0.002f)
                lineToRelative(0.001f, -0.002f)
                lineTo(5.25f, 9.5f)
                lineToRelative(0.53f, 0.53f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.154f, -0.838f)
                lineTo(3.822f, 4.5f)
                horizontalLineToRelative(0.162f)
                curveToRelative(0.305f, 0.0f, 0.604f, -0.08f, 0.869f, -0.23f)
                lineToRelative(1.289f, -0.737f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.124f, -0.033f)
                horizontalLineToRelative(0.984f)
                lineTo(7.25f, 13.0f)
                horizontalLineToRelative(-2.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(6.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                horizontalLineToRelative(-2.5f)
                lineTo(8.75f, 3.5f)
                horizontalLineToRelative(0.984f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.124f, 0.033f)
                lineToRelative(1.29f, 0.736f)
                curveToRelative(0.264f, 0.152f, 0.563f, 0.231f, 0.868f, 0.231f)
                horizontalLineToRelative(0.162f)
                lineToRelative(-2.112f, 4.692f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.154f, 0.838f)
                lineToRelative(0.53f, -0.53f)
                lineToRelative(-0.53f, 0.53f)
                verticalLineToRelative(0.001f)
                lineToRelative(0.002f, 0.002f)
                lineToRelative(0.002f, 0.002f)
                lineToRelative(0.006f, 0.006f)
                lineToRelative(0.016f, 0.015f)
                lineToRelative(0.045f, 0.04f)
                arcToRelative(3.517f, 3.517f, 0.0f, false, false, 0.686f, 0.45f)
                arcTo(4.492f, 4.492f, 0.0f, false, false, 13.0f, 11.0f)
                curveToRelative(0.88f, 0.0f, 1.556f, -0.22f, 2.023f, -0.454f)
                arcToRelative(3.512f, 3.512f, 0.0f, false, false, 0.686f, -0.45f)
                lineToRelative(0.045f, -0.04f)
                lineToRelative(0.01f, -0.01f)
                lineToRelative(0.006f, -0.005f)
                lineToRelative(0.006f, -0.006f)
                lineToRelative(0.002f, -0.002f)
                lineToRelative(0.001f, -0.002f)
                lineToRelative(-0.529f, -0.531f)
                lineToRelative(0.53f, 0.53f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.154f, -0.838f)
                lineTo(13.823f, 4.5f)
                horizontalLineToRelative(0.427f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                horizontalLineToRelative(-2.234f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.124f, -0.033f)
                lineToRelative(-1.29f, -0.736f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 9.735f, 2.0f)
                lineTo(8.75f, 2.0f)
                lineTo(8.75f, 0.75f)
                close()
                moveTo(1.695f, 9.227f)
                curveToRelative(0.285f, 0.135f, 0.718f, 0.273f, 1.305f, 0.273f)
                reflectiveCurveToRelative(1.02f, -0.138f, 1.305f, -0.273f)
                lineTo(3.0f, 6.327f)
                lineToRelative(-1.305f, 2.9f)
                close()
                moveTo(11.695f, 9.227f)
                curveToRelative(0.285f, 0.135f, 0.718f, 0.273f, 1.305f, 0.273f)
                reflectiveCurveToRelative(1.02f, -0.138f, 1.305f, -0.273f)
                lineTo(13.0f, 6.327f)
                lineToRelative(-1.305f, 2.9f)
                close()
            }
        }
        .build()
        return _law16!!
    }

private var _law16: ImageVector? = null
