package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.LogoGist16: ImageVector
    get() {
        if (_logoGist16 != null) {
            return _logoGist16!!
        }
        _logoGist16 = Builder(name = "LogoGist16", defaultWidth = 25.0.dp, defaultHeight = 16.0.dp,
                viewportWidth = 25.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(4.7f, 8.73f)
                horizontalLineToRelative(2.45f)
                verticalLineToRelative(4.02f)
                curveToRelative(-0.55f, 0.27f, -1.64f, 0.34f, -2.53f, 0.34f)
                curveToRelative(-2.56f, 0.0f, -3.47f, -2.2f, -3.47f, -5.05f)
                curveToRelative(0.0f, -2.85f, 0.91f, -5.06f, 3.48f, -5.06f)
                curveToRelative(1.28f, 0.0f, 2.06f, 0.23f, 3.28f, 0.73f)
                lineTo(7.91f, 2.66f)
                curveTo(7.27f, 2.33f, 6.25f, 2.0f, 4.63f, 2.0f)
                curveTo(1.13f, 2.0f, 0.0f, 4.69f, 0.0f, 8.03f)
                curveToRelative(0.0f, 3.34f, 1.11f, 6.03f, 4.63f, 6.03f)
                curveToRelative(1.64f, 0.0f, 2.81f, -0.27f, 3.59f, -0.64f)
                lineTo(8.22f, 7.73f)
                lineTo(4.7f, 7.73f)
                verticalLineToRelative(1.0f)
                close()
                moveTo(11.09f, 12.45f)
                lineTo(11.09f, 6.06f)
                horizontalLineToRelative(-1.05f)
                verticalLineToRelative(6.28f)
                curveToRelative(0.0f, 1.25f, 0.58f, 1.72f, 1.72f, 1.72f)
                verticalLineToRelative(-0.89f)
                curveToRelative(-0.48f, 0.0f, -0.67f, -0.16f, -0.67f, -0.7f)
                verticalLineToRelative(-0.02f)
                close()
                moveTo(11.34f, 3.73f)
                curveToRelative(0.0f, -0.44f, -0.33f, -0.78f, -0.78f, -0.78f)
                reflectiveCurveToRelative(-0.77f, 0.34f, -0.77f, 0.78f)
                reflectiveCurveToRelative(0.33f, 0.78f, 0.77f, 0.78f)
                reflectiveCurveToRelative(0.78f, -0.34f, 0.78f, -0.78f)
                close()
                moveTo(15.68f, 9.42f)
                curveToRelative(-1.5f, -0.13f, -1.78f, -0.48f, -1.78f, -1.17f)
                curveToRelative(0.0f, -0.77f, 0.33f, -1.34f, 1.88f, -1.34f)
                curveToRelative(1.05f, 0.0f, 1.66f, 0.16f, 2.27f, 0.36f)
                verticalLineToRelative(-0.94f)
                curveToRelative(-0.69f, -0.3f, -1.52f, -0.39f, -2.25f, -0.39f)
                curveToRelative(-2.2f, 0.0f, -2.92f, 1.2f, -2.92f, 2.31f)
                curveToRelative(0.0f, 1.08f, 0.47f, 1.88f, 2.73f, 2.08f)
                curveToRelative(1.55f, 0.13f, 1.77f, 0.63f, 1.77f, 1.34f)
                curveToRelative(0.0f, 0.73f, -0.44f, 1.42f, -2.06f, 1.42f)
                curveToRelative(-1.11f, 0.0f, -1.86f, -0.19f, -2.33f, -0.36f)
                verticalLineToRelative(0.94f)
                curveToRelative(0.5f, 0.2f, 1.58f, 0.39f, 2.33f, 0.39f)
                curveToRelative(2.38f, 0.0f, 3.14f, -1.2f, 3.14f, -2.41f)
                curveToRelative(0.0f, -1.28f, -0.53f, -2.03f, -2.75f, -2.23f)
                horizontalLineToRelative(-0.03f)
                close()
                moveTo(24.26f, 6.95f)
                verticalLineToRelative(-0.86f)
                horizontalLineToRelative(-2.42f)
                verticalLineToRelative(-2.5f)
                lineToRelative(-1.08f, 0.31f)
                verticalLineToRelative(2.11f)
                lineToRelative(-1.56f, 0.44f)
                verticalLineToRelative(0.48f)
                horizontalLineToRelative(1.56f)
                verticalLineToRelative(5.0f)
                curveToRelative(0.0f, 1.53f, 1.19f, 2.13f, 2.5f, 2.13f)
                curveToRelative(0.19f, 0.0f, 0.52f, -0.02f, 0.69f, -0.05f)
                verticalLineToRelative(-0.89f)
                curveToRelative(-0.19f, 0.03f, -0.41f, 0.03f, -0.61f, 0.03f)
                curveToRelative(-0.97f, 0.0f, -1.5f, -0.39f, -1.5f, -1.34f)
                lineTo(21.84f, 6.94f)
                horizontalLineToRelative(2.42f)
                verticalLineToRelative(0.02f)
                verticalLineToRelative(-0.01f)
                close()
            }
        }
        .build()
        return _logoGist16!!
    }

private var _logoGist16: ImageVector? = null
