package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Aliexpress: ImageVector
    get() {
        if (_aliexpress != null) {
            return _aliexpress!!
        }
        _aliexpress = Builder(name = "Aliexpress", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.166f, 9.096f)
                arcToRelative(0.022f, 0.022f, 0.0f, false, false, -0.022f, 0.021f)
                curveToRelative(0.0f, 0.396f, -0.32f, 0.717f, -0.713f, 0.717f)
                arcToRelative(0.021f, 0.021f, 0.0f, false, false, -0.021f, 0.022f)
                curveToRelative(0.0f, 0.012f, 0.01f, 0.021f, 0.021f, 0.021f)
                curveToRelative(0.394f, 0.0f, 0.713f, 0.322f, 0.713f, 0.718f)
                curveToRelative(0.0f, 0.012f, 0.01f, 0.021f, 0.022f, 0.021f)
                curveToRelative(0.011f, 0.0f, 0.021f, -0.01f, 0.021f, -0.021f)
                arcTo(0.717f, 0.717f, 0.0f, false, true, 5.9f, 9.88f)
                arcToRelative(0.021f, 0.021f, 0.0f, false, false, 0.0f, -0.043f)
                arcToRelative(0.716f, 0.716f, 0.0f, false, true, -0.713f, -0.718f)
                verticalLineToRelative(-0.002f)
                arcToRelative(0.021f, 0.021f, 0.0f, false, false, -0.006f, -0.015f)
                arcToRelative(0.022f, 0.022f, 0.0f, false, false, -0.015f, -0.006f)
                close()
                moveTo(1.473f, 9.622f)
                lineTo(0.0f, 13.462f)
                horizontalLineToRelative(0.48f)
                lineToRelative(0.355f, -0.922f)
                horizontalLineToRelative(1.782f)
                lineToRelative(0.354f, 0.922f)
                horizontalLineToRelative(0.481f)
                lineTo(1.98f, 9.622f)
                close()
                moveTo(3.737f, 9.624f)
                verticalLineToRelative(3.838f)
                horizontalLineToRelative(0.491f)
                lineTo(4.228f, 9.624f)
                close()
                moveTo(6.112f, 9.624f)
                verticalLineToRelative(3.838f)
                horizontalLineToRelative(2.413f)
                verticalLineToRelative(-0.502f)
                lineTo(6.613f, 12.96f)
                verticalLineToRelative(-1.19f)
                lineTo(8.19f, 11.77f)
                verticalLineToRelative(-0.477f)
                lineTo(6.613f, 11.293f)
                verticalLineToRelative(-1.166f)
                horizontalLineToRelative(1.773f)
                verticalLineToRelative(-0.502f)
                close()
                moveTo(1.726f, 10.216f)
                lineToRelative(0.698f, 1.82f)
                lineTo(1.028f, 12.036f)
                close()
                moveTo(16.415f, 10.618f)
                arcToRelative(1.466f, 1.466f, 0.0f, false, false, -0.966f, 0.366f)
                lineTo(15.449f, 10.7f)
                horizontalLineToRelative(-0.491f)
                verticalLineToRelative(2.763f)
                horizontalLineToRelative(0.49f)
                curveToRelative(0.002f, -0.477f, 0.0f, -0.955f, 0.002f, -1.433f)
                arcToRelative(0.969f, 0.969f, 0.0f, false, true, 0.965f, -0.918f)
                close()
                moveTo(20.595f, 10.625f)
                curveToRelative(-0.053f, 0.0f, -0.105f, 0.003f, -0.158f, 0.01f)
                curveToRelative(-0.315f, 0.031f, -0.606f, 0.175f, -0.753f, 0.377f)
                arcToRelative(0.689f, 0.689f, 0.0f, false, false, -0.14f, 0.465f)
                curveToRelative(0.007f, 0.2f, 0.066f, 0.357f, 0.233f, 0.496f)
                curveToRelative(0.184f, 0.147f, 0.42f, 0.2f, 0.657f, 0.259f)
                curveToRelative(0.311f, 0.067f, 0.426f, 0.095f, 0.546f, 0.186f)
                curveToRelative(0.08f, 0.07f, 0.133f, 0.127f, 0.136f, 0.27f)
                curveToRelative(0.0f, 0.25f, -0.221f, 0.372f, -0.42f, 0.41f)
                arcToRelative(0.89f, 0.89f, 0.0f, false, true, -0.894f, -0.344f)
                lineToRelative(-0.371f, 0.288f)
                curveToRelative(0.33f, 0.382f, 0.777f, 0.505f, 1.09f, 0.5f)
                curveToRelative(0.54f, -0.01f, 0.891f, -0.217f, 1.029f, -0.534f)
                curveToRelative(0.066f, -0.153f, 0.063f, -0.309f, 0.063f, -0.38f)
                arcToRelative(0.677f, 0.677f, 0.0f, false, false, -0.267f, -0.545f)
                curveToRelative(-0.228f, -0.177f, -0.583f, -0.228f, -0.636f, -0.242f)
                curveToRelative(-0.437f, -0.078f, -0.658f, -0.196f, -0.697f, -0.341f)
                curveToRelative(-0.043f, -0.192f, 0.102f, -0.35f, 0.297f, -0.411f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, true, 0.857f, 0.277f)
                lineToRelative(0.367f, -0.247f)
                arcToRelative(1.166f, 1.166f, 0.0f, false, false, -0.939f, -0.494f)
                close()
                moveTo(22.982f, 10.625f)
                curveToRelative(-0.052f, 0.0f, -0.105f, 0.003f, -0.157f, 0.01f)
                curveToRelative(-0.316f, 0.031f, -0.607f, 0.175f, -0.753f, 0.377f)
                arcToRelative(0.689f, 0.689f, 0.0f, false, false, -0.14f, 0.465f)
                curveToRelative(0.006f, 0.2f, 0.065f, 0.357f, 0.233f, 0.496f)
                curveToRelative(0.183f, 0.147f, 0.42f, 0.2f, 0.657f, 0.259f)
                curveToRelative(0.31f, 0.067f, 0.426f, 0.095f, 0.545f, 0.186f)
                curveToRelative(0.081f, 0.07f, 0.134f, 0.127f, 0.136f, 0.27f)
                curveToRelative(0.001f, 0.25f, -0.221f, 0.372f, -0.42f, 0.41f)
                arcToRelative(0.89f, 0.89f, 0.0f, false, true, -0.894f, -0.344f)
                lineToRelative(-0.371f, 0.288f)
                curveToRelative(0.33f, 0.382f, 0.777f, 0.505f, 1.09f, 0.5f)
                curveToRelative(0.541f, -0.01f, 0.891f, -0.217f, 1.03f, -0.534f)
                curveToRelative(0.065f, -0.153f, 0.062f, -0.309f, 0.062f, -0.38f)
                arcToRelative(0.677f, 0.677f, 0.0f, false, false, -0.267f, -0.545f)
                curveToRelative(-0.227f, -0.177f, -0.583f, -0.228f, -0.636f, -0.242f)
                curveToRelative(-0.437f, -0.078f, -0.658f, -0.196f, -0.696f, -0.341f)
                curveToRelative(-0.043f, -0.192f, 0.101f, -0.35f, 0.297f, -0.411f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, true, 0.857f, 0.277f)
                lineToRelative(0.367f, -0.247f)
                arcToRelative(1.167f, 1.167f, 0.0f, false, false, -0.94f, -0.494f)
                close()
                moveTo(13.142f, 10.627f)
                arcToRelative(1.461f, 1.461f, 0.0f, false, false, -1.42f, 1.117f)
                arcToRelative(1.305f, 1.305f, 0.0f, false, false, -0.041f, 0.327f)
                verticalLineToRelative(2.833f)
                horizontalLineToRelative(0.491f)
                verticalLineToRelative(-1.813f)
                curveToRelative(0.17f, 0.18f, 0.487f, 0.42f, 0.96f, 0.454f)
                arcToRelative(1.447f, 1.447f, 0.0f, false, false, 1.208f, -0.627f)
                arcToRelative(1.457f, 1.457f, 0.0f, false, false, -1.199f, -2.292f)
                close()
                moveTo(17.946f, 10.627f)
                arcToRelative(1.448f, 1.448f, 0.0f, false, false, -1.288f, 2.08f)
                curveToRelative(0.255f, 0.53f, 0.811f, 0.87f, 1.412f, 0.833f)
                arcToRelative(1.452f, 1.452f, 0.0f, false, false, 1.012f, -0.51f)
                lineToRelative(-0.363f, -0.291f)
                arcToRelative(0.968f, 0.968f, 0.0f, false, true, -1.106f, 0.273f)
                arcToRelative(1.01f, 1.01f, 0.0f, false, true, -0.602f, -0.69f)
                horizontalLineToRelative(2.239f)
                lineToRelative(0.002f, -0.427f)
                arcToRelative(1.295f, 1.295f, 0.0f, false, false, -1.306f, -1.268f)
                close()
                moveTo(8.746f, 10.707f)
                lineToRelative(1.062f, 1.377f)
                lineToRelative(-1.062f, 1.378f)
                horizontalLineToRelative(0.581f)
                lineToRelative(0.779f, -1.01f)
                lineToRelative(0.778f, 1.01f)
                horizontalLineToRelative(0.581f)
                lineToRelative(-1.062f, -1.378f)
                lineToRelative(1.062f, -1.378f)
                horizontalLineToRelative(-0.581f)
                lineToRelative(-0.778f, 1.01f)
                lineToRelative(-0.779f, -1.01f)
                close()
                moveTo(4.921f, 10.722f)
                verticalLineToRelative(2.74f)
                horizontalLineToRelative(0.49f)
                verticalLineToRelative(-2.74f)
                close()
                moveTo(13.154f, 11.092f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, true, 0.95f, 0.993f)
                arcToRelative(0.963f, 0.963f, 0.0f, false, true, -0.863f, 0.998f)
                arcToRelative(0.962f, 0.962f, 0.0f, false, true, -1.034f, -0.739f)
                curveToRelative(-0.074f, -0.382f, 0.0f, -0.746f, 0.307f, -1.019f)
                arcToRelative(0.959f, 0.959f, 0.0f, false, true, 0.64f, -0.233f)
                close()
                moveTo(17.944f, 11.107f)
                arcToRelative(0.823f, 0.823f, 0.0f, false, true, 0.819f, 0.755f)
                horizontalLineToRelative(-1.76f)
                arcToRelative(0.964f, 0.964f, 0.0f, false, true, 0.94f, -0.755f)
                close()
            }
        }
        .build()
        return _aliexpress!!
    }

private var _aliexpress: ImageVector? = null
