package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.BattleDotNet: ImageVector
    get() {
        if (_battleDotNet != null) {
            return _battleDotNet!!
        }
        _battleDotNet = Builder(name = "BattleDotNet", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.457f, 0.0f)
                curveToRelative(-0.516f, 0.02f, -0.859f, 0.314f, -1.053f, 0.523f)
                curveToRelative(-0.807f, 0.87f, -1.136f, 2.298f, -1.168f, 3.952f)
                curveToRelative(-0.304f, -0.522f, -0.72f, -1.061f, -1.199f, -1.198f)
                arcToRelative(0.905f, 0.905f, 0.0f, false, false, -0.172f, -0.03f)
                curveToRelative(-0.958f, -0.138f, -1.768f, 1.393f, -1.66f, 3.812f)
                curveToRelative(-1.8f, 0.064f, -3.33f, 0.268f, -4.363f, 0.525f)
                curveToRelative(-0.182f, 0.045f, -0.312f, 0.1f, -0.42f, 0.154f)
                curveToRelative(-0.075f, 0.035f, -0.128f, 0.07f, -0.18f, 0.104f)
                curveToRelative(-0.162f, 0.106f, -0.234f, 0.199f, -0.234f, 0.199f)
                curveToRelative(0.47f, -0.177f, 2.358f, -0.495f, 5.234f, -0.387f)
                lineToRelative(-0.004f, -0.045f)
                horizontalLineToRelative(0.006f)
                curveToRelative(0.126f, 1.29f, 0.502f, 2.789f, 1.235f, 4.409f)
                verticalLineToRelative(0.003f)
                lineToRelative(-0.024f, -0.044f)
                curveToRelative(-0.456f, 0.721f, -1.792f, 2.923f, -2.217f, 4.58f)
                curveToRelative(-0.277f, 1.081f, -0.202f, 1.772f, 0.014f, 2.218f)
                curveToRelative(0.262f, 0.59f, 0.764f, 0.776f, 1.08f, 0.848f)
                curveToRelative(1.173f, 0.268f, 2.6f, -0.176f, 4.068f, -0.998f)
                curveToRelative(-0.316f, 0.537f, -0.603f, 1.204f, -0.476f, 1.709f)
                arcToRelative(0.881f, 0.881f, 0.0f, false, false, 0.058f, 0.162f)
                curveToRelative(0.363f, 0.897f, 2.091f, 0.832f, 4.131f, -0.47f)
                curveToRelative(0.948f, 1.51f, 1.882f, 2.72f, 2.616f, 3.48f)
                curveToRelative(0.13f, 0.136f, 0.243f, 0.223f, 0.345f, 0.289f)
                curveToRelative(0.277f, 0.195f, 0.467f, 0.205f, 0.467f, 0.205f)
                curveToRelative(-0.387f, -0.316f, -1.598f, -1.78f, -2.934f, -4.303f)
                lineToRelative(-0.035f, 0.028f)
                curveToRelative(0.0f, -0.002f, -0.003f, -0.005f, -0.004f, -0.006f)
                curveToRelative(1.064f, -0.76f, 2.186f, -1.847f, 3.23f, -3.31f)
                horizontalLineToRelative(0.003f)
                lineToRelative(-0.028f, 0.038f)
                lineToRelative(-0.002f, 0.004f)
                curveToRelative(0.896f, 0.034f, 3.41f, 0.08f, 5.03f, -0.373f)
                curveToRelative(1.07f, -0.299f, 1.63f, -0.706f, 1.91f, -1.115f)
                curveToRelative(0.383f, -0.523f, 0.293f, -1.054f, 0.197f, -1.365f)
                curveToRelative(-0.354f, -1.15f, -1.448f, -2.16f, -2.892f, -3.022f)
                curveToRelative(0.622f, 0.005f, 1.342f, -0.08f, 1.714f, -0.441f)
                arcToRelative(0.884f, 0.884f, 0.0f, false, false, 0.116f, -0.139f)
                curveToRelative(0.587f, -0.764f, -0.335f, -2.227f, -2.479f, -3.34f)
                curveToRelative(0.834f, -1.576f, 1.417f, -2.989f, 1.71f, -4.004f)
                curveToRelative(0.05f, -0.179f, 0.067f, -0.319f, 0.073f, -0.44f)
                curveToRelative(0.032f, -0.339f, -0.054f, -0.509f, -0.054f, -0.509f)
                curveToRelative(-0.08f, 0.493f, -0.743f, 2.271f, -2.26f, 4.69f)
                lineToRelative(0.041f, 0.02f)
                lineToRelative(-0.002f, 0.003f)
                curveToRelative(-1.19f, -0.54f, -2.693f, -0.968f, -4.482f, -1.14f)
                lineToRelative(-0.002f, -0.003f)
                lineToRelative(0.05f, 0.004f)
                curveToRelative(-0.418f, -0.793f, -1.633f, -2.992f, -2.834f, -4.168f)
                curveToRelative(-0.792f, -0.775f, -1.426f, -1.058f, -1.92f, -1.097f)
                arcToRelative(1.532f, 1.532f, 0.0f, false, false, -0.23f, -0.012f)
                close()
                moveTo(11.629f, 2.643f)
                curveToRelative(0.461f, 0.008f, 0.936f, 0.364f, 1.328f, 0.738f)
                curveToRelative(0.491f, 0.47f, 1.111f, 1.374f, 1.412f, 1.83f)
                curveToRelative(-0.083f, -0.003f, -0.161f, -0.014f, -0.246f, -0.016f)
                curveToRelative(-1.863f, -0.047f, -3.216f, 0.366f, -4.195f, 0.98f)
                curveToRelative(0.06f, -1.543f, 0.419f, -2.8f, 1.238f, -3.374f)
                arcToRelative(0.847f, 0.847f, 0.0f, false, true, 0.463f, -0.158f)
                close()
                moveTo(7.514f, 4.71f)
                curveToRelative(0.03f, 0.0f, 0.06f, 0.007f, 0.09f, 0.012f)
                curveToRelative(0.256f, 0.07f, 0.471f, 0.338f, 0.642f, 0.642f)
                curveToRelative(0.023f, 0.563f, 0.075f, 1.144f, 0.15f, 1.733f)
                arcToRelative(34.71f, 34.71f, 0.0f, false, false, -1.988f, -0.06f)
                curveToRelative(0.041f, -1.377f, 0.428f, -2.31f, 1.106f, -2.327f)
                close()
                moveTo(12.992f, 5.92f)
                curveToRelative(0.244f, -0.007f, 0.494f, -0.003f, 0.752f, 0.013f)
                curveToRelative(2.092f, 0.125f, 4.045f, 0.717f, 5.45f, 1.443f)
                curveToRelative(-0.33f, 0.486f, -0.696f, 0.993f, -1.09f, 1.514f)
                curveToRelative(-0.601f, -1.09f, -1.467f, -1.74f, -1.868f, -1.91f)
                curveToRelative(-0.349f, -0.15f, -0.422f, -0.14f, -0.422f, -0.14f)
                reflectiveCurveToRelative(0.033f, -0.01f, 0.57f, 0.413f)
                curveToRelative(0.579f, 0.455f, 1.046f, 1.106f, 1.376f, 1.805f)
                arcToRelative(33.723f, 33.723f, 0.0f, false, false, -5.405f, -1.489f)
                arcToRelative(30.386f, 30.386f, 0.0f, false, false, -1.847f, -0.283f)
                curveToRelative(-0.002f, 0.011f, -0.002f, 0.033f, -0.004f, 0.045f)
                lineToRelative(-0.025f, -0.004f)
                curveToRelative(-0.016f, 0.111f, -0.036f, 0.277f, -0.05f, 0.46f)
                curveToRelative(-0.014f, 0.2f, -0.02f, 0.358f, -0.023f, 0.452f)
                curveToRelative(0.157f, 0.03f, 0.316f, 0.058f, 0.475f, 0.09f)
                curveToRelative(2.275f, 0.45f, 5.224f, 1.381f, 7.363f, 2.596f)
                curveToRelative(0.034f, 1.103f, -0.325f, 2.417f, -1.19f, 3.726f)
                curveToRelative(-1.154f, 1.75f, -2.644f, 3.147f, -3.976f, 4.0f)
                arcToRelative(35.941f, 35.941f, 0.0f, false, true, -0.767f, -1.705f)
                curveToRelative(1.266f, 0.037f, 2.282f, -0.395f, 2.634f, -0.66f)
                curveToRelative(0.3f, -0.224f, 0.33f, -0.294f, 0.33f, -0.297f)
                curveToRelative(-0.001f, 0.004f, -0.03f, 0.044f, -0.64f, 0.287f)
                curveToRelative(-0.696f, 0.278f, -1.51f, 0.356f, -2.293f, 0.285f)
                arcToRelative(33.748f, 33.748f, 0.0f, false, false, 3.988f, -3.931f)
                curveToRelative(0.408f, -0.478f, 0.797f, -0.967f, 1.168f, -1.46f)
                lineToRelative(-0.035f, -0.025f)
                lineToRelative(0.016f, -0.019f)
                arcToRelative(7.198f, 7.198f, 0.0f, false, false, -0.754f, -0.518f)
                lineToRelative(-0.315f, 0.366f)
                curveToRelative(-1.522f, 1.74f, -3.794f, 3.819f, -5.91f, 5.066f)
                curveToRelative(-0.964f, -0.525f, -1.913f, -1.49f, -2.61f, -2.88f)
                curveToRelative(-0.936f, -1.874f, -1.4f, -3.863f, -1.474f, -5.442f)
                curveToRelative(0.573f, 0.042f, 1.183f, 0.106f, 1.816f, 0.185f)
                curveToRelative(-0.644f, 1.066f, -0.775f, 2.144f, -0.722f, 2.576f)
                curveToRelative(0.045f, 0.372f, 0.09f, 0.43f, 0.092f, 0.432f)
                curveToRelative(-0.002f, -0.002f, -0.022f, -0.046f, 0.072f, -0.697f)
                curveToRelative(0.105f, -0.728f, 0.432f, -1.46f, 0.873f, -2.094f)
                arcToRelative(33.707f, 33.707f, 0.0f, false, false, 1.414f, 5.422f)
                curveToRelative(0.21f, 0.593f, 0.437f, 1.173f, 0.678f, 1.74f)
                lineToRelative(0.039f, -0.015f)
                lineToRelative(0.011f, 0.023f)
                curveToRelative(0.105f, -0.042f, 0.258f, -0.107f, 0.422f, -0.187f)
                curveToRelative(0.181f, -0.088f, 0.32f, -0.162f, 0.403f, -0.208f)
                curveToRelative(-0.054f, -0.15f, -0.108f, -0.303f, -0.16f, -0.457f)
                curveToRelative(-0.748f, -2.194f, -1.414f, -5.212f, -1.432f, -7.671f)
                curveToRelative(0.784f, -0.486f, 1.833f, -0.808f, 3.07f, -0.846f)
                close()
                moveTo(19.785f, 7.708f)
                curveToRelative(1.172f, 0.724f, 1.788f, 1.526f, 1.465f, 2.121f)
                curveToRelative(-0.182f, 0.264f, -0.605f, 0.323f, -1.025f, 0.307f)
                arcToRelative(20.285f, 20.285f, 0.0f, false, false, -1.504f, -0.7f)
                curveToRelative(0.383f, -0.582f, 0.738f, -1.162f, 1.064f, -1.728f)
                close()
                moveTo(18.752f, 11.226f)
                curveToRelative(1.307f, 0.823f, 2.215f, 1.76f, 2.303f, 2.757f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, true, -0.096f, 0.485f)
                arcToRelative(0.987f, 0.987f, 0.0f, false, true, -0.11f, 0.154f)
                curveToRelative(-0.273f, 0.303f, -0.743f, 0.49f, -1.19f, 0.621f)
                curveToRelative(-0.653f, 0.19f, -1.746f, 0.277f, -2.292f, 0.31f)
                curveToRelative(0.045f, -0.07f, 0.09f, -0.132f, 0.135f, -0.204f)
                curveToRelative(0.973f, -1.59f, 1.293f, -2.968f, 1.25f, -4.123f)
                close()
                moveTo(6.93f, 12.936f)
                curveToRelative(0.046f, 0.088f, 0.084f, 0.173f, 0.133f, 0.261f)
                curveToRelative(0.883f, 1.626f, 1.907f, 2.59f, 2.921f, 3.133f)
                curveToRelative(-1.374f, 0.727f, -2.647f, 1.051f, -3.558f, 0.627f)
                arcToRelative(0.852f, 0.852f, 0.0f, false, true, -0.453f, -0.5f)
                curveToRelative(-0.123f, -0.388f, -0.052f, -0.888f, 0.058f, -1.34f)
                curveToRelative(0.166f, -0.68f, 0.662f, -1.71f, 0.899f, -2.181f)
                close()
                moveTo(11.53f, 17.209f)
                curveToRelative(0.313f, 0.625f, 0.637f, 1.223f, 0.964f, 1.789f)
                curveToRelative(-1.212f, 0.652f, -2.212f, 0.785f, -2.566f, 0.207f)
                curveToRelative(-0.017f, -0.027f, -0.026f, -0.059f, -0.037f, -0.088f)
                curveToRelative(-0.075f, -0.28f, 0.08f, -0.633f, 0.283f, -0.955f)
                curveToRelative(0.453f, -0.29f, 0.907f, -0.611f, 1.355f, -0.953f)
                close()
            }
        }
        .build()
        return _battleDotNet!!
    }

private var _battleDotNet: ImageVector? = null
