package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Codewars: ImageVector
    get() {
        if (_codewars != null) {
            return _codewars!!
        }
        _codewars = Builder(name = "Codewars", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.072f, 0.142f)
                arcTo(1.072f, 1.072f, 0.0f, false, false, 0.0f, 1.214f)
                verticalLineToRelative(21.572f)
                arcToRelative(1.072f, 1.072f, 0.0f, false, false, 1.072f, 1.072f)
                horizontalLineToRelative(21.856f)
                arcTo(1.072f, 1.072f, 0.0f, false, false, 24.0f, 22.786f)
                lineTo(24.0f, 1.214f)
                arcTo(1.072f, 1.072f, 0.0f, false, false, 22.928f, 0.142f)
                close()
                moveTo(10.808f, 1.96f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, 0.828f, 0.539f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 1.274f, 0.493f)
                arcToRelative(0.639f, 0.639f, 0.0f, false, true, 0.29f, -0.06f)
                curveToRelative(0.33f, 0.008f, 0.59f, 0.262f, 0.625f, 0.575f)
                arcToRelative(1.322f, 1.322f, 0.0f, false, true, 0.624f, -0.515f)
                arcToRelative(1.325f, 1.325f, 0.0f, false, true, 1.718f, 0.71f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, 0.306f, -0.236f)
                arcToRelative(1.102f, 1.102f, 0.0f, false, true, 1.483f, 0.479f)
                arcToRelative(1.094f, 1.094f, 0.0f, false, true, 0.12f, 0.47f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, 1.322f, 1.214f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, 0.874f, 1.438f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.176f, 1.356f)
                arcToRelative(0.639f, 0.639f, 0.0f, false, true, 0.19f, 0.224f)
                arcToRelative(0.642f, 0.642f, 0.0f, false, true, -0.011f, 0.613f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, 0.482f, 0.235f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, 0.258f, 1.842f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, 0.35f, 0.15f)
                arcToRelative(1.102f, 1.102f, 0.0f, false, true, 0.337f, 1.516f)
                arcToRelative(1.094f, 1.094f, 0.0f, false, true, -0.344f, 0.344f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, 0.228f, 1.318f)
                arcToRelative(1.006f, 1.006f, 0.0f, false, true, -0.605f, 0.434f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, -0.803f, 1.482f)
                arcToRelative(0.814f, 0.814f, 0.0f, false, false, -0.008f, -0.04f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -1.075f, 0.873f)
                arcToRelative(0.639f, 0.639f, 0.0f, false, true, -0.098f, 0.28f)
                arcToRelative(0.625f, 0.625f, 0.0f, false, true, -0.43f, 0.288f)
                arcToRelative(1.33f, 1.33f, 0.0f, false, true, 0.023f, 0.456f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, -1.44f, 1.173f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, 0.054f, 0.377f)
                arcToRelative(1.102f, 1.102f, 0.0f, false, true, -1.128f, 1.072f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -0.47f, -0.12f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, -1.696f, 0.583f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, -1.685f, 0.075f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -1.274f, -0.493f)
                arcToRelative(0.639f, 0.639f, 0.0f, false, true, -0.29f, 0.064f)
                arcToRelative(0.64f, 0.64f, 0.0f, false, true, -0.621f, -0.58f)
                lineToRelative(0.004f, -0.007f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, -0.632f, 0.523f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, -1.718f, -0.706f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -0.306f, 0.232f)
                arcToRelative(1.102f, 1.102f, 0.0f, false, true, -1.48f, -0.478f)
                arcToRelative(1.094f, 1.094f, 0.0f, false, true, -0.123f, -0.471f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, -1.318f, -1.21f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, -0.874f, -1.442f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.176f, -1.356f)
                arcToRelative(0.639f, 0.639f, 0.0f, false, true, -0.194f, -0.224f)
                arcToRelative(0.642f, 0.642f, 0.0f, false, true, 0.011f, -0.61f)
                lineToRelative(0.019f, 0.004f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, -0.497f, -0.239f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, -0.262f, -1.845f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -0.35f, -0.146f)
                arcToRelative(1.102f, 1.102f, 0.0f, false, true, -0.337f, -1.52f)
                arcToRelative(1.094f, 1.094f, 0.0f, false, true, 0.347f, -0.34f)
                arcTo(0.994f, 0.994f, 0.0f, false, true, 2.88f, 9.0f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, 0.803f, -1.48f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 1.083f, -0.836f)
                arcToRelative(0.639f, 0.639f, 0.0f, false, true, 0.098f, -0.28f)
                arcToRelative(0.649f, 0.649f, 0.0f, false, true, 0.433f, -0.288f)
                arcToRelative(1.33f, 1.33f, 0.0f, false, true, -0.026f, -0.452f)
                arcTo(1.334f, 1.334f, 0.0f, false, true, 6.716f, 4.49f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -0.06f, -0.377f)
                arcToRelative(1.101f, 1.101f, 0.0f, false, true, 1.13f, -1.073f)
                arcToRelative(1.094f, 1.094f, 0.0f, false, true, 0.47f, 0.115f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, 1.696f, -0.579f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, true, 0.857f, -0.617f)
                close()
                moveTo(3.683f, 7.519f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, false, 0.008f, 0.041f)
                lineToRelative(-0.004f, -0.04f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, false, -0.004f, -0.001f)
                close()
                moveTo(17.502f, 19.61f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, false, -0.002f, -0.004f)
                horizontalLineToRelative(-0.037f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, false, 0.039f, 0.004f)
                close()
                moveTo(13.825f, 3.507f)
                arcToRelative(1.322f, 1.322f, 0.0f, false, false, -0.008f, 0.012f)
                lineToRelative(0.008f, -0.011f)
                close()
                moveTo(11.456f, 3.493f)
                lineToRelative(-0.003f, 0.003f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, true, -0.665f, 0.27f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, -0.583f, -0.232f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, -0.986f, 0.732f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, true, -0.362f, -0.075f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -1.061f, 1.046f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, 0.123f, 0.736f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, -0.725f, 1.035f)
                arcToRelative(1.1f, 1.1f, 0.0f, false, true, 0.307f, 0.795f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, -0.232f, 0.65f)
                curveToRelative(0.321f, 0.18f, 0.53f, 0.523f, 0.523f, 0.915f)
                arcToRelative(1.016f, 1.016f, 0.0f, false, true, -0.07f, 0.337f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.82f, 0.937f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, -0.01f, 0.138f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.157f, -0.01f)
                curveToRelative(0.343f, 0.007f, 0.627f, 0.25f, 0.702f, 0.57f)
                arcToRelative(0.661f, 0.661f, 0.0f, false, true, 0.38f, -0.111f)
                curveToRelative(0.31f, 0.007f, 0.561f, 0.224f, 0.632f, 0.511f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, 0.381f, -0.015f)
                arcToRelative(1.352f, 1.352f, 0.0f, false, true, 0.303f, -0.63f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.12f, -0.143f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, 0.004f, -0.392f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, -0.325f, -1.117f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, -0.359f, -0.336f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.385f, -1.023f)
                arcToRelative(0.747f, 0.747f, 0.0f, false, false, -0.06f, 0.026f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, -0.201f, -0.262f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.623f, -1.315f)
                lineTo(11.034f, 6.53f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, 0.437f, -1.371f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, true, 0.553f, -0.112f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, 0.598f, -1.054f)
                arcToRelative(1.12f, 1.12f, 0.0f, false, true, 0.06f, -0.026f)
                arcToRelative(0.642f, 0.642f, 0.0f, false, true, -0.109f, -0.21f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.455f, 0.132f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.662f, -0.396f)
                close()
                moveTo(16.029f, 5.005f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, -0.587f, 0.46f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, -1.255f, -0.142f)
                verticalLineToRelative(-0.011f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, -0.553f, 0.66f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, -0.683f, 0.113f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, -0.553f, 0.889f)
                arcToRelative(1.016f, 1.016f, 0.0f, false, true, -0.329f, 0.105f)
                arcToRelative(0.918f, 0.918f, 0.0f, false, true, -0.43f, 1.169f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, -0.127f, 0.056f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.086f, 0.13f)
                arcToRelative(0.738f, 0.738f, 0.0f, false, true, -0.168f, 0.89f)
                arcToRelative(0.661f, 0.661f, 0.0f, false, true, 0.28f, 0.283f)
                arcToRelative(0.655f, 0.655f, 0.0f, false, true, -0.149f, 0.796f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, 0.153f, 0.164f)
                curveToRelative(0.019f, 0.034f, 0.03f, 0.068f, 0.038f, 0.101f)
                arcToRelative(1.356f, 1.356f, 0.0f, false, true, 0.672f, -0.015f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, 0.056f, -0.142f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, 0.34f, -0.194f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, 0.796f, -0.848f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, 0.112f, -0.478f)
                arcToRelative(0.733f, 0.733f, 0.0f, false, true, 1.016f, -0.224f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.127f, -0.306f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 1.27f, -0.28f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.179f, 0.153f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, 1.408f, -0.314f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, true, 0.374f, 0.422f)
                curveToRelative(0.355f, -0.24f, 0.833f, -0.261f, 1.214f, -0.015f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, 0.209f, 0.172f)
                arcToRelative(0.642f, 0.642f, 0.0f, false, true, 0.082f, -0.108f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.332f, -0.337f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.03f, -0.77f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, true, -0.553f, -0.455f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, -0.075f, -0.624f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, -1.117f, -0.511f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, -0.104f, -0.359f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -1.427f, -0.43f)
                close()
                moveTo(5.249f, 7.37f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.124f, 0.46f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.68f, 0.362f)
                curveToRelative(0.06f, 0.235f, 0.026f, 0.49f, -0.112f, 0.71f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, -0.5f, 0.377f)
                curveToRelative(0.31f, 0.325f, 0.373f, 0.829f, 0.12f, 1.225f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, true, -0.255f, 0.269f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, 0.351f, 1.45f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, 0.691f, 0.276f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, 0.512f, 1.154f)
                curveToRelative(0.28f, -0.064f, 0.579f, -0.019f, 0.84f, 0.15f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, 0.438f, 0.53f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, 1.05f, 0.03f)
                arcToRelative(1.016f, 1.016f, 0.0f, false, true, 0.257f, 0.231f)
                arcToRelative(0.914f, 0.914f, 0.0f, false, true, 1.225f, -0.224f)
                arcToRelative(0.919f, 0.919f, 0.0f, false, true, 0.112f, 0.086f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.071f, -0.142f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.852f, -0.306f)
                arcToRelative(0.661f, 0.661f, 0.0f, false, true, 0.1f, -0.381f)
                arcToRelative(0.664f, 0.664f, 0.0f, false, true, 0.763f, -0.273f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, 0.246f, -0.373f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, true, -0.358f, -0.523f)
                verticalLineToRelative(-0.008f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.25f, 0.075f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, -0.344f, -0.19f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, -1.132f, -0.243f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, -0.47f, 0.149f)
                arcToRelative(0.733f, 0.733f, 0.0f, false, true, -0.718f, -0.755f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, -0.329f, 0.049f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, -0.855f, -1.177f)
                horizontalLineToRelative(-0.004f)
                arcToRelative(1.016f, 1.016f, 0.0f, false, true, -0.993f, -1.042f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, true, 0.168f, -0.534f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, -0.64f, -1.035f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, 0.068f, -0.358f)
                arcToRelative(0.65f, 0.65f, 0.0f, false, true, -0.1f, -0.019f)
                close()
                moveTo(16.376f, 9.503f)
                arcToRelative(0.913f, 0.913f, 0.0f, false, true, -1.225f, 0.224f)
                arcToRelative(0.926f, 0.926f, 0.0f, false, true, -0.112f, -0.082f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, -0.067f, 0.142f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, -0.852f, 0.302f)
                arcToRelative(0.661f, 0.661f, 0.0f, false, true, -0.105f, 0.385f)
                arcToRelative(0.662f, 0.662f, 0.0f, false, true, -0.762f, 0.277f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.063f, 0.212f)
                arcToRelative(0.426f, 0.426f, 0.0f, false, true, -0.075f, 0.086f)
                arcToRelative(1.356f, 1.356f, 0.0f, false, true, 0.314f, 0.564f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, 0.187f, -0.04f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, 0.343f, 0.194f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, 1.136f, 0.242f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, 0.467f, -0.153f)
                curveToRelative(0.41f, 0.008f, 0.728f, 0.348f, 0.72f, 0.755f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.0f, 0.008f)
                verticalLineToRelative(-0.005f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.326f, -0.052f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.896f, 0.941f)
                arcToRelative(0.919f, 0.919f, 0.0f, false, true, -0.037f, 0.236f)
                curveToRelative(0.564f, 0.015f, 1.008f, 0.482f, 0.993f, 1.046f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, true, -0.168f, 0.534f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, 0.647f, 1.035f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, -0.075f, 0.362f)
                lineToRelative(0.004f, -0.007f)
                lineToRelative(0.1f, 0.018f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.124f, -0.46f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.68f, -0.362f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, true, 0.112f, -0.71f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, 0.504f, -0.373f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, -0.123f, -1.225f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, true, 0.257f, -0.269f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, -0.35f, -1.453f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, -0.696f, -0.273f)
                horizontalLineToRelative(-0.003f)
                arcToRelative(1.334f, 1.334f, 0.0f, false, true, -0.512f, -1.158f)
                arcToRelative(1.082f, 1.082f, 0.0f, false, true, -0.837f, -0.145f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, -0.44f, -0.535f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, -1.05f, -0.026f)
                arcToRelative(1.016f, 1.016f, 0.0f, false, true, -0.258f, -0.235f)
                close()
                moveTo(16.282f, 12.619f)
                lineToRelative(-0.007f, 0.066f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, false, 0.007f, -0.066f)
                close()
                moveTo(13.418f, 12.36f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, true, -0.363f, 0.598f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, 0.194f, 0.187f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, -0.007f, 0.396f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, 0.329f, 1.113f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, 0.358f, 0.336f)
                arcToRelative(0.739f, 0.739f, 0.0f, false, true, -0.32f, 0.994f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, 0.197f, 0.261f)
                arcToRelative(0.91f, 0.91f, 0.0f, false, true, -0.396f, 1.233f)
                arcToRelative(0.919f, 0.919f, 0.0f, false, true, -0.224f, 0.082f)
                verticalLineToRelative(0.004f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, -0.44f, 1.374f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, true, -0.55f, 0.109f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, -0.661f, 1.083f)
                arcToRelative(0.642f, 0.642f, 0.0f, false, true, 0.112f, 0.21f)
                arcToRelative(0.026f, 0.026f, 0.0f, false, true, -0.004f, 0.0f)
                verticalLineToRelative(0.003f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.456f, -0.134f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.661f, 0.392f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, true, 0.665f, -0.27f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, 0.587f, 0.236f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, 0.982f, -0.736f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, true, 0.362f, 0.079f)
                verticalLineToRelative(0.022f)
                arcToRelative(1.1f, 1.1f, 0.0f, false, true, 1.061f, -1.072f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, -0.123f, -0.736f)
                curveToRelative(0.056f, -0.46f, 0.34f, -0.837f, 0.725f, -1.035f)
                lineToRelative(0.003f, 0.004f)
                arcToRelative(1.102f, 1.102f, 0.0f, false, true, -0.31f, -0.795f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, 0.232f, -0.654f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, -0.452f, -1.251f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, -0.822f, -0.934f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, 0.011f, -0.142f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, -0.157f, 0.015f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, -0.698f, -0.572f)
                arcToRelative(0.661f, 0.661f, 0.0f, false, true, -0.385f, 0.112f)
                arcToRelative(0.667f, 0.667f, 0.0f, false, true, -0.627f, -0.512f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.217f, 0.053f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.18f, -0.045f)
                close()
                moveTo(12.454f, 13.29f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, true, -0.336f, 0.042f)
                curveToRelative(-0.112f, 0.0f, -0.22f, -0.012f, -0.322f, -0.038f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.06f, 0.295f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, true, -0.343f, 0.195f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, -0.792f, 0.844f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, -0.112f, 0.478f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, -1.02f, 0.224f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, -0.127f, 0.306f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, true, -1.266f, 0.28f)
                arcToRelative(0.919f, 0.919f, 0.0f, false, true, -0.183f, -0.153f)
                verticalLineToRelative(0.004f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, -1.408f, 0.31f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, true, -0.374f, -0.418f)
                curveToRelative(-0.355f, 0.239f, -0.83f, 0.261f, -1.214f, 0.015f)
                arcToRelative(1.113f, 1.113f, 0.0f, false, true, -0.21f, -0.172f)
                arcToRelative(0.65f, 0.65f, 0.0f, false, true, -0.081f, 0.105f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, 0.336f, 0.336f)
                arcToRelative(0.784f, 0.784f, 0.0f, false, true, -0.034f, 0.77f)
                arcToRelative(0.89f, 0.89f, 0.0f, false, true, 0.553f, 0.455f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, 0.075f, 0.624f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, true, 1.12f, 0.515f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, true, 0.101f, 0.355f)
                arcToRelative(1.098f, 1.098f, 0.0f, false, true, 1.431f, 0.43f)
                arcToRelative(1.326f, 1.326f, 0.0f, false, true, 0.587f, -0.46f)
                curveToRelative(0.43f, -0.172f, 0.896f, -0.104f, 1.255f, 0.142f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, 0.549f, -0.65f)
                arcToRelative(1.106f, 1.106f, 0.0f, false, true, 0.683f, -0.108f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, 0.553f, -0.893f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, 0.333f, -0.104f)
                arcToRelative(0.916f, 0.916f, 0.0f, false, true, 0.425f, -1.17f)
                arcToRelative(0.919f, 0.919f, 0.0f, false, true, 0.131f, -0.052f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, -0.09f, -0.134f)
                arcToRelative(0.738f, 0.738f, 0.0f, false, true, 0.169f, -0.886f)
                arcToRelative(0.661f, 0.661f, 0.0f, false, true, -0.28f, -0.284f)
                arcToRelative(0.67f, 0.67f, 0.0f, false, true, 0.149f, -0.799f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.15f, -0.164f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.048f, -0.24f)
                close()
            }
        }
        .build()
        return _codewars!!
    }

private var _codewars: ImageVector? = null
