package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Electron: ImageVector
    get() {
        if (_electron != null) {
            return _electron!!
        }
        _electron = Builder(name = "Electron", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0111f, 0.0f)
                curveToRelative(-0.85f, 0.0f, -1.5392f, 0.6891f, -1.5392f, 1.5392f)
                curveToRelative(0.0f, 0.8501f, 0.6891f, 1.5393f, 1.5392f, 1.5393f)
                curveToRelative(0.595f, 0.0f, 1.11f, -0.338f, 1.3662f, -0.832f)
                curveToRelative(2.2208f, 1.2675f, 3.847f, 5.4728f, 3.847f, 10.3623f)
                curveToRelative(0.0f, 2.0715f, -0.2891f, 4.056f, -0.825f, 5.7685f)
                arcToRelative(0.3215f, 0.3215f, 0.0f, false, false, 0.2107f, 0.403f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.4033f, -0.2111f)
                curveToRelative(0.5558f, -1.7763f, 0.8542f, -3.8251f, 0.8542f, -5.9604f)
                curveToRelative(0.0f, -5.1927f, -1.7717f, -9.686f, -4.3206f, -11.0027f)
                curveToRelative(0.001f, -0.0223f, 0.0035f, -0.0443f, 0.0035f, -0.0669f)
                curveToRelative(0.0f, -0.85f, -0.6891f, -1.5392f, -1.5393f, -1.5392f)
                close()
                moveTo(12.0111f, 0.6432f)
                arcToRelative(0.896f, 0.896f, 0.0f, true, true, 0.0f, 1.792f)
                arcToRelative(0.896f, 0.896f, 0.0f, true, true, 0.0f, -1.792f)
                close()
                moveTo(6.5251f, 4.9484f)
                curveToRelative(-2.067f, 0.0074f, -3.6473f, 0.6646f, -4.3885f, 1.9485f)
                curveToRelative(-0.7375f, 1.2774f, -0.5267f, 2.971f, 0.5113f, 4.7813f)
                arcToRelative(0.3217f, 0.3217f, 0.0f, false, false, 0.558f, -0.32f)
                curveTo(2.271f, 9.7274f, 2.089f, 8.266f, 2.6938f, 7.2185f)
                curveToRelative(0.821f, -1.422f, 3.033f, -1.9552f, 5.9321f, -1.4271f)
                arcToRelative(0.3216f, 0.3216f, 0.0f, false, false, 0.1153f, -0.6329f)
                curveToRelative(-0.784f, -0.1428f, -1.5271f, -0.2125f, -2.216f, -0.21f)
                close()
                moveTo(17.5773f, 4.966f)
                arcToRelative(0.3216f, 0.3216f, 0.0f, false, false, -0.0084f, 0.6432f)
                curveToRelative(1.8337f, 0.0239f, 3.1556f, 0.5956f, 3.7502f, 1.6256f)
                curveToRelative(0.8192f, 1.419f, 0.1798f, 3.5947f, -1.7182f, 5.837f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.0377f, 0.4535f)
                arcToRelative(0.3215f, 0.3215f, 0.0f, false, false, 0.4532f, -0.0377f)
                curveToRelative(2.0535f, -2.426f, 2.7708f, -4.8661f, 1.7845f, -6.5744f)
                curveToRelative(-0.7257f, -1.257f, -2.26f, -1.9207f, -4.299f, -1.9472f)
                close()
                moveTo(14.8789f, 5.2584f)
                arcToRelative(0.3225f, 0.3225f, 0.0f, false, false, -0.0647f, 0.0072f)
                curveToRelative(-1.8568f, 0.3979f, -3.8333f, 1.1755f, -5.7314f, 2.2714f)
                curveToRelative(-4.5699f, 2.6384f, -7.5924f, 6.4948f, -7.3601f, 9.3717f)
                curveToRelative(-0.4726f, 0.2628f, -0.7928f, 0.7664f, -0.7928f, 1.3455f)
                curveToRelative(0.0f, 0.85f, 0.6892f, 1.5392f, 1.5393f, 1.5392f)
                curveToRelative(0.85f, 0.0f, 1.5392f, -0.6891f, 1.5392f, -1.5392f)
                curveToRelative(0.0f, -0.8501f, -0.6891f, -1.5393f, -1.5392f, -1.5393f)
                curveToRelative(-0.038f, 0.0f, -0.0754f, 0.003f, -0.1128f, 0.0057f)
                curveToRelative(-0.1002f, -2.5597f, 2.7434f, -6.1412f, 7.048f, -8.6265f)
                curveToRelative(1.8413f, -1.063f, 3.7551f, -1.8163f, 5.5445f, -2.1997f)
                arcToRelative(0.3217f, 0.3217f, 0.0f, false, false, -0.07f, -0.636f)
                close()
                moveTo(12.0002f, 11.4948f)
                arcToRelative(1.1192f, 1.1192f, 0.0f, false, false, -0.2243f, 0.0255f)
                curveToRelative(-0.6012f, 0.1301f, -0.983f, 0.7225f, -0.8533f, 1.3238f)
                curveToRelative(0.1302f, 0.6012f, 0.7226f, 0.9832f, 1.3238f, 0.8533f)
                curveToRelative(0.6012f, -0.1302f, 0.9832f, -0.7226f, 0.8533f, -1.3238f)
                curveToRelative(-0.1139f, -0.526f, -0.5816f, -0.8844f, -1.0995f, -0.8788f)
                close()
                moveTo(4.532f, 13.341f)
                arcToRelative(0.321f, 0.321f, 0.0f, false, false, -0.2318f, 0.0835f)
                arcToRelative(0.3214f, 0.3214f, 0.0f, false, false, -0.0214f, 0.4542f)
                curveToRelative(1.2682f, 1.3936f, 2.9157f, 2.701f, 4.7946f, 3.7857f)
                curveToRelative(4.4146f, 2.5489f, 9.1056f, 3.2849f, 11.5608f, 1.8392f)
                arcToRelative(1.53f, 1.53f, 0.0f, false, false, 0.8966f, 0.2899f)
                curveToRelative(0.8501f, 0.0f, 1.5392f, -0.6891f, 1.5392f, -1.5392f)
                curveToRelative(0.0f, -0.8501f, -0.689f, -1.5393f, -1.5392f, -1.5393f)
                curveToRelative(-0.85f, 0.0f, -1.5392f, 0.6892f, -1.5392f, 1.5393f)
                curveToRelative(0.0f, 0.276f, 0.0737f, 0.5344f, 0.201f, 0.7584f)
                curveToRelative(-2.2448f, 1.214f, -6.631f, 0.5002f, -10.7976f, -1.9054f)
                curveToRelative(-1.8228f, -1.0524f, -3.418f, -2.3181f, -4.6404f, -3.6614f)
                arcToRelative(0.3206f, 0.3206f, 0.0f, false, false, -0.2226f, -0.1049f)
                close()
                moveTo(2.4692f, 17.3582f)
                arcToRelative(0.896f, 0.896f, 0.0f, true, true, 0.0f, 1.792f)
                arcToRelative(0.896f, 0.896f, 0.0f, true, true, 0.0f, -1.792f)
                close()
                moveTo(21.5308f, 17.3582f)
                arcToRelative(0.896f, 0.896f, 0.0f, true, true, 0.0f, 1.792f)
                arcToRelative(0.891f, 0.891f, 0.0f, false, true, -0.5864f, -0.2194f)
                curveToRelative(-0.0025f, -0.004f, -0.0039f, -0.0083f, -0.0066f, -0.0123f)
                arcToRelative(0.3195f, 0.3195f, 0.0f, false, false, -0.0957f, -0.0914f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, 0.6887f, -1.4689f)
                close()
                moveTo(7.5263f, 18.7262f)
                arcToRelative(0.3215f, 0.3215f, 0.0f, false, false, -0.3207f, 0.4296f)
                curveTo(8.2793f, 22.154f, 10.036f, 24.0f, 12.0111f, 24.0f)
                curveToRelative(1.4406f, 0.0f, 2.7735f, -0.9822f, 3.8128f, -2.711f)
                arcToRelative(0.3215f, 0.3215f, 0.0f, false, false, -0.11f, -0.4413f)
                arcToRelative(0.3219f, 0.3219f, 0.0f, false, false, -0.4415f, 0.11f)
                curveToRelative(-0.934f, 1.5537f, -2.0812f, 2.399f, -3.2613f, 2.399f)
                curveToRelative(-1.6407f, 0.0f, -3.2075f, -1.6465f, -4.2f, -4.4179f)
                arcToRelative(0.3216f, 0.3216f, 0.0f, false, false, -0.2848f, -0.2126f)
                close()
            }
        }
        .build()
        return _electron!!
    }

private var _electron: ImageVector? = null
