package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Emirates: ImageVector
    get() {
        if (_emirates != null) {
            return _emirates!!
        }
        _emirates = Builder(name = "Emirates", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.247f, 15.56f)
                lineToRelative(-1.386f, 1.385f)
                curveToRelative(0.945f, 0.945f, 1.26f, 1.386f, 1.323f, 1.827f)
                curveToRelative(0.063f, -0.063f, 1.323f, -1.134f, 1.323f, -1.512f)
                curveToRelative(0.0f, -0.567f, -0.378f, -0.756f, -1.26f, -1.7f)
                moveToRelative(-3.15f, -2.458f)
                horizontalLineToRelative(-0.755f)
                reflectiveCurveToRelative(0.756f, 0.441f, 0.756f, 1.45f)
                verticalLineToRelative(3.4f)
                curveToRelative(0.0f, 2.205f, 1.826f, 4.284f, 4.031f, 4.284f)
                horizontalLineToRelative(1.827f)
                curveToRelative(1.134f, 0.0f, 1.512f, -0.252f, 2.142f, -0.882f)
                lineToRelative(0.692f, -0.693f)
                curveToRelative(0.378f, -0.44f, 0.82f, -0.755f, 0.82f, -1.952f)
                verticalLineToRelative(-1.134f)
                curveToRelative(0.0f, -0.945f, -0.568f, -1.386f, -0.82f, -1.638f)
                lineToRelative(-0.63f, -0.63f)
                verticalLineToRelative(2.268f)
                reflectiveCurveToRelative(0.441f, 0.504f, 0.693f, 0.63f)
                curveToRelative(0.945f, 0.756f, 0.19f, 2.078f, -0.692f, 2.078f)
                horizontalLineTo(7.066f)
                curveToRelative(-1.89f, -0.063f, -3.402f, -1.637f, -3.465f, -3.527f)
                verticalLineToRelative(-1.827f)
                curveToRelative(0.0f, -1.827f, -0.503f, -1.827f, -0.503f, -1.827f)
                moveToRelative(5.92f, 2.457f)
                lineToRelative(-1.385f, 1.386f)
                curveToRelative(0.945f, 0.945f, 1.26f, 1.386f, 1.323f, 1.827f)
                curveToRelative(0.063f, -0.063f, 1.323f, -1.134f, 1.323f, -1.512f)
                curveToRelative(0.0f, -0.567f, -0.378f, -0.82f, -1.26f, -1.7f)
                moveTo(11.853f, 0.0f)
                lineToRelative(-0.944f, 0.945f)
                curveToRelative(-0.378f, 0.378f, -0.252f, 1.134f, 0.504f, 1.89f)
                verticalLineToRelative(1.89f)
                curveToRelative(0.0f, 0.188f, -0.19f, 0.377f, -0.19f, 0.377f)
                reflectiveCurveToRelative(-1.133f, -1.008f, -2.14f, -1.008f)
                horizontalLineTo(7.57f)
                curveToRelative(-0.945f, 0.0f, -1.7f, 0.882f, -1.827f, 0.945f)
                curveToRelative(-0.504f, 0.504f, -0.504f, 1.45f, -0.126f, 1.89f)
                lineTo(6.688f, 8.0f)
                reflectiveCurveToRelative(-0.252f, -1.7f, 0.0f, -2.835f)
                curveToRelative(0.063f, -0.252f, 0.378f, -0.567f, 0.693f, -0.567f)
                lineToRelative(2.457f, 1.89f)
                lineToRelative(-2.835f, 2.96f)
                curveToRelative(-0.126f, 0.127f, -0.504f, 0.379f, -0.882f, 0.379f)
                curveToRelative(-0.44f, 0.0f, -0.63f, -0.252f, -0.819f, -0.504f)
                verticalLineToRelative(1.386f)
                curveToRelative(0.0f, 0.44f, 0.63f, 0.945f, 1.197f, 0.945f)
                horizontalLineToRelative(3.78f)
                curveToRelative(0.252f, 0.0f, 0.567f, -0.063f, 0.819f, -0.315f)
                lineToRelative(1.26f, -1.26f)
                curveToRelative(0.188f, -0.19f, 0.251f, -0.441f, 0.251f, -0.756f)
                verticalLineTo(7.874f)
                curveToRelative(0.0f, -1.386f, -1.07f, -2.457f, -1.07f, -2.457f)
                reflectiveCurveToRelative(0.251f, -0.189f, 0.251f, -0.756f)
                verticalLineTo(3.213f)
                reflectiveCurveToRelative(0.441f, 0.44f, 0.504f, 0.63f)
                lineToRelative(0.82f, -0.82f)
                curveToRelative(0.377f, -0.377f, -0.253f, -1.07f, -0.505f, -1.385f)
                curveTo(11.853f, 0.818f, 11.853f, 0.0f, 11.853f, 0.0f)
                moveTo(7.13f, 9.953f)
                curveToRelative(0.378f, -0.19f, 0.441f, -0.315f, 0.756f, -0.693f)
                lineToRelative(2.394f, -2.52f)
                reflectiveCurveToRelative(1.322f, 1.386f, 1.763f, 2.142f)
                curveToRelative(0.19f, 0.378f, 0.441f, 1.07f, -0.692f, 1.07f)
                horizontalLineTo(7.13f)
                moveTo(3.915f, 7.056f)
                horizontalLineToRelative(-0.692f)
                curveToRelative(0.44f, 0.252f, 0.755f, 1.008f, 0.755f, 1.449f)
                verticalLineToRelative(2.772f)
                curveToRelative(0.0f, 0.755f, 0.567f, 3.464f, 3.024f, 3.464f)
                horizontalLineToRelative(7.118f)
                verticalLineToRelative(4.536f)
                curveToRelative(0.0f, 0.755f, -0.252f, 1.196f, -0.44f, 1.385f)
                lineToRelative(-1.072f, 1.008f)
                horizontalLineToRelative(0.504f)
                lineToRelative(1.953f, -1.763f)
                curveToRelative(0.378f, -0.441f, 0.819f, -0.882f, 0.819f, -2.268f)
                verticalLineTo(14.74f)
                lineToRelative(0.819f, -0.819f)
                lineToRelative(1.386f, -1.323f)
                curveToRelative(0.0f, 1.134f, 0.567f, 1.638f, 1.07f, 1.638f)
                arcToRelative(1.26f, 1.26f, 0.0f, false, false, 0.756f, -0.315f)
                lineToRelative(1.26f, -1.197f)
                curveToRelative(0.567f, -0.567f, 0.882f, -2.33f, -0.504f, -2.33f)
                curveToRelative(-0.882f, 0.0f, -1.89f, 1.26f, -1.952f, 1.386f)
                curveToRelative(-0.315f, -0.19f, -0.567f, -0.63f, -0.567f, -0.63f)
                verticalLineToRelative(1.07f)
                curveToRelative(-0.126f, 0.19f, -0.693f, 0.63f, -1.134f, 0.63f)
                horizontalLineToRelative(-1.134f)
                verticalLineToRelative(-1.07f)
                curveToRelative(0.0f, -0.504f, 0.189f, -1.071f, 0.44f, -1.323f)
                lineToRelative(1.072f, -1.008f)
                horizontalLineToRelative(-0.504f)
                lineToRelative(-2.142f, 1.953f)
                curveToRelative(-0.378f, 0.44f, -0.63f, 1.26f, -0.63f, 1.448f)
                horizontalLineTo(6.058f)
                curveToRelative(-1.008f, 0.0f, -1.638f, -1.007f, -1.638f, -1.826f)
                verticalLineToRelative(-2.08f)
                curveToRelative(0.0f, -1.7f, -0.44f, -1.889f, -0.504f, -1.889f)
                moveToRelative(16.315f, 6.047f)
                curveToRelative(-0.189f, 0.0f, -0.378f, -0.063f, -0.63f, -0.252f)
                curveToRelative(-0.251f, -0.189f, -0.692f, -0.819f, -0.692f, -0.819f)
                curveToRelative(0.126f, -0.125f, 0.504f, -0.251f, 0.818f, -0.251f)
                curveToRelative(0.252f, 0.0f, 0.504f, 0.063f, 0.567f, 0.189f)
                curveToRelative(0.441f, 0.566f, 0.378f, 1.133f, -0.063f, 1.133f)
                moveTo(16.893f, 0.0f)
                lineTo(14.75f, 1.953f)
                curveToRelative(-0.126f, 0.126f, -0.63f, 0.882f, -0.63f, 1.764f)
                verticalLineToRelative(5.606f)
                curveToRelative(0.0f, 0.378f, -0.252f, 0.945f, -0.44f, 1.134f)
                lineToRelative(-1.072f, 1.008f)
                horizontalLineToRelative(0.504f)
                lineToRelative(2.016f, -1.827f)
                curveToRelative(0.252f, -0.252f, 0.756f, -0.882f, 0.756f, -1.953f)
                verticalLineTo(2.331f)
                curveToRelative(0.0f, -0.82f, 0.378f, -1.26f, 0.567f, -1.45f)
                lineTo(17.397f, 0.0f)
                horizontalLineToRelative(-0.504f)
                moveToRelative(0.315f, 14.362f)
                verticalLineToRelative(2.205f)
                lineToRelative(0.756f, 0.819f)
                curveToRelative(0.63f, 0.63f, 0.567f, 1.827f, -1.323f, 3.653f)
                arcToRelative(3.78f, 3.78f, 0.0f, false, true, -2.583f, 1.197f)
                horizontalLineToRelative(-3.401f)
                lineTo(12.672f, 24.0f)
                horizontalLineToRelative(1.386f)
                curveToRelative(1.386f, 0.0f, 2.646f, -0.567f, 3.465f, -1.449f)
                curveToRelative(0.756f, -0.819f, 1.197f, -1.89f, 1.134f, -3.023f)
                verticalLineTo(16.63f)
                curveToRelative(0.0f, -1.008f, -0.63f, -1.575f, -0.756f, -1.7f)
                curveToRelative(-0.126f, 0.0f, -0.693f, -0.568f, -0.693f, -0.568f)
                close()
            }
        }
        .build()
        return _emirates!!
    }

private var _emirates: ImageVector? = null
