package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Firefox: ImageVector
    get() {
        if (_firefox != null) {
            return _firefox!!
        }
        _firefox = Builder(name = "Firefox", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.977f, 11.297f)
                arcToRelative(2.956f, 2.956f, 0.0f, false, true, -0.012f, -0.226f)
                verticalLineToRelative(-0.006f)
                lineToRelative(-0.017f, -0.226f)
                verticalLineToRelative(-0.006f)
                arcToRelative(11.91f, 11.91f, 0.0f, false, false, -0.354f, -1.991f)
                curveToRelative(0.0f, -0.006f, 0.0f, -0.006f, -0.006f, -0.012f)
                lineToRelative(-0.052f, -0.192f)
                curveToRelative(-0.006f, -0.011f, -0.006f, -0.023f, -0.012f, -0.029f)
                curveToRelative(-0.018f, -0.058f, -0.035f, -0.122f, -0.052f, -0.18f)
                curveToRelative(-0.006f, -0.011f, -0.006f, -0.029f, -0.012f, -0.04f)
                lineToRelative(-0.052f, -0.169f)
                lineToRelative(-0.018f, -0.046f)
                arcToRelative(1.927f, 1.927f, 0.0f, false, false, -0.058f, -0.169f)
                lineToRelative(-0.017f, -0.052f)
                lineToRelative(-0.058f, -0.162f)
                arcToRelative(0.391f, 0.391f, 0.0f, false, false, -0.018f, -0.047f)
                curveToRelative(-0.023f, -0.052f, -0.04f, -0.11f, -0.063f, -0.162f)
                curveToRelative(-0.006f, -0.012f, -0.012f, -0.03f, -0.018f, -0.041f)
                curveToRelative(-0.023f, -0.058f, -0.046f, -0.11f, -0.07f, -0.168f)
                curveToRelative(0.0f, -0.006f, -0.005f, -0.012f, -0.005f, -0.018f)
                arcToRelative(9.351f, 9.351f, 0.0f, false, false, -0.244f, -0.551f)
                lineToRelative(-0.018f, -0.035f)
                curveToRelative(-0.023f, -0.047f, -0.04f, -0.087f, -0.063f, -0.128f)
                curveToRelative(-0.012f, -0.023f, -0.024f, -0.052f, -0.035f, -0.075f)
                curveToRelative(-0.018f, -0.041f, -0.041f, -0.076f, -0.058f, -0.117f)
                curveToRelative(-0.018f, -0.029f, -0.03f, -0.058f, -0.047f, -0.087f)
                curveToRelative(-0.017f, -0.034f, -0.04f, -0.07f, -0.058f, -0.11f)
                lineToRelative(-0.052f, -0.093f)
                curveToRelative(-0.018f, -0.035f, -0.04f, -0.07f, -0.058f, -0.104f)
                arcToRelative(0.874f, 0.874f, 0.0f, false, false, -0.058f, -0.099f)
                curveToRelative(-0.018f, -0.035f, -0.04f, -0.064f, -0.058f, -0.099f)
                curveToRelative(-0.018f, -0.035f, -0.041f, -0.064f, -0.058f, -0.098f)
                lineToRelative(-0.058f, -0.093f)
                curveToRelative(-0.024f, -0.035f, -0.041f, -0.07f, -0.064f, -0.105f)
                curveToRelative(-0.018f, -0.029f, -0.035f, -0.058f, -0.058f, -0.087f)
                arcToRelative(9480.074f, 9480.074f, 0.0f, false, true, -0.128f, -0.192f)
                lineToRelative(-0.076f, -0.11f)
                curveToRelative(-0.017f, -0.023f, -0.034f, -0.052f, -0.052f, -0.075f)
                lineToRelative(-0.087f, -0.122f)
                lineToRelative(-0.046f, -0.064f)
                curveToRelative(-0.047f, -0.064f, -0.087f, -0.122f, -0.134f, -0.18f)
                arcToRelative(12.04f, 12.04f, 0.0f, false, false, -1.138f, -1.289f)
                arcToRelative(8.983f, 8.983f, 0.0f, false, false, -0.888f, -0.807f)
                arcToRelative(8.062f, 8.062f, 0.0f, false, false, -0.604f, -0.476f)
                arcToRelative(7.862f, 7.862f, 0.0f, false, false, -1.19f, -0.732f)
                arcToRelative(12.284f, 12.284f, 0.0f, false, false, -3.03f, -1.126f)
                curveToRelative(-0.094f, -0.017f, -0.187f, -0.04f, -0.274f, -0.058f)
                horizontalLineToRelative(-0.006f)
                curveToRelative(-0.046f, -0.006f, -0.087f, -0.018f, -0.133f, -0.023f)
                curveToRelative(-0.604f, -0.11f, -1.22f, -0.18f, -1.84f, -0.192f)
                horizontalLineToRelative(-0.512f)
                curveToRelative(-0.754f, 0.012f, -1.498f, 0.093f, -2.2f, 0.244f)
                curveTo(8.132f, 0.614f, 6.698f, 1.3f, 5.746f, 2.159f)
                curveToRelative(-0.052f, 0.046f, -0.093f, 0.081f, -0.116f, 0.104f)
                lineToRelative(-0.023f, 0.024f)
                horizontalLineToRelative(0.005f)
                lineToRelative(-0.005f, 0.005f)
                lineToRelative(0.005f, -0.005f)
                reflectiveCurveToRelative(0.006f, 0.0f, 0.006f, -0.006f)
                lineToRelative(-0.006f, 0.006f)
                reflectiveCurveToRelative(0.006f, -0.006f, 0.012f, -0.006f)
                curveToRelative(0.708f, -0.424f, 1.69f, -0.772f, 2.392f, -0.947f)
                curveToRelative(0.093f, -0.023f, 0.192f, -0.046f, 0.285f, -0.07f)
                curveToRelative(0.017f, -0.005f, 0.04f, -0.005f, 0.058f, -0.01f)
                curveToRelative(0.081f, -0.018f, 0.162f, -0.036f, 0.25f, -0.053f)
                curveToRelative(0.011f, 0.0f, 0.028f, -0.006f, 0.04f, -0.006f)
                curveToRelative(3.106f, -0.569f, 6.416f, 0.36f, 8.72f, 2.56f)
                arcToRelative(8.304f, 8.304f, 0.0f, false, true, 1.301f, 1.586f)
                curveToRelative(1.469f, 2.38f, 1.33f, 5.376f, 0.186f, 7.14f)
                curveToRelative(-1.666f, 2.567f, -5.388f, 3.45f, -7.693f, 1.203f)
                arcToRelative(4.073f, 4.073f, 0.0f, false, true, -1.237f, -2.857f)
                arcToRelative(3.583f, 3.583f, 0.0f, false, true, 0.302f, -1.498f)
                curveToRelative(0.082f, -0.186f, 0.633f, -1.242f, 0.883f, -1.19f)
                curveToRelative(-0.633f, -0.134f, -1.818f, 0.128f, -2.648f, 1.364f)
                curveToRelative(-0.743f, 1.11f, -0.702f, 2.816f, -0.244f, 4.03f)
                arcToRelative(6.428f, 6.428f, 0.0f, false, true, -0.586f, -1.899f)
                curveToRelative(-0.592f, -3.994f, 2.096f, -7.402f, 4.563f, -8.25f)
                curveToRelative(-1.33f, -1.161f, -4.668f, -1.08f, -7.147f, 0.743f)
                curveTo(3.604f, 5.19f, 2.57f, 6.7f, 2.024f, 8.5f)
                curveToRelative(0.082f, -1.01f, 0.465f, -2.52f, 1.249f, -4.058f)
                curveToRelative(-0.83f, 0.43f, -1.887f, 1.788f, -2.41f, 3.042f)
                curveToRelative(-0.755f, 1.81f, -1.016f, 3.976f, -0.778f, 6.037f)
                lineToRelative(0.052f, 0.465f)
                curveToRelative(0.964f, 5.666f, 5.905f, 9.986f, 11.845f, 9.986f)
                curveTo(18.618f, 23.972f, 24.0f, 18.59f, 24.0f, 11.954f)
                curveToRelative(-0.006f, -0.221f, -0.012f, -0.442f, -0.023f, -0.657f)
                close()
            }
        }
        .build()
        return _firefox!!
    }

private var _firefox: ImageVector? = null
