package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Gnubash: ImageVector
    get() {
        if (_gnubash != null) {
            return _gnubash!!
        }
        _gnubash = Builder(name = "Gnubash", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.038f, 4.9f)
                lineToRelative(-7.577f, -4.498f)
                curveTo(13.009f, 0.134f, 12.505f, 0.0f, 12.0f, 0.0f)
                curveToRelative(-0.505f, 0.0f, -1.009f, 0.134f, -1.462f, 0.403f)
                lineTo(2.961f, 4.9f)
                curveTo(2.057f, 5.437f, 1.5f, 6.429f, 1.5f, 7.503f)
                verticalLineToRelative(8.995f)
                curveToRelative(0.0f, 1.073f, 0.557f, 2.066f, 1.462f, 2.603f)
                lineToRelative(7.577f, 4.497f)
                curveTo(10.991f, 23.866f, 11.495f, 24.0f, 12.0f, 24.0f)
                curveToRelative(0.505f, 0.0f, 1.009f, -0.134f, 1.461f, -0.402f)
                lineToRelative(7.577f, -4.497f)
                curveToRelative(0.904f, -0.537f, 1.462f, -1.529f, 1.462f, -2.603f)
                verticalLineTo(7.503f)
                curveTo(22.5f, 6.429f, 21.943f, 5.437f, 21.038f, 4.9f)
                close()
                moveTo(15.17f, 18.946f)
                lineToRelative(0.013f, 0.646f)
                curveToRelative(0.001f, 0.078f, -0.05f, 0.167f, -0.111f, 0.198f)
                lineToRelative(-0.383f, 0.22f)
                curveToRelative(-0.061f, 0.031f, -0.111f, -0.007f, -0.112f, -0.085f)
                lineTo(14.57f, 19.29f)
                curveToRelative(-0.328f, 0.136f, -0.66f, 0.169f, -0.872f, 0.084f)
                curveToRelative(-0.04f, -0.016f, -0.057f, -0.075f, -0.041f, -0.142f)
                lineToRelative(0.139f, -0.584f)
                curveToRelative(0.011f, -0.046f, 0.036f, -0.092f, 0.069f, -0.121f)
                curveToRelative(0.012f, -0.011f, 0.024f, -0.02f, 0.036f, -0.026f)
                curveToRelative(0.022f, -0.011f, 0.043f, -0.014f, 0.062f, -0.006f)
                curveToRelative(0.229f, 0.077f, 0.521f, 0.041f, 0.802f, -0.101f)
                curveToRelative(0.357f, -0.181f, 0.596f, -0.545f, 0.592f, -0.907f)
                curveToRelative(-0.003f, -0.328f, -0.181f, -0.465f, -0.613f, -0.468f)
                curveToRelative(-0.55f, 0.001f, -1.064f, -0.107f, -1.072f, -0.917f)
                curveToRelative(-0.007f, -0.667f, 0.34f, -1.361f, 0.889f, -1.8f)
                lineToRelative(-0.007f, -0.652f)
                curveToRelative(-0.001f, -0.08f, 0.048f, -0.168f, 0.111f, -0.2f)
                lineToRelative(0.37f, -0.236f)
                curveToRelative(0.061f, -0.031f, 0.111f, 0.007f, 0.112f, 0.087f)
                lineToRelative(0.006f, 0.653f)
                curveToRelative(0.273f, -0.109f, 0.511f, -0.138f, 0.726f, -0.088f)
                curveToRelative(0.047f, 0.012f, 0.067f, 0.076f, 0.048f, 0.151f)
                lineToRelative(-0.144f, 0.578f)
                curveToRelative(-0.011f, 0.044f, -0.036f, 0.088f, -0.065f, 0.116f)
                curveToRelative(-0.012f, 0.012f, -0.025f, 0.021f, -0.038f, 0.028f)
                curveToRelative(-0.019f, 0.01f, -0.038f, 0.013f, -0.057f, 0.009f)
                curveToRelative(-0.098f, -0.022f, -0.332f, -0.073f, -0.699f, 0.113f)
                curveToRelative(-0.385f, 0.195f, -0.52f, 0.53f, -0.517f, 0.778f)
                curveToRelative(0.003f, 0.297f, 0.155f, 0.387f, 0.681f, 0.396f)
                curveToRelative(0.7f, 0.012f, 1.003f, 0.318f, 1.01f, 1.023f)
                curveTo(16.105f, 17.747f, 15.736f, 18.491f, 15.17f, 18.946f)
                close()
                moveTo(19.143f, 17.859f)
                curveToRelative(0.0f, 0.06f, -0.008f, 0.116f, -0.058f, 0.145f)
                lineToRelative(-1.916f, 1.164f)
                curveToRelative(-0.05f, 0.029f, -0.09f, 0.004f, -0.09f, -0.056f)
                verticalLineToRelative(-0.494f)
                curveToRelative(0.0f, -0.06f, 0.037f, -0.093f, 0.087f, -0.122f)
                lineToRelative(1.887f, -1.129f)
                curveToRelative(0.05f, -0.029f, 0.09f, -0.004f, 0.09f, 0.056f)
                verticalLineTo(17.859f)
                close()
                moveTo(20.459f, 6.797f)
                lineToRelative(-7.168f, 4.427f)
                curveToRelative(-0.894f, 0.523f, -1.553f, 1.109f, -1.553f, 2.187f)
                verticalLineToRelative(8.833f)
                curveToRelative(0.0f, 0.645f, 0.26f, 1.063f, 0.66f, 1.184f)
                curveToRelative(-0.131f, 0.023f, -0.264f, 0.039f, -0.398f, 0.039f)
                curveToRelative(-0.42f, 0.0f, -0.833f, -0.114f, -1.197f, -0.33f)
                lineTo(3.226f, 18.64f)
                curveToRelative(-0.741f, -0.44f, -1.201f, -1.261f, -1.201f, -2.142f)
                verticalLineTo(7.503f)
                curveToRelative(0.0f, -0.881f, 0.46f, -1.702f, 1.201f, -2.142f)
                lineToRelative(7.577f, -4.498f)
                curveToRelative(0.363f, -0.216f, 0.777f, -0.33f, 1.197f, -0.33f)
                curveToRelative(0.419f, 0.0f, 0.833f, 0.114f, 1.197f, 0.33f)
                lineToRelative(7.577f, 4.498f)
                curveToRelative(0.624f, 0.371f, 1.046f, 1.013f, 1.164f, 1.732f)
                curveTo(21.686f, 6.557f, 21.12f, 6.411f, 20.459f, 6.797f)
                close()
            }
        }
        .build()
        return _gnubash!!
    }

private var _gnubash: ImageVector? = null
