package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Grafana: ImageVector
    get() {
        if (_grafana != null) {
            return _grafana!!
        }
        _grafana = Builder(name = "Grafana", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.02f, 10.59f)
                arcToRelative(8.578f, 8.578f, 0.0f, false, false, -0.862f, -3.034f)
                arcToRelative(8.911f, 8.911f, 0.0f, false, false, -1.789f, -2.445f)
                curveToRelative(0.337f, -1.342f, -0.413f, -2.505f, -0.413f, -2.505f)
                curveToRelative(-1.292f, -0.08f, -2.113f, 0.4f, -2.416f, 0.62f)
                curveToRelative(-0.052f, -0.02f, -0.102f, -0.044f, -0.154f, -0.064f)
                curveToRelative(-0.22f, -0.089f, -0.446f, -0.172f, -0.677f, -0.247f)
                curveToRelative(-0.231f, -0.073f, -0.47f, -0.14f, -0.711f, -0.197f)
                arcToRelative(9.867f, 9.867f, 0.0f, false, false, -0.875f, -0.161f)
                curveTo(14.557f, 0.753f, 12.94f, 0.0f, 12.94f, 0.0f)
                curveToRelative(-1.804f, 1.145f, -2.147f, 2.744f, -2.147f, 2.744f)
                lineToRelative(-0.018f, 0.093f)
                curveToRelative(-0.098f, 0.029f, -0.2f, 0.057f, -0.298f, 0.088f)
                curveToRelative(-0.138f, 0.042f, -0.275f, 0.094f, -0.413f, 0.143f)
                curveToRelative(-0.138f, 0.055f, -0.275f, 0.107f, -0.41f, 0.166f)
                arcToRelative(8.869f, 8.869f, 0.0f, false, false, -1.557f, 0.87f)
                lineToRelative(-0.063f, -0.029f)
                curveToRelative(-2.497f, -0.955f, -4.716f, 0.195f, -4.716f, 0.195f)
                curveToRelative(-0.203f, 2.658f, 0.996f, 4.33f, 1.235f, 4.636f)
                arcToRelative(11.608f, 11.608f, 0.0f, false, false, -0.607f, 2.635f)
                curveTo(1.636f, 12.677f, 0.953f, 15.014f, 0.953f, 15.014f)
                curveToRelative(1.926f, 2.214f, 4.171f, 2.351f, 4.171f, 2.351f)
                curveToRelative(0.003f, -0.002f, 0.006f, -0.002f, 0.006f, -0.005f)
                curveToRelative(0.285f, 0.509f, 0.615f, 0.994f, 0.986f, 1.446f)
                curveToRelative(0.156f, 0.19f, 0.32f, 0.371f, 0.488f, 0.548f)
                curveToRelative(-0.704f, 2.009f, 0.099f, 3.68f, 0.099f, 3.68f)
                curveToRelative(2.144f, 0.08f, 3.553f, -0.937f, 3.849f, -1.173f)
                arcToRelative(9.784f, 9.784f, 0.0f, false, false, 3.164f, 0.501f)
                horizontalLineToRelative(0.08f)
                lineToRelative(0.055f, -0.003f)
                lineToRelative(0.107f, -0.002f)
                lineToRelative(0.103f, -0.005f)
                lineToRelative(0.003f, 0.002f)
                curveToRelative(1.01f, 1.44f, 2.788f, 1.646f, 2.788f, 1.646f)
                curveToRelative(1.264f, -1.332f, 1.337f, -2.653f, 1.337f, -2.94f)
                verticalLineToRelative(-0.058f)
                curveToRelative(0.0f, -0.02f, -0.003f, -0.039f, -0.003f, -0.06f)
                curveToRelative(0.265f, -0.187f, 0.52f, -0.387f, 0.758f, -0.6f)
                arcToRelative(7.875f, 7.875f, 0.0f, false, false, 1.415f, -1.7f)
                curveToRelative(1.43f, 0.083f, 2.437f, -0.885f, 2.437f, -0.885f)
                curveToRelative(-0.236f, -1.49f, -1.085f, -2.216f, -1.264f, -2.354f)
                lineToRelative(-0.018f, -0.013f)
                lineToRelative(-0.016f, -0.013f)
                arcToRelative(0.217f, 0.217f, 0.0f, false, true, -0.031f, -0.02f)
                curveToRelative(0.008f, -0.092f, 0.016f, -0.18f, 0.02f, -0.27f)
                curveToRelative(0.011f, -0.162f, 0.016f, -0.323f, 0.016f, -0.48f)
                verticalLineToRelative(-0.253f)
                lineToRelative(-0.005f, -0.098f)
                lineToRelative(-0.008f, -0.135f)
                arcToRelative(1.891f, 1.891f, 0.0f, false, false, -0.01f, -0.13f)
                curveToRelative(-0.003f, -0.042f, -0.008f, -0.083f, -0.013f, -0.125f)
                lineToRelative(-0.016f, -0.124f)
                lineToRelative(-0.018f, -0.122f)
                arcToRelative(6.215f, 6.215f, 0.0f, false, false, -2.032f, -3.73f)
                arcToRelative(6.015f, 6.015f, 0.0f, false, false, -3.222f, -1.46f)
                arcToRelative(6.292f, 6.292f, 0.0f, false, false, -0.85f, -0.048f)
                lineToRelative(-0.107f, 0.002f)
                horizontalLineToRelative(-0.063f)
                lineToRelative(-0.044f, 0.003f)
                lineToRelative(-0.104f, 0.008f)
                arcToRelative(4.777f, 4.777f, 0.0f, false, false, -3.335f, 1.695f)
                curveToRelative(-0.332f, 0.4f, -0.592f, 0.84f, -0.768f, 1.297f)
                arcToRelative(4.594f, 4.594f, 0.0f, false, false, -0.312f, 1.817f)
                lineToRelative(0.003f, 0.091f)
                curveToRelative(0.005f, 0.055f, 0.007f, 0.11f, 0.013f, 0.164f)
                arcToRelative(3.615f, 3.615f, 0.0f, false, false, 0.698f, 1.82f)
                arcToRelative(3.53f, 3.53f, 0.0f, false, false, 1.827f, 1.282f)
                curveToRelative(0.33f, 0.098f, 0.66f, 0.14f, 0.971f, 0.137f)
                curveToRelative(0.039f, 0.0f, 0.078f, 0.0f, 0.114f, -0.002f)
                lineToRelative(0.063f, -0.003f)
                curveToRelative(0.02f, 0.0f, 0.041f, -0.003f, 0.062f, -0.003f)
                curveToRelative(0.034f, -0.002f, 0.065f, -0.007f, 0.099f, -0.01f)
                curveToRelative(0.007f, 0.0f, 0.018f, -0.003f, 0.028f, -0.003f)
                lineToRelative(0.031f, -0.005f)
                lineToRelative(0.06f, -0.008f)
                arcToRelative(1.18f, 1.18f, 0.0f, false, false, 0.112f, -0.02f)
                curveToRelative(0.036f, -0.008f, 0.072f, -0.013f, 0.109f, -0.024f)
                arcToRelative(2.634f, 2.634f, 0.0f, false, false, 0.914f, -0.415f)
                curveToRelative(0.028f, -0.02f, 0.056f, -0.041f, 0.085f, -0.065f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, false, 0.039f, -0.35f)
                arcToRelative(0.244f, 0.244f, 0.0f, false, false, -0.309f, -0.06f)
                lineToRelative(-0.078f, 0.042f)
                curveToRelative(-0.09f, 0.044f, -0.184f, 0.083f, -0.283f, 0.116f)
                arcToRelative(2.476f, 2.476f, 0.0f, false, true, -0.475f, 0.096f)
                curveToRelative(-0.028f, 0.003f, -0.054f, 0.006f, -0.083f, 0.006f)
                lineToRelative(-0.083f, 0.002f)
                curveToRelative(-0.026f, 0.0f, -0.054f, 0.0f, -0.08f, -0.002f)
                lineToRelative(-0.102f, -0.006f)
                horizontalLineToRelative(-0.012f)
                lineToRelative(-0.024f, 0.006f)
                curveToRelative(-0.016f, -0.003f, -0.031f, -0.003f, -0.044f, -0.006f)
                curveToRelative(-0.031f, -0.002f, -0.06f, -0.007f, -0.091f, -0.01f)
                arcToRelative(2.59f, 2.59f, 0.0f, false, true, -0.724f, -0.213f)
                arcToRelative(2.557f, 2.557f, 0.0f, false, true, -0.667f, -0.438f)
                arcToRelative(2.52f, 2.52f, 0.0f, false, true, -0.805f, -1.475f)
                arcToRelative(2.306f, 2.306f, 0.0f, false, true, -0.029f, -0.444f)
                lineToRelative(0.006f, -0.122f)
                verticalLineToRelative(-0.023f)
                lineToRelative(0.002f, -0.031f)
                curveToRelative(0.003f, -0.021f, 0.003f, -0.04f, 0.005f, -0.06f)
                arcToRelative(3.163f, 3.163f, 0.0f, false, true, 1.352f, -2.29f)
                arcToRelative(3.12f, 3.12f, 0.0f, false, true, 0.937f, -0.43f)
                arcToRelative(2.946f, 2.946f, 0.0f, false, true, 0.776f, -0.101f)
                horizontalLineToRelative(0.06f)
                lineToRelative(0.07f, 0.002f)
                lineToRelative(0.045f, 0.003f)
                horizontalLineToRelative(0.026f)
                lineToRelative(0.07f, 0.005f)
                arcToRelative(4.041f, 4.041f, 0.0f, false, true, 1.635f, 0.49f)
                arcToRelative(3.94f, 3.94f, 0.0f, false, true, 1.602f, 1.662f)
                arcToRelative(3.77f, 3.77f, 0.0f, false, true, 0.397f, 1.414f)
                lineToRelative(0.005f, 0.076f)
                lineToRelative(0.003f, 0.075f)
                curveToRelative(0.002f, 0.026f, 0.002f, 0.05f, 0.002f, 0.075f)
                curveToRelative(0.0f, 0.024f, 0.003f, 0.052f, 0.0f, 0.07f)
                verticalLineToRelative(0.065f)
                lineToRelative(-0.002f, 0.073f)
                lineToRelative(-0.008f, 0.174f)
                arcToRelative(6.195f, 6.195f, 0.0f, false, true, -0.08f, 0.639f)
                arcToRelative(5.1f, 5.1f, 0.0f, false, true, -0.267f, 0.927f)
                arcToRelative(5.31f, 5.31f, 0.0f, false, true, -0.624f, 1.13f)
                arcToRelative(5.052f, 5.052f, 0.0f, false, true, -3.237f, 2.014f)
                arcToRelative(4.82f, 4.82f, 0.0f, false, true, -0.649f, 0.066f)
                lineToRelative(-0.039f, 0.003f)
                horizontalLineToRelative(-0.287f)
                arcToRelative(6.607f, 6.607f, 0.0f, false, true, -1.716f, -0.265f)
                arcToRelative(6.776f, 6.776f, 0.0f, false, true, -3.4f, -2.274f)
                arcToRelative(6.75f, 6.75f, 0.0f, false, true, -0.746f, -1.15f)
                arcToRelative(6.616f, 6.616f, 0.0f, false, true, -0.714f, -2.596f)
                lineToRelative(-0.005f, -0.083f)
                lineToRelative(-0.002f, -0.02f)
                verticalLineToRelative(-0.056f)
                lineToRelative(-0.003f, -0.073f)
                verticalLineToRelative(-0.096f)
                lineToRelative(-0.003f, -0.104f)
                verticalLineToRelative(-0.07f)
                lineToRelative(0.003f, -0.163f)
                curveToRelative(0.008f, -0.22f, 0.026f, -0.45f, 0.054f, -0.678f)
                arcToRelative(8.707f, 8.707f, 0.0f, false, true, 0.28f, -1.355f)
                curveToRelative(0.128f, -0.444f, 0.286f, -0.872f, 0.473f, -1.277f)
                arcToRelative(7.04f, 7.04f, 0.0f, false, true, 1.456f, -2.1f)
                arcToRelative(5.925f, 5.925f, 0.0f, false, true, 0.953f, -0.763f)
                curveToRelative(0.169f, -0.111f, 0.343f, -0.213f, 0.524f, -0.306f)
                curveToRelative(0.089f, -0.05f, 0.182f, -0.091f, 0.273f, -0.135f)
                curveToRelative(0.047f, -0.02f, 0.093f, -0.042f, 0.138f, -0.062f)
                arcToRelative(7.177f, 7.177f, 0.0f, false, true, 0.714f, -0.267f)
                lineToRelative(0.145f, -0.045f)
                curveToRelative(0.049f, -0.015f, 0.098f, -0.026f, 0.148f, -0.041f)
                curveToRelative(0.098f, -0.029f, 0.197f, -0.052f, 0.296f, -0.076f)
                curveToRelative(0.049f, -0.013f, 0.1f, -0.02f, 0.15f, -0.033f)
                lineToRelative(0.15f, -0.032f)
                lineToRelative(0.151f, -0.028f)
                lineToRelative(0.076f, -0.013f)
                lineToRelative(0.075f, -0.01f)
                lineToRelative(0.153f, -0.024f)
                curveToRelative(0.057f, -0.01f, 0.114f, -0.013f, 0.171f, -0.023f)
                lineToRelative(0.169f, -0.021f)
                curveToRelative(0.036f, -0.003f, 0.073f, -0.008f, 0.106f, -0.01f)
                lineToRelative(0.073f, -0.008f)
                lineToRelative(0.036f, -0.003f)
                lineToRelative(0.042f, -0.002f)
                curveToRelative(0.057f, -0.003f, 0.114f, -0.008f, 0.171f, -0.01f)
                lineToRelative(0.086f, -0.006f)
                horizontalLineToRelative(0.023f)
                lineToRelative(0.037f, -0.003f)
                lineToRelative(0.145f, -0.007f)
                arcToRelative(7.999f, 7.999f, 0.0f, false, true, 1.708f, 0.125f)
                arcToRelative(7.917f, 7.917f, 0.0f, false, true, 2.048f, 0.68f)
                arcToRelative(8.253f, 8.253f, 0.0f, false, true, 1.672f, 1.09f)
                lineToRelative(0.09f, 0.077f)
                lineToRelative(0.089f, 0.078f)
                curveToRelative(0.06f, 0.052f, 0.114f, 0.107f, 0.171f, 0.159f)
                curveToRelative(0.057f, 0.052f, 0.112f, 0.106f, 0.166f, 0.16f)
                curveToRelative(0.052f, 0.055f, 0.107f, 0.107f, 0.159f, 0.164f)
                arcToRelative(8.671f, 8.671f, 0.0f, false, true, 1.41f, 1.978f)
                curveToRelative(0.012f, 0.026f, 0.028f, 0.052f, 0.04f, 0.078f)
                lineToRelative(0.04f, 0.078f)
                lineToRelative(0.075f, 0.156f)
                curveToRelative(0.023f, 0.051f, 0.05f, 0.1f, 0.07f, 0.153f)
                lineToRelative(0.065f, 0.15f)
                arcToRelative(8.848f, 8.848f, 0.0f, false, true, 0.45f, 1.34f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, false, 0.201f, 0.142f)
                arcToRelative(0.186f, 0.186f, 0.0f, false, false, 0.172f, -0.184f)
                curveToRelative(0.01f, -0.246f, 0.002f, -0.532f, -0.024f, -0.856f)
                close()
            }
        }
        .build()
        return _grafana!!
    }

private var _grafana: ImageVector? = null
