package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Graphql: ImageVector
    get() {
        if (_graphql != null) {
            return _graphql!!
        }
        _graphql = Builder(name = "Graphql", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.051f, 2.751f)
                lineToRelative(4.935f, 2.85f)
                curveToRelative(0.816f, -0.859f, 2.173f, -0.893f, 3.032f, -0.077f)
                curveToRelative(0.148f, 0.14f, 0.274f, 0.301f, 0.377f, 0.477f)
                curveToRelative(0.589f, 1.028f, 0.232f, 2.339f, -0.796f, 2.928f)
                curveToRelative(-0.174f, 0.1f, -0.361f, 0.175f, -0.558f, 0.223f)
                verticalLineToRelative(5.699f)
                curveToRelative(1.146f, 0.273f, 1.854f, 1.423f, 1.58f, 2.569f)
                curveToRelative(-0.048f, 0.204f, -0.127f, 0.4f, -0.232f, 0.581f)
                curveToRelative(-0.592f, 1.023f, -1.901f, 1.374f, -2.927f, 0.782f)
                curveToRelative(-0.196f, -0.113f, -0.375f, -0.259f, -0.526f, -0.429f)
                lineToRelative(-4.905f, 2.832f)
                curveToRelative(0.372f, 1.124f, -0.238f, 2.335f, -1.361f, 2.706f)
                curveToRelative(-0.217f, 0.071f, -0.442f, 0.108f, -0.67f, 0.108f)
                curveToRelative(-1.181f, 0.001f, -2.139f, -0.955f, -2.14f, -2.136f)
                curveToRelative(0.0f, -0.205f, 0.029f, -0.41f, 0.088f, -0.609f)
                lineToRelative(-4.936f, -2.847f)
                curveToRelative(-0.816f, 0.854f, -2.171f, 0.887f, -3.026f, 0.07f)
                curveToRelative(-0.854f, -0.816f, -0.886f, -2.171f, -0.07f, -3.026f)
                curveToRelative(0.283f, -0.297f, 0.646f, -0.506f, 1.044f, -0.603f)
                lineToRelative(0.001f, -5.699f)
                curveToRelative(-1.15f, -0.276f, -1.858f, -1.433f, -1.581f, -2.584f)
                curveToRelative(0.047f, -0.198f, 0.123f, -0.389f, 0.224f, -0.566f)
                curveToRelative(0.592f, -1.024f, 1.902f, -1.374f, 2.927f, -0.782f)
                curveToRelative(0.177f, 0.101f, 0.339f, 0.228f, 0.48f, 0.377f)
                lineToRelative(4.938f, -2.85f)
                curveTo(9.613f, 1.612f, 10.26f, 0.423f, 11.39f, 0.088f)
                curveTo(11.587f, 0.029f, 11.794f, 0.0f, 12.0f, 0.0f)
                curveToRelative(1.181f, -0.001f, 2.139f, 0.954f, 2.14f, 2.134f)
                curveToRelative(0.001f, 0.209f, -0.03f, 0.418f, -0.089f, 0.617f)
                close()
                moveTo(13.536f, 3.628f)
                curveToRelative(-0.019f, 0.021f, -0.037f, 0.039f, -0.058f, 0.058f)
                lineToRelative(6.461f, 11.19f)
                curveToRelative(0.026f, -0.009f, 0.056f, -0.016f, 0.082f, -0.023f)
                lineTo(20.021f, 9.146f)
                curveToRelative(-1.145f, -0.283f, -1.842f, -1.442f, -1.558f, -2.588f)
                curveToRelative(0.006f, -0.024f, 0.012f, -0.049f, 0.019f, -0.072f)
                lineToRelative(-4.946f, -2.858f)
                close()
                moveTo(10.521f, 3.687f)
                lineToRelative(-0.06f, -0.06f)
                lineToRelative(-4.946f, 2.852f)
                curveToRelative(0.327f, 1.135f, -0.327f, 2.318f, -1.461f, 2.645f)
                curveToRelative(-0.026f, 0.008f, -0.051f, 0.014f, -0.076f, 0.021f)
                verticalLineToRelative(5.708f)
                lineToRelative(0.084f, 0.023f)
                lineToRelative(6.461f, -11.19f)
                lineToRelative(-0.002f, 0.001f)
                close()
                moveTo(12.597f, 4.194f)
                curveToRelative(-0.39f, 0.112f, -0.803f, 0.112f, -1.192f, 0.0f)
                lineToRelative(-6.46f, 11.189f)
                curveToRelative(0.294f, 0.283f, 0.502f, 0.645f, 0.6f, 1.041f)
                horizontalLineToRelative(12.911f)
                curveToRelative(0.097f, -0.398f, 0.307f, -0.761f, 0.603f, -1.044f)
                lineTo(12.597f, 4.194f)
                close()
                moveTo(13.583f, 20.421f)
                lineToRelative(4.913f, -2.838f)
                curveToRelative(-0.015f, -0.047f, -0.027f, -0.094f, -0.038f, -0.142f)
                lineTo(5.542f, 17.441f)
                lineToRelative(-0.021f, 0.083f)
                lineToRelative(4.939f, 2.852f)
                curveToRelative(0.388f, -0.404f, 0.934f, -0.653f, 1.54f, -0.653f)
                curveToRelative(0.627f, 0.0f, 1.19f, 0.269f, 1.583f, 0.698f)
                close()
            }
        }
        .build()
        return _graphql!!
    }

private var _graphql: ImageVector? = null
