package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Honda: ImageVector
    get() {
        if (_honda != null) {
            return _honda!!
        }
        _honda = Builder(name = "Honda", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.902f, 6.87f)
                curveToRelative(-0.33f, -3.218f, -2.47f, -3.895f, -4.354f, -4.204f)
                curveToRelative(-0.946f, -0.16f, -2.63f, -0.3f, -3.716f, -0.34f)
                curveToRelative(-0.946f, -0.06f, -3.168f, -0.09f, -3.835f, -0.09f)
                curveToRelative(-0.657f, 0.0f, -2.89f, 0.03f, -3.835f, 0.09f)
                curveToRelative(-1.076f, 0.04f, -2.77f, 0.18f, -3.716f, 0.34f)
                curveTo(2.563f, 2.985f, 0.42f, 3.66f, 0.092f, 6.87f)
                curveToRelative(-0.08f, 0.877f, -0.1f, 2.023f, -0.09f, 3.248f)
                curveToRelative(0.03f, 2.031f, 0.2f, 3.406f, 0.3f, 4.363f)
                curveToRelative(0.07f, 0.657f, 0.338f, 2.62f, 0.687f, 3.636f)
                curveToRelative(0.478f, 1.395f, 0.916f, 1.803f, 1.424f, 2.222f)
                curveToRelative(0.937f, 0.757f, 2.471f, 0.996f, 2.79f, 1.056f)
                curveToRelative(1.733f, 0.31f, 5.24f, 0.368f, 6.784f, 0.368f)
                curveToRelative(1.544f, 0.0f, 5.05f, -0.05f, 6.784f, -0.368f)
                curveToRelative(0.329f, -0.06f, 1.863f, -0.29f, 2.79f, -1.056f)
                curveToRelative(0.508f, -0.419f, 0.946f, -0.827f, 1.424f, -2.222f)
                curveToRelative(0.35f, -1.016f, 0.628f, -2.979f, 0.698f, -3.636f)
                curveToRelative(0.1f, -0.957f, 0.279f, -2.332f, 0.299f, -4.363f)
                curveToRelative(0.04f, -1.225f, 0.01f, -2.371f, -0.08f, -3.248f)
                moveToRelative(-1.176f, 5.4f)
                curveToRelative(-0.19f, 2.57f, -0.418f, 4.104f, -0.747f, 5.22f)
                curveToRelative(-0.29f, 0.976f, -0.637f, 1.623f, -1.165f, 2.092f)
                curveToRelative(-0.867f, 0.787f, -2.063f, 0.956f, -2.76f, 1.056f)
                curveToRelative(-1.514f, 0.23f, -4.055f, 0.3f, -6.057f, 0.3f)
                curveToRelative(-2.002f, 0.0f, -4.543f, -0.08f, -6.057f, -0.3f)
                curveToRelative(-0.697f, -0.1f, -1.893f, -0.269f, -2.76f, -1.056f)
                curveToRelative(-0.518f, -0.469f, -0.876f, -1.126f, -1.155f, -2.093f)
                curveToRelative(-0.329f, -1.105f, -0.558f, -2.65f, -0.747f, -5.22f)
                curveToRelative(-0.11f, -1.543f, -0.09f, -4.054f, 0.08f, -5.4f)
                curveToRelative(0.258f, -2.011f, 1.255f, -3.018f, 3.387f, -3.396f)
                curveToRelative(0.996f, -0.18f, 2.34f, -0.31f, 3.606f, -0.37f)
                curveToRelative(1.016f, -0.07f, 2.7f, -0.1f, 3.636f, -0.09f)
                curveToRelative(0.936f, -0.01f, 2.62f, 0.03f, 3.636f, 0.09f)
                curveToRelative(1.275f, 0.06f, 2.61f, 0.19f, 3.606f, 0.37f)
                curveToRelative(2.142f, 0.378f, 3.139f, 1.395f, 3.388f, 3.397f)
                curveToRelative(0.199f, 1.345f, 0.229f, 3.856f, 0.11f, 5.4f)
                moveToRelative(-5.202f, -8.39f)
                curveToRelative(-0.548f, 2.462f, -0.767f, 3.588f, -1.216f, 5.37f)
                curveToRelative(-0.428f, 1.715f, -0.767f, 3.298f, -1.335f, 4.065f)
                curveToRelative(-0.587f, 0.777f, -1.365f, 0.947f, -1.893f, 1.006f)
                curveToRelative(-0.279f, 0.03f, -0.478f, 0.04f, -1.066f, 0.05f)
                curveToRelative(-0.596f, 0.0f, -0.796f, -0.02f, -1.075f, -0.05f)
                curveToRelative(-0.528f, -0.06f, -1.315f, -0.229f, -1.892f, -1.006f)
                curveToRelative(-0.578f, -0.767f, -0.907f, -2.35f, -1.335f, -4.064f)
                curveToRelative(-0.47f, -1.773f, -0.678f, -2.91f, -1.236f, -5.37f)
                curveToRelative(0.0f, 0.0f, -0.548f, 0.02f, -0.797f, 0.04f)
                curveToRelative(-0.329f, 0.02f, -0.588f, 0.05f, -0.867f, 0.09f)
                curveToRelative(0.343f, 5.372f, 0.692f, 11.079f, 1.126f, 16.13f)
                arcToRelative(21.983f, 21.983f, 0.0f, false, false, 2.39f, 0.169f)
                curveToRelative(0.33f, -1.266f, 0.748f, -3.02f, 1.207f, -3.767f)
                curveToRelative(0.378f, -0.608f, 0.966f, -0.677f, 1.295f, -0.717f)
                curveToRelative(0.518f, -0.07f, 0.956f, -0.08f, 1.165f, -0.08f)
                curveToRelative(0.2f, -0.01f, 0.637f, 0.0f, 1.165f, 0.08f)
                curveToRelative(0.33f, 0.05f, 0.917f, 0.11f, 1.295f, 0.717f)
                curveToRelative(0.47f, 0.747f, 0.877f, 2.5f, 1.206f, 3.766f)
                curveToRelative(0.0f, 0.0f, 0.358f, -0.01f, 1.165f, -0.05f)
                curveToRelative(0.41f, -0.018f, 0.82f, -0.058f, 1.226f, -0.12f)
                curveToRelative(0.458f, -5.39f, 0.785f, -10.728f, 1.126f, -16.128f)
                curveToRelative(-0.28f, -0.04f, -0.538f, -0.07f, -0.867f, -0.09f)
                curveToRelative(-0.23f, -0.02f, -0.787f, -0.04f, -0.787f, -0.04f)
                close()
            }
        }
        .build()
        return _honda!!
    }

private var _honda: ImageVector? = null
