package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Huawei: ImageVector
    get() {
        if (_huawei != null) {
            return _huawei!!
        }
        _huawei = Builder(name = "Huawei", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.67f, 6.14f)
                reflectiveCurveTo(1.82f, 7.91f, 1.72f, 9.78f)
                verticalLineToRelative(0.35f)
                curveToRelative(0.08f, 1.51f, 1.22f, 2.4f, 1.22f, 2.4f)
                curveToRelative(1.83f, 1.79f, 6.26f, 4.04f, 7.3f, 4.55f)
                curveToRelative(0.0f, 0.0f, 0.06f, 0.03f, 0.1f, -0.01f)
                lineToRelative(0.02f, -0.04f)
                verticalLineToRelative(-0.04f)
                curveTo(7.52f, 10.8f, 3.67f, 6.14f, 3.67f, 6.14f)
                close()
                moveTo(9.65f, 18.6f)
                curveToRelative(-0.02f, -0.08f, -0.1f, -0.08f, -0.1f, -0.08f)
                lineToRelative(-7.38f, 0.26f)
                curveToRelative(0.8f, 1.43f, 2.15f, 2.53f, 3.56f, 2.2f)
                curveToRelative(0.96f, -0.25f, 3.16f, -1.78f, 3.88f, -2.3f)
                curveToRelative(0.06f, -0.05f, 0.04f, -0.09f, 0.04f, -0.09f)
                close()
                moveTo(9.73f, 17.82f)
                curveTo(6.49f, 15.63f, 0.21f, 12.28f, 0.21f, 12.28f)
                curveToRelative(-0.15f, 0.46f, -0.2f, 0.9f, -0.21f, 1.3f)
                verticalLineToRelative(0.07f)
                curveToRelative(0.0f, 1.07f, 0.4f, 1.82f, 0.4f, 1.82f)
                curveToRelative(0.8f, 1.69f, 2.34f, 2.2f, 2.34f, 2.2f)
                curveToRelative(0.7f, 0.3f, 1.4f, 0.31f, 1.4f, 0.31f)
                curveToRelative(0.12f, 0.02f, 4.4f, 0.0f, 5.54f, 0.0f)
                curveToRelative(0.05f, 0.0f, 0.08f, -0.05f, 0.08f, -0.05f)
                verticalLineToRelative(-0.06f)
                curveToRelative(0.0f, -0.03f, -0.03f, -0.05f, -0.03f, -0.05f)
                close()
                moveTo(9.06f, 3.19f)
                arcToRelative(3.42f, 3.42f, 0.0f, false, false, -2.57f, 3.15f)
                verticalLineToRelative(0.41f)
                curveToRelative(0.03f, 0.6f, 0.16f, 1.05f, 0.16f, 1.05f)
                curveToRelative(0.66f, 2.9f, 3.86f, 7.65f, 4.55f, 8.65f)
                curveToRelative(0.05f, 0.05f, 0.1f, 0.03f, 0.1f, 0.03f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, false, 0.06f, -0.1f)
                curveToRelative(1.06f, -10.6f, -1.11f, -13.42f, -1.11f, -13.42f)
                curveToRelative(-0.32f, 0.02f, -1.19f, 0.23f, -1.19f, 0.23f)
                close()
                moveTo(17.359f, 5.46f)
                reflectiveCurveToRelative(-0.49f, -1.8f, -2.44f, -2.28f)
                curveToRelative(0.0f, 0.0f, -0.57f, -0.14f, -1.17f, -0.22f)
                curveToRelative(0.0f, 0.0f, -2.18f, 2.81f, -1.12f, 13.43f)
                curveToRelative(0.01f, 0.07f, 0.06f, 0.08f, 0.06f, 0.08f)
                curveToRelative(0.07f, 0.03f, 0.1f, -0.03f, 0.1f, -0.03f)
                curveToRelative(0.72f, -1.03f, 3.9f, -5.76f, 4.55f, -8.64f)
                curveToRelative(0.0f, 0.0f, 0.36f, -1.4f, 0.02f, -2.34f)
                close()
                moveTo(14.439f, 18.53f)
                reflectiveCurveToRelative(-0.07f, 0.0f, -0.09f, 0.05f)
                curveToRelative(0.0f, 0.0f, -0.01f, 0.07f, 0.03f, 0.1f)
                curveToRelative(0.7f, 0.51f, 2.85f, 2.0f, 3.88f, 2.3f)
                curveToRelative(0.0f, 0.0f, 0.16f, 0.05f, 0.43f, 0.06f)
                horizontalLineToRelative(0.14f)
                curveToRelative(0.69f, -0.02f, 1.9f, -0.37f, 3.0f, -2.26f)
                lineToRelative(-7.4f, -0.25f)
                close()
                moveTo(22.269f, 10.12f)
                curveToRelative(0.14f, -2.06f, -1.94f, -3.97f, -1.94f, -3.98f)
                curveToRelative(0.0f, 0.0f, -3.85f, 4.66f, -6.67f, 10.8f)
                curveToRelative(0.0f, 0.0f, -0.03f, 0.08f, 0.02f, 0.13f)
                lineToRelative(0.04f, 0.01f)
                horizontalLineToRelative(0.06f)
                curveToRelative(1.06f, -0.53f, 5.46f, -2.77f, 7.28f, -4.54f)
                curveToRelative(0.0f, 0.0f, 1.15f, -0.93f, 1.21f, -2.42f)
                close()
                moveTo(23.789f, 12.26f)
                reflectiveCurveToRelative(-6.28f, 3.37f, -9.52f, 5.55f)
                curveToRelative(0.0f, 0.0f, -0.05f, 0.04f, -0.03f, 0.11f)
                curveToRelative(0.0f, 0.0f, 0.03f, 0.06f, 0.07f, 0.06f)
                curveToRelative(1.16f, 0.0f, 5.56f, 0.0f, 5.67f, -0.02f)
                curveToRelative(0.0f, 0.0f, 0.57f, -0.02f, 1.27f, -0.29f)
                curveToRelative(0.0f, 0.0f, 1.56f, -0.5f, 2.37f, -2.27f)
                curveToRelative(0.0f, 0.0f, 0.73f, -1.45f, 0.17f, -3.14f)
                close()
            }
        }
        .build()
        return _huawei!!
    }

private var _huawei: ImageVector? = null
