package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Intel: ImageVector
    get() {
        if (_intel != null) {
            return _intel!!
        }
        _intel = Builder(name = "Intel", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.42f, 7.345f)
                verticalLineToRelative(9.18f)
                horizontalLineToRelative(1.651f)
                verticalLineToRelative(-9.18f)
                close()
                moveTo(0.0f, 7.475f)
                verticalLineToRelative(1.737f)
                horizontalLineToRelative(1.737f)
                lineTo(1.737f, 7.474f)
                close()
                moveTo(9.78f, 7.827f)
                verticalLineToRelative(6.053f)
                curveToRelative(0.0f, 0.513f, 0.044f, 0.945f, 0.13f, 1.292f)
                curveToRelative(0.087f, 0.34f, 0.235f, 0.618f, 0.44f, 0.828f)
                curveToRelative(0.203f, 0.21f, 0.475f, 0.359f, 0.803f, 0.451f)
                curveToRelative(0.334f, 0.093f, 0.754f, 0.136f, 1.255f, 0.136f)
                horizontalLineToRelative(0.216f)
                verticalLineToRelative(-1.533f)
                curveToRelative(-0.24f, 0.0f, -0.445f, -0.012f, -0.593f, -0.037f)
                arcToRelative(0.672f, 0.672f, 0.0f, false, true, -0.39f, -0.173f)
                arcToRelative(0.693f, 0.693f, 0.0f, false, true, -0.173f, -0.377f)
                arcToRelative(4.002f, 4.002f, 0.0f, false, true, -0.037f, -0.606f)
                verticalLineToRelative(-2.182f)
                horizontalLineToRelative(1.193f)
                verticalLineToRelative(-1.416f)
                horizontalLineToRelative(-1.193f)
                lineTo(11.431f, 7.827f)
                close()
                moveTo(6.275f, 10.139f)
                curveToRelative(-0.396f, 0.0f, -0.76f, 0.08f, -1.082f, 0.241f)
                curveToRelative(-0.327f, 0.161f, -0.6f, 0.384f, -0.822f, 0.668f)
                lineToRelative(-0.087f, 0.117f)
                verticalLineToRelative(-0.902f)
                lineTo(2.658f, 10.263f)
                verticalLineToRelative(6.256f)
                horizontalLineToRelative(1.639f)
                verticalLineToRelative(-3.214f)
                curveToRelative(0.018f, -0.588f, 0.16f, -1.02f, 0.433f, -1.299f)
                curveToRelative(0.29f, -0.297f, 0.642f, -0.445f, 1.044f, -0.445f)
                curveToRelative(0.476f, 0.0f, 0.841f, 0.149f, 1.082f, 0.433f)
                curveToRelative(0.235f, 0.284f, 0.359f, 0.686f, 0.359f, 1.2f)
                verticalLineToRelative(3.324f)
                horizontalLineToRelative(1.663f)
                lineTo(8.878f, 12.97f)
                curveToRelative(0.006f, -0.89f, -0.229f, -1.595f, -0.686f, -2.09f)
                curveToRelative(-0.458f, -0.495f, -1.1f, -0.742f, -1.917f, -0.742f)
                close()
                moveTo(16.34f, 10.145f)
                arcToRelative(3.252f, 3.252f, 0.0f, false, false, -2.306f, 0.946f)
                curveToRelative(-0.29f, 0.29f, -0.525f, 0.637f, -0.692f, 1.033f)
                arcToRelative(3.145f, 3.145f, 0.0f, false, false, -0.254f, 1.273f)
                curveToRelative(0.0f, 0.452f, 0.08f, 0.878f, 0.241f, 1.274f)
                curveToRelative(0.161f, 0.395f, 0.39f, 0.742f, 0.674f, 1.032f)
                curveToRelative(0.284f, 0.29f, 0.637f, 0.526f, 1.045f, 0.693f)
                curveToRelative(0.408f, 0.173f, 0.86f, 0.26f, 1.342f, 0.26f)
                curveToRelative(1.397f, 0.0f, 2.262f, -0.637f, 2.782f, -1.23f)
                lineToRelative(-1.187f, -0.904f)
                curveToRelative(-0.248f, 0.297f, -0.841f, 0.699f, -1.583f, 0.699f)
                curveToRelative(-0.464f, 0.0f, -0.847f, -0.105f, -1.138f, -0.321f)
                arcToRelative(1.588f, 1.588f, 0.0f, false, true, -0.593f, -0.872f)
                lineToRelative(-0.019f, -0.056f)
                horizontalLineToRelative(4.915f)
                verticalLineToRelative(-0.587f)
                curveToRelative(0.0f, -0.451f, -0.08f, -0.872f, -0.235f, -1.267f)
                arcToRelative(3.393f, 3.393f, 0.0f, false, false, -0.661f, -1.033f)
                arcToRelative(3.013f, 3.013f, 0.0f, false, false, -1.02f, -0.692f)
                arcToRelative(3.345f, 3.345f, 0.0f, false, false, -1.311f, -0.248f)
                close()
                moveTo(0.043f, 10.263f)
                verticalLineToRelative(6.256f)
                horizontalLineToRelative(1.651f)
                verticalLineToRelative(-6.256f)
                close()
                moveTo(16.321f, 11.549f)
                curveToRelative(1.132f, 0.0f, 1.664f, 0.797f, 1.664f, 1.255f)
                lineToRelative(-3.32f, 0.006f)
                curveToRelative(0.0f, -0.458f, 0.525f, -1.255f, 1.656f, -1.261f)
                close()
                moveTo(23.394f, 15.363f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, -0.606f, 0.606f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, 0.606f, 0.606f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, 0.606f, -0.606f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, -0.606f, -0.606f)
                close()
                moveTo(23.386f, 15.468f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, 0.002f, 0.0f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, 0.5f, 0.501f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, -0.5f, 0.5f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, -0.5f, -0.5f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, 0.498f, -0.5f)
                close()
                moveTo(23.153f, 15.623f)
                verticalLineToRelative(0.699f)
                horizontalLineToRelative(0.13f)
                verticalLineToRelative(-0.285f)
                horizontalLineToRelative(0.093f)
                lineToRelative(0.173f, 0.285f)
                horizontalLineToRelative(0.136f)
                lineToRelative(-0.18f, -0.297f)
                arcToRelative(0.191f, 0.191f, 0.0f, false, false, 0.118f, -0.056f)
                curveToRelative(0.03f, -0.03f, 0.05f, -0.074f, 0.05f, -0.136f)
                curveToRelative(0.0f, -0.068f, -0.02f, -0.117f, -0.063f, -0.154f)
                curveToRelative(-0.037f, -0.038f, -0.105f, -0.056f, -0.185f, -0.056f)
                close()
                moveTo(23.283f, 15.722f)
                horizontalLineToRelative(0.154f)
                curveToRelative(0.019f, 0.0f, 0.037f, 0.006f, 0.056f, 0.012f)
                arcToRelative(0.064f, 0.064f, 0.0f, false, true, 0.037f, 0.031f)
                curveToRelative(0.013f, 0.013f, 0.012f, 0.031f, 0.012f, 0.056f)
                arcToRelative(0.124f, 0.124f, 0.0f, false, true, -0.012f, 0.055f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, true, -0.037f, 0.031f)
                curveToRelative(-0.019f, 0.006f, -0.037f, 0.013f, -0.056f, 0.013f)
                horizontalLineToRelative(-0.154f)
                close()
            }
        }
        .build()
        return _intel!!
    }

private var _intel: ImageVector? = null
