package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jameson: ImageVector
    get() {
        if (_jameson != null) {
            return _jameson!!
        }
        _jameson = Builder(name = "Jameson", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.81f, 17.564f)
                curveToRelative(-0.405f, 1.031f, -1.007f, 2.505f, -1.683f, 3.574f)
                curveToRelative(0.0f, 0.012f, 0.0f, 0.024f, 0.013f, 0.012f)
                curveToRelative(0.737f, -0.59f, 1.486f, -1.732f, 1.891f, -2.763f)
                curveToRelative(0.258f, -0.651f, 0.823f, -2.002f, 1.044f, -2.223f)
                curveToRelative(0.013f, -0.013f, 0.0f, -0.025f, -0.012f, -0.037f)
                curveToRelative(-0.43f, -0.123f, -1.339f, -0.234f, -1.867f, -2.236f)
                curveToRelative(0.0f, 0.0f, -2.678f, -9.985f, -3.046f, -11.385f)
                curveToRelative(-0.295f, -1.094f, -0.037f, -1.757f, 0.356f, -2.199f)
                curveToRelative(0.012f, -0.012f, 0.0f, -0.025f, -0.012f, -0.012f)
                curveToRelative(-0.712f, 0.22f, -1.191f, 1.29f, -0.86f, 2.505f)
                curveToRelative(0.369f, 1.388f, 3.01f, 11.226f, 3.01f, 11.226f)
                curveToRelative(0.171f, 0.651f, 0.405f, 1.167f, 0.663f, 1.536f)
                curveToRelative(0.258f, 0.368f, 0.614f, 0.638f, 0.97f, 0.712f)
                curveToRelative(0.037f, 0.012f, 0.086f, 0.012f, 0.123f, 0.012f)
                curveToRelative(0.012f, 0.0f, 0.024f, 0.025f, 0.012f, 0.037f)
                curveToRelative(-0.025f, 0.013f, -0.037f, 0.037f, -0.061f, 0.062f)
                curveToRelative(-0.172f, 0.208f, -0.357f, 0.65f, -0.553f, 1.154f)
                close()
                moveTo(14.352f, 0.024f)
                lineToRelative(0.012f, 0.05f)
                verticalLineToRelative(0.012f)
                curveToRelative(-0.59f, 0.405f, -1.167f, 1.486f, -0.835f, 2.727f)
                curveToRelative(0.368f, 1.388f, 1.94f, 7.246f, 2.493f, 9.285f)
                lineToRelative(0.602f, 2.223f)
                curveToRelative(0.368f, 1.4f, 0.897f, 2.174f, 1.621f, 2.272f)
                curveToRelative(0.0f, 0.0f, 0.012f, 0.0f, 0.012f, 0.013f)
                lineToRelative(0.025f, 0.049f)
                verticalLineToRelative(0.012f)
                curveToRelative(-0.368f, 0.369f, -0.676f, 1.265f, -1.069f, 2.1f)
                curveToRelative(-0.393f, 0.848f, -1.215f, 3.415f, -4.36f, 4.619f)
                curveToRelative(-3.427f, 1.302f, -6.902f, 0.479f, -8.364f, -1.941f)
                curveToRelative(-0.958f, -1.572f, -0.725f, -3.734f, 0.835f, -4.606f)
                curveToRelative(1.351f, -0.761f, 2.813f, -0.258f, 3.366f, 0.86f)
                curveToRelative(0.528f, 1.08f, 0.16f, 2.235f, -0.27f, 2.616f)
                curveToRelative(-0.087f, 0.074f, 0.0f, 0.233f, 0.208f, 0.368f)
                curveToRelative(0.909f, 0.627f, 1.953f, 0.59f, 2.948f, 0.062f)
                curveToRelative(1.277f, -0.676f, 1.744f, -1.842f, 1.068f, -4.323f)
                curveToRelative(-0.54f, -2.04f, -2.972f, -11.08f, -3.34f, -12.48f)
                curveToRelative(-0.332f, -1.24f, -1.376f, -1.89f, -2.088f, -1.94f)
                curveToRelative(0.0f, 0.0f, -0.013f, 0.0f, -0.013f, -0.012f)
                lineToRelative(-0.012f, -0.05f)
                reflectiveCurveToRelative(0.0f, -0.012f, 0.012f, -0.012f)
                lineTo(14.39f, 0.0f)
                reflectiveCurveToRelative(0.012f, 0.0f, 0.012f, 0.012f)
                close()
                moveTo(9.795f, 20.083f)
                curveToRelative(0.16f, 0.086f, 0.356f, 0.11f, 0.54f, 0.073f)
                curveToRelative(0.013f, 0.0f, 0.013f, -0.012f, 0.013f, -0.012f)
                arcToRelative(3.249f, 3.249f, 0.0f, false, false, -0.172f, -2.493f)
                curveToRelative(-0.369f, -0.75f, -0.91f, -1.192f, -1.523f, -1.4f)
                curveToRelative(-0.013f, 0.0f, -0.013f, 0.012f, -0.013f, 0.012f)
                curveToRelative(0.393f, 0.27f, 0.725f, 0.639f, 0.958f, 1.105f)
                curveToRelative(0.443f, 0.91f, 0.43f, 1.88f, 0.16f, 2.629f)
                arcToRelative(0.06f, 0.06f, 0.0f, false, false, 0.025f, 0.073f)
                close()
            }
        }
        .build()
        return _jameson!!
    }

private var _jameson: ImageVector? = null
