package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jsdelivr: ImageVector
    get() {
        if (_jsdelivr != null) {
            return _jsdelivr!!
        }
        _jsdelivr = Builder(name = "Jsdelivr", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.851f, 0.0f)
                lineTo(0.811f, 4.02f)
                lineToRelative(1.56f, 14.7f)
                lineTo(11.85f, 24.0f)
                lineToRelative(9.6f, -5.28f)
                lineToRelative(1.74f, -14.76f)
                close()
                moveTo(11.913f, 4.622f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, 2.666f, 0.572f)
                arcToRelative(12.507f, 12.507f, 0.0f, false, false, -2.59f, 1.95f)
                curveToRelative(-0.045f, -0.02f, -0.092f, -0.031f, -0.138f, -0.045f)
                arcToRelative(1.181f, 1.181f, 0.0f, false, false, -0.346f, -0.056f)
                curveToRelative(-0.071f, 0.0f, -0.141f, 0.01f, -0.21f, 0.021f)
                arcToRelative(8.91f, 8.91f, 0.0f, false, true, -0.615f, -2.318f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, 1.171f, -0.122f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, 0.062f, -0.002f)
                close()
                moveTo(9.923f, 4.934f)
                arcToRelative(9.763f, 9.763f, 0.0f, false, false, 0.69f, 2.504f)
                arcToRelative(1.213f, 1.213f, 0.0f, false, false, -0.328f, 0.825f)
                arcToRelative(1.202f, 1.202f, 0.0f, false, false, 0.18f, 0.63f)
                curveToRelative(-0.937f, 1.294f, -1.656f, 2.803f, -1.905f, 4.31f)
                curveToRelative(-0.01f, 0.056f, -0.013f, 0.11f, -0.02f, 0.166f)
                curveToRelative(-0.282f, 0.09f, -0.515f, 0.284f, -0.656f, 0.54f)
                curveToRelative(-0.987f, -0.333f, -1.885f, -0.968f, -2.615f, -2.022f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, -0.026f, -0.515f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, 4.68f, -6.438f)
                close()
                moveTo(15.43f, 5.643f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, 2.53f, 2.9f)
                curveToRelative(-0.377f, 0.953f, -1.049f, 1.892f, -1.893f, 2.727f)
                arcToRelative(1.242f, 1.242f, 0.0f, false, false, -0.644f, -0.184f)
                arcToRelative(1.243f, 1.243f, 0.0f, false, false, -0.768f, 0.27f)
                curveToRelative(-0.462f, -0.354f, -0.91f, -0.737f, -1.318f, -1.168f)
                curveToRelative(-0.333f, -0.35f, -0.637f, -0.73f, -0.921f, -1.123f)
                curveToRelative(0.19f, -0.215f, 0.31f, -0.494f, 0.31f, -0.802f)
                curveToRelative(0.0f, -0.212f, -0.061f, -0.41f, -0.159f, -0.586f)
                curveToRelative(1.058f, -1.008f, 2.112f, -1.67f, 2.863f, -2.034f)
                close()
                moveTo(11.505f, 7.625f)
                arcToRelative(0.624f, 0.624f, 0.0f, false, true, 0.346f, 0.114f)
                arcToRelative(0.624f, 0.624f, 0.0f, false, true, 0.292f, 0.524f)
                arcToRelative(0.624f, 0.624f, 0.0f, false, true, -0.292f, 0.524f)
                arcToRelative(0.626f, 0.626f, 0.0f, false, true, -0.346f, 0.113f)
                arcToRelative(0.634f, 0.634f, 0.0f, false, true, -0.638f, -0.637f)
                curveToRelative(0.0f, -0.355f, 0.283f, -0.638f, 0.638f, -0.638f)
                close()
                moveTo(11.064f, 9.396f)
                arcToRelative(1.205f, 1.205f, 0.0f, false, false, 0.675f, 0.062f)
                curveToRelative(0.036f, 0.05f, 0.075f, 0.097f, 0.112f, 0.148f)
                arcToRelative(11.438f, 11.438f, 0.0f, false, false, 0.921f, 1.119f)
                arcToRelative(12.103f, 12.103f, 0.0f, false, false, 1.446f, 1.277f)
                curveToRelative(-0.032f, 0.11f, -0.054f, 0.224f, -0.054f, 0.342f)
                arcToRelative(1.236f, 1.236f, 0.0f, false, false, 0.066f, 0.38f)
                arcToRelative(9.91f, 9.91f, 0.0f, false, true, -2.118f, 1.042f)
                curveToRelative(-0.087f, 0.029f, -0.173f, 0.052f, -0.261f, 0.078f)
                arcToRelative(7.735f, 7.735f, 0.0f, false, true, -1.87f, 0.332f)
                arcToRelative(1.15f, 1.15f, 0.0f, false, false, -0.66f, -0.773f)
                curveToRelative(0.004f, -0.024f, 0.005f, -0.049f, 0.01f, -0.073f)
                curveToRelative(0.219f, -1.333f, 0.873f, -2.73f, 1.733f, -3.934f)
                close()
                moveTo(18.336f, 9.586f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, 0.245f, 1.786f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, -0.259f, 1.856f)
                arcToRelative(9.993f, 9.993f, 0.0f, false, true, -1.666f, -0.63f)
                arcToRelative(1.243f, 1.243f, 0.0f, false, false, -0.065f, -0.713f)
                arcToRelative(9.434f, 9.434f, 0.0f, false, false, 1.745f, -2.3f)
                close()
                moveTo(15.423f, 11.687f)
                curveToRelative(0.367f, 0.0f, 0.657f, 0.291f, 0.657f, 0.658f)
                reflectiveCurveToRelative(-0.291f, 0.657f, -0.657f, 0.657f)
                curveToRelative(-0.367f, 0.0f, -0.658f, -0.29f, -0.658f, -0.657f)
                reflectiveCurveToRelative(0.29f, -0.658f, 0.658f, -0.658f)
                close()
                moveTo(16.26f, 13.277f)
                arcToRelative(10.79f, 10.79f, 0.0f, false, false, 1.802f, 0.688f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, -6.149f, 4.157f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, -0.062f, -0.004f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, -0.042f, 0.0f)
                curveToRelative(-0.087f, -0.042f, -0.168f, -0.08f, -0.266f, -0.129f)
                curveToRelative(-0.312f, -0.154f, -0.667f, -0.352f, -0.846f, -0.5f)
                arcToRelative(3.796f, 3.796f, 0.0f, false, true, -1.294f, -2.03f)
                curveToRelative(0.21f, -0.111f, 0.38f, -0.284f, 0.487f, -0.495f)
                arcToRelative(8.428f, 8.428f, 0.0f, false, false, 1.96f, -0.306f)
                arcToRelative(9.11f, 9.11f, 0.0f, false, false, 0.513f, -0.154f)
                arcToRelative(11.083f, 11.083f, 0.0f, false, false, 2.341f, -1.13f)
                curveToRelative(0.205f, 0.143f, 0.452f, 0.23f, 0.719f, 0.23f)
                arcToRelative(1.248f, 1.248f, 0.0f, false, false, 0.837f, -0.328f)
                close()
                moveTo(5.553f, 13.393f)
                arcToRelative(5.761f, 5.761f, 0.0f, false, false, 2.212f, 1.298f)
                arcToRelative(1.146f, 1.146f, 0.0f, false, false, 0.857f, 0.87f)
                arcToRelative(4.602f, 4.602f, 0.0f, false, false, 1.24f, 2.222f)
                arcToRelative(6.668f, 6.75f, 0.0f, false, true, -4.31f, -4.39f)
                close()
                moveTo(8.88f, 13.857f)
                curveToRelative(0.331f, 0.0f, 0.595f, 0.263f, 0.595f, 0.596f)
                reflectiveCurveToRelative(-0.264f, 0.595f, -0.595f, 0.595f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.596f, -0.595f)
                arcToRelative(0.591f, 0.591f, 0.0f, false, true, 0.596f, -0.596f)
                close()
            }
        }
        .build()
        return _jsdelivr!!
    }

private var _jsdelivr: ImageVector? = null
