package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Microsoftsharepoint: ImageVector
    get() {
        if (_microsoftsharepoint != null) {
            return _microsoftsharepoint!!
        }
        _microsoftsharepoint = Builder(name = "Microsoftsharepoint", defaultWidth = 24.0.dp,
                defaultHeight = 24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(24.0f, 13.5f)
                quadToRelative(0.0f, 1.242f, -0.475f, 2.332f)
                quadToRelative(-0.474f, 1.09f, -1.289f, 1.904f)
                quadToRelative(-0.814f, 0.815f, -1.904f, 1.29f)
                quadToRelative(-1.09f, 0.474f, -2.332f, 0.474f)
                quadToRelative(-0.762f, 0.0f, -1.523f, -0.2f)
                quadToRelative(-0.106f, 0.997f, -0.557f, 1.858f)
                quadToRelative(-0.451f, 0.862f, -1.154f, 1.494f)
                quadToRelative(-0.704f, 0.633f, -1.606f, 0.99f)
                quadToRelative(-0.902f, 0.358f, -1.91f, 0.358f)
                quadToRelative(-1.09f, 0.0f, -2.045f, -0.416f)
                quadToRelative(-0.955f, -0.416f, -1.664f, -1.125f)
                quadToRelative(-0.709f, -0.709f, -1.125f, -1.664f)
                quadTo(6.0f, 19.84f, 6.0f, 18.75f)
                quadToRelative(0.0f, -0.188f, 0.018f, -0.375f)
                quadToRelative(0.017f, -0.188f, 0.04f, -0.375f)
                lineTo(0.997f, 18.0f)
                quadToRelative(-0.41f, 0.0f, -0.703f, -0.293f)
                reflectiveQuadTo(0.0f, 17.004f)
                lineTo(0.0f, 6.996f)
                quadToRelative(0.0f, -0.41f, 0.293f, -0.703f)
                reflectiveQuadTo(0.996f, 6.0f)
                horizontalLineToRelative(3.54f)
                quadToRelative(0.14f, -1.277f, 0.726f, -2.373f)
                quadToRelative(0.586f, -1.096f, 1.488f, -1.904f)
                quadTo(7.652f, 0.914f, 8.807f, 0.457f)
                quadTo(9.96f, 0.0f, 11.25f, 0.0f)
                quadToRelative(1.395f, 0.0f, 2.625f, 0.533f)
                reflectiveQuadTo(16.02f, 1.98f)
                quadToRelative(0.914f, 0.915f, 1.447f, 2.145f)
                reflectiveQuadTo(18.0f, 6.75f)
                quadToRelative(0.0f, 0.188f, -0.012f, 0.375f)
                quadToRelative(-0.011f, 0.188f, -0.035f, 0.375f)
                quadToRelative(1.242f, 0.0f, 2.344f, 0.469f)
                quadToRelative(1.101f, 0.468f, 1.928f, 1.277f)
                quadToRelative(0.826f, 0.809f, 1.3f, 1.904f)
                quadTo(24.0f, 12.246f, 24.0f, 13.5f)
                close()
                moveTo(11.25f, 1.5f)
                quadToRelative(-0.973f, 0.0f, -1.857f, 0.34f)
                quadToRelative(-0.885f, 0.34f, -1.577f, 0.943f)
                quadToRelative(-0.691f, 0.604f, -1.154f, 1.43f)
                quadTo(6.2f, 5.039f, 6.06f, 6.0f)
                horizontalLineToRelative(4.945f)
                quadToRelative(0.41f, 0.0f, 0.703f, 0.293f)
                reflectiveQuadToRelative(0.293f, 0.703f)
                verticalLineToRelative(4.945f)
                lineToRelative(0.21f, -0.035f)
                quadToRelative(0.212f, -0.75f, 0.61f, -1.424f)
                quadToRelative(0.399f, -0.673f, 0.944f, -1.218f)
                quadToRelative(0.545f, -0.545f, 1.213f, -0.944f)
                quadToRelative(0.668f, -0.398f, 1.43f, -0.61f)
                quadToRelative(0.093f, -0.503f, 0.093f, -0.96f)
                quadToRelative(0.0f, -1.09f, -0.416f, -2.045f)
                quadToRelative(-0.416f, -0.955f, -1.125f, -1.664f)
                quadToRelative(-0.709f, -0.709f, -1.664f, -1.125f)
                quadTo(12.34f, 1.5f, 11.25f, 1.5f)
                close()
                moveTo(6.117f, 15.902f)
                quadToRelative(0.54f, 0.0f, 1.06f, -0.111f)
                quadToRelative(0.522f, -0.111f, 0.932f, -0.37f)
                quadToRelative(0.41f, -0.257f, 0.662f, -0.679f)
                quadToRelative(0.252f, -0.422f, 0.252f, -1.055f)
                quadToRelative(0.0f, -0.632f, -0.263f, -1.054f)
                quadToRelative(-0.264f, -0.422f, -0.662f, -0.703f)
                quadToRelative(-0.399f, -0.282f, -0.856f, -0.463f)
                lineToRelative(-0.855f, -0.34f)
                quadToRelative(-0.399f, -0.158f, -0.662f, -0.334f)
                quadToRelative(-0.264f, -0.176f, -0.264f, -0.445f)
                quadToRelative(0.0f, -0.2f, 0.14f, -0.323f)
                quadToRelative(0.141f, -0.123f, 0.335f, -0.193f)
                quadToRelative(0.193f, -0.07f, 0.404f, -0.094f)
                quadToRelative(0.21f, -0.023f, 0.351f, -0.023f)
                quadToRelative(0.598f, 0.0f, 1.055f, 0.152f)
                quadToRelative(0.457f, 0.153f, 0.95f, 0.457f)
                lineTo(8.696f, 8.543f)
                quadToRelative(-0.282f, -0.082f, -0.522f, -0.14f)
                quadToRelative(-0.24f, -0.06f, -0.475f, -0.1f)
                quadToRelative(-0.234f, -0.041f, -0.486f, -0.059f)
                quadToRelative(-0.252f, -0.017f, -0.557f, -0.017f)
                quadToRelative(-0.515f, 0.0f, -1.054f, 0.117f)
                quadToRelative(-0.54f, 0.117f, -0.979f, 0.375f)
                quadToRelative(-0.44f, 0.258f, -0.715f, 0.68f)
                quadToRelative(-0.275f, 0.421f, -0.275f, 1.03f)
                quadToRelative(0.0f, 0.598f, 0.263f, 0.997f)
                quadToRelative(0.264f, 0.398f, 0.663f, 0.68f)
                quadToRelative(0.398f, 0.28f, 0.855f, 0.474f)
                lineToRelative(0.856f, 0.363f)
                quadToRelative(0.398f, 0.17f, 0.662f, 0.358f)
                quadToRelative(0.263f, 0.187f, 0.263f, 0.457f)
                quadToRelative(0.0f, 0.222f, -0.123f, 0.351f)
                quadToRelative(-0.123f, 0.13f, -0.31f, 0.2f)
                quadToRelative(-0.188f, 0.07f, -0.393f, 0.087f)
                quadToRelative(-0.205f, 0.018f, -0.369f, 0.018f)
                quadToRelative(-0.703f, 0.0f, -1.248f, -0.234f)
                quadToRelative(-0.545f, -0.235f, -1.107f, -0.621f)
                verticalLineToRelative(1.875f)
                quadToRelative(1.195f, 0.468f, 2.472f, 0.468f)
                close()
                moveTo(11.25f, 22.5f)
                quadToRelative(0.773f, 0.0f, 1.453f, -0.293f)
                reflectiveQuadToRelative(1.19f, -0.803f)
                quadToRelative(0.51f, -0.51f, 0.808f, -1.195f)
                quadToRelative(0.299f, -0.686f, 0.299f, -1.459f)
                quadToRelative(0.0f, -0.668f, -0.223f, -1.277f)
                quadToRelative(-0.222f, -0.61f, -0.62f, -1.096f)
                quadToRelative(-0.4f, -0.486f, -0.95f, -0.826f)
                quadToRelative(-0.55f, -0.34f, -1.207f, -0.48f)
                verticalLineToRelative(1.933f)
                quadToRelative(0.0f, 0.41f, -0.293f, 0.703f)
                reflectiveQuadToRelative(-0.703f, 0.293f)
                lineTo(7.57f, 18.0f)
                quadToRelative(-0.07f, 0.375f, -0.07f, 0.75f)
                quadToRelative(0.0f, 0.773f, 0.293f, 1.459f)
                reflectiveQuadToRelative(0.803f, 1.195f)
                quadToRelative(0.51f, 0.51f, 1.195f, 0.803f)
                quadToRelative(0.686f, 0.293f, 1.459f, 0.293f)
                close()
                moveTo(18.0f, 18.0f)
                quadToRelative(0.926f, 0.0f, 1.746f, -0.352f)
                quadToRelative(0.82f, -0.351f, 1.436f, -0.966f)
                quadToRelative(0.615f, -0.616f, 0.966f, -1.43f)
                quadToRelative(0.352f, -0.815f, 0.352f, -1.752f)
                quadToRelative(0.0f, -0.926f, -0.352f, -1.746f)
                quadToRelative(-0.351f, -0.82f, -0.966f, -1.436f)
                quadToRelative(-0.616f, -0.615f, -1.436f, -0.966f)
                quadTo(18.926f, 9.0f, 18.0f, 9.0f)
                reflectiveQuadToRelative(-1.74f, 0.357f)
                quadToRelative(-0.815f, 0.358f, -1.43f, 0.973f)
                reflectiveQuadToRelative(-0.973f, 1.43f)
                quadToRelative(-0.357f, 0.814f, -0.357f, 1.74f)
                quadToRelative(0.0f, 0.129f, 0.006f, 0.258f)
                reflectiveQuadToRelative(0.017f, 0.258f)
                quadToRelative(0.551f, 0.27f, 1.02f, 0.65f)
                reflectiveQuadToRelative(0.838f, 0.855f)
                quadToRelative(0.369f, 0.475f, 0.627f, 1.026f)
                quadToRelative(0.258f, 0.55f, 0.387f, 1.148f)
                quadTo(17.18f, 18.0f, 18.0f, 18.0f)
                close()
            }
        }
        .build()
        return _microsoftsharepoint!!
    }

private var _microsoftsharepoint: ImageVector? = null
