package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Neo4j: ImageVector
    get() {
        if (_neo4j != null) {
            return _neo4j!!
        }
        _neo4j = Builder(name = "Neo4j", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.717f, 8.417f)
                curveToRelative(-0.014f, 2.959f, -2.412f, 5.321f, -5.391f, 5.309f)
                curveToRelative(-2.946f, -0.014f, -5.306f, -2.424f, -5.291f, -5.407f)
                curveToRelative(0.014f, -2.9f, 2.458f, -5.287f, 5.391f, -5.265f)
                curveToRelative(2.926f, 0.022f, 5.304f, 2.434f, 5.291f, 5.363f)
                close()
                moveTo(9.813f, 24.0f)
                curveToRelative(-2.357f, 0.008f, -4.337f, -1.965f, -4.361f, -4.344f)
                curveToRelative(-0.024f, -2.33f, 1.955f, -4.33f, 4.295f, -4.34f)
                curveToRelative(2.438f, -0.01f, 4.395f, 1.916f, 4.395f, 4.326f)
                curveToRelative(0.003f, 2.383f, -1.952f, 4.35f, -4.329f, 4.358f)
                close()
                moveTo(8.923f, 2.84f)
                curveToRelative(0.0f, 1.562f, -1.286f, 2.847f, -2.841f, 2.839f)
                curveTo(4.533f, 5.672f, 3.221f, 4.35f, 3.246f, 2.82f)
                curveTo(3.271f, 1.268f, 4.588f, -0.022f, 6.126f, 0.0f)
                curveToRelative(1.531f, 0.023f, 2.797f, 1.308f, 2.797f, 2.84f)
                close()
                moveTo(21.9f, 11.948f)
                curveToRelative(-2.697f, 2.356f, -5.0f, 2.779f, -7.42f, 1.36f)
                curveToRelative(-2.14f, -1.254f, -3.196f, -3.721f, -2.654f, -6.197f)
                curveToRelative(0.587f, -2.68f, 2.506f, -4.085f, 6.197f, -4.467f)
                curveTo(15.222f, 0.642f, 12.26f, 0.025f, 9.008f, 0.821f)
                curveToRelative(-0.421f, 0.102f, -0.241f, 0.261f, -0.126f, 0.473f)
                curveToRelative(0.786f, 1.447f, 0.383f, 3.207f, -0.942f, 4.151f)
                curveToRelative(-1.325f, 0.943f, -3.126f, 0.755f, -4.218f, -0.49f)
                curveToRelative(-0.322f, -0.367f, -0.427f, -0.269f, -0.654f, 0.063f)
                curveTo(0.56f, 8.691f, 0.705f, 13.697f, 3.44f, 17.203f)
                curveToRelative(0.492f, 0.631f, 1.027f, 1.219f, 1.691f, 1.71f)
                curveToRelative(0.75f, -3.208f, 3.394f, -4.251f, 5.519f, -3.888f)
                curveToRelative(2.593f, 0.442f, 4.002f, 2.602f, 3.758f, 5.787f)
                curveToRelative(3.516f, -0.43f, 7.927f, -5.65f, 7.492f, -8.864f)
                close()
                moveTo(12.812f, 2.095f)
                curveToRelative(0.462f, -0.023f, 0.87f, 0.365f, 0.881f, 0.835f)
                curveToRelative(0.009f, 0.456f, -0.347f, 0.827f, -0.807f, 0.843f)
                curveToRelative(-0.506f, 0.017f, -0.862f, -0.32f, -0.866f, -0.818f)
                curveToRelative(-0.005f, -0.476f, 0.328f, -0.837f, 0.792f, -0.86f)
                close()
                moveTo(5.076f, 6.629f)
                curveToRelative(0.48f, 0.009f, 0.853f, 0.401f, 0.832f, 0.876f)
                curveToRelative(-0.019f, 0.452f, -0.398f, 0.804f, -0.859f, 0.798f)
                curveToRelative(-0.46f, -0.006f, -0.821f, -0.366f, -0.828f, -0.827f)
                curveToRelative(-0.007f, -0.483f, 0.369f, -0.855f, 0.855f, -0.847f)
                close()
                moveTo(4.355f, 9.728f)
                curveToRelative(0.003f, -0.451f, 0.374f, -0.824f, 0.829f, -0.835f)
                curveToRelative(0.461f, -0.011f, 0.825f, 0.335f, 0.844f, 0.803f)
                curveToRelative(0.02f, 0.489f, -0.337f, 0.878f, -0.813f, 0.887f)
                curveToRelative(-0.473f, 0.007f, -0.863f, -0.381f, -0.86f, -0.855f)
                close()
                moveTo(4.87f, 12.099f)
                curveToRelative(0.023f, -0.46f, 0.396f, -0.806f, 0.858f, -0.797f)
                curveToRelative(0.479f, 0.01f, 0.822f, 0.391f, 0.802f, 0.891f)
                curveToRelative(-0.019f, 0.468f, -0.384f, 0.813f, -0.846f, 0.797f)
                curveToRelative(-0.478f, -0.014f, -0.838f, -0.409f, -0.814f, -0.891f)
                close()
                moveTo(6.862f, 15.133f)
                curveToRelative(-0.5f, 0.007f, -0.857f, -0.345f, -0.851f, -0.838f)
                curveToRelative(0.006f, -0.46f, 0.371f, -0.832f, 0.818f, -0.836f)
                curveToRelative(0.47f, -0.004f, 0.873f, 0.391f, 0.869f, 0.853f)
                curveToRelative(-0.002f, 0.452f, -0.371f, 0.813f, -0.836f, 0.821f)
                close()
                moveTo(10.693f, 3.023f)
                curveToRelative(-0.469f, 0.012f, -0.868f, -0.38f, -0.866f, -0.849f)
                curveToRelative(0.002f, -0.481f, 0.384f, -0.84f, 0.876f, -0.826f)
                curveToRelative(0.462f, 0.013f, 0.814f, 0.376f, 0.813f, 0.837f)
                curveToRelative(-0.001f, 0.449f, -0.372f, 0.827f, -0.823f, 0.838f)
                close()
                moveTo(15.701f, 18.145f)
                curveToRelative(-0.494f, -0.004f, -0.856f, -0.375f, -0.838f, -0.858f)
                curveToRelative(0.018f, -0.446f, 0.402f, -0.81f, 0.855f, -0.808f)
                curveToRelative(0.479f, 0.004f, 0.85f, 0.393f, 0.833f, 0.875f)
                curveToRelative(-0.015f, 0.462f, -0.37f, 0.792f, -0.85f, 0.791f)
                close()
                moveTo(17.235f, 16.375f)
                curveToRelative(-0.482f, 0.011f, -0.872f, -0.367f, -0.866f, -0.84f)
                curveToRelative(0.005f, -0.462f, 0.363f, -0.822f, 0.825f, -0.833f)
                curveToRelative(0.485f, -0.011f, 0.864f, 0.356f, 0.863f, 0.841f)
                curveToRelative(0.001f, 0.455f, -0.362f, 0.821f, -0.822f, 0.832f)
                close()
            }
        }
        .build()
        return _neo4j!!
    }

private var _neo4j: ImageVector? = null
