package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Netlify: ImageVector
    get() {
        if (_netlify != null) {
            return _netlify!!
        }
        _netlify = Builder(name = "Netlify", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.3877f, 8.3286f)
                lineToRelative(-0.0088f, -0.0037f)
                curveToRelative(-0.005f, -0.002f, -0.01f, -0.0038f, -0.0144f, -0.0082f)
                arcToRelative(0.0689f, 0.0689f, 0.0f, false, true, -0.0176f, -0.0582f)
                lineToRelative(0.4839f, -2.9581f)
                lineToRelative(2.269f, 2.2696f)
                lineTo(17.74f, 8.574f)
                arcToRelative(0.052f, 0.052f, 0.0f, false, true, -0.0206f, 0.0037f)
                lineTo(17.71f, 8.5777f)
                arcToRelative(0.0647f, 0.0647f, 0.0f, false, true, -0.0126f, -0.0106f)
                arcToRelative(1.074f, 1.074f, 0.0f, false, false, -0.3097f, -0.2385f)
                close()
                moveTo(20.6787f, 8.1484f)
                lineToRelative(2.4262f, 2.426f)
                curveToRelative(0.5039f, 0.5045f, 0.7561f, 0.7562f, 0.8481f, 1.0479f)
                curveToRelative(0.0138f, 0.0431f, 0.025f, 0.0863f, 0.0338f, 0.1308f)
                lineToRelative(-5.798f, -2.4555f)
                arcToRelative(0.4557f, 0.4557f, 0.0f, false, false, -0.0093f, -0.0038f)
                curveToRelative(-0.0232f, -0.0094f, -0.0501f, -0.02f, -0.0501f, -0.0439f)
                curveToRelative(0.0f, -0.0237f, 0.0275f, -0.035f, 0.0507f, -0.0444f)
                lineToRelative(0.0075f, -0.0031f)
                close()
                moveTo(23.8879f, 12.5317f)
                curveToRelative(-0.1252f, 0.2354f, -0.3693f, 0.4795f, -0.7824f, 0.8932f)
                lineToRelative(-2.7353f, 2.7347f)
                lineToRelative(-3.5377f, -0.7367f)
                lineToRelative(-0.0188f, -0.0038f)
                curveToRelative(-0.0313f, -0.005f, -0.0645f, -0.0107f, -0.0645f, -0.0388f)
                arcToRelative(1.0678f, 1.0678f, 0.0f, false, false, -0.41f, -0.7467f)
                curveToRelative(-0.0144f, -0.0144f, -0.0106f, -0.037f, -0.0063f, -0.0576f)
                curveToRelative(0.0f, -0.003f, 0.0f, -0.0063f, 0.0013f, -0.0088f)
                lineToRelative(0.6654f, -4.0848f)
                lineToRelative(0.0025f, -0.0138f)
                curveToRelative(0.0038f, -0.0313f, 0.0094f, -0.0676f, 0.0376f, -0.0676f)
                arcToRelative(1.0829f, 1.0829f, 0.0f, false, false, 0.726f, -0.4162f)
                curveToRelative(0.0056f, -0.0063f, 0.0094f, -0.0131f, 0.017f, -0.0169f)
                curveToRelative(0.02f, -0.0094f, 0.0437f, 0.0f, 0.0644f, 0.0088f)
                lineToRelative(6.0402f, 2.555f)
                close()
                moveTo(19.7412f, 16.7887f)
                lineToRelative(-4.498f, 4.4979f)
                lineToRelative(0.77f, -4.732f)
                lineToRelative(0.0012f, -0.0063f)
                arcToRelative(0.083f, 0.083f, 0.0f, false, true, 0.0038f, -0.0182f)
                curveToRelative(0.0063f, -0.015f, 0.0226f, -0.0213f, 0.0382f, -0.0275f)
                lineToRelative(0.0075f, -0.0031f)
                arcToRelative(1.158f, 1.158f, 0.0f, false, false, 0.435f, -0.3236f)
                curveToRelative(0.015f, -0.0176f, 0.0332f, -0.0345f, 0.0564f, -0.0376f)
                arcToRelative(0.0563f, 0.0563f, 0.0f, false, true, 0.0181f, 0.0f)
                lineToRelative(3.1672f, 0.651f)
                close()
                moveTo(14.2912f, 22.2386f)
                lineToRelative(-0.507f, 0.507f)
                lineToRelative(-5.6052f, -8.1007f)
                arcToRelative(0.2654f, 0.2654f, 0.0f, false, false, -0.0062f, -0.0088f)
                curveToRelative(-0.0088f, -0.012f, -0.0182f, -0.0238f, -0.0163f, -0.0376f)
                curveToRelative(6.0E-4f, -0.01f, 0.0069f, -0.0188f, 0.0138f, -0.0263f)
                lineToRelative(0.0062f, -0.0081f)
                curveToRelative(0.017f, -0.025f, 0.0313f, -0.05f, 0.047f, -0.077f)
                lineToRelative(0.0125f, -0.0219f)
                lineToRelative(0.0019f, -0.0019f)
                curveToRelative(0.0087f, -0.015f, 0.0169f, -0.0294f, 0.0319f, -0.0376f)
                curveToRelative(0.0131f, -0.0063f, 0.0313f, -0.0038f, 0.0457f, -6.0E-4f)
                lineToRelative(6.2098f, 1.2807f)
                arcToRelative(0.1027f, 0.1027f, 0.0f, false, true, 0.0476f, 0.0206f)
                curveToRelative(0.008f, 0.0081f, 0.01f, 0.017f, 0.0119f, 0.027f)
                arcToRelative(1.0998f, 1.0998f, 0.0f, false, false, 0.6434f, 0.7354f)
                curveToRelative(0.0175f, 0.0088f, 0.01f, 0.0282f, 0.002f, 0.0488f)
                arcToRelative(0.149f, 0.149f, 0.0f, false, false, -0.0095f, 0.0282f)
                curveToRelative(-0.0782f, 0.4757f, -0.7492f, 4.568f, -0.9295f, 5.6728f)
                close()
                moveTo(13.2322f, 23.297f)
                curveToRelative(-0.3737f, 0.37f, -0.594f, 0.5659f, -0.8432f, 0.6447f)
                arcToRelative(1.2519f, 1.2519f, 0.0f, false, true, -0.7549f, 0.0f)
                curveToRelative(-0.2916f, -0.0926f, -0.5439f, -0.3442f, -1.0478f, -0.8487f)
                lineToRelative(-5.629f, -5.629f)
                lineToRelative(1.4704f, -2.2802f)
                arcToRelative(0.0938f, 0.0938f, 0.0f, false, true, 0.025f, -0.0294f)
                curveToRelative(0.0157f, -0.0113f, 0.0382f, -0.0063f, 0.057f, 0.0f)
                arcToRelative(1.5235f, 1.5235f, 0.0f, false, false, 1.0253f, -0.052f)
                curveToRelative(0.0169f, -0.0063f, 0.0338f, -0.0106f, 0.0469f, 0.0013f)
                arcToRelative(0.119f, 0.119f, 0.0f, false, true, 0.0175f, 0.02f)
                lineToRelative(5.6327f, 8.174f)
                close()
                moveTo(4.4147f, 16.9214f)
                lineTo(3.1234f, 15.63f)
                lineToRelative(2.55f, -1.0879f)
                arcToRelative(0.0526f, 0.0526f, 0.0f, false, true, 0.0207f, -0.0044f)
                curveToRelative(0.0213f, 0.0f, 0.0338f, 0.0213f, 0.045f, 0.0407f)
                arcToRelative(1.8214f, 1.8214f, 0.0f, false, false, 0.0814f, 0.1152f)
                lineToRelative(0.0082f, 0.01f)
                curveToRelative(0.0075f, 0.0106f, 0.0025f, 0.0213f, -0.005f, 0.0313f)
                lineToRelative(-1.4084f, 2.1864f)
                close()
                moveTo(2.5519f, 15.0586f)
                lineTo(0.9183f, 13.4249f)
                curveToRelative(-0.278f, -0.2779f, -0.4795f, -0.4794f, -0.6197f, -0.6528f)
                lineToRelative(4.9674f, 1.0303f)
                arcToRelative(0.5258f, 0.5258f, 0.0f, false, false, 0.0187f, 0.003f)
                curveToRelative(0.0307f, 0.005f, 0.0645f, 0.0107f, 0.0645f, 0.0395f)
                curveToRelative(0.0f, 0.0313f, -0.037f, 0.0457f, -0.0682f, 0.0576f)
                lineToRelative(-0.0144f, 0.0063f)
                close()
                moveTo(0.0132f, 11.932f)
                arcToRelative(1.2519f, 1.2519f, 0.0f, false, true, 0.0563f, -0.3098f)
                curveToRelative(0.0927f, -0.2917f, 0.3443f, -0.5434f, 0.8488f, -1.0478f)
                lineToRelative(2.0906f, -2.0906f)
                arcToRelative(1361.7196f, 1361.7196f, 0.0f, false, false, 2.8955f, 4.1855f)
                curveToRelative(0.017f, 0.0226f, 0.0357f, 0.0476f, 0.0163f, 0.0664f)
                curveToRelative(-0.0914f, 0.1008f, -0.1828f, 0.211f, -0.2473f, 0.3305f)
                arcToRelative(0.1001f, 0.1001f, 0.0f, false, true, -0.0313f, 0.0388f)
                curveToRelative(-0.008f, 0.005f, -0.0169f, 0.003f, -0.0262f, 0.0013f)
                horizontalLineToRelative(-0.0013f)
                lineToRelative(-5.6014f, -1.175f)
                close()
                moveTo(3.5685f, 7.9242f)
                lineToRelative(2.811f, -2.811f)
                curveToRelative(0.2641f, 0.1157f, 1.2256f, 0.522f, 2.0856f, 0.885f)
                curveToRelative(0.651f, 0.2754f, 1.2443f, 0.5258f, 1.4308f, 0.6071f)
                curveToRelative(0.0188f, 0.0076f, 0.0357f, 0.015f, 0.0439f, 0.0338f)
                curveToRelative(0.005f, 0.0113f, 0.0025f, 0.0257f, 0.0f, 0.0376f)
                arcToRelative(1.2537f, 1.2537f, 0.0f, false, false, 0.3273f, 1.1442f)
                curveToRelative(0.0188f, 0.0188f, 0.0f, 0.0457f, -0.0163f, 0.0689f)
                lineToRelative(-0.0088f, 0.0131f)
                lineToRelative(-2.8542f, 4.421f)
                curveToRelative(-0.0075f, 0.0124f, -0.0144f, 0.023f, -0.0269f, 0.0312f)
                curveToRelative(-0.015f, 0.0094f, -0.0363f, 0.005f, -0.0538f, 6.0E-4f)
                arcToRelative(1.4234f, 1.4234f, 0.0f, false, false, -0.34f, -0.0463f)
                curveToRelative(-0.1026f, 0.0f, -0.214f, 0.0188f, -0.3266f, 0.0395f)
                horizontalLineToRelative(-7.0E-4f)
                curveToRelative(-0.0125f, 0.0019f, -0.0238f, 0.0044f, -0.0338f, -0.0031f)
                arcToRelative(0.1314f, 0.1314f, 0.0f, false, true, -0.0281f, -0.032f)
                close()
                moveTo(6.9472f, 4.5454f)
                lineToRelative(3.6391f, -3.639f)
                curveToRelative(0.504f, -0.5039f, 0.7562f, -0.7561f, 1.0478f, -0.8481f)
                arcToRelative(1.2519f, 1.2519f, 0.0f, false, true, 0.755f, 0.0f)
                curveToRelative(0.2916f, 0.092f, 0.5438f, 0.3442f, 1.0477f, 0.848f)
                lineToRelative(0.7887f, 0.7888f)
                lineToRelative(-2.5882f, 4.0084f)
                arcToRelative(0.097f, 0.097f, 0.0f, false, true, -0.0257f, 0.03f)
                curveToRelative(-0.0156f, 0.0107f, -0.0375f, 0.0063f, -0.0563f, 0.0f)
                arcToRelative(1.3126f, 1.3126f, 0.0f, false, false, -1.2018f, 0.2316f)
                curveToRelative(-0.0169f, 0.0176f, -0.042f, 0.0075f, -0.0632f, -0.0019f)
                curveToRelative(-0.338f, -0.147f, -2.967f, -1.258f, -3.343f, -1.4177f)
                close()
                moveTo(14.775f, 2.2445f)
                lineToRelative(2.3898f, 2.3898f)
                lineToRelative(-0.5758f, 3.5665f)
                verticalLineToRelative(0.0094f)
                arcToRelative(0.0845f, 0.0845f, 0.0f, false, true, -0.005f, 0.0238f)
                curveToRelative(-0.0063f, 0.0125f, -0.0188f, 0.015f, -0.0313f, 0.0188f)
                arcToRelative(1.1454f, 1.1454f, 0.0f, false, false, -0.343f, 0.1709f)
                arcToRelative(0.0964f, 0.0964f, 0.0f, false, false, -0.0125f, 0.0106f)
                curveToRelative(-0.007f, 0.0075f, -0.0138f, 0.0144f, -0.025f, 0.0157f)
                arcToRelative(0.0714f, 0.0714f, 0.0f, false, true, -0.027f, -0.0044f)
                lineToRelative(-3.6416f, -1.5473f)
                lineToRelative(-0.007f, -0.0031f)
                curveToRelative(-0.0231f, -0.0094f, -0.0506f, -0.0207f, -0.0506f, -0.0445f)
                arcToRelative(1.3758f, 1.3758f, 0.0f, false, false, -0.194f, -0.5727f)
                curveToRelative(-0.0176f, -0.0288f, -0.037f, -0.0588f, -0.022f, -0.0883f)
                close()
                moveTo(12.314f, 7.6313f)
                lineToRelative(3.4138f, 1.446f)
                curveToRelative(0.0188f, 0.0087f, 0.0394f, 0.0168f, 0.0476f, 0.0362f)
                arcToRelative(0.0663f, 0.0663f, 0.0f, false, true, 0.0f, 0.0357f)
                arcToRelative(0.848f, 0.848f, 0.0f, false, false, -0.0188f, 0.1646f)
                verticalLineToRelative(0.0958f)
                curveToRelative(0.0f, 0.0238f, -0.0244f, 0.0338f, -0.047f, 0.0432f)
                lineToRelative(-0.0069f, 0.0025f)
                curveToRelative(-0.5408f, 0.231f, -7.5924f, 3.238f, -7.603f, 3.238f)
                curveToRelative(-0.0107f, 0.0f, -0.022f, 0.0f, -0.0326f, -0.0107f)
                curveToRelative(-0.0188f, -0.0188f, 0.0f, -0.0451f, 0.0169f, -0.0689f)
                arcToRelative(0.4757f, 0.4757f, 0.0f, false, false, 0.0087f, -0.0125f)
                lineToRelative(2.8054f, -4.344f)
                lineToRelative(0.005f, -0.0074f)
                curveToRelative(0.0163f, -0.0263f, 0.035f, -0.0557f, 0.0651f, -0.0557f)
                lineToRelative(0.0282f, 0.0043f)
                curveToRelative(0.0638f, 0.0088f, 0.1202f, 0.017f, 0.1771f, 0.017f)
                curveToRelative(0.4257f, 0.0f, 0.82f, -0.2072f, 1.0579f, -0.5615f)
                arcToRelative(0.1001f, 0.1001f, 0.0f, false, true, 0.0212f, -0.025f)
                curveToRelative(0.017f, -0.0126f, 0.042f, -0.0063f, 0.0614f, 0.0024f)
                close()
                moveTo(8.4045f, 13.3805f)
                lineToRelative(7.6863f, -3.278f)
                reflectiveCurveToRelative(0.0113f, 0.0f, 0.022f, 0.0106f)
                curveToRelative(0.0419f, 0.042f, 0.0776f, 0.0701f, 0.112f, 0.0964f)
                lineToRelative(0.0169f, 0.0107f)
                curveToRelative(0.0156f, 0.0088f, 0.0313f, 0.0188f, 0.0325f, 0.035f)
                curveToRelative(0.0f, 0.0063f, 0.0f, 0.01f, -0.0013f, 0.0157f)
                lineToRelative(-0.6584f, 4.0447f)
                lineToRelative(-0.0025f, 0.0163f)
                curveToRelative(-0.0044f, 0.0313f, -0.0088f, 0.067f, -0.0382f, 0.067f)
                arcToRelative(1.0822f, 1.0822f, 0.0f, false, false, -0.8594f, 0.5301f)
                lineToRelative(-0.0031f, 0.005f)
                curveToRelative(-0.0088f, 0.0144f, -0.017f, 0.0282f, -0.0313f, 0.0357f)
                curveToRelative(-0.0131f, 0.0063f, -0.03f, 0.0038f, -0.0438f, 6.0E-4f)
                lineTo(8.5064f, 13.706f)
                curveToRelative(-0.0063f, -0.0013f, -0.0952f, -0.3249f, -0.102f, -0.3255f)
                close()
            }
        }
        .build()
        return _netlify!!
    }

private var _netlify: ImageVector? = null
