package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Owasp: ImageVector
    get() {
        if (_owasp != null) {
            return _owasp!!
        }
        _owasp = Builder(name = "Owasp", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.897f, 20.503f)
                curveToRelative(-0.384f, 0.0f, -1.782f, -2.489f, -1.97f, -3.198f)
                curveToRelative(-0.393f, -1.486f, -0.308f, -2.114f, -0.285f, -2.314f)
                curveToRelative(0.072f, -0.613f, 0.667f, -0.92f, 0.703f, -1.748f)
                curveToRelative(0.01f, -0.256f, 0.14f, -1.535f, 0.243f, -2.534f)
                arcToRelative(1.723f, 1.723f, 0.0f, false, true, -0.733f, -0.343f)
                curveToRelative(0.676f, 0.908f, -0.32f, 1.995f, -1.767f, 3.443f)
                curveToRelative(-1.536f, 1.536f, -4.945f, 2.961f, -4.945f, 2.961f)
                reflectiveCurveToRelative(1.425f, -3.41f, 2.961f, -4.945f)
                curveToRelative(1.13f, -1.129f, 2.04f, -1.983f, 2.816f, -1.983f)
                curveToRelative(0.22f, 0.0f, 0.427f, 0.067f, 0.627f, 0.216f)
                arcToRelative(1.722f, 1.722f, 0.0f, false, true, -0.343f, -0.733f)
                curveToRelative(-0.999f, 0.103f, -2.278f, 0.232f, -2.534f, 0.244f)
                curveToRelative(-0.829f, 0.036f, -1.135f, 0.63f, -1.747f, 0.702f)
                curveToRelative(-0.07f, 0.008f, -0.194f, 0.024f, -0.388f, 0.024f)
                curveToRelative(-0.36f, 0.0f, -0.963f, -0.054f, -1.926f, -0.31f)
                curveToRelative(-0.772f, -0.203f, -3.648f, -1.84f, -3.14f, -2.045f)
                curveToRelative(0.26f, -0.105f, 1.087f, -0.176f, 2.175f, -0.176f)
                curveToRelative(1.047f, 0.0f, 2.337f, 0.066f, 3.596f, 0.23f)
                curveToRelative(1.57f, 0.205f, 3.01f, 0.463f, 3.992f, 0.656f)
                curveToRelative(0.016f, -0.053f, 0.035f, -0.104f, 0.058f, -0.154f)
                lineToRelative(-1.004f, -0.48f)
                reflectiveCurveToRelative(-0.8f, -0.92f, -0.715f, -0.984f)
                arcToRelative(0.02f, 0.02f, 0.0f, false, true, 0.012f, -0.003f)
                curveToRelative(0.126f, 0.0f, 0.767f, 0.733f, 0.829f, 0.816f)
                lineToRelative(0.605f, 0.202f)
                lineToRelative(-0.284f, -0.249f)
                reflectiveCurveToRelative(-0.388f, -1.438f, -0.287f, -1.472f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.106f, 0.0f, 0.459f, 1.25f, 0.489f, 1.34f)
                curveToRelative(0.07f, 0.06f, 0.303f, 0.152f, 0.596f, 0.32f)
                lineToRelative(-0.308f, -0.79f)
                reflectiveCurveToRelative(0.14f, -1.305f, 0.243f, -1.305f)
                horizontalLineToRelative(0.003f)
                curveToRelative(0.105f, 0.021f, -0.02f, 1.089f, -0.047f, 1.221f)
                lineToRelative(0.51f, 0.783f)
                arcToRelative(1.31f, 1.31f, 0.0f, false, true, 0.463f, -0.082f)
                curveToRelative(0.184f, 0.0f, 0.374f, 0.036f, 0.558f, 0.107f)
                curveToRelative(-0.236f, -0.502f, -0.218f, -1.025f, 0.095f, -1.338f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, true, 0.353f, -0.209f)
                arcToRelative(0.462f, 0.462f, 0.0f, false, true, 0.457f, -0.383f)
                curveToRelative(0.127f, 0.0f, 0.254f, 0.05f, 0.352f, 0.148f)
                arcToRelative(0.497f, 0.497f, 0.0f, false, true, 0.147f, 0.335f)
                curveToRelative(0.151f, -0.311f, 0.329f, -0.73f, 0.317f, -0.867f)
                curveToRelative(-0.03f, -0.307f, -0.386f, -0.852f, -0.39f, -0.857f)
                arcToRelative(0.076f, 0.076f, 0.0f, false, true, 0.064f, -0.119f)
                curveToRelative(0.025f, 0.0f, 0.05f, 0.012f, 0.064f, 0.035f)
                curveToRelative(0.016f, 0.023f, 0.381f, 0.582f, 0.414f, 0.927f)
                curveToRelative(0.018f, 0.198f, -0.21f, 0.696f, -0.333f, 0.95f)
                arcToRelative(2.227f, 2.227f, 0.0f, false, true, 0.873f, 0.874f)
                curveToRelative(0.245f, -0.12f, 0.715f, -0.334f, 0.927f, -0.334f)
                lineToRelative(0.024f, 0.001f)
                curveToRelative(0.345f, 0.033f, 0.904f, 0.399f, 0.927f, 0.414f)
                arcToRelative(0.076f, 0.076f, 0.0f, false, true, -0.084f, 0.128f)
                curveToRelative(-0.005f, -0.004f, -0.55f, -0.36f, -0.857f, -0.39f)
                horizontalLineToRelative(-0.015f)
                curveToRelative(-0.15f, 0.0f, -0.552f, 0.171f, -0.852f, 0.317f)
                curveToRelative(0.12f, 0.004f, 0.242f, 0.053f, 0.335f, 0.147f)
                arcToRelative(0.482f, 0.482f, 0.0f, false, true, 0.012f, 0.681f)
                arcToRelative(0.459f, 0.459f, 0.0f, false, true, -0.247f, 0.128f)
                arcToRelative(0.845f, 0.845f, 0.0f, false, true, -0.21f, 0.354f)
                arcToRelative(0.924f, 0.924f, 0.0f, false, true, -0.67f, 0.255f)
                curveToRelative(-0.212f, 0.0f, -0.441f, -0.055f, -0.667f, -0.16f)
                curveToRelative(0.132f, 0.343f, 0.142f, 0.708f, 0.025f, 1.02f)
                lineToRelative(0.783f, 0.51f)
                curveToRelative(0.095f, -0.019f, 0.666f, -0.088f, 0.993f, -0.088f)
                curveToRelative(0.13f, 0.0f, 0.222f, 0.011f, 0.228f, 0.04f)
                curveToRelative(0.02f, 0.106f, -1.305f, 0.247f, -1.305f, 0.247f)
                lineToRelative(-0.79f, -0.308f)
                curveToRelative(0.168f, 0.293f, 0.26f, 0.527f, 0.32f, 0.596f)
                curveToRelative(0.091f, 0.03f, 1.374f, 0.392f, 1.34f, 0.493f)
                curveToRelative(-0.004f, 0.012f, -0.026f, 0.017f, -0.063f, 0.017f)
                curveToRelative(-0.283f, 0.0f, -1.41f, -0.304f, -1.41f, -0.304f)
                lineToRelative(-0.248f, -0.284f)
                lineToRelative(0.202f, 0.605f)
                curveToRelative(0.087f, 0.065f, 0.876f, 0.755f, 0.813f, 0.841f)
                curveToRelative(-0.004f, 0.005f, -0.009f, 0.007f, -0.016f, 0.007f)
                curveToRelative(-0.139f, 0.0f, -0.967f, -0.722f, -0.967f, -0.722f)
                lineToRelative(-0.481f, -1.004f)
                arcToRelative(1.18f, 1.18f, 0.0f, false, true, -0.154f, 0.058f)
                curveToRelative(0.193f, 0.982f, 0.451f, 2.422f, 0.656f, 3.992f)
                curveToRelative(0.335f, 2.569f, 0.26f, 5.261f, 0.054f, 5.77f)
                curveToRelative(-0.016f, 0.041f, -0.042f, 0.06f, -0.076f, 0.06f)
                moveTo(12.0f, 24.0f)
                curveTo(5.373f, 24.0f, 0.0f, 18.627f, 0.0f, 12.0f)
                reflectiveCurveTo(5.373f, 0.0f, 12.0f, 0.0f)
                reflectiveCurveToRelative(12.0f, 5.373f, 12.0f, 12.0f)
                reflectiveCurveToRelative(-5.373f, 12.0f, -12.0f, 12.0f)
                moveToRelative(0.0f, -22.153f)
                curveTo(6.393f, 1.847f, 1.847f, 6.393f, 1.847f, 12.0f)
                reflectiveCurveTo(6.393f, 22.153f, 12.0f, 22.153f)
                reflectiveCurveTo(22.153f, 17.607f, 22.153f, 12.0f)
                reflectiveCurveTo(17.607f, 1.847f, 12.0f, 1.847f)
                close()
            }
        }
        .build()
        return _owasp!!
    }

private var _owasp: ImageVector? = null
