package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Picnic: ImageVector
    get() {
        if (_picnic != null) {
            return _picnic!!
        }
        _picnic = Builder(name = "Picnic", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(24.0f)
                lineTo(24.0f, 0.0f)
                close()
                moveTo(17.492f, 4.481f)
                curveToRelative(0.851f, 0.0f, 1.635f, 0.279f, 2.261f, 0.749f)
                curveToRelative(0.037f, 0.029f, 0.068f, 0.073f, 0.027f, 0.158f)
                curveToRelative(-0.054f, 0.12f, -0.183f, 0.413f, -0.416f, 0.757f)
                arcToRelative(3.834f, 3.834f, 0.0f, false, true, -0.424f, 0.555f)
                curveToRelative(-0.12f, 0.117f, -0.12f, 0.103f, -0.27f, 0.012f)
                arcToRelative(2.294f, 2.294f, 0.0f, false, false, -1.155f, -0.324f)
                curveToRelative(-0.934f, 0.0f, -1.712f, 0.624f, -1.712f, 1.655f)
                lineToRelative(0.005f, 0.1f)
                curveToRelative(0.066f, 1.034f, 0.888f, 1.603f, 1.817f, 1.547f)
                arcToRelative(2.27f, 2.27f, 0.0f, false, false, 0.73f, -0.175f)
                curveToRelative(0.143f, -0.062f, 0.314f, -0.153f, 0.455f, -0.242f)
                curveToRelative(0.122f, -0.076f, 0.148f, -0.116f, 0.27f, -0.007f)
                curveToRelative(0.12f, 0.114f, 0.252f, 0.287f, 0.395f, 0.502f)
                curveToRelative(0.238f, 0.345f, 0.398f, 0.661f, 0.458f, 0.776f)
                curveToRelative(0.06f, 0.1f, 0.022f, 0.13f, -0.013f, 0.16f)
                curveToRelative(-0.412f, 0.355f, -0.89f, 0.617f, -1.44f, 0.764f)
                curveToRelative(-0.309f, 0.09f, -0.64f, 0.138f, -0.988f, 0.138f)
                arcToRelative(4.73f, 4.73f, 0.0f, false, true, -0.288f, -0.009f)
                lineToRelative(-0.091f, -0.007f)
                curveToRelative(-0.864f, -0.058f, -1.64f, -0.371f, -2.226f, -0.916f)
                curveToRelative(-0.032f, -0.027f, -0.064f, -0.06f, -0.09f, -0.084f)
                curveToRelative(-0.616f, -0.605f, -0.995f, -1.468f, -0.995f, -2.547f)
                curveToRelative(0.0f, -2.26f, 1.653f, -3.562f, 3.69f, -3.562f)
                close()
                moveTo(11.925f, 4.589f)
                horizontalLineToRelative(0.15f)
                curveToRelative(0.752f, 0.0f, 0.785f, 0.043f, 0.837f, 0.082f)
                arcToRelative(0.116f, 0.116f, 0.0f, false, true, 0.038f, 0.073f)
                curveToRelative(0.037f, 0.207f, 0.052f, 1.437f, 0.048f, 2.658f)
                curveToRelative(0.004f, 1.221f, -0.011f, 2.438f, -0.048f, 2.645f)
                curveToRelative(0.0f, 0.0f, -0.002f, 0.045f, -0.038f, 0.075f)
                curveToRelative(-0.052f, 0.041f, -0.085f, 0.08f, -0.838f, 0.083f)
                horizontalLineToRelative(-0.149f)
                curveToRelative(-0.754f, -0.003f, -0.788f, -0.042f, -0.833f, -0.083f)
                curveToRelative(-0.043f, -0.03f, -0.044f, -0.075f, -0.044f, -0.075f)
                curveToRelative(-0.035f, -0.207f, -0.051f, -1.424f, -0.047f, -2.645f)
                curveToRelative(-0.004f, -1.221f, 0.012f, -2.451f, 0.047f, -2.658f)
                curveToRelative(0.0f, 0.0f, 0.001f, -0.04f, 0.044f, -0.073f)
                curveToRelative(0.045f, -0.04f, 0.079f, -0.082f, 0.833f, -0.082f)
                close()
                moveTo(6.537f, 4.59f)
                curveToRelative(2.328f, 0.047f, 3.63f, 0.92f, 3.657f, 2.908f)
                verticalLineToRelative(0.091f)
                curveToRelative(0.0f, 1.895f, -1.357f, 2.909f, -3.657f, 2.909f)
                arcToRelative(8.94f, 8.94f, 0.0f, false, true, -0.44f, -0.012f)
                curveToRelative(-0.008f, 0.419f, -0.017f, 0.738f, -0.03f, 0.817f)
                curveToRelative(0.0f, 0.0f, -0.007f, 0.044f, -0.043f, 0.076f)
                curveToRelative(-0.05f, 0.039f, -0.083f, 0.079f, -0.836f, 0.082f)
                horizontalLineToRelative(-0.149f)
                curveToRelative(-0.754f, -0.003f, -0.786f, -0.043f, -0.835f, -0.082f)
                curveToRelative(-0.04f, -0.032f, -0.042f, -0.076f, -0.042f, -0.076f)
                curveToRelative(-0.048f, -1.232f, -0.045f, -2.183f, -0.045f, -3.346f)
                curveToRelative(-0.002f, -1.223f, 0.009f, -2.991f, 0.045f, -3.181f)
                curveToRelative(0.017f, -0.094f, 0.082f, -0.113f, 0.155f, -0.125f)
                curveToRelative(0.307f, -0.038f, 1.661f, -0.072f, 2.22f, -0.06f)
                close()
                moveTo(6.362f, 6.44f)
                arcToRelative(4.57f, 4.57f, 0.0f, false, false, -0.249f, 0.014f)
                verticalLineToRelative(2.162f)
                curveToRelative(0.154f, 0.012f, 0.295f, 0.025f, 0.587f, 0.019f)
                curveToRelative(0.951f, -0.016f, 1.502f, -0.343f, 1.513f, -1.083f)
                verticalLineToRelative(-0.03f)
                curveTo(8.203f, 6.781f, 7.65f, 6.455f, 6.7f, 6.44f)
                arcToRelative(5.676f, 5.676f, 0.0f, false, false, -0.338f, 0.0f)
                close()
                moveTo(11.999f, 11.0f)
                curveToRelative(0.891f, 0.0f, 1.337f, 1.077f, 0.707f, 1.707f)
                curveToRelative(-0.63f, 0.63f, -1.707f, 0.184f, -1.707f, -0.707f)
                curveToRelative(0.0f, -0.55f, 0.451f, -1.0f, 1.0f, -1.0f)
                close()
                moveTo(17.492f, 12.392f)
                arcToRelative(3.76f, 3.76f, 0.0f, false, true, 2.261f, 0.748f)
                curveToRelative(0.037f, 0.028f, 0.068f, 0.076f, 0.027f, 0.161f)
                curveToRelative(-0.054f, 0.117f, -0.183f, 0.409f, -0.416f, 0.757f)
                curveToRelative(-0.135f, 0.21f, -0.248f, 0.36f, -0.424f, 0.554f)
                curveToRelative(-0.12f, 0.118f, -0.12f, 0.104f, -0.27f, 0.012f)
                arcToRelative(2.263f, 2.263f, 0.0f, false, false, -1.155f, -0.323f)
                curveToRelative(-0.934f, 0.0f, -1.712f, 0.622f, -1.712f, 1.654f)
                lineToRelative(0.005f, 0.1f)
                curveToRelative(0.066f, 1.032f, 0.888f, 1.607f, 1.817f, 1.544f)
                arcToRelative(2.23f, 2.23f, 0.0f, false, false, 0.73f, -0.173f)
                curveToRelative(0.143f, -0.06f, 0.314f, -0.153f, 0.455f, -0.24f)
                curveToRelative(0.122f, -0.077f, 0.148f, -0.118f, 0.27f, -0.007f)
                curveToRelative(0.12f, 0.112f, 0.252f, 0.287f, 0.395f, 0.5f)
                curveToRelative(0.238f, 0.344f, 0.398f, 0.66f, 0.458f, 0.776f)
                curveToRelative(0.06f, 0.097f, 0.022f, 0.129f, -0.013f, 0.161f)
                curveToRelative(-0.412f, 0.353f, -0.89f, 0.613f, -1.44f, 0.764f)
                arcToRelative(3.57f, 3.57f, 0.0f, false, true, -1.276f, 0.13f)
                lineToRelative(-0.091f, -0.007f)
                curveToRelative(-0.864f, -0.06f, -1.64f, -0.373f, -2.226f, -0.916f)
                lineToRelative(-0.09f, -0.088f)
                curveToRelative(-0.616f, -0.603f, -0.995f, -1.465f, -0.995f, -2.544f)
                curveToRelative(0.0f, -2.26f, 1.653f, -3.563f, 3.69f, -3.563f)
                close()
                moveTo(5.039f, 12.54f)
                horizontalLineToRelative(0.149f)
                curveToRelative(0.753f, 0.0f, 0.786f, 0.045f, 0.836f, 0.085f)
                curveToRelative(0.009f, 0.009f, 0.02f, 0.023f, 0.03f, 0.031f)
                curveToRelative(0.456f, 0.833f, 0.806f, 1.402f, 1.057f, 1.826f)
                curveToRelative(0.478f, 0.806f, 0.674f, 1.164f, 0.9f, 1.556f)
                arcToRelative(89.525f, 89.525f, 0.0f, false, true, 0.048f, -3.337f)
                reflectiveCurveToRelative(0.004f, -0.046f, 0.042f, -0.076f)
                curveToRelative(0.051f, -0.04f, 0.084f, -0.084f, 0.836f, -0.085f)
                horizontalLineToRelative(0.15f)
                curveToRelative(0.751f, 0.0f, 0.781f, 0.045f, 0.831f, 0.085f)
                curveToRelative(0.042f, 0.03f, 0.043f, 0.076f, 0.043f, 0.076f)
                curveToRelative(0.035f, 0.202f, 0.05f, 2.093f, 0.048f, 3.312f)
                curveToRelative(0.002f, 1.222f, -0.013f, 3.022f, -0.048f, 3.228f)
                curveToRelative(0.0f, 0.0f, 0.0f, 0.043f, -0.043f, 0.074f)
                curveToRelative(-0.05f, 0.04f, -0.08f, 0.084f, -0.831f, 0.086f)
                horizontalLineToRelative(-0.15f)
                curveToRelative(-0.752f, -0.002f, -0.785f, -0.047f, -0.836f, -0.086f)
                arcToRelative(0.076f, 0.076f, 0.0f, false, true, -0.026f, -0.029f)
                curveToRelative(-0.024f, -0.03f, -1.9f, -3.123f, -1.962f, -3.225f)
                curveToRelative(0.003f, 1.22f, -0.013f, 2.976f, -0.047f, 3.18f)
                curveToRelative(0.0f, 0.0f, -0.007f, 0.043f, -0.042f, 0.074f)
                curveToRelative(-0.05f, 0.04f, -0.083f, 0.084f, -0.836f, 0.086f)
                horizontalLineToRelative(-0.149f)
                curveToRelative(-0.754f, -0.002f, -0.786f, -0.047f, -0.835f, -0.086f)
                curveToRelative(-0.04f, -0.031f, -0.042f, -0.074f, -0.042f, -0.074f)
                curveToRelative(-0.034f, -0.206f, -0.046f, -2.01f, -0.045f, -3.232f)
                curveToRelative(-0.001f, -1.221f, 0.011f, -3.106f, 0.045f, -3.308f)
                curveToRelative(0.0f, 0.0f, 0.001f, -0.046f, 0.042f, -0.076f)
                curveToRelative(0.05f, -0.04f, 0.081f, -0.084f, 0.835f, -0.085f)
                close()
                moveTo(11.925f, 13.796f)
                horizontalLineToRelative(0.149f)
                curveToRelative(0.753f, 0.0f, 0.786f, 0.041f, 0.838f, 0.082f)
                curveToRelative(0.021f, 0.02f, 0.035f, 0.045f, 0.038f, 0.074f)
                curveToRelative(0.037f, 0.205f, 0.052f, 1.424f, 0.048f, 2.644f)
                curveToRelative(0.004f, 1.222f, -0.011f, 2.439f, -0.048f, 2.645f)
                curveToRelative(0.0f, 0.0f, -0.002f, 0.043f, -0.038f, 0.074f)
                curveToRelative(-0.052f, 0.04f, -0.085f, 0.084f, -0.838f, 0.086f)
                horizontalLineToRelative(-0.149f)
                curveToRelative(-0.754f, -0.002f, -0.788f, -0.047f, -0.833f, -0.086f)
                arcToRelative(0.102f, 0.102f, 0.0f, false, true, -0.044f, -0.074f)
                curveToRelative(-0.035f, -0.206f, -0.051f, -1.423f, -0.047f, -2.645f)
                curveToRelative(-0.004f, -1.22f, 0.012f, -2.44f, 0.047f, -2.644f)
                curveToRelative(0.0f, 0.0f, 0.001f, -0.042f, 0.044f, -0.074f)
                curveToRelative(0.045f, -0.04f, 0.079f, -0.082f, 0.833f, -0.082f)
                close()
            }
        }
        .build()
        return _picnic!!
    }

private var _picnic: ImageVector? = null
