package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Playstation5: ImageVector
    get() {
        if (_playstation5 != null) {
            return _playstation5!!
        }
        _playstation5 = Builder(name = "Playstation5", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.4499f, 14.569f)
                arcToRelative(1.3829f, 1.3829f, 0.0f, false, false, 1.3829f, -1.3829f)
                verticalLineToRelative(-2.3784f)
                arcToRelative(0.8332f, 0.8332f, 0.0f, false, true, 0.8342f, -0.8332f)
                horizontalLineToRelative(2.684f)
                arcToRelative(0.0373f, 0.0373f, 0.0f, false, false, 0.0363f, -0.0373f)
                lineTo(15.3873f, 9.4612f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, false, -0.0363f, -0.0363f)
                lineTo(12.1172f, 9.4249f)
                arcToRelative(1.3829f, 1.3829f, 0.0f, false, false, -1.3839f, 1.3829f)
                verticalLineToRelative(2.3804f)
                arcToRelative(0.8342f, 0.8342f, 0.0f, false, true, -0.8332f, 0.8342f)
                lineTo(7.2535f, 14.0223f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, false, -0.0363f, 0.0363f)
                verticalLineToRelative(0.4761f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, false, 0.0363f, 0.0363f)
                close()
                moveTo(16.4948f, 11.3575f)
                lineTo(16.4948f, 9.4612f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, true, 0.0363f, -0.0363f)
                horizontalLineToRelative(7.3077f)
                arcToRelative(0.0373f, 0.0373f, 0.0f, false, true, 0.0373f, 0.0363f)
                verticalLineToRelative(0.4761f)
                arcToRelative(0.0383f, 0.0383f, 0.0f, false, true, -0.0373f, 0.0373f)
                horizontalLineToRelative(-6.2093f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, false, -0.0363f, 0.0363f)
                verticalLineToRelative(1.2356f)
                arcToRelative(0.3954f, 0.3954f, 0.0f, false, false, 0.3964f, 0.3974f)
                horizontalLineToRelative(4.6227f)
                arcToRelative(1.4646f, 1.4646f, 0.0f, false, true, 0.0f, 2.9251f)
                horizontalLineToRelative(-6.0812f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, true, -0.0363f, -0.0363f)
                verticalLineToRelative(-0.4741f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, true, 0.0363f, -0.0363f)
                horizontalLineToRelative(5.5305f)
                arcToRelative(0.9159f, 0.9159f, 0.0f, true, false, -0.0071f, -1.8307f)
                horizontalLineToRelative(-4.7266f)
                arcToRelative(0.8332f, 0.8332f, 0.0f, false, true, -0.8332f, -0.8342f)
                moveToRelative(-10.8461f, 0.2864f)
                arcToRelative(0.8347f, 0.8347f, 0.0f, false, false, 0.0f, -1.6693f)
                lineTo(0.0365f, 9.9746f)
                arcToRelative(0.0373f, 0.0373f, 0.0f, false, true, -0.0363f, -0.0373f)
                lineTo(2.0E-4f, 9.4612f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, true, 0.0363f, -0.0363f)
                horizontalLineToRelative(6.1528f)
                arcToRelative(1.3839f, 1.3839f, 0.0f, false, true, 0.0f, 2.7667f)
                lineTo(1.9328f, 12.1916f)
                arcToRelative(0.8332f, 0.8332f, 0.0f, false, false, -0.8332f, 0.8342f)
                verticalLineToRelative(1.513f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, true, -0.0363f, 0.0363f)
                lineTo(0.0365f, 14.5751f)
                arcToRelative(0.0363f, 0.0363f, 0.0f, false, true, -0.0363f, -0.0403f)
                verticalLineToRelative(-1.513f)
                arcToRelative(1.3829f, 1.3829f, 0.0f, false, true, 1.3839f, -1.3778f)
                close()
            }
        }
        .build()
        return _playstation5!!
    }

private var _playstation5: ImageVector? = null
