package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Protools: ImageVector
    get() {
        if (_protools != null) {
            return _protools!!
        }
        _protools = Builder(name = "Protools", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.505f, 15.452f)
                quadTo(0.27f, 14.63f, 0.14f, 13.762f)
                quadTo(0.01f, 12.891f, 0.01f, 12.0f)
                quadToRelative(0.0f, -2.49f, 0.94f, -4.673f)
                quadToRelative(0.94f, -2.184f, 2.572f, -3.804f)
                quadTo(5.155f, 1.902f, 7.339f, 0.938f)
                quadTo(9.523f, 0.0f, 12.012f, 0.0f)
                quadToRelative(2.465f, 0.0f, 4.65f, 0.94f)
                quadToRelative(2.183f, 0.962f, 3.815f, 2.583f)
                quadToRelative(1.633f, 1.62f, 2.572f, 3.804f)
                quadToRelative(0.94f, 2.184f, 0.94f, 4.673f)
                quadToRelative(0.0f, 0.869f, -0.118f, 1.714f)
                quadToRelative(-0.118f, 0.846f, -0.352f, 1.644f)
                quadToRelative(0.21f, 0.047f, 0.34f, 0.07f)
                lineToRelative(0.13f, 0.024f)
                lineToRelative(-1.363f, 3.429f)
                lineToRelative(-0.188f, -0.012f)
                lineToRelative(-0.54f, -0.106f)
                quadTo(21.1f, 19.937f, 20.02f, 20.9f)
                quadToRelative(-1.057f, 0.987f, -2.325f, 1.668f)
                quadToRelative(-1.268f, 0.68f, -2.724f, 1.056f)
                quadToRelative(-1.433f, 0.376f, -2.96f, 0.376f)
                quadToRelative(-1.55f, 0.0f, -3.005f, -0.376f)
                quadToRelative(-1.433f, -0.375f, -2.7f, -1.068f)
                quadToRelative(-1.269f, -0.693f, -2.35f, -1.656f)
                quadToRelative(-1.08f, -0.963f, -1.878f, -2.16f)
                quadToRelative(-0.282f, 0.094f, -0.434f, 0.117f)
                lineToRelative(-0.153f, 0.024f)
                lineToRelative(-1.48f, -3.382f)
                lineToRelative(0.118f, 0.012f)
                lineToRelative(0.376f, -0.059f)
                close()
                moveTo(22.744f, 12.0f)
                quadToRelative(0.0f, -2.23f, -0.846f, -4.18f)
                quadToRelative(-0.845f, -1.95f, -2.301f, -3.405f)
                quadToRelative(-1.456f, -1.456f, -3.429f, -2.301f)
                quadToRelative(-1.949f, -0.846f, -4.156f, -0.846f)
                quadToRelative(-2.231f, 0.0f, -4.18f, 0.846f)
                quadToRelative(-1.973f, 0.845f, -3.429f, 2.3f)
                quadTo(2.947f, 5.872f, 2.102f, 7.82f)
                quadTo(1.256f, 9.77f, 1.256f, 12.0f)
                quadToRelative(0.0f, 0.751f, 0.106f, 1.491f)
                quadToRelative(0.106f, 0.74f, 0.317f, 1.444f)
                quadToRelative(0.892f, -0.516f, 2.02f, -1.972f)
                quadToRelative(1.127f, -1.456f, 1.808f, -2.912f)
                quadToRelative(0.352f, -0.728f, 0.916f, -1.597f)
                quadToRelative(0.54f, -0.869f, 1.338f, -1.632f)
                quadToRelative(0.799f, -0.763f, 1.855f, -1.256f)
                quadToRelative(1.057f, -0.517f, 2.396f, -0.517f)
                quadToRelative(1.315f, 0.0f, 2.419f, 0.587f)
                quadToRelative(1.103f, 0.587f, 1.913f, 1.35f)
                quadToRelative(0.81f, 0.764f, 1.304f, 1.492f)
                quadToRelative(0.516f, 0.727f, 0.657f, 0.986f)
                quadToRelative(0.165f, 0.282f, 0.47f, 0.94f)
                quadToRelative(0.329f, 0.633f, 0.728f, 1.361f)
                quadToRelative(0.4f, 0.728f, 0.822f, 1.433f)
                quadToRelative(0.423f, 0.68f, 0.798f, 1.033f)
                quadToRelative(0.259f, 0.258f, 0.564f, 0.446f)
                quadToRelative(0.305f, 0.188f, 0.61f, 0.329f)
                quadToRelative(0.212f, -0.728f, 0.33f, -1.48f)
                quadToRelative(0.117f, -0.751f, 0.117f, -1.526f)
                close()
                moveTo(12.012f, 22.732f)
                quadToRelative(1.338f, 0.0f, 2.583f, -0.305f)
                quadToRelative(1.268f, -0.33f, 2.383f, -0.916f)
                quadToRelative(1.116f, -0.587f, 2.055f, -1.41f)
                quadToRelative(0.94f, -0.821f, 1.668f, -1.83f)
                quadToRelative(-0.94f, -0.494f, -2.173f, -1.645f)
                quadToRelative(-1.233f, -1.15f, -2.5f, -3.358f)
                quadToRelative(-0.142f, -0.235f, -0.494f, -0.94f)
                quadToRelative(-0.352f, -0.704f, -0.857f, -1.455f)
                quadToRelative(-0.505f, -0.752f, -1.115f, -1.339f)
                reflectiveQuadToRelative(-1.268f, -0.587f)
                quadToRelative(-0.681f, 0.0f, -1.386f, 0.634f)
                quadToRelative(-0.704f, 0.61f, -1.303f, 1.386f)
                quadToRelative(-0.6f, 0.775f, -1.022f, 1.503f)
                quadToRelative(-0.423f, 0.704f, -0.54f, 0.916f)
                quadToRelative(-1.174f, 2.066f, -2.477f, 3.205f)
                quadToRelative(-1.304f, 1.139f, -2.29f, 1.656f)
                quadToRelative(0.728f, 1.01f, 1.667f, 1.831f)
                quadToRelative(0.963f, 0.846f, 2.079f, 1.433f)
                quadToRelative(1.115f, 0.587f, 2.36f, 0.892f)
                quadToRelative(1.268f, 0.329f, 2.63f, 0.329f)
                close()
            }
        }
        .build()
        return _protools!!
    }

private var _protools: ImageVector? = null
