package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Quasar: ImageVector
    get() {
        if (_quasar != null) {
            return _quasar!!
        }
        _quasar = Builder(name = "Quasar", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, -3.002f, 0.39f)
                verticalLineToRelative(3.126f)
                arcToRelative(9.015f, 9.015f, 0.0f, false, false, -2.831f, 1.628f)
                arcToRelative(11.106f, 11.106f, 0.0f, false, false, 1.609f, 3.454f)
                curveToRelative(1.328f, -2.711f, 3.828f, -4.86f, 7.227f, -6.234f)
                lineTo(15.003f, 0.397f)
                arcTo(12.0f, 12.0f, 0.0f, false, false, 11.999f, 0.0f)
                close()
                moveTo(15.02f, 3.52f)
                arcToRelative(11.106f, 11.106f, 0.0f, false, false, -2.186f, 3.12f)
                curveToRelative(3.013f, -0.204f, 6.124f, 0.886f, 9.012f, 3.143f)
                lineToRelative(1.704f, -0.984f)
                arcTo(12.0f, 12.0f, 0.0f, false, false, 22.392f, 6.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, -1.839f, -2.404f)
                lineToRelative(-2.706f, 1.563f)
                arcTo(9.014f, 9.014f, 0.0f, false, false, 15.02f, 3.52f)
                close()
                moveTo(3.453f, 3.598f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, -1.846f, 2.403f)
                arcTo(12.0f, 12.0f, 0.0f, false, false, 0.445f, 8.795f)
                lineToRelative(2.706f, 1.563f)
                arcToRelative(9.003f, 9.003f, 0.0f, false, false, -0.005f, 3.266f)
                curveToRelative(1.273f, 0.332f, 2.546f, 0.444f, 3.796f, 0.334f)
                curveTo(5.258f, 11.45f, 4.647f, 8.21f, 5.157f, 4.58f)
                close()
                moveTo(12.0f, 9.658f)
                arcTo(2.341f, 2.341f, 0.0f, false, false, 9.66f, 12.0f)
                arcTo(2.341f, 2.341f, 0.0f, false, false, 12.0f, 14.341f)
                arcTo(2.341f, 2.341f, 0.0f, false, false, 14.341f, 12.0f)
                arcToRelative(2.341f, 2.341f, 0.0f, false, false, -2.34f, -2.341f)
                close()
                moveTo(18.0f, 10.001f)
                curveToRelative(-0.315f, 0.0f, -0.63f, 0.014f, -0.942f, 0.042f)
                curveToRelative(1.684f, 2.506f, 2.296f, 5.746f, 1.785f, 9.376f)
                lineToRelative(1.704f, 0.983f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 1.846f, -2.403f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 1.162f, -2.794f)
                lineToRelative(-2.706f, -1.563f)
                curveToRelative(0.202f, -1.09f, 0.2f, -2.197f, 0.005f, -3.266f)
                arcToRelative(11.316f, 11.316f, 0.0f, false, false, -2.855f, -0.375f)
                close()
                moveTo(2.154f, 14.217f)
                lineToRelative(-1.704f, 0.984f)
                arcTo(12.0f, 12.0f, 0.0f, false, false, 1.608f, 18.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 1.839f, 2.404f)
                lineToRelative(2.706f, -1.563f)
                arcTo(9.015f, 9.015f, 0.0f, false, false, 8.98f, 20.48f)
                arcToRelative(11.106f, 11.106f, 0.0f, false, false, 2.187f, -3.12f)
                curveToRelative(-3.013f, 0.204f, -6.124f, -0.886f, -9.012f, -3.143f)
                close()
                moveTo(16.224f, 15.402f)
                curveToRelative(-1.329f, 2.711f, -3.828f, 4.86f, -7.227f, 6.234f)
                verticalLineToRelative(1.967f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 3.004f, 0.397f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 3.001f, -0.39f)
                verticalLineToRelative(-3.126f)
                arcToRelative(9.015f, 9.015f, 0.0f, false, false, 2.831f, -1.628f)
                arcToRelative(11.106f, 11.106f, 0.0f, false, false, -1.609f, -3.454f)
                close()
            }
        }
        .build()
        return _quasar!!
    }

private var _quasar: ImageVector? = null
