package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Saltstack: ImageVector
    get() {
        if (_saltstack != null) {
            return _saltstack!!
        }
        _saltstack = Builder(name = "Saltstack", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.396f, 0.0f)
                lineTo(1.05f, 0.002f)
                verticalLineToRelative(5.346f)
                horizontalLineToRelative(5.347f)
                lineTo(6.397f, 0.0f)
                close()
                moveTo(12.336f, 2.697f)
                curveToRelative(-1.033f, 0.0f, -1.959f, 0.1f, -2.791f, 0.291f)
                verticalLineToRelative(3.783f)
                curveToRelative(0.645f, -0.374f, 1.471f, -0.568f, 2.5f, -0.568f)
                curveToRelative(1.001f, 0.0f, 1.838f, 0.17f, 2.514f, 0.508f)
                curveToRelative(1.01f, 0.512f, 1.555f, 1.375f, 1.629f, 2.59f)
                horizontalLineToRelative(4.056f)
                curveToRelative(-0.073f, -2.147f, -0.874f, -3.783f, -2.394f, -4.912f)
                curveToRelative(-1.522f, -1.127f, -3.36f, -1.692f, -5.514f, -1.692f)
                close()
                moveTo(4.496f, 8.51f)
                curveToRelative(-0.01f, 0.16f, -0.023f, 0.322f, -0.023f, 0.488f)
                curveToRelative(0.0f, 1.982f, 0.679f, 3.438f, 2.04f, 4.371f)
                curveToRelative(0.806f, 0.558f, 2.281f, 1.072f, 4.43f, 1.547f)
                lineToRelative(2.186f, 0.482f)
                curveToRelative(1.28f, 0.274f, 2.215f, 0.589f, 2.805f, 0.946f)
                curveToRelative(0.59f, 0.365f, 0.884f, 0.882f, 0.884f, 1.549f)
                curveToRelative(0.0f, 1.142f, -0.603f, 1.922f, -1.806f, 2.341f)
                curveToRelative(-0.635f, 0.22f, -1.458f, 0.33f, -2.475f, 0.33f)
                curveToRelative(-1.697f, 0.0f, -2.896f, -0.417f, -3.596f, -1.248f)
                curveToRelative(-0.382f, -0.457f, -0.638f, -1.147f, -0.767f, -2.07f)
                horizontalLineToRelative(-4.03f)
                curveToRelative(0.0f, 2.102f, 0.762f, 3.754f, 2.286f, 4.955f)
                curveTo(7.953f, 23.402f, 10.042f, 24.0f, 12.7f, 24.0f)
                curveToRelative(2.603f, 0.0f, 4.619f, -0.609f, 6.045f, -1.828f)
                curveToRelative(1.427f, -1.22f, 2.14f, -2.751f, 2.14f, -4.596f)
                curveToRelative(0.0f, -1.8f, -0.601f, -3.173f, -1.804f, -4.125f)
                curveToRelative(-0.776f, -0.611f, -1.94f, -1.102f, -3.494f, -1.467f)
                lineToRelative(-3.543f, -0.836f)
                curveToRelative(-1.367f, -0.319f, -2.264f, -0.596f, -2.686f, -0.835f)
                curveToRelative(-0.655f, -0.356f, -0.982f, -0.894f, -0.982f, -1.616f)
                curveToRelative(0.0f, -0.065f, 0.017f, -0.124f, 0.021f, -0.187f)
                lineTo(4.496f, 8.51f)
                close()
                moveTo(21.92f, 21.844f)
                arcToRelative(1.077f, 1.077f, 0.0f, false, false, 0.0f, 2.152f)
                arcToRelative(1.077f, 1.077f, 0.0f, false, false, 0.0f, -2.152f)
                close()
                moveTo(21.906f, 22.021f)
                arcToRelative(0.898f, 0.898f, 0.0f, false, true, 0.014f, 0.0f)
                arcToRelative(0.898f, 0.898f, 0.0f, false, true, 0.0f, 1.793f)
                arcToRelative(0.898f, 0.898f, 0.0f, false, true, -0.014f, -1.793f)
                close()
                moveTo(21.486f, 22.279f)
                verticalLineToRelative(1.272f)
                horizontalLineToRelative(0.221f)
                verticalLineToRelative(-0.49f)
                horizontalLineToRelative(0.248f)
                lineToRelative(0.256f, 0.49f)
                horizontalLineToRelative(0.234f)
                verticalLineToRelative(-0.01f)
                lineToRelative(-0.285f, -0.531f)
                arcToRelative(0.392f, 0.392f, 0.0f, false, false, 0.174f, -0.133f)
                arcToRelative(0.356f, 0.356f, 0.0f, false, false, 0.06f, -0.213f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, false, -0.033f, -0.166f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, false, -0.088f, -0.121f)
                arcToRelative(0.4f, 0.4f, 0.0f, false, false, -0.144f, -0.074f)
                arcToRelative(0.695f, 0.695f, 0.0f, false, false, -0.195f, -0.024f)
                horizontalLineToRelative(-0.448f)
                close()
                moveTo(21.707f, 22.457f)
                horizontalLineToRelative(0.227f)
                arcToRelative(0.338f, 0.338f, 0.0f, false, true, 0.107f, 0.016f)
                arcToRelative(0.174f, 0.174f, 0.0f, false, true, 0.117f, 0.109f)
                arcToRelative(0.266f, 0.266f, 0.0f, false, true, 0.0f, 0.176f)
                arcToRelative(0.175f, 0.175f, 0.0f, false, true, -0.047f, 0.066f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, true, -0.072f, 0.045f)
                arcToRelative(0.314f, 0.314f, 0.0f, false, true, -0.105f, 0.016f)
                horizontalLineToRelative(-0.227f)
                verticalLineToRelative(-0.428f)
                close()
            }
        }
        .build()
        return _saltstack!!
    }

private var _saltstack: ImageVector? = null
