package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Signal: ImageVector
    get() {
        if (_signal != null) {
            return _signal!!
        }
        _signal = Builder(name = "Signal", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.012f, 2.598f)
                curveToRelative(-5.22f, 0.0f, -9.452f, 3.9f, -9.452f, 8.709f)
                curveToRelative(0.0f, 3.016f, 1.219f, 5.301f, 3.155f, 6.774f)
                lineTo(5.71f, 18.081f)
                lineToRelative(0.234f, 3.042f)
                verticalLineToRelative(0.004f)
                curveToRelative(0.0f, 0.017f, 0.0f, 0.031f, 0.004f, 0.046f)
                verticalLineToRelative(0.006f)
                curveToRelative(0.024f, 0.144f, 0.15f, 0.255f, 0.301f, 0.255f)
                curveToRelative(0.053f, 0.0f, 0.1f, -0.015f, 0.144f, -0.035f)
                lineToRelative(0.011f, -0.008f)
                lineTo(9.3f, 19.717f)
                curveToRelative(0.854f, 0.196f, 1.767f, 0.299f, 2.71f, 0.299f)
                curveToRelative(5.22f, 0.0f, 9.452f, -3.899f, 9.452f, -8.71f)
                curveToRelative(0.0f, -4.81f, -4.233f, -8.709f, -9.454f, -8.709f)
                lineToRelative(0.004f, 0.001f)
                close()
                moveTo(10.39f, 0.72f)
                curveToRelative(0.525f, -0.065f, 1.061f, -0.104f, 1.605f, -0.104f)
                curveToRelative(0.38f, 0.0f, 0.75f, 0.02f, 1.119f, 0.052f)
                lineToRelative(0.057f, -0.614f)
                curveTo(12.781f, 0.019f, 12.392f, 0.0f, 11.997f, 0.0f)
                curveToRelative(-0.57f, 0.0f, -1.135f, 0.036f, -1.691f, 0.109f)
                lineToRelative(0.083f, 0.612f)
                lineToRelative(0.001f, -0.001f)
                close()
                moveTo(14.187f, 0.814f)
                curveToRelative(0.915f, 0.165f, 1.785f, 0.436f, 2.61f, 0.795f)
                lineToRelative(0.252f, -0.567f)
                curveToRelative(-0.132f, -0.056f, -0.263f, -0.112f, -0.397f, -0.165f)
                curveToRelative(-0.762f, -0.3f, -1.551f, -0.524f, -2.355f, -0.671f)
                lineToRelative(-0.11f, 0.608f)
                close()
                moveTo(23.356f, 11.37f)
                curveToRelative(-0.015f, 0.915f, -0.155f, 1.806f, -0.405f, 2.655f)
                lineToRelative(0.59f, 0.175f)
                curveToRelative(0.267f, -0.903f, 0.416f, -1.854f, 0.431f, -2.831f)
                lineToRelative(-0.616f, 0.001f)
                close()
                moveTo(6.745f, 1.814f)
                curveToRelative(0.811f, -0.389f, 1.678f, -0.698f, 2.586f, -0.902f)
                lineTo(9.196f, 0.308f)
                curveToRelative(-0.631f, 0.141f, -1.251f, 0.329f, -1.853f, 0.569f)
                curveToRelative(-0.297f, 0.117f, -0.586f, 0.245f, -0.867f, 0.381f)
                lineToRelative(0.269f, 0.556f)
                close()
                moveTo(20.395f, 3.213f)
                curveToRelative(-0.706f, -0.649f, -1.485f, -1.207f, -2.329f, -1.673f)
                lineToRelative(-0.311f, 0.541f)
                curveToRelative(0.811f, 0.445f, 1.561f, 0.981f, 2.224f, 1.596f)
                lineToRelative(0.416f, -0.462f)
                verticalLineToRelative(-0.002f)
                close()
                moveTo(15.151f, 22.051f)
                curveToRelative(0.945f, -0.24f, 1.845f, -0.591f, 2.686f, -1.03f)
                lineToRelative(-0.315f, -0.533f)
                curveToRelative(-0.786f, 0.413f, -1.631f, 0.738f, -2.521f, 0.967f)
                lineToRelative(0.15f, 0.596f)
                close()
                moveTo(3.677f, 4.005f)
                curveToRelative(0.63f, -0.638f, 1.347f, -1.2f, 2.13f, -1.675f)
                lineToRelative(-0.327f, -0.529f)
                curveToRelative(-0.698f, 0.422f, -1.35f, 0.914f, -1.945f, 1.473f)
                curveToRelative(-0.102f, 0.094f, -0.2f, 0.191f, -0.3f, 0.289f)
                lineToRelative(0.439f, 0.441f)
                lineToRelative(0.003f, 0.001f)
                close()
                moveTo(23.157f, 15.285f)
                lineToRelative(-0.568f, -0.236f)
                curveToRelative(-0.349f, 0.833f, -0.803f, 1.614f, -1.354f, 2.332f)
                lineToRelative(0.495f, 0.369f)
                curveToRelative(0.577f, -0.758f, 1.061f, -1.586f, 1.424f, -2.465f)
                horizontalLineToRelative(0.003f)
                close()
                moveTo(20.726f, 4.433f)
                curveToRelative(0.606f, 0.675f, 1.122f, 1.425f, 1.534f, 2.228f)
                lineToRelative(0.555f, -0.275f)
                curveToRelative(-0.435f, -0.852f, -0.979f, -1.645f, -1.627f, -2.366f)
                lineToRelative(-0.465f, 0.413f)
                horizontalLineToRelative(0.003f)
                close()
                moveTo(23.28f, 7.436f)
                lineToRelative(-0.568f, 0.244f)
                curveToRelative(0.313f, 0.828f, 0.521f, 1.703f, 0.604f, 2.61f)
                lineToRelative(0.615f, -0.061f)
                curveToRelative(-0.088f, -0.956f, -0.305f, -1.892f, -0.651f, -2.793f)
                close()
                moveTo(6.386f, 22.849f)
                lineToRelative(-0.969f, 0.425f)
                lineToRelative(-0.332f, -1.025f)
                lineToRelative(-0.585f, 0.19f)
                lineToRelative(0.438f, 1.347f)
                curveToRelative(0.029f, 0.083f, 0.09f, 0.151f, 0.167f, 0.188f)
                curveToRelative(0.041f, 0.017f, 0.083f, 0.026f, 0.126f, 0.026f)
                reflectiveCurveToRelative(0.084f, -0.009f, 0.123f, -0.026f)
                lineToRelative(1.283f, -0.563f)
                lineToRelative(-0.251f, -0.562f)
                close()
                moveTo(10.209f, 21.656f)
                curveToRelative(-0.078f, -0.016f, -0.157f, -0.027f, -0.237f, -0.041f)
                lineToRelative(-0.465f, -0.079f)
                curveToRelative(-0.061f, -0.009f, -0.12f, 0.0f, -0.172f, 0.023f)
                lineToRelative(-1.951f, 0.853f)
                lineToRelative(0.271f, 0.554f)
                lineToRelative(1.845f, -0.803f)
                curveToRelative(0.125f, 0.021f, 0.25f, 0.041f, 0.371f, 0.059f)
                curveToRelative(0.068f, 0.017f, 0.139f, 0.026f, 0.209f, 0.038f)
                lineToRelative(0.129f, -0.604f)
                close()
                moveTo(13.937f, 21.676f)
                curveToRelative(-0.633f, 0.104f, -1.281f, 0.156f, -1.942f, 0.156f)
                curveToRelative(-0.273f, 0.0f, -0.525f, -0.015f, -0.772f, -0.038f)
                lineToRelative(-0.019f, 0.615f)
                curveToRelative(0.251f, 0.024f, 0.511f, 0.04f, 0.791f, 0.04f)
                curveToRelative(0.698f, 0.0f, 1.383f, -0.058f, 2.048f, -0.166f)
                lineToRelative(-0.104f, -0.606f)
                lineToRelative(-0.002f, -0.001f)
                close()
                moveTo(1.517f, 7.116f)
                curveToRelative(0.37f, -0.825f, 0.852f, -1.598f, 1.425f, -2.302f)
                lineToRelative(-0.47f, -0.407f)
                curveToRelative(-0.61f, 0.745f, -1.116f, 1.557f, -1.508f, 2.427f)
                lineToRelative(-0.01f, 0.021f)
                lineToRelative(0.563f, 0.261f)
                close()
                moveTo(20.532f, 18.21f)
                curveToRelative(-0.612f, 0.651f, -1.31f, 1.229f, -2.07f, 1.728f)
                lineToRelative(0.339f, 0.515f)
                curveToRelative(0.806f, -0.524f, 1.541f, -1.14f, 2.19f, -1.829f)
                lineToRelative(-0.459f, -0.414f)
                close()
                moveTo(0.97f, 14.551f)
                curveToRelative(-0.188f, -0.796f, -0.293f, -1.676f, -0.323f, -2.671f)
                lineTo(0.031f, 11.88f)
                curveToRelative(0.03f, 1.071f, 0.145f, 2.005f, 0.345f, 2.843f)
                lineToRelative(0.594f, -0.172f)
                close()
                moveTo(0.538f, 7.925f)
                curveToRelative(-0.297f, 0.91f, -0.468f, 1.853f, -0.51f, 2.813f)
                lineToRelative(0.615f, 0.03f)
                curveToRelative(0.042f, -0.923f, 0.209f, -1.816f, 0.487f, -2.662f)
                lineToRelative(-0.592f, -0.181f)
                close()
                moveTo(4.737f, 21.185f)
                lineToRelative(-0.59f, -1.815f)
                curveToRelative(-0.02f, -0.06f, -0.056f, -0.109f, -0.105f, -0.147f)
                curveToRelative(-0.232f, -0.182f, -0.449f, -0.366f, -0.66f, -0.558f)
                lineToRelative(-0.422f, 0.446f)
                curveToRelative(0.194f, 0.184f, 0.408f, 0.362f, 0.629f, 0.541f)
                lineToRelative(0.561f, 1.717f)
                lineToRelative(0.587f, -0.184f)
                close()
                moveTo(2.632f, 17.893f)
                curveToRelative(-0.591f, -0.691f, -1.037f, -1.449f, -1.355f, -2.315f)
                lineToRelative(-0.573f, 0.229f)
                curveToRelative(0.041f, 0.107f, 0.083f, 0.216f, 0.126f, 0.322f)
                curveToRelative(0.33f, 0.796f, 0.771f, 1.509f, 1.342f, 2.175f)
                lineToRelative(0.46f, -0.411f)
                close()
            }
        }
        .build()
        return _signal!!
    }

private var _signal: ImageVector? = null
