package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Society6: ImageVector
    get() {
        if (_society6 != null) {
            return _society6!!
        }
        _society6 = Builder(name = "Society6", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                curveTo(5.373f, 0.0f, 0.0f, 5.373f, 0.0f, 12.0f)
                reflectiveCurveToRelative(5.373f, 12.0f, 12.0f, 12.0f)
                reflectiveCurveToRelative(12.0f, -5.373f, 12.0f, -12.0f)
                reflectiveCurveTo(18.627f, 0.0f, 12.0f, 0.0f)
                close()
                moveTo(19.928f, 4.966f)
                lineToRelative(0.042f, 0.876f)
                lineToRelative(-0.916f, 0.157f)
                curveToRelative(-0.705f, 0.194f, -1.32f, 0.465f, -1.843f, 0.813f)
                reflectiveCurveToRelative(-0.966f, 0.73f, -1.33f, 1.148f)
                arcToRelative(6.147f, 6.147f, 0.0f, false, false, -0.888f, 1.339f)
                lineToRelative(-0.016f, 0.036f)
                curveToRelative(-0.243f, 0.506f, -0.459f, 1.04f, -0.65f, 1.599f)
                arcToRelative(4.992f, 4.992f, 0.0f, false, true, 1.31f, -0.812f)
                lineToRelative(0.033f, -0.012f)
                curveToRelative(0.521f, -0.223f, 1.141f, -0.335f, 1.864f, -0.335f)
                curveToRelative(0.839f, 0.0f, 1.543f, 0.296f, 2.111f, 0.884f)
                reflectiveCurveToRelative(0.853f, 1.355f, 0.853f, 2.298f)
                curveToRelative(0.0f, 1.409f, -0.541f, 2.628f, -1.624f, 3.659f)
                reflectiveCurveToRelative(-2.414f, 1.547f, -3.992f, 1.547f)
                curveToRelative(-1.255f, 0.0f, -2.256f, -0.374f, -3.003f, -1.122f)
                reflectiveCurveToRelative(-1.12f, -1.743f, -1.12f, -2.981f)
                curveToRelative(0.0f, -2.363f, 0.84f, -4.387f, 2.52f, -6.073f)
                reflectiveCurveToRelative(3.895f, -2.692f, 6.65f, -3.023f)
                close()
                moveTo(7.925f, 9.103f)
                curveToRelative(0.435f, 0.0f, 0.838f, 0.027f, 1.211f, 0.081f)
                curveToRelative(0.388f, 0.055f, 0.739f, 0.159f, 1.065f, 0.307f)
                lineToRelative(-0.024f, -0.01f)
                curveToRelative(0.286f, 0.13f, 0.524f, 0.322f, 0.705f, 0.56f)
                lineToRelative(0.003f, 0.004f)
                curveToRelative(0.169f, 0.232f, 0.252f, 0.513f, 0.252f, 0.844f)
                reflectiveCurveToRelative(-0.118f, 0.614f, -0.356f, 0.852f)
                curveToRelative(-0.237f, 0.238f, -0.549f, 0.356f, -0.933f, 0.356f)
                curveToRelative(-0.332f, 0.0f, -0.607f, -0.091f, -0.828f, -0.272f)
                reflectiveCurveToRelative(-0.399f, -0.394f, -0.537f, -0.642f)
                curveToRelative(-0.137f, -0.253f, -0.247f, -0.516f, -0.327f, -0.784f)
                reflectiveCurveToRelative(-0.146f, -0.493f, -0.197f, -0.674f)
                curveToRelative(-0.401f, 0.024f, -0.765f, 0.178f, -1.094f, 0.459f)
                reflectiveCurveToRelative(-0.495f, 0.629f, -0.495f, 1.046f)
                curveToRelative(0.0f, 0.253f, 0.039f, 0.452f, 0.116f, 0.596f)
                reflectiveCurveToRelative(0.184f, 0.265f, 0.311f, 0.358f)
                lineToRelative(0.003f, 0.002f)
                curveToRelative(0.162f, 0.115f, 0.348f, 0.217f, 0.544f, 0.296f)
                lineToRelative(0.018f, 0.006f)
                curveToRelative(0.151f, 0.069f, 0.431f, 0.177f, 0.714f, 0.279f)
                lineToRelative(0.132f, 0.041f)
                curveToRelative(0.778f, 0.288f, 1.365f, 0.635f, 1.76f, 1.038f)
                curveToRelative(0.321f, 0.328f, 0.509f, 0.742f, 0.569f, 1.241f)
                curveToRelative(-0.008f, -0.117f, 0.117f, 1.109f, 0.018f, 0.183f)
                curveToRelative(0.002f, 0.056f, 0.006f, 0.113f, 0.006f, 0.171f)
                curveToRelative(0.0f, 0.433f, -0.097f, 0.847f, -0.289f, 1.245f)
                reflectiveCurveToRelative(-0.464f, 0.728f, -0.818f, 0.992f)
                arcToRelative(4.26f, 4.26f, 0.0f, false, true, -1.336f, 0.646f)
                lineToRelative(-0.03f, 0.007f)
                curveToRelative(-0.516f, 0.147f, -1.172f, 0.221f, -1.967f, 0.221f)
                curveToRelative(-0.722f, 0.0f, -1.318f, -0.061f, -1.789f, -0.184f)
                reflectiveCurveToRelative(-0.845f, -0.282f, -1.12f, -0.474f)
                curveToRelative(-0.281f, -0.193f, -0.473f, -0.398f, -0.575f, -0.617f)
                reflectiveCurveToRelative(-0.155f, -0.425f, -0.155f, -0.617f)
                curveToRelative(0.0f, -0.349f, 0.125f, -0.655f, 0.373f, -0.916f)
                reflectiveCurveToRelative(0.58f, -0.391f, 0.991f, -0.391f)
                curveToRelative(0.344f, 0.0f, 0.631f, 0.092f, 0.863f, 0.278f)
                curveToRelative(0.236f, 0.193f, 0.43f, 0.426f, 0.574f, 0.691f)
                lineToRelative(0.006f, 0.012f)
                curveToRelative(0.136f, 0.244f, 0.259f, 0.528f, 0.352f, 0.824f)
                lineToRelative(0.009f, 0.032f)
                curveToRelative(0.035f, 0.09f, 0.106f, 0.322f, 0.172f, 0.556f)
                lineToRelative(0.034f, 0.139f)
                curveToRelative(0.647f, 0.0f, 1.137f, -0.144f, 1.469f, -0.436f)
                reflectiveCurveToRelative(0.498f, -0.691f, 0.498f, -1.196f)
                curveToRelative(0.0f, -0.222f, -0.05f, -0.408f, -0.15f, -0.558f)
                reflectiveCurveToRelative(-0.234f, -0.283f, -0.399f, -0.398f)
                curveToRelative(-0.166f, -0.108f, -0.377f, -0.213f, -0.635f, -0.315f)
                reflectiveCurveToRelative(-0.513f, -0.198f, -0.765f, -0.289f)
                curveToRelative(-0.693f, -0.246f, -1.24f, -0.587f, -1.644f, -1.023f)
                reflectiveCurveToRelative(-0.605f, -0.978f, -0.605f, -1.628f)
                verticalLineToRelative(-0.013f)
                curveToRelative(0.0f, -0.391f, 0.093f, -0.76f, 0.259f, -1.087f)
                lineToRelative(-0.006f, 0.014f)
                curveToRelative(0.17f, -0.34f, 0.434f, -0.654f, 0.794f, -0.944f)
                curveToRelative(0.355f, -0.276f, 0.804f, -0.496f, 1.348f, -0.661f)
                reflectiveCurveToRelative(1.179f, -0.249f, 1.906f, -0.249f)
                close()
                moveTo(15.942f, 10.977f)
                curveToRelative(-0.329f, 0.0f, -0.64f, 0.066f, -0.933f, 0.199f)
                reflectiveCurveToRelative(-0.605f, 0.397f, -0.934f, 0.792f)
                curveToRelative(-0.04f, 0.183f, -0.109f, 0.534f, -0.21f, 1.055f)
                reflectiveCurveToRelative(-0.152f, 1.162f, -0.152f, 1.923f)
                curveToRelative(0.0f, 0.778f, 0.123f, 1.384f, 0.365f, 1.82f)
                reflectiveCurveToRelative(0.566f, 0.655f, 0.968f, 0.655f)
                curveToRelative(0.626f, 0.0f, 1.168f, -0.432f, 1.628f, -1.295f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.46f, -0.864f, 0.69f, -1.912f, 0.69f, -3.144f)
                curveToRelative(0.0f, -0.618f, -0.134f, -1.108f, -0.402f, -1.468f)
                reflectiveCurveToRelative(-0.608f, -0.538f, -1.022f, -0.538f)
                close()
            }
        }
        .build()
        return _society6!!
    }

private var _society6: ImageVector? = null
