package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Subaru: ImageVector
    get() {
        if (_subaru != null) {
            return _subaru!!
        }
        _subaru = Builder(name = "Subaru", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 4.983f)
                curveToRelative(3.004f, 0.0f, 6.224f, 0.612f, 8.786f, 2.239f)
                curveTo(22.451f, 8.286f, 24.0f, 9.9f, 24.0f, 12.002f)
                curveToRelative(0.0f, 2.456f, -2.097f, 4.242f, -4.106f, 5.287f)
                curveToRelative(-2.391f, 1.238f, -5.216f, 1.728f, -7.894f, 1.728f)
                curveToRelative(-3.003f, 0.0f, -6.217f, -0.605f, -8.78f, -2.238f)
                curveTo(1.556f, 15.714f, 0.0f, 14.101f, 0.0f, 12.003f)
                curveTo(0.0f, 9.536f, 2.092f, 7.757f, 4.106f, 6.71f)
                curveTo(6.504f, 5.474f, 9.323f, 4.983f, 12.0f, 4.983f)
                close()
                moveTo(11.975f, 5.729f)
                curveToRelative(-2.793f, 0.0f, -5.802f, 0.523f, -8.225f, 1.983f)
                curveToRelative(-1.524f, 0.912f, -3.03f, 2.347f, -3.03f, 4.253f)
                curveToRelative(0.0f, 2.239f, 2.04f, 3.806f, 3.864f, 4.706f)
                curveToRelative(2.258f, 1.102f, 4.897f, 1.53f, 7.391f, 1.53f)
                curveToRelative(2.798f, 0.0f, 5.809f, -0.523f, 8.232f, -1.983f)
                curveToRelative(1.517f, -0.918f, 3.029f, -2.346f, 3.029f, -4.253f)
                curveToRelative(0.0f, -2.243f, -2.035f, -3.813f, -3.864f, -4.705f)
                curveToRelative(-2.258f, -1.104f, -4.898f, -1.53f, -7.397f, -1.53f)
                close()
                moveTo(1.435f, 10.415f)
                lineToRelative(4.597f, -0.784f)
                lineToRelative(1.384f, -3.003f)
                lineTo(8.794f, 9.63f)
                lineToRelative(4.596f, 0.784f)
                lineToRelative(-4.596f, 0.792f)
                lineToRelative(-1.378f, 3.01f)
                lineToRelative(-1.384f, -3.01f)
                close()
                moveTo(11.541f, 12.704f)
                lineToRelative(2.028f, -0.356f)
                lineToRelative(0.605f, -1.359f)
                lineToRelative(0.606f, 1.359f)
                lineToRelative(2.028f, 0.356f)
                lineToRelative(-2.028f, 0.35f)
                lineToRelative(-0.606f, 1.36f)
                lineToRelative(-0.605f, -1.36f)
                close()
                moveTo(15.737f, 9.083f)
                lineToRelative(2.028f, -0.35f)
                lineToRelative(0.605f, -1.365f)
                lineToRelative(0.606f, 1.364f)
                lineToRelative(2.028f, 0.35f)
                lineToRelative(-2.028f, 0.357f)
                lineToRelative(-0.606f, 1.36f)
                lineToRelative(-0.606f, -1.36f)
                close()
                moveTo(13.57f, 15.51f)
                lineToRelative(2.02f, -0.35f)
                lineToRelative(0.607f, -1.365f)
                lineToRelative(0.612f, 1.365f)
                lineToRelative(2.027f, 0.35f)
                lineToRelative(-2.027f, 0.357f)
                lineToRelative(-0.612f, 1.36f)
                lineToRelative(-0.606f, -1.36f)
                close()
                moveTo(7.34f, 16.001f)
                lineToRelative(2.028f, -0.35f)
                lineToRelative(0.612f, -1.366f)
                lineToRelative(0.605f, 1.366f)
                lineToRelative(2.028f, 0.35f)
                lineToRelative(-2.028f, 0.357f)
                lineToRelative(-0.605f, 1.359f)
                lineToRelative(-0.612f, -1.359f)
                close()
                moveTo(17.536f, 12.648f)
                lineToRelative(2.022f, -0.357f)
                lineToRelative(0.605f, -1.359f)
                lineToRelative(0.612f, 1.359f)
                lineToRelative(2.028f, 0.357f)
                lineToRelative(-2.028f, 0.35f)
                lineToRelative(-0.612f, 1.357f)
                lineToRelative(-0.606f, -1.357f)
                close()
            }
        }
        .build()
        return _subaru!!
    }

private var _subaru: ImageVector? = null
