package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Wolfram: ImageVector
    get() {
        if (_wolfram != null) {
            return _wolfram!!
        }
        _wolfram = Builder(name = "Wolfram", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.105f, 12.001f)
                lineToRelative(3.307f, -3.708f)
                lineToRelative(-4.854f, -1.059f)
                lineToRelative(0.495f, -4.944f)
                lineToRelative(-4.55f, 1.996f)
                lineTo(12.0f, 0.0f)
                lineTo(9.495f, 4.287f)
                lineTo(4.947f, 2.291f)
                lineToRelative(0.494f, 4.944f)
                lineTo(0.587f, 8.289f)
                lineToRelative(3.305f, 3.707f)
                lineToRelative(-3.305f, 3.713f)
                lineToRelative(4.854f, 1.053f)
                lineToRelative(-0.5f, 4.945f)
                lineToRelative(4.553f, -1.994f)
                lineTo(12.0f, 24.0f)
                lineToRelative(2.504f, -4.287f)
                lineToRelative(4.55f, 1.994f)
                lineToRelative(-0.495f, -4.938f)
                lineToRelative(4.854f, -1.06f)
                lineToRelative(-3.308f, -3.708f)
                close()
                moveTo(21.71f, 14.793f)
                lineToRelative(-2.861f, -0.982f)
                lineToRelative(-1.899f, -2.471f)
                lineToRelative(2.526f, 0.942f)
                lineToRelative(2.234f, 2.511f)
                close()
                moveTo(22.169f, 8.697f)
                lineToRelative(-2.602f, 2.918f)
                lineToRelative(-3.066f, -1.141f)
                lineToRelative(1.844f, -2.612f)
                lineToRelative(3.824f, 0.835f)
                close()
                moveTo(17.881f, 7.373f)
                lineToRelative(-1.533f, 2.179f)
                lineToRelative(0.088f, -3.162f)
                lineToRelative(1.788f, -2.415f)
                lineToRelative(-0.343f, 3.398f)
                close()
                moveTo(14.577f, 4.974f)
                lineToRelative(3.091f, -1.354f)
                lineTo(15.9f, 5.998f)
                lineToRelative(-2.943f, 1.049f)
                lineToRelative(1.62f, -2.073f)
                close()
                moveTo(15.764f, 6.746f)
                lineToRelative(-0.096f, 3.652f)
                lineToRelative(-3.341f, 1.12f)
                lineTo(12.327f, 7.969f)
                lineToRelative(3.437f, -1.223f)
                close()
                moveTo(12.0f, 1.308f)
                lineToRelative(1.969f, 3.371f)
                lineTo(12.0f, 7.199f)
                lineToRelative(-1.971f, -2.521f)
                lineTo(12.0f, 1.308f)
                close()
                moveTo(9.423f, 4.974f)
                lineToRelative(1.619f, 2.072f)
                lineToRelative(-2.948f, -1.048f)
                lineTo(6.332f, 3.62f)
                lineToRelative(3.091f, 1.354f)
                close()
                moveTo(11.668f, 7.969f)
                verticalLineToRelative(3.549f)
                lineToRelative(-3.335f, -1.12f)
                lineToRelative(-0.102f, -3.652f)
                lineToRelative(3.437f, 1.223f)
                close()
                moveTo(7.564f, 6.39f)
                lineToRelative(0.086f, 3.162f)
                lineToRelative(-1.532f, -2.179f)
                lineToRelative(-0.341f, -3.397f)
                lineTo(7.564f, 6.39f)
                close()
                moveTo(1.83f, 8.692f)
                lineToRelative(3.824f, -0.83f)
                lineToRelative(1.839f, 2.612f)
                lineToRelative(-3.065f, 1.136f)
                lineTo(1.83f, 8.692f)
                close()
                moveTo(4.524f, 12.277f)
                lineToRelative(2.526f, -0.937f)
                lineToRelative(-1.9f, 2.471f)
                lineToRelative(-2.861f, 0.977f)
                lineToRelative(2.235f, -2.511f)
                close()
                moveTo(2.431f, 15.436f)
                lineToRelative(2.929f, -1.0f)
                lineToRelative(3.045f, 0.896f)
                lineToRelative(-2.622f, 0.837f)
                lineToRelative(-3.352f, -0.733f)
                close()
                moveTo(5.711f, 20.648f)
                lineToRelative(0.392f, -3.896f)
                lineToRelative(3.111f, -0.982f)
                lineToRelative(0.082f, 3.31f)
                lineToRelative(-3.585f, 1.568f)
                close()
                moveTo(9.402f, 14.94f)
                lineToRelative(-3.498f, -1.03f)
                lineToRelative(2.226f, -2.892f)
                lineToRelative(3.335f, 1.126f)
                lineToRelative(-2.063f, 2.796f)
                close()
                moveTo(11.668f, 22.131f)
                lineToRelative(-1.711f, -2.934f)
                lineToRelative(-0.066f, -2.771f)
                lineToRelative(1.777f, 2.597f)
                verticalLineToRelative(3.108f)
                close()
                moveTo(9.938f, 15.331f)
                lineTo(12.0f, 12.532f)
                lineToRelative(2.063f, 2.799f)
                lineTo(12.0f, 18.336f)
                lineToRelative(-2.062f, -3.005f)
                close()
                moveTo(14.042f, 19.197f)
                lineToRelative(-1.715f, 2.934f)
                verticalLineToRelative(-3.107f)
                lineToRelative(1.782f, -2.597f)
                lineToRelative(-0.067f, 2.77f)
                close()
                moveTo(12.528f, 12.145f)
                lineToRelative(3.341f, -1.126f)
                lineToRelative(2.221f, 2.892f)
                lineToRelative(-3.499f, 1.03f)
                lineToRelative(-2.063f, -2.796f)
                close()
                moveTo(14.703f, 19.08f)
                lineToRelative(0.077f, -3.31f)
                lineToRelative(3.116f, 0.982f)
                lineToRelative(0.386f, 3.901f)
                lineToRelative(-3.579f, -1.573f)
                close()
                moveTo(18.217f, 16.168f)
                lineToRelative(-2.625f, -0.837f)
                lineToRelative(3.049f, -0.896f)
                lineToRelative(2.928f, 1.003f)
                lineToRelative(-3.352f, 0.73f)
                close()
            }
        }
        .build()
        return _wolfram!!
    }

private var _wolfram: ImageVector? = null
